#!/bin/sh
# Enable/Disable sub systems
FTP_ENABLE="yes"	# yes/no
CVS_ENABLE="auto"	# auto/yes/no

# Initialization
echo -n "Init... "
. ./.config.sh
echo -n "."
. ./.cms.sh
echo -n "."
. ./.cmds.sh
echo -n "."
. ./.hp.sh
echo -n "."
. ./.ftp.sh
echo -n "."
. ./.functions.sh
echo -n "."
. ./.extensions.sh
echo -n "."
. ./.themes.sh
echo " done"

if test "$FTP_ENABLE" = "yes"; then
	if test ! "$UPLOAD_EXT" = ""; then
		# Initialize FTP system
		ftp_init
	 else
	 	if test ! "$UPLOAD_CMS_EXT" = ""; then
			# Initialize FTP system
			ftp_init
		 else
		 	if test ! "$UPLOAD_HP_EXT" = ""; then
				# Initialize FTP system
				ftp_init
			 else
			 	if test ! "$UPLOAD_THEMES" = ""; then
					# Initialize FTP system
					ftp_init
				 else
					# Disbale FTP upload
					FTP_ENABLE="no"
				fi
			fi
		fi
	fi
fi

# Create missing dirs, copy/move files
init_file_system

# Update CVS server
if test "$1" == "-d"; then
	cvs_download
 else
	if test "$1" == "-s"; then
		stats_upload
 	 else
		if test "$CVS" == "yes"; then
			cvs_update
		fi
	fi
fi

# Remove files
remove_files

# Create theme archivs
zip_themes

# Create debug extensions first
zip_debug_ext

# Create command archives
zip_cmds

# Create Complete, Medium and Max archives
zip_packages

# Create extension archives
zip_extensions
zip_cms_extensions
zip_hp_extensions

# Create base theme archivs
zip_base_themes

# Create main archives
zip_base_archives

# Upload
if test "$FTP_ENABLE" = "yes"; then
	if test ! "$UPLOAD_EXT" = ""; then
		ftp_upload
	fi
	if test ! "$UPLOAD_CMS_EXT" = ""; then
		cms_ftp_upload
	fi
	if test ! "$UPLOAD_HP_EXT" = ""; then
		hp_ftp_upload
	fi
	if test ! "$UPLOAD_THEMES" = ""; then
		themes_ftp_upload
	fi
fi

echo
echo "All done! Bye..."
echo
