<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/03/2009 *
 * ===================                          Last change: 04/03/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : config-global.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Global configuration                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Globale Konfiguration                            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

/********************************************************************************
 * Please don't touch anything here. Instead set them again in config-local.php *
 ********************************************************************************/

// Auto-detection of URL
$URL = detectServerProtocol() . '://' . detectServerName() . str_replace(chr(92), '/', dirname($_SERVER['PHP_SELF']));
while (substr($URL, -1, 1) == '/') { $URL = substr($URL, 0, -1); }

// CFG: HOST-URL (without trailing '/' !)
setConfigEntry('URL', $URL);

// CFG: FLOAT-MASK
setConfigEntry('FLOAT_MASK', '%01.5f');

// CFG: DOMAIN-NAME (without trailing '/' !)
setConfigEntry('DOMAIN', detectDomainName());

// CFG: VERSION
setConfigEntry('VERSION', 'v0.2.1');

// CFG: AUTHOR
setConfigEntry('AUTHOR' , 'Roland H&auml;der');

// CFG: TITLE
setConfigEntry('TITLE', 'Mailer-Project');

// CFG: COPY
setConfigEntry('COPY', 'Copyright &copy; 2003 - 2009, by Roland H&auml;der,<br />2009 - 2016 by Mailer Developer Team');

// CFG: CACHE-PATH
setConfigEntry('CACHE_PATH', 'inc/cache/');

// CFG: CACHE-EXTENSION
setConfigEntry('CACHE_EXTENSION', '.cache.php');

// CFG: INTERNAL-STATS (This setting is overwritten by ext-other equal and prior version 0.2.7)
setConfigEntry('internal_stats', 'N');

// CFG: DEBUG-TEMPLATE-CACHE
setConfigEntry('DEBUG_TEMPLATE_CACHE', 'Y');

// CFG: SALT-LENGTH
setConfigEntry('salt_length', 10);

// CFG: MINIMUM-ADMIN-PASS-LENGTH
setConfigEntry('minium_admin_pass_length', 4);

// Remove maybe conflicting variables
unset($URL);

// [EOF]
?>
