<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/29/2008 *
 * ===================                          Last change: 01/29/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-user_contct.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Contact the user over a form                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Das Mitglied ueber ein Formular kontaktieren     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Is a user id given?
if ((isGetRequestElementSet('userid')) && (isValidId(getRequestElement('userid')))) {
	// Is a user account found?
	if (fetchUserData(getRequestElement('userid'))) {
		// Load the data
		$content = getUserDataArray();

		// Including user id
		$content['userid'] = bigintval(getRequestElement('userid'));

		// Shall we send the email?
		if (isFormSent()) {
			// Insert text
			$content['text'] = postRequestElement('text');

			// Load email template
			$message = loadEmailTemplate('member_contct', $content, getRequestElement('userid'));

			// Send contact form out
			sendEmail($content['userid'], '{--ADMIN_CONTACT_USER_SUBJECT--}', $message);

			// Display message
			displayMessage('{--ADMIN_USER_CONTACTED--}');
		} else {
			// Load contact form template
			loadTemplate('admin_contct_user_form', FALSE, $content);
		}
	} else {
		// Not found?
		displayMessage('{%message,ADMIN_USER_ACCOUNT_404=' . bigintval(getRequestElement('userid')) . '%}');
	}
} else {
	// Display selection box
	addMemberSelectionBox();
}

// [EOF]
?>
