<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/14/2013 *
 * ===================                          Last change: 01/14/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : mode-setup.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Setup steps for ext-network                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Setup-Schritte fuer ext-network                  *
 * -------------------------------------------------------------------- *
 * @TODO ADCocktail: All request parameters, BIDausKAS, WIDausKAS???    *
 * @TODO ADCocktail: Zero array element is return code!                 *
 * @TODO adgain.de: Textlink-View is a JavaScript URL                   *
 * @TODO ADkracher: Textlink-View is a JavaScript URL                   *
 * @TODO Admono.de: highforcedbanner, traffic from abroad               *
 * @TODO Ads-AbisZ: HighForced banner, mini layer                       *
 * @TODO Ads-Im-Netz: All APIs provide URLs/JavaScripts                 *
 * @TODO Ads4Clicks: Some has JavaScript as output code, high forced    *
 * @TODO Affiliblatt: Layer requires script in head                     *
 * @TODO Affiliblatt: Textlinks, popup, popunder, HTML mail, lead       *
 * @TODO AllAds4You: Traffic from abroad, High-Forced banner            *
 * @TODO Earn4Webbis: HighForced banner, page peel, mini layer          *
 * @TODO FuCoExSponsor: Textlink-View is JavaScript!                    *
 * @TODO Fusion-Ads: Has click/banner URL in API response               *
 * @TODO GeldSponsor.de Requires ID card copy/business reg.             *
 * @TODO GolloX: Please add full support                                *
 * @TODO LoseAds: HighForced banner, mini layer, all premium            *
 * @TODO Paid4Ad: HighForced banner, mini layer                         *
 * @TODO Sponsor-Box: HighForced banner, leader board, mini layer       *
 * @TODO Paid-4-Webmaster: leader board, mini layer                     *
 * @TODO Vario-Ads: HighForced banner, mini layer                       *
 * @TODO SuperPromo24: HighForced banner, leader board, mini/page layer *
 * @TODO SuperPromo24: Textlink view is a JavaScript                    *
 * @TODO Der Werbepartner.cc: Banner click/view is JavaScript!          *
 * @TODO Der Werbepartner.cc: Forced textlink not correct               *
 * @TODO Der Werbepartner.cc: Layer not correct                         *
 * @TODO Der Werbepartner.cc: Sky banner is JavaScript!                 *
 * @TODO Der Werbepartner.cc: Surfbar click not correct                 *
 * @TODO Der Werbepartner.cc: Textlink not correct                      *
 * @TODO Xijide: Lead/Sale (together) unsupported (no target URL)       *
 * @TODO Yoo!Media: What is LayerAd compared to Layer click?            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Main table which hold
addDropTableSql('network_data');
addCreateTableSql('network_data', "
`network_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_short_name` VARCHAR(50) NOT NULL DEFAULT '',
`network_title` VARCHAR(255) NOT NULL DEFAULT '',
`network_reflink` VARCHAR(255) NOT NULL DEFAULT '',
`network_data_separator` CHAR(4) NOT NULL DEFAULT '|',
`network_row_separator` CHAR(4) NOT NULL DEFAULT '|',
`network_request_type` ENUM('GET','POST') NOT NULL DEFAULT 'GET',
`network_charset` VARCHAR(20) NOT NULL DEFAULT 'UTF-8',
`network_require_id_card` ENUM('Y','N') NOT NULL DEFAULT 'N',
`network_query_amount` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
PRIMARY KEY (`network_id`),
UNIQUE INDEX (`network_short_name`)",
	'Network data');

// Types the network provider is supporting (e.g. Forced-Banner and so on)
// @TODO network_type_handler is an internal name and needs documentation
addDropTableSql('network_types');
addCreateTableSql('network_types', "
`network_type_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_handler` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_api_url` VARCHAR(255) NOT NULL DEFAULT '',
`network_type_click_url` VARCHAR(255) NULL DEFAULT NULL,
`network_type_banner_url` VARCHAR(255) NULL DEFAULT NULL,
`network_type_reload_time_unit` ENUM('s','m','h','D','W') NOT NULL DEFAULT 'h',
`network_text_encoding` ENUM('NONE','BASE64') NOT NULL DEFAULT 'NONE',
PRIMARY KEY (`network_type_id`),
UNIQUE INDEX `provider_type` (`network_id`, `network_type_handler`)",
	'Types provideable by networks');

// HTTP parameters (names) for URLs or POST fields
addDropTableSql('network_request_params');
addCreateTableSql('network_request_params', "
`network_request_param_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_request_param_key` VARCHAR(50) NOT NULL DEFAULT 'invalid',
`network_request_param_value` VARCHAR(50) NOT NULL DEFAULT 'invalid',
`network_request_param_default` VARCHAR(255) NULL DEFAULT NULL,
PRIMARY KEY (`network_request_param_id`),
UNIQUE INDEX `provider_type_key` (`network_id`, `network_type_id`, `network_request_param_key`),
UNIQUE INDEX `provider_type_value` (`network_id`, `network_type_id`, `network_request_param_value`),
INDEX (`network_id`),
INDEX (`network_type_id`)",
	'Request parameters for GET/POST request');

// Network handler error codes
addDropTableSql('network_error_codes');
addCreateTableSql('network_error_codes', "
`network_type_code_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_code_value` VARCHAR(50) NOT NULL DEFAULT '',
`network_type_code_type` VARCHAR(100) NOT NULL DEFAULT 'INVALID_TYPE',
PRIMARY KEY (`network_type_code_id`),
UNIQUE INDEX `code_type` (`network_type_code_value`, `network_type_id`),
INDEX (`network_type_id`)",
	'Error codes for all types');

// V-check error codes
addDropTableSql('network_vcheck_errors');
addCreateTableSql('network_vcheck_errors', "
`network_vcheck_error_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_vcheck_error_value` VARCHAR(50) NOT NULL DEFAULT '',
`network_vcheck_error_type` VARCHAR(100) NOT NULL DEFAULT 'INVALID_TYPE',
PRIMARY KEY (`network_vcheck_error_id`),
UNIQUE INDEX `provider_value` (`network_id`, `network_vcheck_error_value`),
UNIQUE INDEX `provider_type` (`network_id`, `network_vcheck_error_type`),
INDEX (`network_id`)",
	'Error codes for all payment checks');

// Valid translation keys (we hate hard-coded arrays, you see?)
addDropTableSql('network_translations');
addCreateTableSql('network_translations', "
`network_translation_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_translation_name` VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (`network_translation_id`),
UNIQUE INDEX (`network_translation_name`)",
	'Translations for array keys, generic data, DO NOT ALTER!');

// Array-Element translation tables per type/provider
addDropTableSql('network_array_translation');
addCreateTableSql('network_array_translation', "
`network_array_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_array_index` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_array_sort` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`network_array_id`),
UNIQUE INDEX `provider_type_key` (`network_id`, `network_type_id`, `network_array_index`),
INDEX (`network_array_sort`),
INDEX (`network_id`),
INDEX (`network_type_id`)",
	'Translation of API responses, generic data, DO NOT ALTER!');

// Data from the webmaster (you!)
addDropTableSql('network_api_config');
addCreateTableSql('network_api_config', "
`network_api_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_affiliate_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_password` VARCHAR(255) NOT NULL DEFAULT '',
`network_api_site_id` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_api_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
`network_api_referral_link` VARCHAR(255) NULL DEFAULT NULL,
`network_api_referral_button` VARCHAR(255) NULL DEFAULT NULL,
`network_api_remaining_requests` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_api_visual_pay_check` VARCHAR(255) NULL DEFAULT NULL,
PRIMARY KEY (`network_api_id`),
UNIQUE INDEX (`network_id`),
UNIQUE INDEX `network_affiliate` (`network_id`, `network_api_affiliate_id`),
UNIQUE INDEX `affiliate_site` (`network_api_affiliate_id`, `network_api_site_id`)",
	'API configuration data');

// Configuration data for e.g. reload-time
addDropTableSql('network_handler_config');
addCreateTableSql('network_handler_config', "
`network_data_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_max_reload_time` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_min_waiting_time` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_max_waiting_time` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_min_remain_clicks` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
`network_min_remain_budget` FLOAT(20,5) UNSIGNED NULL DEFAULT NULL,
`network_min_payment` FLOAT(20,5) UNSIGNED NULL DEFAULT NULL,
`network_allow_erotic` VARCHAR(10) NULL DEFAULT NULL,
`network_media_size` VARCHAR(10) NULL DEFAULT NULL,
`network_media_output` VARCHAR(255) NULL DEFAULT NULL,
PRIMARY KEY (`network_data_id`),
UNIQUE INDEX `provider_type` (`network_id`, `network_type_id`)",
	'Configuration data for every type (e.g. reload-time)');

// Configuration data for vcheck (e.g. key)
addDropTableSql('network_vcheck_config');
addCreateTableSql('network_vcheck_config', "
`network_vcheck_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_vcheck_key` VARCHAR(50) NOT NULL DEFAULT 'INVALID',
`network_vcheck_field1` VARCHAR(50) NOT NULL DEFAULT 'userid',
`network_vcheck_field2` VARCHAR(50) NOT NULL DEFAULT 'campaign_id',
PRIMARY KEY (`network_vcheck_id`),
UNIQUE INDEX (`network_id`),
UNIQUE INDEX (`network_vcheck_key`)",
	'Configuration data for vcheck per network');

/*
 * Cache for queried APIs. Re-check depends on config
 * `network_cache_refresh` in seconds or if set to zero, full day
 * divided by query amount.
 */
addDropTableSql('network_cache');
addCreateTableSql('network_cache', "
`network_cache_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_cache_data` MEDIUMTEXT NOT NULL,
`network_cache_body` MEDIUMBLOB NOT NULL,
`network_cache_type` ENUM('MANUAL','CRON','UNKNOWN') NOT NULL DEFAULT 'UNKNOWN',
`network_cache_added` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
`network_cache_updated` TIMESTAMP NULL DEFAULT NULL,
`network_cache_admin_id` BIGINT(20) NULL DEFAULT NULL,
PRIMARY KEY (`network_cache_id`),
UNIQUE INDEX `provider_type` (`network_id`, `network_type_id`)",
	'Cache for all queried APIs');

// Reload locks for several types
addDropTableSql('network_reloads');
addCreateTableSql('network_reloads', "
`network_reload_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_reload_lock` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
`network_added` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`network_reload_id`),
UNIQUE INDEX `provider_type` (`network_id`, `network_type_id`)",
	'Reload locks');

// Header logging (mostly for debugging)
addDropTableSql('network_header_logging');
addCreateTableSql('network_header_logging', "
`network_header_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`network_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_type_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`network_http_status_code` VARCHAR(255) NOT NULL DEFAULT '',
`network_http_headers` MEDIUMTEXT NOT NULL,
`network_logging_type` ENUM('MANUAL','CRON','UNKNOWN') NOT NULL DEFAULT 'UNKNOWN',
`network_header_added` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`network_header_id`),
INDEX `provider_type` (`network_id`, `network_type_id`)",
	'HTTP header logging');

// Insert API response array translations, these will be used for calling the right filter function
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_translations` (`network_translation_name`) VALUES
('campaign_id'),
('name'),
('alternate_text'),
('reload'),
('remain_clicks'),
('reward'),
('banner_id'),
('size'),
('text'),
('minimum_stay'),
('textlink_id'),
('surfbar_id'),
('mail_id'),
('layer_id'),
('popup_id'),
('popdown_id'),
('lead_id'),
('sale_id'),
('lead_sale_id'),
('banner_url1'),
('banner_url2'),
('banner_url3'),
('textlink1'),
('textlink2'),
('textlink3'),
('description'),
('traffic_id'),
('country_code'),
('banner_url4'),
('banner_url5'),
('banner_url6'),
('banner_url7'),
('banner_url8'),
('banner_url9'),
('banner_url10'),
('textlink4'),
('textlink5'),
('subject'),
('click_url'),
('media_url'),
('allowed_countries')");

// Sponsor networks
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_data` (`network_short_name`, `network_title`, `network_reflink`, `network_data_separator`, `network_row_separator`, `network_request_type`, `network_charset`, `network_require_id_card`, `network_query_amount`, `network_active`) VALUES
('a3h', 'A3H', 'http://www.a3h.de?ref=1447', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('abiszed', 'AbisZED-Netz', 'http://www.abiszed-netz.de?ref=1438', '|', '|', 'GET', 'ISO-8859-1', 'Y', 150, 'N'),
('ad_magnet', 'AD-Magnet', 'http://www.ad-magnet.de/?ref=1060', '|', '|', 'GET', 'ISO-8859-1', 'N', 500, 'N'),
('ad_cocktail', 'ADCocktail', 'http://www.adcocktail.com/?rid=2596', '|', '|', 'GET', 'WINDOWS-1252', 'N', 500, 'Y'),
('ad_paid', 'AdPaid', 'http://www.adpaid.de?ref=1464', '|', '|', 'GET', 'ISO-8859-1', 'N', 0, 'N'),
('ads4', 'Ads4.de', 'http://www.ads4.de/?werber=Quix0r', '|', '|', 'GET', 'WINDOWS-1252', 'N', 96, 'Y'),
('ads4webbis', 'Ads4Webbis', 'http://www.ads4webbis.de?ref=835', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'N'),
('ads4world', 'Ads4World', 'http://www.ads4world.de?ref=252', '|', '|', 'GET', 'WINDOWS-1252', 'N', 0, 'N'),
('affiliblatt', 'Affiliblatt', 'http://www.affiliblatt.de/?sid=MTAzNQ==&site=home', '|', '|', 'GET', 'ISO-8859-1', 'N', 0, 'Y'),
('all_ads4you', 'AllAds4You', 'http://www.allads4you.de?ref=1146', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('alster_marketing', 'Alster-Marketing', 'http://www.alstermarketing.de?ref=1851', '|', '|', 'GET', 'ISO-8859-16', 'N', 350, 'N'),
('bonus_sponsor', 'BonusSponsor', 'http://www.bonussponsor.de?ref=1286', '|', '|', 'GET', 'WINDOWS-1252', 'N', 150, 'Y'),
('fusion_ads', 'Fusion-Ads', 'http://www.fusion-ads.de/?ref=84', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'N'),
('giga_promo', 'GigaPromo', 'http://www.gigapromo.de/index.php?ref=953', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('hp_sponsor', 'HPSponsor', 'http://hpsponsor.at?ref=29', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('make-euros', 'Make-Euros.de', 'http://www.make-euros.de?ref=1184', '|', '|', 'GET', 'ISO-8859-1', 'Y', 150, 'Y'),
('mega_ad', 'Mega-Ad', 'http://www.mega-ad.de/?ref=303', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('power-promo', 'Power-Promo', 'http://www.power-promo.de?ref=1231', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('se_cash', 'SeCash', 'http://www.secash.de?ref=758', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('welt_promotion', 'WeltPromotion', 'http://www.weltpromotion.de?ref=3', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('ultra_promo', 'UltraPROMO', 'http://www.ultrapromo.eu?ref=485', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'N'),
('werbe_partner_cc', 'DerWerbepartner.cc', 'http://www.werbepartner.cc/sponsor/?ref=696', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'Y'),
('yoo_media', 'Yoo!Media', 'http://www.yoomedia.de?ref=1715', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('city_ads', 'City-Ads', 'http://www.city-ads.de?ref=221', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('gold_sponsor', 'Gold-Sponsor', 'http://www.gold-sponsor.de?ref=42', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'N'),
('double_ads', 'doubleads.de', 'http://www.doubleads.de?ref=1063', '|', '|', 'GET', 'ISO-8859-1','Y', 150, 'N'),
('vip_ads', 'VIPads.de', 'http://vipads.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'N'),
('home_ads', 'homeADS', 'http://www.homeads.de/?ref=1540', '|', '|', 'GET', 'WINDOWS-1252', 'N', 0, 'N'),
('fucoex_sponsor', 'FuCoExSponsor.net', 'http://fucoexsponsor.net/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'N'),
('ad_convention', 'AdConvention', 'http://www.adconvention.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'WINDOWS-1252', 'N', 300, 'Y'),
('ad-hit', 'Ad-Hit.de', 'http://www.ad-hit.de?ref=41', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('ad_city', 'AdCity.eu', 'http://www.adcity.eu?ref=38', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('ad_gain', 'adgain.de', 'http://www.adgain.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('ad_kracher', 'ADkracher', 'http://www.adkracher.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 350, 'Y'),
('admin_lose', 'Adminlose.de', 'http://www.adminlose.de/index.php?ref=2148', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('ad_mono', 'Admono.de', 'http://www.admono.de/?ref=92', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('ad-promotion-net', 'Ad-Promotion.net', 'http://ad-promotion.net?ref=10194', '|', '|', 'GET', 'WINDOWS-1252', 'N', 150, 'Y'),
('ad_provi', 'AdProvi.de', 'http://www.adprovi.de?ref=439', '|', '|', 'GET', 'ISO-8859-1', 'N', 200, 'Y'),
('ads2earn', 'Ads2Earn', 'http://www.ads2earn.de?ref=1294', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('ads2webbi', 'Ads2Webbi', 'http://www.ads2webbi.de?ref=79', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('super_promo24', 'SuperPromo24', 'http://www.superpromo24.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'Y'),
('eu_ads', 'eu-ADS.de', 'http://www.eu-ads.de?ref=411', '|', '|', 'GET', 'ISO-8859-1', 'N', 200, 'Y'),
('xiji', 'Xiji.de', 'http://www.xiji.de/index.php?ref=7715', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'Y'),
('crystall', 'Crystall Werbenetzwerk', 'http://www.crystall.de?ref=1575', '|', '|', 'GET', 'ISO-8859-1', 'N', 200, 'Y'),
('gollox', 'GolloX', 'http://www.gollox.de/?id=720', '|', '|', 'GET', 'ISO-8859-1', 'N', 0, 'Y'),
('giga_ad', 'Giga-Ad', 'http://giga-ad.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'Y', 250, 'Y'),
('master_ad', 'MasterAd', 'http://www.masterad.de/?ref=1661&refsubid=script', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'Y'),
('pro_advert', 'ProAdvert', 'http://www.pro-advert.de?ref=450', '|', '|', 'GET', 'ISO-8859-16', 'N', 250, 'Y'),
('sponsor_box', 'Sponsor-Box', 'http://www.sponsor-box.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'Y'),
('paid4webmaster', 'Paid-4-Webmaster', 'http://www.paid-4-webmaster.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-15', 'N', 350, 'Y'),
('vario_ads', 'Vario-Ads', 'http://www.vario-ads.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 200, 'Y'),
('ads_abisz', 'ADS-AbisZ', 'http://www.ads-abisz.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'Y'),
('werbe_sponsor', 'Werbe-Sponsor.de', 'http://www.werbe-sponsor.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'WINDOWS-1252', 'N', 800, 'Y'),
('ads4all', 'Ads-4-All.de', 'http://www.ads-4-all.de?ref=272', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'N'),
('ads4allweb', 'Ads4AllWeb', 'http://www.ads4allweb.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 250, 'Y'),
('ads_im_netz', 'Ads-Im-Netz', 'http://www.ads-im-netz.de/?ref=1025', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'N'),
('ads4paid4', 'Ads4Paid4', 'http://www.ads4paid4.de/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 350, 'Y'),
('paid_city', 'Paid-City', 'http://www.paid-city.de/?ref=2587', '|', '|', 'GET', 'WINDOWS-1252', 'N', 100, 'N'),
('paid4ad', 'Paid4Ad', 'http://www.paid4ad.de/index.php?seite=anmeldung&ref=ShipSimu', '|', '|', 'GET', 'ISO-8859-1', 'N', 150, 'Y'),
('ads4angel', 'Ads4Angel', 'http://ads4angel.de/?ref=200', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'Y'),
('werbeflut_net', 'Werbeflut.net', 'http://www.werbeflut.net/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 300, 'Y'),
('earn4webbis', 'Earn4Webbis', 'http://www.earn4webbis.net/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 500, 'Y'),
('erotic_promotion', 'Erotic-Promotion', 'http://erotic-promotion.eu?ref=167', '|', '|', 'GET', 'WINDOWS-1252', 'N', 200, 'Y'),
('lose_ads', 'LoseAds', 'http://www.loseads.eu/index.php?seite=anmeldung&ref=Quix0r', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'N'),
('kueko_net', 'Kueko-Net', 'http://www.kueko-net.de/?seite=content/anmeldung&ref=589', '|', '|', 'GET', 'WINDOWS-1252', 'N', 150, 'Y'),
('forced_lose', 'Forced-Lose', 'http://www.forced-lose.de/?rid=3155', '|', '|', 'GET', 'UTF-8', 'N', 1000, 'Y'),
('ads4clicks', 'Ads4Clicks', 'http://www.ads4clicks.de/?ref=215', '|', '|', 'GET', 'ISO-8859-1', 'N', 100, 'Y')");

// Network type handlers - A3H
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(1, 1, 'banner_click', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(2, 1, 'textlink_click', 'http://www.a3h.de/interface/out_textlink.php', 'http://www.a3h.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(3, 1, 'surfbar_click', 'http://www.a3h.de/interface/out_sbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(4, 1, 'forced_banner', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(5, 1, 'textmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(6, 1, 'layer_click', 'http://www.a3h.de/interface/out_layer.php', 'http://www.a3h.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(7, 1, 'popup', 'http://www.a3h.de/interface/out_popup.php', 'http://www.a3h.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(8, 1, 'popdown', 'http://www.a3h.de/interface/out_popdown.php', 'http://www.a3h.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(9, 1, 'lead', 'http://www.a3h.de/interface/out_lead.php', 'http://www.a3h.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(10, 1, 'sale', 'http://www.a3h.de/interface/out_sale.php', 'http://www.a3h.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(11, 1, 'htmlmail', 'http://www.a3h.de/interface/out_paidmail.php', 'http://www.a3h.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(387, 1, 'banner_view', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(388, 1, 'layer_view', 'http://www.a3h.de/interface/out_layer.php', 'http://www.a3h.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(389, 1, 'surfbar_view', 'http://www.a3h.de/interface/out_sbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(390, 1, 'textlink_view', 'http://www.a3h.de/interface/out_textlink.php', 'http://www.a3h.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(461, 1, 'button_click', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(462, 1, 'button_view', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(463, 1, 'skyscraper_click', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(464, 1, 'skyscraper_view', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(465, 1, 'half_banner_click', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(466, 1, 'half_banner_view', 'http://www.a3h.de/interface/out_banner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(467, 1, 'forced_button', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(468, 1, 'forced_half_banner', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE'),
(469, 1, 'forced_skyscraper', 'http://www.a3h.de/interface/out_fbanner.php', 'http://www.a3h.de/bannerklf.php?id=%CID%', 'http://www.a3h.de/banner.php?id=%CID%', 'h', 'NONE')");

// Network type handlers - AbisZED-Netz
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(187, 2, 'banner_click', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(188, 2, 'banner_view', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(189, 2, 'textlink_click', 'http://www.abiszed-netz.de/interface/out_textlink.php', 'http://www.abiszed-netz.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(190, 2, 'textlink_view', 'http://www.abiszed-netz.de/interface/out_textlink.php', 'http://www.abiszed-netz.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(191, 2, 'surfbar_click', 'http://www.abiszed-netz.de/interface/out_sbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(192, 2, 'surfbar_view', 'http://www.abiszed-netz.de/interface/out_sbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(193, 2, 'forced_banner', 'http://www.abiszed-netz.de/interface/out_fbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(194, 2, 'textmail', 'http://www.abiszed-netz.de/interface/out_paidmail.php', 'http://www.abiszed-netz.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(195, 2, 'htmlmail', 'http://www.abiszed-netz.de/interface/out_paidmail.php', 'http://www.abiszed-netz.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(196, 2, 'layer_click', 'http://www.abiszed-netz.de/interface/out_layer.php', 'http://www.abiszed-netz.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(197, 2, 'layer_view', 'http://www.abiszed-netz.de/interface/out_layer.php', 'http://www.abiszed-netz.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(198, 2, 'popup', 'http://www.abiszed-netz.de/interface/out_popup.php', 'http://www.abiszed-netz.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(199, 2, 'popdown', 'http://www.abiszed-netz.de/interface/out_popdown.php', 'http://www.abiszed-netz.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(200, 2, 'lead', 'http://www.abiszed-netz.de/interface/out_lead.php', 'http://www.abiszed-netz.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(201, 2, 'sale', 'http://www.abiszed-netz.de/interface/out_sale.php', 'http://www.abiszed-netz.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(470, 2, 'button_click', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(471, 2, 'button_view', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(472, 2, 'half_banner_click', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(473, 2, 'half_banner_view', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(474, 2, 'skyscraper_click', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(475, 2, 'skyscraper_view', 'http://www.abiszed-netz.de/interface/out_banner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(476, 2, 'forced_button', 'http://www.abiszed-netz.de/interface/out_fbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(477, 2, 'forced_half_banner', 'http://www.abiszed-netz.de/interface/out_fbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE'),
(478, 2, 'forced_skyscraper', 'http://www.abiszed-netz.de/interface/out_fbanner.php', 'http://www.abiszed-netz.de/bannerklf.php?id=%CID%', 'http://www.abiszed-netz.de/banner.php?id=%CID%', 'h', 'NONE')");

// Network type handlers - Ad-Hit.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(302, 31, 'forced_banner', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ad-hit.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(303, 31, 'forced_textlink', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(304, 31, 'banner_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ad-hit.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(305, 31, 'banner_click', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ad-hit.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(306, 31, 'skyscraper_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ad-hit.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(307, 31, 'button_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ad-hit.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(308, 31, 'textlink_view', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(309, 31, 'traffic', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(310, 31, 'popup', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(311, 31, 'textmail', 'http://www.ad-hit.de/interface/api_2.php', 'http://www.ad-hit.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Ad-Magnet
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(483, 3, 'banner_click', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(484, 3, 'banner_view', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(485, 3, 'surfbar_click', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(486, 3, 'surfbar_view', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(487, 3, 'forced_banner', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(488, 3, 'textlink_click', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(489, 3, 'textlink_view', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(490, 3, 'layer_click', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(491, 3, 'layer_view', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(492, 3, 'popup', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(493, 3, 'popdown', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(494, 3, 'htmlmail', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(495, 3, 'textmail', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(496, 3, 'pagepeel_click', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(497, 3, 'pagepeel_view', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(498, 3, 'lead', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(499, 3, 'sale', 'http://www.ad-magnet.de/interface/output.php', NULL, NULL, 'h', 'NONE')");

// Network type handlers - Ad-Promotion.net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(367, 37, 'forced_banner', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://ad-promotion.net/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(368, 37, 'forced_textlink', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(369, 37, 'banner_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://ad-promotion.net/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(370, 37, 'banner_click', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://ad-promotion.net/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(371, 37, 'skyscraper_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://ad-promotion.net/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(372, 37, 'button_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://ad-promotion.net/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(373, 37, 'textlink_view', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(374, 37, 'traffic', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(375, 37, 'popup', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(376, 37, 'textmail', 'http://ad-promotion.net/interface/api_2.php', 'http://ad-promotion.net/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - AdCity.eu
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(312, 32, 'forced_banner', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(313, 32, 'forced_textlink', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(314, 32, 'banner_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(315, 32, 'banner_click', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(316, 32, 'skyscraper_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(317, 32, 'button_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adcity.eu/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(318, 32, 'textlink_view', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(319, 32, 'traffic', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(320, 32, 'popup', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(321, 32, 'textmail', 'http://www.adcity.eu/interface/', 'http://www.adcity.eu/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - AdCocktail
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(12, 4, 'textmail', 'http://www.adcocktail.com/sc/kas/kas_pm.php', 'http://pm.adcocktail.com/pm.php?uid=%UID%&wid=%BID%&wsid=%SID%', NULL, 'h', 'NONE'),
(13, 4, 'forced_banner', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'h', 'NONE'),
(479, 4, 'traffic', 'http://www.adcocktail.com/sc/kas/kas_tt.php', 'http://tt.adcocktail.com/tt.php?uid=%UID%&wid=%BID%&wsid=%SID%', NULL, 'h', 'NONE'),
(480, 4, 'forced_button', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'h', 'NONE'),
(481, 4, 'forced_half_banner', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'h', 'NONE'),
(482, 4, 'forced_skyscraper', 'http://www.adcocktail.com/sc/kas/kas_fk.php', 'http://fk.adcocktail.com/fk_k.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'http://fk.adcocktail.com/fk_v.php?uid=%UID%&wid=%BID%&wsid=%SID%', 'h', 'NONE')");

// Network type handlers - AdConvention
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(295, 30, 'banner_click', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adconvention.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(294, 30, 'banner_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adconvention.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(297, 30, 'button_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adconvention.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(292, 30, 'forced_banner', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adconvention.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(293, 30, 'forced_textlink', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(300, 30, 'popup', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(296, 30, 'skyscraper_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adconvention.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(298, 30, 'textlink_view', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(301, 30, 'textmail', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(299, 30, 'traffic', 'http://www.adconvention.de/interface/', 'http://www.adconvention.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - adgain.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(322, 33, 'banner_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(323, 33, 'banner_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(324, 33, 'forced_banner', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(325, 33, 'forced_textlink', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(326, 33, 'htmlmail', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'BASE64'),
(327, 33, 'layer', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(328, 33, 'textmail', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(329, 33, 'popup', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(330, 33, 'skyscraper_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(331, 33, 'skyscraper_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(332, 33, 'surfbar_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(333, 33, 'surfbar_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adgain.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(334, 33, 'textlink_click', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(335, 33, 'textlink_view', 'http://www.adgain.de/int/get.php', 'http://www.adgain.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - ADkracher
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(336, 34, 'banner_click', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(337, 34, 'banner_view', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(338, 34, 'forced_banner', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(339, 34, 'forced_textlink', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(340, 34, 'htmlmail', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'BASE64'),
(341, 34, 'layer', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(342, 34, 'textmail', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(343, 34, 'popup', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(344, 34, 'skyscraper_click', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(345, 34, 'skyscraper_view', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.adkracher.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(346, 34, 'textlink_click', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(347, 34, 'textlink_view', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(348, 34, 'traffic', 'http://www.adkracher.de/int/get.php', 'http://www.adkracher.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - Adminlose.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(349, 35, 'banner_view', 'http://www.adminlose.de/interface/output_bannerviews.php', 'http://www.adminlose.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adminlose.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(350, 35, 'textlink_view', 'http://www.adminlose.de/interface/output_textlinkviews.php', 'http://www.adminlose.de/lose/viewtextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(351, 35, 'forced_banner', 'http://www.adminlose.de/interface/output_forcedbanner.php', 'http://www.adminlose.de/lose/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.adminlose.de/lose/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(352, 35, 'forced_textlink', 'http://www.adminlose.de/interface/output_forcedtextlink.php', 'http://www.adminlose.de/lose/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(353, 35, 'textmail', 'http://www.adminlose.de/interface/output_paidmails.php', 'http://www.adminlose.de/lose/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(354, 35, 'traffic', 'http://www.adminlose.de/interface/output_traffic.php', 'http://www.adminlose.de/lose/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(355, 35, 'popup', 'http://www.adminlose.de/interface/output_popup.php', 'http://www.adminlose.de/lose/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(356, 35, 'popdown', 'http://www.adminlose.de/interface/output_popup.php', 'http://www.adminlose.de/lose/popdown.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - Admono.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`) VALUES
(357, 36, 'forced_banner', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.admono.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(358, 36, 'forced_textlink', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL),
(359, 36, 'banner_view', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.admono.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(360, 36, 'banner_click', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.admono.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%'),
(361, 36, 'skyscraper_view', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.admono.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(362, 36, 'button_view', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.admono.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%'),
(363, 36, 'textlink_view', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL),
(364, 36, 'traffic', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL),
(365, 36, 'popup', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL),
(366, 36, 'textmail', 'http://www.admono.de/interface/get_v3.php', 'http://www.admono.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL)");

// Network type handlers - AdPaid
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(177, 5, 'banner_click', 'http://www.adpaid.de/interface/out_banner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h', 'NONE'),
(391, 5, 'banner_view', 'http://www.adpaid.de/interface/out_banner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h', 'NONE'),
(178, 5, 'textlink_click', 'http://www.adpaid.de/interface/out_textlink.php', 'http://www.adpaid.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(394, 5, 'textlink_view', 'http://www.adpaid.de/interface/out_textlink.php', 'http://www.adpaid.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(393, 5, 'surfbar_view', 'http://www.adpaid.de/interface/out_sbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h', 'NONE'),
(179, 5, 'surfbar_click', 'http://www.adpaid.de/interface/out_sbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h', 'NONE'),
(180, 5, 'forced_banner', 'http://www.adpaid.de/interface/out_fbanner.php', 'http://www.adpaid.de/bannerklf.php?id=%CID%', 'http://www.adpaid.de/banner.php?id=%CID%', 'h', 'NONE'),
(181, 5, 'textmail', 'http://www.adpaid.de/interface/out_paidmail.php', 'http://www.adpaid.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(182, 5, 'layer_click', 'http://www.adpaid.de/interface/out_layer.php', 'http://www.adpaid.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(392, 5, 'layer_view', 'http://www.adpaid.de/interface/out_layer.php', 'http://www.adpaid.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(183, 5, 'popup', 'http://www.adpaid.de/interface/out_popup.php', 'http://www.adpaid.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(184, 5, 'popdown', 'http://www.adpaid.de/interface/out_popdown.php', 'http://www.adpaid.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(185, 5, 'lead', 'http://www.adpaid.de/interface/out_lead.php', 'http://www.adpaid.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(186, 5, 'sale', 'http://www.adpaid.de/interface/out_sale.php', 'http://www.adpaid.de/sale.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - AdProvi
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(377, 38, 'forced_banner', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.adprovi.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(378, 38, 'forced_textlink', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(379, 38, 'banner_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.adprovi.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(380, 38, 'banner_click', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.adprovi.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(381, 38, 'skyscraper_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.adprovi.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(382, 38, 'button_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.adprovi.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(383, 38, 'textlink_view', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(384, 38, 'traffic', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(385, 38, 'popup', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(386, 38, 'textmail', 'http://www.adprovi.de/interface/api_2.php', 'http://www.adprovi.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Ads-AbisZ
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(620, 52, 'banner_click', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(621, 52, 'banner_view', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(622, 52, 'button_click', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(623, 52, 'button_view', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(624, 52, 'forced_banner', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(625, 52, 'forced_textlink', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(626, 52, 'htmlmail', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(627, 52, 'layer', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(628, 52, 'textmail', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(629, 52, 'popup', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(630, 52, 'skyscraper_click', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(631, 52, 'skyscraper_view', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(632, 52, 'surfbar_click', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(633, 52, 'surfbar_view', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads-abisz.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(634, 52, 'textlink_click', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(635, 52, 'textlink_view', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(636, 52, 'traffic', 'http://www.ads-abisz.de/int/get.php', 'http://www.ads-abisz.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Ads-Im-Netz

// Network type handlers - Ads2Earn
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(395, 39, 'banner_click', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE'),
(396, 39, 'banner_view', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE'),
(397, 39, 'textlink_click', 'http://www.ads2earn.de/interface/out_textlink.php', 'http://www.ads2earn.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(398, 39, 'textlink_view', 'http://www.ads2earn.de/interface/out_textlink.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', NULL, 'h', 'NONE'),
(399, 39, 'forced_banner', 'http://www.ads2earn.de/interface/out_fbanner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE'),
(400, 39, 'htmlmail', 'http://www.ads2earn.de/interface/out_paidmail.php', 'http://www.ads2earn.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(401, 39, 'textmail', 'http://www.ads2earn.de/interface/out_paidmail.php', 'http://www.ads2earn.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(402, 39, 'button_click', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE'),
(403, 39, 'button_view', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE'),
(404, 39, 'skyscraper_click', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE'),
(405, 39, 'skyscraper_view', 'http://www.ads2earn.de/interface/out_banner.php', 'http://www.ads2earn.de/bannerklf.php?id=%CID%', 'http://www.ads2earn.de/banner.php?id=%CID%', 'h', 'NONE')");

// Network type handlers - Ads2Webbi
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(406, 40, 'forced_banner', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(407, 40, 'forced_textlink', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(408, 40, 'banner_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(409, 40, 'banner_click', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(410, 40, 'skyscraper_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(411, 40, 'button_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads2webbi.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(412, 40, 'textlink_view', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(413, 40, 'traffic', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(414, 40, 'popup', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(415, 40, 'textmail', 'http://www.ads2webbi.de/interface/', 'http://www.ads2webbi.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - Ads-4-All
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(669, 54, 'banner_click', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads-4-all.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(670, 54, 'banner_view', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads-4-all.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(671, 54, 'button_view', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads-4-all.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(672, 54, 'forced_banner', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads-4-all.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(673, 54, 'forced_textlink', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(674, 54, 'popup', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(675, 54, 'skyscraper_view', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads-4-all.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(676, 54, 'textlink_view', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(677, 54, 'textmail', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(678, 54, 'traffic', 'http://www.ads-4-all.de/interface/', 'http://www.ads-4-all.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - Ads4
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(14, 6, 'forced_banner', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/forced_click.php?fb_id=%CID%&sid=%SID%', 'http://www.ads4.de/forced_view.php?fb_id=%CID%&sid=%SID%', 'h', 'NONE'),
(16, 6, 'htmlmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(15, 6, 'textmail', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/paidmail_click.php?pm=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(119, 6, 'traffic', 'http://www.ads4.de/interface/interface.php', 'http://www.ads4.de/traffic_click.php?tr_id=%CID%&sid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - Ads4AllWeb
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(679, 55, 'banner_click', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(680, 55, 'banner_view', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(681, 55, 'forced_banner', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(682, 55, 'forced_textlink', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(683, 55, 'htmlmail', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'BASE64'),
(684, 55, 'layer', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(685, 55, 'textmail', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(686, 55, 'popup', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(687, 55, 'skyscraper_click', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(688, 55, 'skyscraper_view', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(689, 55, 'surfbar_click', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(690, 55, 'surfbar_view', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4allweb.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(691, 55, 'textlink_click', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(692, 55, 'textlink_view', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(693, 55, 'traffic', 'http://www.ads4allweb.de/int/get.php', 'http://www.ads4allweb.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - Ads4Angel
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(728, 60, 'textmail', 'http://ads4angel.de/interface.php', NULL, NULL, 'h','NONE'),
(729, 60, 'textlink_click', 'http://ads4angel.de/interface.php', NULL, NULL, 'h','NONE')");

// Network type handlers - Ads4Clicks
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(809, 67, 'textmail', 'http://www.ads4clicks.de/interface.php', NULL, NULL, 'h','NONE'),
(810, 67, 'traffic', 'http://www.ads4clicks.de/interface.php', NULL, NULL, 'h','NONE'),
(811, 67, 'forced_banner', 'http://www.ads4clicks.de/interface.php', NULL, NULL, 'h','NONE'),
(812, 67, 'forced_textlink', 'http://www.ads4clicks.de/interface.php', NULL, NULL, 'h','NONE'),
(813, 67, 'htmlmail', 'http://www.ads4clicks.de/interface.php', NULL, NULL, 'h','NONE')");

// Network type handlers - Ads4Paid4
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(694, 57, 'banner_click', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4paid4.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(695, 57, 'banner_view', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4paid4.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(696, 57, 'forced_banner', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4paid4.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(697, 57, 'forced_textlink', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(698, 57, 'layer', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(699, 57, 'textmail', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(700, 57, 'popup', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(701, 57, 'skyscraper_click', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4paid4.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(702, 57, 'skyscraper_view', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.ads4paid4.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(703, 57, 'textlink_click', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(704, 57, 'textlink_view', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(705, 57, 'traffic', 'http://www.ads4paid4.de/int/get.php', 'http://www.ads4paid4.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - Ads4Webbis
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(20, 7, 'banner_click', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ads4webbis.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(19, 7, 'banner_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4webbis.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(22, 7, 'button_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ads4webbis.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(17, 7, 'forced_banner', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ads4webbis.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(18, 7, 'forced_textlink', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(24, 7, 'popup', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(21, 7, 'skyscraper_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ads4webbis.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(23, 7, 'textlink_view', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(25, 7, 'textmail', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(120, 7, 'traffic', 'http://www.ads4webbis.de/interface/api_2.php', 'http://www.ads4webbis.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Ads4World
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(29, 8, 'banner_click', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(28, 8, 'banner_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(31, 8, 'button_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(26, 8, 'forced_banner', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(27, 8, 'forced_textlink', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(33, 8, 'popup', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(30, 8, 'skyscraper_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.ads4world.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(32, 8, 'textlink_view', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(34, 8, 'textmail', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(121, 8, 'traffic', 'http://www.ads4world.de/interface/', 'http://www.ads4world.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - Affiliblatt
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(441, 9, 'banner_click', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(442, 9, 'banner_view', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(443, 9, 'surfbar_click', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(444, 9, 'surfbar_view', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(445, 9, 'signature_click', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(446, 9, 'signature_view', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(447, 9, 'forced_banner', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(448, 9, 'textmail', 'http://www.affiliblatt.de/lose/interface/output_paidmail2.php', 'http://www.affiliblatt.de/lose/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(449, 9, 'traffic', 'http://www.affiliblatt.de/lose/interface/output_traffic.php', 'http://www.affiliblatt.de/lose/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(500, 9, 'button_click', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(501, 9, 'button_view', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(502, 9, 'half_banner_click', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(503, 9, 'half_banner_view', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(504, 9, 'skyscraper_click', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(505, 9, 'skyscraper_view', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(506, 9, 'forced_button', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(507, 9, 'forced_half_banner', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(508, 9, 'forced_skyscraper', 'http://www.affiliblatt.de/lose/interface/output_kampagne.php', 'http://www.affiliblatt.de/lose/clickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.affiliblatt.de/lose/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE')");

// Network type handlers - AllAds4You
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(167, 10, 'forced_banner', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.allads4you.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(168, 10, 'forced_textlink', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(169, 10, 'banner_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.allads4you.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(170, 10, 'banner_click', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.allads4you.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(171, 10, 'skyscraper_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.allads4you.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(172, 10, 'button_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.allads4you.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(173, 10, 'textlink_view', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(174, 10, 'traffic', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(175, 10, 'popup', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(176, 10, 'textmail', 'http://www.allads4you.de/interface/get_v3.php', 'http://www.allads4you.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - Alster-Marketing
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(35, 11, 'banner_click', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h', 'NONE'),
(45, 11, 'banner_view', 'http://if.alstermarketing.de/interface/out_banner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h', 'NONE'),
(38, 11, 'forced_banner', 'http://if.alstermarketing.de/interface/out_fbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h', 'NONE'),
(48, 11, 'htmlmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(40, 11, 'layer_click', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(49, 11, 'layer_view', 'http://if.alstermarketing.de/interface/out_layer.php', 'http://www.alstermarketing.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(43, 11, 'lead', 'http://if.alstermarketing.de/interface/out_lead.php', 'http://www.alstermarketing.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(42, 11, 'popdown', 'http://if.alstermarketing.de/interface/out_popdown.php', 'http://www.alstermarketing.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(41, 11, 'popup', 'http://if.alstermarketing.de/interface/out_popup.php', 'http://www.alstermarketing.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(44, 11, 'sale', 'http://if.alstermarketing.de/interface/out_sale.php', 'http://www.alstermarketing.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(37, 11, 'surfbar_click', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h', 'NONE'),
(47, 11, 'surfbar_view', 'http://if.alstermarketing.de/interface/out_sbanner.php', 'http://www.alstermarketing.de/bannerklf.php?id=%CID%', 'http://www.alstermarketing.de/banner.php?id=%CID%', 'h', 'NONE'),
(36, 11, 'textlink_click', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(46, 11, 'textlink_view', 'http://if.alstermarketing.de/interface/out_textlink.php', 'http://www.alstermarketing.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(39, 11, 'textmail', 'http://if.alstermarketing.de/interface/out_paidmail.php', 'http://www.alstermarketing.de/emailf.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - BonusSponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(61, 12, 'lead', 'http://www.bonussponsor.de/interface/out_lead.php', 'http://www.bonussponsor.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(62, 12, 'sale', 'http://www.bonussponsor.de/interface/out_sale.php', 'http://www.bonussponsor.de/sale.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - City-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(215, 24, 'banner_click', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.city-ads.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(214, 24, 'banner_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.city-ads.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(217, 24, 'button_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.city-ads.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(212, 24, 'forced_banner', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.city-ads.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(213, 24, 'forced_textlink', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(220, 24, 'popup', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(216, 24, 'skyscraper_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.city-ads.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(218, 24, 'textlink_view', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(221, 24, 'textmail', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(219, 24, 'traffic', 'http://www.city-ads.de/interface/api_2.php', 'http://www.city-ads.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Conegi
/*
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(, 1, 'banner_click', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'textlink_click', 'http://www.conegi.de/interface/out_textlink.php', 'http://www.conegi.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'surfbar_click', 'http://www.conegi.de/interface/out_sbanner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'forced_banner', 'http://www.conegi.de/interface/out_fbanner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'textmail', 'http://www.conegi.de/interface/out_paidmail.php', 'http://www.conegi.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'layer_click', 'http://www.conegi.de/interface/out_layer.php', 'http://www.conegi.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'popup', 'http://www.conegi.de/interface/out_popup.php', 'http://www.conegi.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'popdown', 'http://www.conegi.de/interface/out_popdown.php', 'http://www.conegi.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'lead', 'http://www.conegi.de/interface/out_lead.php', 'http://www.conegi.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'sale', 'http://www.conegi.de/interface/out_sale.php', 'http://www.conegi.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'htmlmail', 'http://www.conegi.de/interface/out_paidmail.php', 'http://www.conegi.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'banner_view', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'layer_view', 'http://www.conegi.de/interface/out_layer.php', 'http://www.conegi.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'surfbar_view', 'http://www.conegi.de/interface/out_sbanner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'textlink_view', 'http://www.conegi.de/interface/out_textlink.php', 'http://www.conegi.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(, 1, 'button_click', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'button_view', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'skyscraper_click', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'skyscraper_view', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'half_banner_click', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'half_banner_view', 'http://www.conegi.de/interface/out_banner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'forced_button', 'http://www.conegi.de/interface/out_fbanner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'forced_half_banner', 'http://www.conegi.de/interface/out_fbanner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE'),
(, 1, 'forced_skyscraper', 'http://www.conegi.de/interface/out_fbanner.php', 'http://www.conegi.de/bannerklf.php?id=%CID%', 'http://www.conegi.de/banner.php?id=%CID%', 'h', 'NONE')");
*/

// Network type handlers - Crystall
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(538, 44, 'forced_banner', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.crystall.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(539, 44, 'forced_textlink', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(540, 44, 'banner_view', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.crystall.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(541, 44, 'banner_click', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/klickbanner.php?id=%CID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.crystall.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(542, 44, 'skyscraper_view', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.crystall.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(543, 44, 'button_view', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.crystall.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(544, 44, 'textlink_view', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(545, 44, 'traffic', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(546, 44, 'popup', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(547, 44, 'textmail', 'http://www.crystall.de/interface/api_2.php', 'http://www.crystall.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE')");

// Network type handlers - doubleads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(232, 26, 'banner_click', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(233, 26, 'banner_view', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(234, 26, 'textlink_click', 'http://www.doubleads.de/interface/out_textlink.php', 'http://www.doubleads.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(235, 26, 'textlink_view', 'http://www.doubleads.de/interface/out_textlink.php', 'http://www.doubleads.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(236, 26, 'surfbar_click', 'http://www.doubleads.de/interface/out_sbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(237, 26, 'surfbar_view', 'http://www.doubleads.de/interface/out_sbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(238, 26, 'forced_banner', 'http://www.doubleads.de/interface/out_fbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(239, 26, 'textmail', 'http://www.doubleads.de/interface/out_paidmail.php', 'http://www.doubleads.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(240, 26, 'htmlmail', 'http://www.doubleads.de/interface/out_paidmail.php', 'http://www.doubleads.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(241, 26, 'layer_click', 'http://www.doubleads.de/interface/out_layer.php', 'http://www.doubleads.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(242, 26, 'layer_view', 'http://www.doubleads.de/interface/out_layer.php', 'http://www.doubleads.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(243, 26, 'popup', 'http://www.doubleads.de/interface/out_popup.php', 'http://www.doubleads.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(244, 26, 'popdown', 'http://www.doubleads.de/interface/out_popdown.php', 'http://www.doubleads.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(245, 26, 'lead', 'http://www.doubleads.de/interface/out_lead.php', 'http://www.doubleads.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(246, 26, 'sale', 'http://www.doubleads.de/interface/out_sale.php', 'http://www.doubleads.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(509, 26, 'button_click', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(510, 26, 'button_view', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(511, 26, 'half_banner_click', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(512, 26, 'half_banner_view', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(513, 26, 'skyscraper_click', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(514, 26, 'skyscraper_view', 'http://www.doubleads.de/interface/out_banner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(515, 26, 'forced_button', 'http://www.doubleads.de/interface/out_fbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(516, 26, 'forced_half_banner', 'http://www.doubleads.de/interface/out_fbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE'),
(517, 26, 'forced_skyscraper', 'http://www.doubleads.de/interface/out_fbanner.php', 'http://www.doubleads.de/bannerklf.php?id=%CID%', 'http://www.doubleads.de/banner.php?id=%CID%', 'h', 'NONE')");

// Network type handlers - Earn4Webbis
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(747, 62, 'banner_click', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(748, 62, 'banner_view', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(749, 62, 'button_click', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(750, 62, 'button_view', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(751, 62, 'forced_banner', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(752, 62, 'forced_textlink', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(753, 62, 'htmlmail', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(754, 62, 'layer', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(755, 62, 'textmail', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(756, 62, 'popup', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(757, 62, 'skyscraper_click', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(758, 62, 'skyscraper_view', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(759, 62, 'surfbar_click', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(760, 62, 'surfbar_view', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.earn4webbis.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(761, 62, 'textlink_click', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(762, 62, 'textlink_view', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(763, 62, 'traffic', 'http://www.earn4webbis.net/int/get.php', 'http://www.earn4webbis.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Erotic-Promotion
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(764, 63, 'forced_banner', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://erotic-promotion.eu/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(765, 63, 'forced_textlink', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(766, 63, 'banner_view', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://erotic-promotion.eu/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(767, 63, 'banner_click', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://erotic-promotion.eu/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(768, 63, 'skyscraper_view', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://erotic-promotion.eu/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(769, 63, 'button_view', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://erotic-promotion.eu/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(770, 63, 'textlink_view', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(771, 63, 'traffic', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(772, 63, 'popup', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(773, 63, 'textmail', 'http://erotic-promotion.eu/interface/api_2.php', 'http://erotic-promotion.eu/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - eu-ADS.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(431, 42, 'forced_banner', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.eu-ads.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(432, 42, 'forced_textlink', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(433, 42, 'banner_view', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.eu-ads.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(434, 42, 'banner_click', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.eu-ads.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(435, 42, 'skyscraper_view', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.eu-ads.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(436, 42, 'button_view', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.eu-ads.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(437, 42, 'textlink_view', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(438, 42, 'traffic', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(439, 42, 'popup', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(440, 42, 'textmail', 'http://www.eu-ads.de/interface/api_2.php', 'http://www.eu-ads.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Forced-Lose
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(802, 66, 'popup', 'http://www.forced-lose.de/sc/kas/kas_pu.php', 'http://pm.forced-lose.de/sc/popup.php?id=%UID%&bid=%BID%&aid=%SID%', NULL, 'h', 'NONE'),
(803, 66, 'traffic', 'http://www.forced-lose.de/sc/kas/kas_tt.php', 'http://tt.forced-lose.de/sc/tt.php?id=%UID%&bid=%BID%&aid=%SID%', NULL, 'h', 'NONE'),
(804, 66, 'textmail', 'http://www.forced-lose.de/sc/kas/kas_pm.php', 'http://pm.forced-lose.de/sc/pm.php?id=%UID%&bid=%BID%&aid=%SID%', NULL, 'h', 'NONE'),
(805, 66, 'forced_banner', 'http://www.forced-lose.de/sc/kas/kas_fk.php', 'http://www.forced-lose.de/sc/bc.php?id=%UID%&bid=%BID%&aid=%SID%', 'http://www.forced-lose.de/sc/bv.php?id=%UID%&bid=%BID%&aid=%SID%', 'h', 'NONE'),
(806, 66, 'forced_button', 'http://www.forced-lose.de/sc/kas/kas_fk.php', 'http://www.forced-lose.de/sc/bc.php?id=%UID%&bid=%BID%&aid=%SID%', 'http://www.forced-lose.de/sc/bv.php?id=%UID%&bid=%BID%&aid=%SID%', 'h', 'NONE'),
(807, 66, 'forced_half_banner', 'http://www.forced-lose.de/sc/kas/kas_fk.php', 'http://www.forced-lose.de/sc/bc.php?id=%UID%&bid=%BID%&aid=%SID%', 'http://www.forced-lose.de/sc/bv.php?id=%UID%&bid=%BID%&aid=%SID%', 'h', 'NONE'),
(808, 66, 'forced_skyscraper', 'http://www.forced-lose.de/sc/kas/kas_fk.php', 'http://www.forced-lose.de/sc/bc.php?id=%UID%&bid=%BID%&aid=%SID%', 'http://www.forced-lose.de/sc/bv.php?id=%UID%&bid=%BID%&aid=%SID%', 'h', 'NONE')");

// Network type handlers - FuCoExSponsor.net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(273, 29, 'banner_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(274, 29, 'banner_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(275, 29, 'button_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(276, 29, 'button_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(277, 29, 'forced_banner', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(278, 29, 'forced_textlink', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(279, 29, 'htmlmail', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'BASE64'),
(280, 29, 'layer', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(281, 29, 'textmail', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(282, 29, 'popup', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(283, 29, 'skyscraper_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(284, 29, 'skyscraper_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(285, 29, 'surfbar_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(286, 29, 'surfbar_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', 'http://fucoexsponsor.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&vc=%VPC%', 'h', 'NONE'),
(287, 29, 'textlink_click', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(288, 29, 'textlink_view', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(289, 29, 'traffic', 'http://fucoexsponsor.net/int/get.php', 'http://fucoexsponsor.net/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&vc=%VPC%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - Fusion-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(290, 13, 'forced_banner', 'http://www.fusion-ads.de/data/get.php', 'http://www.fusion-ads.de/data/werbung.php?uid=%UID%&kid=%CID%&sid=%SID%&art=32&step=1', 'http://www.fusion-ads.de/data/werbung.php?uid=%UID%&kid=%CID%&sid=%SID%&art=32', 'h', 'NONE'),
(291, 13, 'textmail', 'http://www.fusion-ads.de/data/get.php', 'ttp://www.fusion-ads.de/data/werbung.php?uid=%UID%&kid=%CID%&sid=%SID%&art=33', NULL, 'h', 'NONE')");

// Network type handlers - Giga-Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(548, 46, 'banner_click', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(549, 46, 'banner_view', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(550, 46, 'button_click', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(551, 46, 'button_view', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(552, 46, 'forced_banner', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(553, 46, 'forced_textlink', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(554, 46, 'htmlmail', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(555, 46, 'layer', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(556, 46, 'textmail', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(557, 46, 'popup', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(558, 46, 'skyscraper_click', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(559, 46, 'skyscraper_view', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(560, 46, 'surfbar_click', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(561, 46, 'surfbar_view', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://giga-ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(562, 46, 'textlink_click', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(563, 46, 'textlink_view', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(564, 46, 'traffic', 'http://giga-ad.de/int/get.php', 'http://giga-ad.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - GigaPromo
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(102, 14, 'banner_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(104, 14, 'forced_banner', 'http://www.gigapromo.de/interface/output_forcedbanner.php', 'http://www.gigapromo.de/view/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.gigapromo.de/view/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(105, 14, 'forced_textlink', 'http://www.gigapromo.de/interface/output_forcedtextlink.php', 'http://www.gigapromo.de/view/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(103, 14, 'layer_view', 'http://www.gigapromo.de/interface/output_layerviews.php', 'http://www.gigapromo.de/view/layer.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(108, 14, 'popdown', 'http://www.gigapromo.de/interface/output_popdown.php', 'http://www.gigapromo.de/view/popdown.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(107, 14, 'popup', 'http://www.gigapromo.de/interface/output_popup.php', 'http://www.gigapromo.de/view/popup.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(106, 14, 'textmail', 'http://www.gigapromo.de/interface/output_paidmails.php', 'http://www.gigapromo.de/view/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(122, 14, 'traffic', 'http://www.gigapromo.de/interface/output_traffic.php', 'http://www.gigapromo.de/view/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(519, 14, 'button_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(521, 14, 'half_banner_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(522, 14, 'skyscraper_view', 'http://www.gigapromo.de/interface/output_viewbanner.php', 'http://www.gigapromo.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.gigapromo.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE')");

// Network type handlers - Gold-Sponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(225, 25, 'banner_click', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(224, 25, 'banner_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(227, 25, 'button_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(222, 25, 'forced_banner', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(223, 25, 'forced_textlink', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(230, 25, 'popup', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(226, 25, 'skyscraper_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.gold-sponsor.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(228, 25, 'textlink_view', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(231, 25, 'textmail', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(229, 25, 'traffic', 'http://www.gold-sponsor.de/interface/', 'http://www.gold-sponsor.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE')");

// Network type handlers - GolloX

// Network type handlers - homeADS
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(260, 28, 'banner_click', 'http://www.homeads.de/interface/out_banner.php', 'http://www.homeads.de/bannerklf.php?id=%CID%', 'http://www.homeads.de/banner.php?id=%CID%', 'h', 'NONE'),
(261, 28, 'banner_view', 'http://www.homeads.de/interface/out_banner.php', 'http://www.homeads.de/bannerklf.php?id=%CID%', 'http://www.homeads.de/banner.php?id=%CID%', 'h', 'NONE'),
(264, 28, 'forced_banner', 'http://www.homeads.de/interface/out_fbanner.php', 'http://www.homeads.de/bannerklf.php?id=%CID%', 'http://www.homeads.de/banner.php?id=%CID%', 'h', 'NONE'),
(266, 28, 'htmlmail', 'http://www.homeads.de/interface/out_paidmail.php', 'http://www.homeads.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(267, 28, 'layer_click', 'http://www.homeads.de/interface/out_layer.php', 'http://www.homeads.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(268, 28, 'layer_view', 'http://www.homeads.de/interface/out_layer.php', 'http://www.homeads.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(271, 28, 'lead', 'http://www.homeads.de/interface/out_lead.php', 'http://www.homeads.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(270, 28, 'popdown', 'http://www.homeads.de/interface/out_popdown.php', 'http://www.homeads.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(269, 28, 'popup', 'http://www.homeads.de/interface/out_popup.php', 'http://www.homeads.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(272, 28, 'sale', 'http://www.homeads.de/interface/out_sale.php', 'http://www.homeads.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(262, 28, 'textlink_click', 'http://www.homeads.de/interface/out_textlink.php', 'http://www.homeads.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(263, 28, 'textlink_view', 'http://www.homeads.de/interface/out_textlink.php', 'http://www.homeads.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(265, 28, 'textmail', 'http://www.homeads.de/interface/out_paidmail.php', 'http://www.homeads.de/emailf.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - HPSponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(135, 15, 'banner_click', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://hpsponsor.at/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(136, 15, 'banner_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://hpsponsor.at/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(137, 15, 'button_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://hpsponsor.at/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(138, 15, 'forced_banner', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://hpsponsor.at/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(139, 15, 'forced_textlink', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(140, 15, 'popup', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(141, 15, 'skyscraper_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://hpsponsor.at/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(142, 15, 'textlink_view', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(143, 15, 'textmail', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(144, 15, 'traffic', 'http://hpsponsor.at/interface/api_2.php', 'http://hpsponsor.at/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Kueko-Net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(792, 65, 'forced_banner', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.kueko-net.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(793, 65, 'forced_textlink', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(794, 65, 'banner_view', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.kueko-net.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(795, 65, 'banner_click', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.kueko-net.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(796, 65, 'skyscraper_view', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.kueko-net.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(797, 65, 'button_view', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.kueko-net.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(798, 65, 'textlink_view', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(799, 65, 'traffic', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(800, 65, 'popup', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(801, 65, 'textmail', 'http://www.kueko-net.de/interface/api_2.php', 'http://www.kueko-net.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - LoseAds
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(774, 64, 'banner_click', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(775, 64, 'banner_view', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(776, 64, 'button_click', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(777, 64, 'button_view', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(778, 64, 'forced_banner', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(779, 64, 'forced_textlink', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(780, 64, 'forced_half_banner', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(781, 64, 'htmlmail', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(782, 64, 'layer', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(783, 64, 'textmail', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(784, 64, 'popup', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(785, 64, 'skyscraper_click', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(786, 64, 'skyscraper_view', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(787, 64, 'surfbar_click', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(788, 64, 'surfbar_view', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.loseads.eu/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(789, 64, 'textlink_click', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(790, 64, 'textlink_view', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(791, 64, 'traffic', 'http://www.loseads.eu/int/get.php', 'http://www.loseads.eu/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Make-Euros
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(63, 16, 'banner_click', 'http://www.make-euros.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(64, 16, 'banner_view', 'http://www.make-euros.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(65, 16, 'textlink_click', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(66, 16, 'textlink_view', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(67, 16, 'surfbar_click', 'http://www.make-euros.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(68, 16, 'forced_banner', 'http://www.make-euros.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(69, 16, 'surfbar_view', 'http://www.make-euros.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(70, 16, 'textmail', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(71, 16, 'htmlmail', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(72, 16, 'layer_click', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(73, 16, 'layer_view', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(74, 16, 'popup', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(75, 16, 'popdown', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(76, 16, 'lead', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(77, 16, 'sale', 'http://www.make-euros.de/interface/output.php', 'http://www.make-euros.de/sale.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - MasterAds
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(654, 47, 'banner_click', 'http://www.masterad.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(655, 47, 'banner_view', 'http://www.masterad.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(656, 47, 'textlink_click', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(657, 47, 'textlink_view', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(658, 47, 'surfbar_click', 'http://www.masterad.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(659, 47, 'forced_banner', 'http://www.masterad.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(660, 47, 'surfbar_view', 'http://www.masterad.de/interface/output.php', NULL, NULL, 'h', 'NONE'),
(661, 47, 'textmail', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(662, 47, 'htmlmail', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(663, 47, 'layer_click', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(664, 47, 'layer_view', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(665, 47, 'popup', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(666, 47, 'popdown', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(667, 47, 'lead', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(668, 47, 'sale', 'http://www.masterad.de/interface/output.php', 'http://www.masterad.de/sale.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - Mega-Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(112, 17, 'banner_click', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.mega-ad.de/codes/view.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(111, 17, 'banner_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.mega-ad.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(114, 17, 'button_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.mega-ad.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(109, 17, 'forced_banner', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.mega-ad.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(110, 17, 'forced_textlink', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(116, 17, 'popup', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(113, 17, 'skyscraper_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', 'http://www.mega-ad.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(115, 17, 'textlink_view', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(117, 17, 'textmail', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(123, 17, 'traffic', 'http://www.mega-ad.de/interface/', 'http://www.mega-ad.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - Paid-4-Webmaster
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(591, 50, 'banner_click', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid-4-webmaster.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(592, 50, 'banner_view', 'http://www.paid-4-webmaster.de/int/get.php', 'ttp://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid-4-webmaster.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(593, 50, 'forced_banner', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid-4-webmaster.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(594, 50, 'forced_textlink', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(595, 50, 'layer', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(596, 50, 'textmail', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(597, 50, 'popup', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(598, 50, 'surfbar_click', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid-4-webmaster.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(599, 50, 'surfbar_view', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid-4-webmaster.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(600, 50, 'textlink_click', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(601, 50, 'textlink_view', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(602, 50, 'traffic', 'http://www.paid-4-webmaster.de/int/get.php', 'http://www.paid-4-webmaster.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Paid-City
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(706, 58, 'textlink_click', 'http://www.paid-city.de/data/get.php', NULL, NULL, 'h','NONE'),
(707, 58, 'forced_banner', 'http://www.paid-city.de/data/get.php', NULL, NULL, 'h','NONE'),
(708, 58, 'textmail', 'http://www.paid-city.de/data/get.php', NULL, NULL, 'h','NONE'),
(709, 58, 'surfbar_click', 'http://www.paid-city.de/data/get.php', NULL, NULL, 'h','NONE'),
(710, 58, 'forced_textlink', 'http://www.paid-city.de/data/get.php', NULL, NULL, 'h','NONE')");

// Network type handlers - Paid4Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(711, 59, 'banner_click', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(712, 59, 'banner_view', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(713, 59, 'button_click', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(714, 59, 'button_view', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(715, 59, 'forced_banner', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(716, 59, 'forced_textlink', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(717, 59, 'htmlmail', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(718, 59, 'layer', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(719, 59, 'textmail', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(720, 59, 'popup', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(721, 59, 'skyscraper_click', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(722, 59, 'skyscraper_view', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(723, 59, 'surfbar_click', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(724, 59, 'surfbar_view', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.paid4ad.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(725, 59, 'textlink_click', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(726, 59, 'textlink_view', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(727, 59, 'traffic', 'http://www.paid4ad.de/int/get.php', 'http://www.paid4ad.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Power-Promo
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(78, 18, 'banner_click', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h', 'NONE'),
(79, 18, 'banner_view', 'http://www.power-promo.de/interface/out_banner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h', 'NONE'),
(84, 18, 'forced_banner', 'http://www.power-promo.de/interface/out_fbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h', 'NONE'),
(86, 18, 'htmlmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL, 'h', 'NONE'),
(87, 18, 'layer_click', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(88, 18, 'layer_view', 'http://www.power-promo.de/interface/out_layer.php', 'http://www.power-promo.de/layer.php?id=%CID%', NULL, 'h', 'NONE'),
(91, 18, 'lead', 'http://www.power-promo.de/interface/out_lead.php', 'http://www.power-promo.de/lead.php?id=%CID%', NULL, 'h', 'NONE'),
(90, 18, 'popdown', 'http://www.power-promo.de/interface/out_popdown.php', 'http://www.power-promo.de/popdown.php?id=%CID%', NULL, 'h', 'NONE'),
(89, 18, 'popup', 'http://www.power-promo.de/interface/out_popup.php', 'http://www.power-promo.de/popup.php?id=%CID%', NULL, 'h', 'NONE'),
(92, 18, 'sale', 'http://www.power-promo.de/interface/out_sale.php', 'http://www.power-promo.de/sale.php?id=%CID%', NULL, 'h', 'NONE'),
(82, 18, 'surfbar_click', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h', 'NONE'),
(83, 18, 'surfbar_view', 'http://www.power-promo.de/interface/out_sbanner.php', 'http://www.power-promo.de/bannerklf.php?id=%CID%', 'http://www.power-promo.de/banner.php?id=%CID%', 'h', 'NONE'),
(80, 18, 'textlink_click', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(81, 18, 'textlink_view', 'http://www.power-promo.de/interface/out_textlink.php', 'http://www.power-promo.de/textlinkklick.php?id=%CID%', NULL, 'h', 'NONE'),
(85, 18, 'textmail', 'http://www.power-promo.de/interface/out_paidmail.php', 'http://www.power-promo.de/emailf.php?id=%CID%', NULL, 'h', 'NONE')");

// Network type handlers - ProAdvert
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(565, 48, 'forced_banner', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.pro-advert.de/codes/forcedbannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(566, 48, 'forced_textlink', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(567, 48, 'banner_view', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.pro-advert.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(569, 48, 'banner_click', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.pro-advert.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(570, 48, 'skyscraper_view', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.pro-advert.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(571, 48, 'button_view', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.pro-advert.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h','NONE'),
(572, 48, 'textlink_view', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(573, 48, 'traffic', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(574, 48, 'popup', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE'),
(575, 48, 'textmail', 'http://www.pro-advert.de/interface/api_2.php', 'http://www.pro-advert.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h','NONE')");

// Network type handlers - SeCash
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(93, 19, 'forced_banner', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.secash.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(94, 19, 'forced_textlink', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(95, 19, 'banner_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.secash.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(96, 19, 'banner_click', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.secash.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(97, 19, 'skyscraper_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.secash.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(98, 19, 'button_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.secash.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(99, 19, 'textlink_view', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(100, 19, 'popup', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(101, 19, 'textmail', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(124, 19, 'traffic', 'http://www.secash.de/interface/api_2.php', 'http://www.secash.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Sponsor-Box
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(576, 49, 'banner_click', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(577, 49, 'banner_view', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(578, 49, 'button_click', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(579, 49, 'button_view', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(580, 49, 'forced_banner', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(581, 49, 'forced_textlink', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(582, 49, 'htmlmail', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(583, 49, 'layer', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(584, 49, 'textmail', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(585, 49, 'popup', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(586, 49, 'skyscraper_click', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(587, 49, 'skyscraper_view', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', 'http://www.sponsor-box.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(588, 49, 'textlink_click', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(589, 49, 'textlink_view', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/sc_textview.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(590, 49, 'traffic', 'http://www.sponsor-box.de/int/get.php', 'http://www.sponsor-box.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&subid=%TID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - SuperPromo24
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(416, 41, 'banner_click', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(417, 41, 'banner_view', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(418, 41, 'button_click', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(419, 41, 'button_view', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(420, 41, 'forced_banner', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(421, 41, 'forced_textlink', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(422, 41, 'htmlmail', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(423, 41, 'layer', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(424, 41, 'pagepeel', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(425, 41, 'textmail', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(426, 41, 'popup', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(427, 41, 'skyscraper_click', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(428, 41, 'skyscraper_view', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.superpromo24.de/kamp/b_view.php?uid=%UID%&bid=%CID%&sid=%SID%', 'h', 'NONE'),
(429, 41, 'textlink_click', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(430, 41, 'traffic', 'http://www.superpromo24.de/int/get.php', 'http://www.superpromo24.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - UltraPROMO
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(125, 21, 'banner_click', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ultrapromo.eu/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(126, 21, 'banner_view', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ultrapromo.eu/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(127, 21, 'button_view', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/buttonklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ultrapromo.eu/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(128, 21, 'forced_banner', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ultrapromo.eu/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(129, 21, 'forced_textlink', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(130, 21, 'popup', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(131, 21, 'skyscraper_view', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.ultrapromo.eu/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(132, 21, 'textlink_view', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(133, 21, 'textmail', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(134, 21, 'traffic', 'http://www.ultrapromo.eu/interface/api_2.php', 'http://www.ultrapromo.eu/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Vario-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(603, 51, 'banner_click', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(604, 51, 'banner_view', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(605, 51, 'button_click', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(606, 51, 'button_view', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(607, 51, 'forced_banner', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(608, 51, 'forced_textlink', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(609, 51, 'htmlmail', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(610, 51, 'layer', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(611, 51, 'textmail', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(612, 51, 'popup', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(613, 51, 'skyscraper_click', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(614, 51, 'skyscraper_view', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(615, 51, 'surfbar_click', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(616, 51, 'surfbar_view', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.vario-ads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(617, 51, 'textlink_click', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(618, 51, 'textlink_view', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(619, 51, 'traffic', 'http://www.vario-ads.de/int/get.php', 'http://www.vario-ads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - VIPads.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(247, 27, 'banner_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(248, 27, 'banner_view', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(249, 27, 'button_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(250, 27, 'button_view', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(251, 27, 'forced_banner', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(252, 27, 'htmlmail', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'BASE64'),
(253, 27, 'layer', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/sc_layer.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(255, 27, 'popup', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/sc_popup.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(256, 27, 'skyscraper_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(257, 27, 'skyscraper_view', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://vipads.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h', 'NONE'),
(258, 27, 'textlink_click', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(254, 27, 'textmail', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE'),
(259, 27, 'traffic', 'http://vipads.de/int/get.php', 'http://vipads.de/kamp/ziel.php?uid=%UID%&bid=%CID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h', 'NONE')");

// Network type handlers - WeltPromotion
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(205, 20, 'banner_click', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.weltpromotion.de/codes/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(204, 20, 'banner_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/bannerklick.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.weltpromotion.de/codes/bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(207, 20, 'button_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.weltpromotion.de/codes/buttonview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(202, 20, 'forced_banner', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/forcedbannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.weltpromotion.de/codes/forced_bannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(203, 20, 'forced_textlink', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/forcedtextlinkklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(210, 20, 'popup', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/popup.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(206, 20, 'skyscraper_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/skybannerklick.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', 'http://www.weltpromotion.de/codes/skybannerview.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(208, 20, 'textlink_view', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/textlinkview.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(211, 20, 'textmail', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE'),
(209, 20, 'traffic', 'http://www.weltpromotion.de/interface/api_2.php', 'http://www.weltpromotion.de/codes/traffic.php?id=%UID%&bid=%CID%&aid=%SID%&trackid=%TID%&vc=%VPC%', NULL, 'h', 'NONE')");

// Network type handlers - Werbe-Sponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(637, 53, 'banner_click', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(638, 53, 'banner_view', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(639, 53, 'button_click', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(640, 53, 'button_view', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(641, 53, 'forced_banner', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(642, 53, 'forced_textlink', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(643, 53, 'htmlmail', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(644, 53, 'layer', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(645, 53, 'textmail', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(646, 53, 'popup', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(647, 53, 'skyscraper_click', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(648, 53, 'skyscraper_view', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(649, 53, 'surfbar_click', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(650, 53, 'surfbar_view', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbe-sponsor.de/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(651, 53, 'textlink_click', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(652, 53, 'textlink_view', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(653, 53, 'traffic', 'http://www.werbe-sponsor.de/int/get.php', 'http://www.werbe-sponsor.de/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Werbeflut
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(730, 61, 'banner_click', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(731, 61, 'banner_view', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(732, 61, 'button_click', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(733, 61, 'button_view', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(734, 61, 'forced_banner', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(735, 61, 'forced_textlink', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(736, 61, 'htmlmail', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','BASE64'),
(737, 61, 'layer', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/sc_layer.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(738, 61, 'textmail', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(739, 61, 'popup', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/sc_popup.php?uid=%UID%&bid=%BID%&sid=%SID%', NULL, 'h','NONE'),
(740, 61, 'skyscraper_click', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(741, 61, 'skyscraper_view', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(742, 61, 'surfbar_click', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(743, 61, 'surfbar_view', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', 'http://www.werbeflut.net/kamp/b_view.php?uid=%UID%&bid=%BID%&sid=%SID%', 'h','NONE'),
(744, 61, 'textlink_click', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(745, 61, 'textlink_view', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/sc_textview.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE'),
(746, 61, 'traffic', 'http://www.werbeflut.net/int/get.php', 'http://www.werbeflut.net/kamp/ziel.php?uid=%UID%&bid=%BID%&sid=%SID%&v1=%V1%&v2=%V2%', NULL, 'h','NONE')");

// Network type handlers - Der Werbepartner.cc
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(145, 22, 'textlink_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', NULL, 'h', 'NONE'),
(146, 22, 'forced_banner', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', 'h', 'NONE'),
(147, 22, 'textmail', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/werbung.php', NULL, 'h', 'NONE'),
(148, 22, 'layer', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h', 'NONE'),
(149, 22, 'skyscraper_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'h', 'NONE'),
(150, 22, 'surfbar_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h', 'NONE'),
(151, 22, 'banner_view', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'h', 'NONE'),
(152, 22, 'popup', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h', 'NONE'),
(153, 22, 'banner_click', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', 'h', 'NONE'),
(154, 22, 'forced_textlink', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h', 'NONE'),
(155, 22, 'traffic', 'http://www.werbepartner.cc/sponsor/data/get.php', 'http://www.werbepartner.cc/sponsor/data/get.php', NULL, 'h', 'NONE')");

// Network type handlers - Xiji.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(450, 43, 'textmail', 'http://www.xiji.de/interface/output_paidmails.php', 'http://www.xiji.de/view/paidmail.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(451, 43, 'banner_view', 'http://www.xiji.de/interface/output_viewbanner.php', 'http://www.xiji.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.xiji.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(452, 43, 'forced_banner', 'http://www.xiji.de/interface/output_forcedbanner.php', 'http://www.xiji.de/view/forcedclickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.xiji.de/view/forcedviewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(453, 43, 'popup', 'http://www.xiji.de/interface/output_popup.php', 'http://www.xiji.de/view/popup.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(454, 43, 'layer_view', 'http://www.xiji.de/interface/output_layerviews.php', 'http://www.xiji.de/view/layer.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(455, 43, 'forced_textlink', 'http://www.xiji.de/interface/output_forcedtextlink.php', 'http://www.xiji.de/view/forcedclicktextlink.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(456, 43, 'traffic', 'http://www.xiji.de/interface/output_traffic.php', 'http://www.xiji.de/view/traffic.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(457, 43, 'popdown', 'http://www.xiji.de/interface/output_popdown.php', 'http://www.xiji.de/view/popdown.php?id=%UID%&bid=%CID%&aid=%SID%', NULL, 'h', 'NONE'),
(458, 43, 'button_view', 'http://www.xiji.de/interface/output_viewbanner.php', 'http://www.xiji.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.xiji.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(459, 43, 'skyscraper_view', 'http://www.xiji.de/interface/output_viewbanner.php', 'http://www.xiji.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.xiji.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE'),
(460, 43, 'half_banner_view', 'http://www.xiji.de/interface/output_viewbanner.php', 'http://www.xiji.de/view/klickbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'http://www.xiji.de/view/viewbanner.php?id=%UID%&bid=%CID%&aid=%SID%', 'h', 'NONE')");

// Network type handlers - Yoo!Media
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_types` (`network_type_id`, `network_id`, `network_type_handler`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`, `network_type_reload_time_unit`, `network_text_encoding`) VALUES
(156, 23, 'banner_click', 'http://www.yoomedia.de/interface_2.0/out_banner.php', 'http://www.yoomedia.de/code/z-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(157, 23, 'textlink_click', 'http://www.yoomedia.de/interface_2.0/out_textlink.php', 'http://www.yoomedia.de/code/t-textlink.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(158, 23, 'surfbar_click', 'http://www.yoomedia.de/interface_2.0/out_sbanner.php', 'http://www.yoomedia.de/code/s-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/s-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(159, 23, 'forced_banner', 'http://www.yoomedia.de/interface_2.0/out_fbanner.php', 'http://www.yoomedia.de/code/f-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/f-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(160, 23, 'pagepeel', 'http://www.yoomedia.de/interface_2.0/out_pagepeel.php', 'http://www.yoomedia.de/code/p-peel.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(161, 23, 'textmail', 'http://www.yoomedia.de/interface_2.0/out_textmail.php', 'http://www.yoomedia.de/code/t-mail.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(162, 23, 'htmlmail', 'http://www.yoomedia.de/interface_2.0/out_htmlmail.php', 'http://www.yoomedia.de/code/h-mail.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(163, 23, 'layer_click', 'http://www.yoomedia.de/interface_2.0/out_layer.php', 'http://www.yoomedia.de/code/l-layer.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(164, 23, 'popup', 'http://www.yoomedia.de/interface_2.0/out_popup.php', 'http://www.yoomedia.de/code/p-popup.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(165, 23, 'popdown', 'http://www.yoomedia.de/interface_2.0/out_popdown.php', 'http://www.yoomedia.de/code/p-popdown.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(166, 23, 'lead', 'http://www.yoomedia.de/interface_2.0/out_lead.php', 'http://www.yoomedia.de/code/lead.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(525, 23, 'button_click', 'http://www.yoomedia.de/interface_2.0/out_banner.php', 'http://www.yoomedia.de/code/z-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(526, 23, 'half_banner_click', 'http://www.yoomedia.de/interface_2.0/out_banner.php', 'http://www.yoomedia.de/code/z-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(527, 23, 'skyscraper_click', 'http://www.yoomedia.de/interface_2.0/out_banner.php', 'http://www.yoomedia.de/code/z-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(528, 23, 'forced_button', 'http://www.yoomedia.de/interface_2.0/out_fbanner.php', 'http://www.yoomedia.de/code/f-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/f-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(529, 23, 'forced_half_banner', 'http://www.yoomedia.de/interface_2.0/out_fbanner.php', 'http://www.yoomedia.de/code/f-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/f-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(530, 23, 'forced_skyscraper', 'http://www.yoomedia.de/interface_2.0/out_fbanner.php', 'http://www.yoomedia.de/code/f-bannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/f-banner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(531, 23, 'banner_view', 'http://www.yoomedia.de/interface_2.0/out_z-vbanner.php', 'http://www.yoomedia.de/code/z-vbannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-vbanner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(532, 23, 'button_view', 'http://www.yoomedia.de/interface_2.0/out_z-vbanner.php', 'http://www.yoomedia.de/code/z-vbannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-vbanner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(533, 23, 'half_banner_view', 'http://www.yoomedia.de/interface_2.0/out_z-vbanner.php', 'http://www.yoomedia.de/code/z-vbannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-vbanner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(534, 23, 'skyscraper_view', 'http://www.yoomedia.de/interface_2.0/out_z-vbanner.php', 'http://www.yoomedia.de/code/z-vbannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/z-vbanner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(535, 23, 'surfbar_view', 'http://www.yoomedia.de/interface_2.0/out_s-vbanner.php', 'http://www.yoomedia.de/code/s-vbannerklf.php?id=%CID%&sid=%SID%', 'http://www.yoomedia.de/code/s-vbanner.php?id=%CID%&sid=%SID%&bid=%BID%', 'h', 'NONE'),
(536, 23, 'textlink_view', 'http://www.yoomedia.de/interface_2.0/out_t-vtextlink.php', 'http://www.yoomedia.de/code/t-vtextlink.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE'),
(537, 23, 'layer_view', 'http://www.yoomedia.de/interface_2.0/out_l-vlayer.php', 'http://www.yoomedia.de/code/l-vlayer.php?id=%CID%&sid=%SID%', NULL, 'h', 'NONE')");

// Request parameters per type handler - A3H
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(1, 1, 'affiliate_id', 'id', NULL),
(1, 1, 'minimum_stay', 'ma', NULL),
(1, 1, 'password', 'pw', NULL),
(1, 1, 'reload', 'reload', NULL),
(1, 1, 'remain_clicks', 'uebrig', NULL),
(1, 1, 'reward', 'verguetung', NULL),
(1, 1, 'site_id', 'sid', NULL),
(1, 1, 'size', 'size', '468x60'),
(1, 1, 'type', 'typ', 'klick'),
(1, 2, 'affiliate_id', 'id', NULL),
(1, 2, 'password', 'pw', NULL),
(1, 2, 'reload', 'reload', NULL),
(1, 2, 'remain_clicks', 'uebrig', NULL),
(1, 2, 'reward', 'verguetung', NULL),
(1, 2, 'site_id', 'sid', NULL),
(1, 2, 'type', 'typ', 'klick'),
(1, 3, 'affiliate_id', 'id', NULL),
(1, 3, 'password', 'pw', NULL),
(1, 3, 'reload', 'reload', NULL),
(1, 3, 'remain_clicks', 'uebrig', NULL),
(1, 3, 'reward', 'verguetung', NULL),
(1, 3, 'site_id', 'sid', NULL),
(1, 3, 'size', 'size', 'all'),
(1, 3, 'type', 'typ', 'klick'),
(1, 4, 'affiliate_id', 'id', NULL),
(1, 4, 'minimum_stay', 'ma', NULL),
(1, 4, 'password', 'pw', NULL),
(1, 4, 'reload', 'reload', NULL),
(1, 4, 'remain_clicks', 'uebrig', NULL),
(1, 4, 'reward', 'verguetung', NULL),
(1, 4, 'site_id', 'sid', NULL),
(1, 4, 'size', 'size', '468x60'),
(1, 5, 'affiliate_id', 'id', NULL),
(1, 5, 'minimum_stay', 'ma', NULL),
(1, 5, 'password', 'pw', NULL),
(1, 5, 'reload', 'reload', NULL),
(1, 5, 'remain_clicks', 'uebrig', NULL),
(1, 5, 'reward', 'verguetung', NULL),
(1, 5, 'site_id', 'sid', NULL),
(1, 5, 'type', 'typ', 'text'),
(1, 6, 'affiliate_id', 'id', NULL),
(1, 6, 'password', 'pw', NULL),
(1, 6, 'reload', 'reload', NULL),
(1, 6, 'remain_clicks', 'uebrig', NULL),
(1, 6, 'reward', 'verguetung', NULL),
(1, 6, 'site_id', 'sid', NULL),
(1, 6, 'type', 'typ', 'klick'),
(1, 7, 'affiliate_id', 'id', NULL),
(1, 7, 'minimum_stay', 'ma', NULL),
(1, 7, 'password', 'pw', NULL),
(1, 7, 'reload', 'reload', NULL),
(1, 7, 'remain_clicks', 'uebrig', NULL),
(1, 7, 'reward', 'verguetung', NULL),
(1, 7, 'site_id', 'sid', NULL),
(1, 8, 'affiliate_id', 'id', NULL),
(1, 8, 'minimum_stay', 'ma', NULL),
(1, 8, 'password', 'pw', NULL),
(1, 8, 'reload', 'reload', NULL),
(1, 8, 'remain_clicks', 'uebrig', NULL),
(1, 8, 'reward', 'verguetung', NULL),
(1, 8, 'site_id', 'sid', NULL),
(1, 9, 'affiliate_id', 'id', NULL),
(1, 9, 'password', 'pw', NULL),
(1, 9, 'remain_clicks', 'uebrig', NULL),
(1, 9, 'reward', 'verguetung', NULL),
(1, 9, 'site_id', 'sid', NULL),
(1, 10, 'affiliate_id', 'id', NULL),
(1, 10, 'password', 'pw', NULL),
(1, 10, 'remain_clicks', 'uebrig', NULL),
(1, 10, 'reward', 'verguetung', NULL),
(1, 10, 'site_id', 'sid', NULL),
(1, 11, 'affiliate_id', 'id', NULL),
(1, 11, 'minimum_stay', 'ma', NULL),
(1, 11, 'password', 'pw', NULL),
(1, 11, 'reload', 'reload', NULL),
(1, 11, 'remain_clicks', 'uebrig', NULL),
(1, 11, 'reward', 'verguetung', NULL),
(1, 11, 'site_id', 'sid', NULL),
(1, 11, 'type', 'typ', 'html'),
(1, 387, 'affiliate_id', 'id', NULL),
(1, 387, 'minimum_stay', 'ma', NULL),
(1, 387, 'password', 'pw', NULL),
(1, 387, 'reload', 'reload', NULL),
(1, 387, 'remain_clicks', 'uebrig', NULL),
(1, 387, 'reward', 'verguetung', NULL),
(1, 387, 'site_id', 'sid', NULL),
(1, 387, 'size', 'size', '468x60'),
(1, 387, 'type', 'typ', 'view'),
(1, 388, 'affiliate_id', 'id', NULL),
(1, 388, 'password', 'pw', NULL),
(1, 388, 'reload', 'reload', NULL),
(1, 388, 'remain_clicks', 'uebrig', NULL),
(1, 388, 'reward', 'verguetung', NULL),
(1, 388, 'site_id', 'sid', NULL),
(1, 388, 'type', 'typ', 'view'),
(1, 389, 'affiliate_id', 'id', NULL),
(1, 389, 'password', 'pw', NULL),
(1, 389, 'reload', 'reload', NULL),
(1, 389, 'remain_clicks', 'uebrig', NULL),
(1, 389, 'reward', 'verguetung', NULL),
(1, 389, 'site_id', 'sid', NULL),
(1, 389, 'size', 'size', NULL),
(1, 389, 'type', 'typ', 'view'),
(1, 390, 'affiliate_id', 'id', NULL),
(1, 390, 'password', 'pw', NULL),
(1, 390, 'reload', 'reload', NULL),
(1, 390, 'remain_clicks', 'uebrig', NULL),
(1, 390, 'reward', 'verguetung', NULL),
(1, 390, 'site_id', 'sid', NULL),
(1, 390, 'type', 'typ', 'view'),
(1, 461, 'affiliate_id', 'id', NULL),
(1, 461, 'minimum_stay', 'ma', NULL),
(1, 461, 'password', 'pw', NULL),
(1, 461, 'reload', 'reload', NULL),
(1, 461, 'remain_clicks', 'uebrig', NULL),
(1, 461, 'reward', 'verguetung', NULL),
(1, 461, 'site_id', 'sid', NULL),
(1, 461, 'size', 'size', '88x31'),
(1, 461, 'type', 'typ', 'klick'),
(1, 462, 'affiliate_id', 'id', NULL),
(1, 462, 'minimum_stay', 'ma', NULL),
(1, 462, 'password', 'pw', NULL),
(1, 462, 'reload', 'reload', NULL),
(1, 462, 'remain_clicks', 'uebrig', NULL),
(1, 462, 'reward', 'verguetung', NULL),
(1, 462, 'site_id', 'sid', NULL),
(1, 462, 'size', 'size', '88x31'),
(1, 462, 'type', 'typ', 'view'),
(1, 463, 'affiliate_id', 'id', NULL),
(1, 463, 'minimum_stay', 'ma', NULL),
(1, 463, 'password', 'pw', NULL),
(1, 463, 'reload', 'reload', NULL),
(1, 463, 'remain_clicks', 'uebrig', NULL),
(1, 463, 'reward', 'verguetung', NULL),
(1, 463, 'site_id', 'sid', NULL),
(1, 463, 'size', 'size', '120x600'),
(1, 463, 'type', 'typ', 'klick'),
(1, 464, 'affiliate_id', 'id', NULL),
(1, 464, 'minimum_stay', 'ma', NULL),
(1, 464, 'password', 'pw', NULL),
(1, 464, 'reload', 'reload', NULL),
(1, 464, 'remain_clicks', 'uebrig', NULL),
(1, 464, 'reward', 'verguetung', NULL),
(1, 464, 'site_id', 'sid', NULL),
(1, 464, 'size', 'size', '120x600'),
(1, 464, 'type', 'typ', 'view'),
(1, 465, 'affiliate_id', 'id', NULL),
(1, 465, 'minimum_stay', 'ma', NULL),
(1, 465, 'password', 'pw', NULL),
(1, 465, 'reload', 'reload', NULL),
(1, 465, 'remain_clicks', 'uebrig', NULL),
(1, 465, 'reward', 'verguetung', NULL),
(1, 465, 'site_id', 'sid', NULL),
(1, 465, 'size', 'size', '234x60'),
(1, 465, 'type', 'typ', 'klick'),
(1, 466, 'affiliate_id', 'id', NULL),
(1, 466, 'minimum_stay', 'ma', NULL),
(1, 466, 'password', 'pw', NULL),
(1, 466, 'reload', 'reload', NULL),
(1, 466, 'remain_clicks', 'uebrig', NULL),
(1, 466, 'reward', 'verguetung', NULL),
(1, 466, 'site_id', 'sid', NULL),
(1, 466, 'size', 'size', '234x60'),
(1, 466, 'type', 'typ', 'view'),
(1, 467, 'affiliate_id', 'id', NULL),
(1, 467, 'minimum_stay', 'ma', NULL),
(1, 467, 'password', 'pw', NULL),
(1, 467, 'reload', 'reload', NULL),
(1, 467, 'remain_clicks', 'uebrig', NULL),
(1, 467, 'reward', 'verguetung', NULL),
(1, 467, 'site_id', 'sid', NULL),
(1, 467, 'size', 'size', '88x31'),
(1, 468, 'affiliate_id', 'id', NULL),
(1, 468, 'minimum_stay', 'ma', NULL),
(1, 468, 'password', 'pw', NULL),
(1, 468, 'reload', 'reload', NULL),
(1, 468, 'remain_clicks', 'uebrig', NULL),
(1, 468, 'reward', 'verguetung', NULL),
(1, 468, 'site_id', 'sid', NULL),
(1, 468, 'size', 'size', '234x60'),
(1, 469, 'affiliate_id', 'id', NULL),
(1, 469, 'minimum_stay', 'ma', NULL),
(1, 469, 'password', 'pw', NULL),
(1, 469, 'reload', 'reload', NULL),
(1, 469, 'remain_clicks', 'uebrig', NULL),
(1, 469, 'reward', 'verguetung', NULL),
(1, 469, 'site_id', 'sid', NULL),
(1, 469, 'size', 'size', '120x600')");

// Request parameters per type handler - AbisZED-Netz
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(2, 187, 'affiliate_id', 'id', NULL),
(2, 187, 'password', 'pw', NULL),
(2, 187, 'reload', 'reload', NULL),
(2, 187, 'remain_clicks', 'uebrig', NULL),
(2, 187, 'reward', 'verguetung', NULL),
(2, 187, 'site_id', 'sid', NULL),
(2, 187, 'size', 'size', '468x60'),
(2, 187, 'type', 'typ', 'klick'),
(2, 188, 'affiliate_id', 'id', NULL),
(2, 188, 'password', 'pw', NULL),
(2, 188, 'reload', 'reload', NULL),
(2, 188, 'remain_clicks', 'uebrig', NULL),
(2, 188, 'reward', 'verguetung', NULL),
(2, 188, 'site_id', 'sid', NULL),
(2, 188, 'size', 'size', '468x60'),
(2, 188, 'type', 'typ', 'view'),
(2, 189, 'affiliate_id', 'id', NULL),
(2, 189, 'password', 'pw', NULL),
(2, 189, 'reload', 'reload', NULL),
(2, 189, 'remain_clicks', 'uebrig', NULL),
(2, 189, 'reward', 'verguetung', NULL),
(2, 189, 'site_id', 'sid', NULL),
(2, 189, 'type', 'typ', 'klick'),
(2, 190, 'affiliate_id', 'id', NULL),
(2, 190, 'password', 'pw', NULL),
(2, 190, 'reload', 'reload', NULL),
(2, 190, 'remain_clicks', 'uebrig', NULL),
(2, 190, 'reward', 'verguetung', NULL),
(2, 190, 'site_id', 'sid', NULL),
(2, 190, 'type', 'typ', 'view'),
(2, 191, 'affiliate_id', 'id', NULL),
(2, 191, 'password', 'pw', NULL),
(2, 191, 'reload', 'reload', NULL),
(2, 191, 'remain_clicks', 'uebrig', NULL),
(2, 191, 'reward', 'verguetung', NULL),
(2, 191, 'site_id', 'sid', NULL),
(2, 191, 'size', 'size', NULL),
(2, 191, 'type', 'typ', 'klick'),
(2, 192, 'affiliate_id', 'id', NULL),
(2, 192, 'password', 'pw', NULL),
(2, 192, 'reload', 'reload', NULL),
(2, 192, 'remain_clicks', 'uebrig', NULL),
(2, 192, 'reward', 'verguetung', NULL),
(2, 192, 'site_id', 'sid', NULL),
(2, 192, 'size', 'size', NULL),
(2, 192, 'type', 'typ', 'view'),
(2, 193, 'affiliate_id', 'id', NULL),
(2, 193, 'minimum_stay', 'ma', NULL),
(2, 193, 'password', 'pw', NULL),
(2, 193, 'reload', 'reload', NULL),
(2, 193, 'remain_clicks', 'uebrig', NULL),
(2, 193, 'reward', 'verguetung', NULL),
(2, 193, 'site_id', 'sid', NULL),
(2, 193, 'size', 'size', '468x60'),
(2, 194, 'affiliate_id', 'id', NULL),
(2, 194, 'minimum_stay', 'ma', NULL),
(2, 194, 'password', 'pw', NULL),
(2, 194, 'reload', 'reload', NULL),
(2, 194, 'remain_clicks', 'uebrig', NULL),
(2, 194, 'reward', 'verguetung', NULL),
(2, 194, 'site_id', 'sid', NULL),
(2, 194, 'type', 'typ', 'text'),
(2, 195, 'affiliate_id', 'id', NULL),
(2, 195, 'minimum_stay', 'ma', NULL),
(2, 195, 'password', 'pw', NULL),
(2, 195, 'reload', 'reload', NULL),
(2, 195, 'remain_clicks', 'uebrig', NULL),
(2, 195, 'reward', 'verguetung', NULL),
(2, 195, 'site_id', 'sid', NULL),
(2, 195, 'type', 'typ', 'html'),
(2, 196, 'affiliate_id', 'id', NULL),
(2, 196, 'password', 'pw', NULL),
(2, 196, 'reload', 'reload', NULL),
(2, 196, 'remain_clicks', 'uebrig', NULL),
(2, 196, 'reward', 'verguetung', NULL),
(2, 196, 'site_id', 'sid', NULL),
(2, 196, 'type', 'typ', 'klick'),
(2, 197, 'affiliate_id', 'id', NULL),
(2, 197, 'password', 'pw', NULL),
(2, 197, 'reload', 'reload', NULL),
(2, 197, 'remain_clicks', 'uebrig', NULL),
(2, 197, 'reward', 'verguetung', NULL),
(2, 197, 'site_id', 'sid', NULL),
(2, 197, 'type', 'typ', 'view'),
(2, 198, 'affiliate_id', 'id', NULL),
(2, 198, 'minimum_stay', 'ma', NULL),
(2, 198, 'password', 'pw', NULL),
(2, 198, 'reload', 'reload', NULL),
(2, 198, 'remain_clicks', 'uebrig', NULL),
(2, 198, 'reward', 'verguetung', NULL),
(2, 198, 'site_id', 'sid', NULL),
(2, 199, 'affiliate_id', 'id', NULL),
(2, 199, 'maximum_stay', 'ma', NULL),
(2, 199, 'password', 'pw', NULL),
(2, 199, 'reload', 'reload', NULL),
(2, 199, 'remain_clicks', 'uebrig', NULL),
(2, 199, 'reward', 'verguetung', NULL),
(2, 199, 'site_id', 'sid', NULL),
(2, 200, 'affiliate_id', 'id', NULL),
(2, 200, 'password', 'pw', NULL),
(2, 200, 'remain_clicks', 'uebrig', NULL),
(2, 200, 'reward', 'verguetung', NULL),
(2, 200, 'site_id', 'sid', NULL),
(2, 201, 'affiliate_id', 'id', NULL),
(2, 201, 'password', 'pw', NULL),
(2, 201, 'remain_clicks', 'uebrig', NULL),
(2, 201, 'reward', 'verguetung', NULL),
(2, 201, 'site_id', 'sid', NULL),
(2, 470, 'affiliate_id', 'id', NULL),
(2, 470, 'password', 'pw', NULL),
(2, 470, 'reload', 'reload', NULL),
(2, 470, 'remain_clicks', 'uebrig', NULL),
(2, 470, 'reward', 'verguetung', NULL),
(2, 470, 'site_id', 'sid', NULL),
(2, 470, 'size', 'size', '88x31'),
(2, 470, 'type', 'typ', 'klick'),
(2, 471, 'affiliate_id', 'id', NULL),
(2, 471, 'password', 'pw', NULL),
(2, 471, 'reload', 'reload', NULL),
(2, 471, 'remain_clicks', 'uebrig', NULL),
(2, 471, 'reward', 'verguetung', NULL),
(2, 471, 'site_id', 'sid', NULL),
(2, 471, 'size', 'size', '88x31'),
(2, 471, 'type', 'typ', 'view'),
(2, 472, 'affiliate_id', 'id', NULL),
(2, 472, 'password', 'pw', NULL),
(2, 472, 'reload', 'reload', NULL),
(2, 472, 'remain_clicks', 'uebrig', NULL),
(2, 472, 'reward', 'verguetung', NULL),
(2, 472, 'site_id', 'sid', NULL),
(2, 472, 'size', 'size', '234x60'),
(2, 472, 'type', 'typ', 'klick'),
(2, 473, 'affiliate_id', 'id', NULL),
(2, 473, 'password', 'pw', NULL),
(2, 473, 'reload', 'reload', NULL),
(2, 473, 'remain_clicks', 'uebrig', NULL),
(2, 473, 'reward', 'verguetung', NULL),
(2, 473, 'site_id', 'sid', NULL),
(2, 473, 'size', 'size', '234x60'),
(2, 473, 'type', 'typ', 'view'),
(2, 474, 'affiliate_id', 'id', NULL),
(2, 474, 'password', 'pw', NULL),
(2, 474, 'reload', 'reload', NULL),
(2, 474, 'remain_clicks', 'uebrig', NULL),
(2, 474, 'reward', 'verguetung', NULL),
(2, 474, 'site_id', 'sid', NULL),
(2, 474, 'size', 'size', '120x600'),
(2, 474, 'type', 'typ', 'klick'),
(2, 475, 'affiliate_id', 'id', NULL),
(2, 475, 'password', 'pw', NULL),
(2, 475, 'reload', 'reload', NULL),
(2, 475, 'remain_clicks', 'uebrig', NULL),
(2, 475, 'reward', 'verguetung', NULL),
(2, 475, 'site_id', 'sid', NULL),
(2, 475, 'size', 'size', '120x600'),
(2, 475, 'type', 'typ', 'view'),
(2, 476, 'affiliate_id', 'id', NULL),
(2, 476, 'minimum_stay', 'ma', NULL),
(2, 476, 'password', 'pw', NULL),
(2, 476, 'reload', 'reload', NULL),
(2, 476, 'remain_clicks', 'uebrig', NULL),
(2, 476, 'reward', 'verguetung', NULL),
(2, 476, 'site_id', 'sid', NULL),
(2, 476, 'size', 'size', '88x31'),
(2, 477, 'affiliate_id', 'id', NULL),
(2, 477, 'minimum_stay', 'ma', NULL),
(2, 477, 'password', 'pw', NULL),
(2, 477, 'reload', 'reload', NULL),
(2, 477, 'remain_clicks', 'uebrig', NULL),
(2, 477, 'reward', 'verguetung', NULL),
(2, 477, 'site_id', 'sid', NULL),
(2, 477, 'size', 'size', '234x60'),
(2, 478, 'affiliate_id', 'id', NULL),
(2, 478, 'minimum_stay', 'ma', NULL),
(2, 478, 'password', 'pw', NULL),
(2, 478, 'reload', 'reload', NULL),
(2, 478, 'remain_clicks', 'uebrig', NULL),
(2, 478, 'reward', 'verguetung', NULL),
(2, 478, 'site_id', 'sid', NULL),
(2, 478, 'size', 'size', '120x600')");

// Request parameters per type handler - Ad-Hit
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(31, 302, 'extra', 'typ', 'forcedbanner'),
(31, 302, 'affiliate_id', 'id', NULL),
(31, 302, 'password', 'pw', NULL),
(31, 302, 'remain_clicks', 'uebrig', NULL),
(31, 302, 'reload', 'reload', NULL),
(31, 302, 'reward', 'verguetung', NULL),
(31, 302, 'site_id', 'siteid', NULL),
(31, 302, 'minimum_stay', 'ma', NULL),
(31, 303, 'extra', 'typ', 'forcedtextlink'),
(31, 303, 'affiliate_id', 'id', NULL),
(31, 303, 'password', 'pw', NULL),
(31, 303, 'remain_clicks', 'uebrig', NULL),
(31, 303, 'reload', 'reload', NULL),
(31, 303, 'reward', 'verguetung', NULL),
(31, 303, 'site_id', 'siteid', NULL),
(31, 303, 'minimum_stay', 'ma', NULL),
(31, 304, 'extra', 'typ', 'bannerview'),
(31, 304, 'affiliate_id', 'id', NULL),
(31, 304, 'password', 'pw', NULL),
(31, 304, 'remain_clicks', 'uebrig', NULL),
(31, 304, 'reload', 'reload', NULL),
(31, 304, 'reward', 'verguetung', NULL),
(31, 304, 'site_id', 'siteid', NULL),
(31, 304, 'minimum_stay', 'ma', NULL),
(31, 305, 'extra', 'typ', 'bannerklick'),
(31, 305, 'affiliate_id', 'id', NULL),
(31, 305, 'password', 'pw', NULL),
(31, 305, 'remain_clicks', 'uebrig', NULL),
(31, 305, 'reload', 'reload', NULL),
(31, 305, 'reward', 'verguetung', NULL),
(31, 305, 'site_id', 'siteid', NULL),
(31, 305, 'minimum_stay', 'ma', NULL),
(31, 306, 'extra', 'typ', 'skybannerview'),
(31, 306, 'affiliate_id', 'id', NULL),
(31, 306, 'password', 'pw', NULL),
(31, 306, 'remain_clicks', 'uebrig', NULL),
(31, 306, 'reload', 'reload', NULL),
(31, 306, 'reward', 'verguetung', NULL),
(31, 306, 'site_id', 'siteid', NULL),
(31, 306, 'minimum_stay', 'ma', NULL),
(31, 307, 'extra', 'typ', 'buttonview'),
(31, 307, 'affiliate_id', 'id', NULL),
(31, 307, 'password', 'pw', NULL),
(31, 307, 'remain_clicks', 'uebrig', NULL),
(31, 307, 'reload', 'reload', NULL),
(31, 307, 'reward', 'verguetung', NULL),
(31, 307, 'site_id', 'siteid', NULL),
(31, 307, 'minimum_stay', 'ma', NULL),
(31, 308, 'extra', 'typ', 'textview'),
(31, 308, 'affiliate_id', 'id', NULL),
(31, 308, 'password', 'pw', NULL),
(31, 308, 'remain_clicks', 'uebrig', NULL),
(31, 308, 'reload', 'reload', NULL),
(31, 308, 'reward', 'verguetung', NULL),
(31, 308, 'site_id', 'siteid', NULL),
(31, 308, 'minimum_stay', 'ma', NULL),
(31, 309, 'extra', 'typ', 'traffic'),
(31, 309, 'affiliate_id', 'id', NULL),
(31, 309, 'password', 'pw', NULL),
(31, 309, 'remain_clicks', 'uebrig', NULL),
(31, 309, 'reload', 'reload', NULL),
(31, 309, 'reward', 'verguetung', NULL),
(31, 309, 'site_id', 'siteid', NULL),
(31, 309, 'minimum_stay', 'ma', NULL),
(31, 310, 'extra', 'typ', 'popup'),
(31, 310, 'affiliate_id', 'id', NULL),
(31, 310, 'password', 'pw', NULL),
(31, 310, 'remain_clicks', 'uebrig', NULL),
(31, 310, 'reload', 'reload', NULL),
(31, 310, 'reward', 'verguetung', NULL),
(31, 310, 'site_id', 'siteid', NULL),
(31, 310, 'minimum_stay', 'ma', NULL),
(31, 311, 'extra', 'typ', 'paidmail'),
(31, 311, 'affiliate_id', 'id', NULL),
(31, 311, 'password', 'pw', NULL),
(31, 311, 'remain_clicks', 'uebrig', NULL),
(31, 311, 'reload', 'reload', NULL),
(31, 311, 'reward', 'verguetung', NULL),
(31, 311, 'site_id', 'siteid', NULL),
(31, 311, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Ad-Magnet
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(3, 483, 'affiliate_id', 'aid', NULL),
(3, 483, 'site_id', 'sid', NULL),
(3, 483, 'password', 'ipw', NULL),
(3, 483, 'remain_budget', 'budget', NULL),
(3, 483, 'minimum_stay', 'ma', NULL),
(3, 483, 'reward', 'verguetung', NULL),
(3, 483, 'reload', 'reload', NULL),
(3, 483, 'extra', 'art', 'bannerklick'),
(3, 484, 'affiliate_id', 'aid', NULL),
(3, 484, 'site_id', 'sid', NULL),
(3, 484, 'password', 'ipw', NULL),
(3, 484, 'remain_budget', 'budget', NULL),
(3, 484, 'minimum_stay', 'ma', NULL),
(3, 484, 'reward', 'verguetung', NULL),
(3, 484, 'reload', 'reload', NULL),
(3, 484, 'extra', 'art', 'bannerview'),
(3, 485, 'affiliate_id', 'aid', NULL),
(3, 485, 'site_id', 'sid', NULL),
(3, 485, 'password', 'ipw', NULL),
(3, 485, 'remain_budget', 'budget', NULL),
(3, 485, 'minimum_stay', 'ma', NULL),
(3, 485, 'reward', 'verguetung', NULL),
(3, 485, 'reload', 'reload', NULL),
(3, 485, 'extra', 'art', 'surfbarklick'),
(3, 486, 'affiliate_id', 'aid', NULL),
(3, 486, 'site_id', 'sid', NULL),
(3, 486, 'password', 'ipw', NULL),
(3, 486, 'remain_budget', 'budget', NULL),
(3, 486, 'minimum_stay', 'ma', NULL),
(3, 486, 'reward', 'verguetung', NULL),
(3, 486, 'reload', 'reload', NULL),
(3, 486, 'extra', 'art', 'surfbarview'),
(3, 487, 'affiliate_id', 'aid', NULL),
(3, 487, 'site_id', 'sid', NULL),
(3, 487, 'password', 'ipw', NULL),
(3, 487, 'remain_budget', 'budget', NULL),
(3, 487, 'minimum_stay', 'ma', NULL),
(3, 487, 'reward', 'verguetung', NULL),
(3, 487, 'reload', 'reload', NULL),
(3, 487, 'extra', 'art', 'forcedklick'),
(3, 488, 'affiliate_id', 'aid', NULL),
(3, 488, 'site_id', 'sid', NULL),
(3, 488, 'password', 'ipw', NULL),
(3, 488, 'remain_budget', 'budget', NULL),
(3, 488, 'minimum_stay', 'ma', NULL),
(3, 488, 'reward', 'verguetung', NULL),
(3, 488, 'reload', 'reload', NULL),
(3, 488, 'extra', 'art', 'textlinkklick'),
(3, 489, 'affiliate_id', 'aid', NULL),
(3, 489, 'site_id', 'sid', NULL),
(3, 489, 'password', 'ipw', NULL),
(3, 489, 'remain_budget', 'budget', NULL),
(3, 489, 'minimum_stay', 'ma', NULL),
(3, 489, 'reward', 'verguetung', NULL),
(3, 489, 'reload', 'reload', NULL),
(3, 489, 'extra', 'art', 'textlinkview'),
(3, 490, 'affiliate_id', 'aid', NULL),
(3, 490, 'site_id', 'sid', NULL),
(3, 490, 'password', 'ipw', NULL),
(3, 490, 'remain_budget', 'budget', NULL),
(3, 490, 'minimum_stay', 'ma', NULL),
(3, 490, 'reward', 'verguetung', NULL),
(3, 490, 'reload', 'reload', NULL),
(3, 490, 'extra', 'art', 'layerklick'),
(3, 491, 'affiliate_id', 'aid', NULL),
(3, 491, 'site_id', 'sid', NULL),
(3, 491, 'password', 'ipw', NULL),
(3, 491, 'remain_budget', 'budget', NULL),
(3, 491, 'minimum_stay', 'ma', NULL),
(3, 491, 'reward', 'verguetung', NULL),
(3, 491, 'reload', 'reload', NULL),
(3, 491, 'extra', 'art', 'layerview'),
(3, 492, 'affiliate_id', 'aid', NULL),
(3, 492, 'site_id', 'sid', NULL),
(3, 492, 'password', 'ipw', NULL),
(3, 492, 'remain_budget', 'budget', NULL),
(3, 492, 'minimum_stay', 'ma', NULL),
(3, 492, 'reward', 'verguetung', NULL),
(3, 492, 'reload', 'reload', NULL),
(3, 492, 'extra', 'art', 'popup'),
(3, 493, 'affiliate_id', 'aid', NULL),
(3, 493, 'site_id', 'sid', NULL),
(3, 493, 'password', 'ipw', NULL),
(3, 493, 'remain_budget', 'budget', NULL),
(3, 493, 'minimum_stay', 'ma', NULL),
(3, 493, 'reward', 'verguetung', NULL),
(3, 493, 'reload', 'reload', NULL),
(3, 493, 'extra', 'art', 'popdown'),
(3, 494, 'affiliate_id', 'aid', NULL),
(3, 494, 'site_id', 'sid', NULL),
(3, 494, 'password', 'ipw', NULL),
(3, 494, 'remain_budget', 'budget', NULL),
(3, 494, 'minimum_stay', 'ma', NULL),
(3, 494, 'reward', 'verguetung', NULL),
(3, 494, 'reload', 'reload', NULL),
(3, 494, 'extra', 'art', 'html_paidmail'),
(3, 495, 'affiliate_id', 'aid', NULL),
(3, 495, 'site_id', 'sid', NULL),
(3, 495, 'password', 'ipw', NULL),
(3, 495, 'remain_budget', 'budget', NULL),
(3, 495, 'minimum_stay', 'ma', NULL),
(3, 495, 'reward', 'verguetung', NULL),
(3, 495, 'reload', 'reload', NULL),
(3, 495, 'extra', 'art', 'text_paidmail'),
(3, 496, 'affiliate_id', 'aid', NULL),
(3, 496, 'site_id', 'sid', NULL),
(3, 496, 'password', 'ipw', NULL),
(3, 496, 'remain_budget', 'budget', NULL),
(3, 496, 'minimum_stay', 'ma', NULL),
(3, 496, 'reward', 'verguetung', NULL),
(3, 496, 'reload', 'reload', NULL),
(3, 496, 'extra', 'art', 'pagepeelklick'),
(3, 497, 'affiliate_id', 'aid', NULL),
(3, 497, 'site_id', 'sid', NULL),
(3, 497, 'password', 'ipw', NULL),
(3, 497, 'remain_budget', 'budget', NULL),
(3, 497, 'minimum_stay', 'ma', NULL),
(3, 497, 'reward', 'verguetung', NULL),
(3, 497, 'reload', 'reload', NULL),
(3, 497, 'extra', 'art', 'pagepeelview'),
(3, 498, 'affiliate_id', 'aid', NULL),
(3, 498, 'site_id', 'sid', NULL),
(3, 498, 'password', 'ipw', NULL),
(3, 498, 'remain_budget', 'budget', NULL),
(3, 498, 'minimum_stay', 'ma', NULL),
(3, 498, 'reward', 'verguetung', NULL),
(3, 498, 'reload', 'reload', NULL),
(3, 498, 'extra', 'art', 'lead'),
(3, 498, 'type', 'typ', NULL),
(3, 499, 'affiliate_id', 'aid', NULL),
(3, 499, 'site_id', 'sid', NULL),
(3, 499, 'password', 'ipw', NULL),
(3, 499, 'remain_budget', 'budget', NULL),
(3, 499, 'minimum_stay', 'ma', NULL),
(3, 499, 'reward', 'verguetung', NULL),
(3, 499, 'reload', 'reload', NULL),
(3, 499, 'extra', 'art', 'sale'),
(3, 499, 'type', 'typ', NULL)");

// Request parameters per type handler - Ad-Promotion.net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(37, 367, 'extra', 'typ', 'forcedbanner'),
(37, 367, 'affiliate_id', 'id', NULL),
(37, 367, 'password', 'pw', NULL),
(37, 367, 'remain_clicks', 'uebrig', NULL),
(37, 367, 'reload', 'reload', NULL),
(37, 367, 'reward', 'verguetung', NULL),
(37, 367, 'site_id', 'siteid', NULL),
(37, 368, 'extra', 'typ', 'forcedtextlink'),
(37, 368, 'affiliate_id', 'id', NULL),
(37, 368, 'password', 'pw', NULL),
(37, 368, 'remain_clicks', 'uebrig', NULL),
(37, 368, 'reload', 'reload', NULL),
(37, 368, 'reward', 'verguetung', NULL),
(37, 368, 'site_id', 'siteid', NULL),
(37, 369, 'extra', 'typ', 'bannerview'),
(37, 369, 'affiliate_id', 'id', NULL),
(37, 369, 'password', 'pw', NULL),
(37, 369, 'remain_clicks', 'uebrig', NULL),
(37, 369, 'reload', 'reload', NULL),
(37, 369, 'reward', 'verguetung', NULL),
(37, 369, 'site_id', 'siteid', NULL),
(37, 370, 'extra', 'typ', 'bannerklick'),
(37, 370, 'affiliate_id', 'id', NULL),
(37, 370, 'password', 'pw', NULL),
(37, 370, 'remain_clicks', 'uebrig', NULL),
(37, 370, 'reload', 'reload', NULL),
(37, 370, 'reward', 'verguetung', NULL),
(37, 370, 'site_id', 'siteid', NULL),
(37, 371, 'extra', 'typ', 'skybannerview'),
(37, 371, 'affiliate_id', 'id', NULL),
(37, 371, 'password', 'pw', NULL),
(37, 371, 'remain_clicks', 'uebrig', NULL),
(37, 371, 'reload', 'reload', NULL),
(37, 371, 'reward', 'verguetung', NULL),
(37, 371, 'site_id', 'siteid', NULL),
(37, 372, 'extra', 'typ', 'buttonview'),
(37, 372, 'affiliate_id', 'id', NULL),
(37, 372, 'password', 'pw', NULL),
(37, 372, 'remain_clicks', 'uebrig', NULL),
(37, 372, 'reload', 'reload', NULL),
(37, 372, 'reward', 'verguetung', NULL),
(37, 372, 'site_id', 'siteid', NULL),
(37, 373, 'extra', 'typ', 'textview'),
(37, 373, 'affiliate_id', 'id', NULL),
(37, 373, 'password', 'pw', NULL),
(37, 373, 'remain_clicks', 'uebrig', NULL),
(37, 373, 'reload', 'reload', NULL),
(37, 373, 'reward', 'verguetung', NULL),
(37, 373, 'site_id', 'siteid', NULL),
(37, 374, 'extra', 'typ', 'traffic'),
(37, 374, 'affiliate_id', 'id', NULL),
(37, 374, 'password', 'pw', NULL),
(37, 374, 'remain_clicks', 'uebrig', NULL),
(37, 374, 'reload', 'reload', NULL),
(37, 374, 'reward', 'verguetung', NULL),
(37, 374, 'site_id', 'siteid', NULL),
(37, 375, 'extra', 'typ', 'popup'),
(37, 375, 'affiliate_id', 'id', NULL),
(37, 375, 'password', 'pw', NULL),
(37, 375, 'remain_clicks', 'uebrig', NULL),
(37, 375, 'reload', 'reload', NULL),
(37, 375, 'reward', 'verguetung', NULL),
(37, 375, 'site_id', 'siteid', NULL),
(37, 376, 'extra', 'typ', 'paidmail'),
(37, 376, 'affiliate_id', 'id', NULL),
(37, 376, 'password', 'pw', NULL),
(37, 376, 'remain_clicks', 'uebrig', NULL),
(37, 376, 'reload', 'reload', NULL),
(37, 376, 'reward', 'verguetung', NULL),
(37, 376, 'site_id', 'siteid', NULL)");

// Request parameters per type handler - AdCity.eu
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(32, 312, 'extra', 'typ', 'forcedbanner'),
(32, 312, 'affiliate_id', 'id', NULL),
(32, 312, 'password', 'pw', NULL),
(32, 312, 'remain_clicks', 'uebrig', NULL),
(32, 312, 'reload', 'reload', NULL),
(32, 312, 'reward', 'verguetung', NULL),
(32, 312, 'minimum_stay', 'ma', NULL),
(32, 313, 'extra', 'typ', 'forcedtextlink'),
(32, 313, 'affiliate_id', 'id', NULL),
(32, 313, 'password', 'pw', NULL),
(32, 313, 'remain_clicks', 'uebrig', NULL),
(32, 313, 'reload', 'reload', NULL),
(32, 313, 'reward', 'verguetung', NULL),
(32, 313, 'minimum_stay', 'ma', NULL),
(32, 314, 'extra', 'typ', 'bannerview'),
(32, 314, 'affiliate_id', 'id', NULL),
(32, 314, 'password', 'pw', NULL),
(32, 314, 'remain_clicks', 'uebrig', NULL),
(32, 314, 'reload', 'reload', NULL),
(32, 314, 'reward', 'verguetung', NULL),
(32, 314, 'minimum_stay', 'ma', NULL),
(32, 315, 'extra', 'typ', 'bannerklick'),
(32, 315, 'affiliate_id', 'id', NULL),
(32, 315, 'password', 'pw', NULL),
(32, 315, 'remain_clicks', 'uebrig', NULL),
(32, 315, 'reload', 'reload', NULL),
(32, 315, 'reward', 'verguetung', NULL),
(32, 315, 'minimum_stay', 'ma', NULL),
(32, 316, 'extra', 'typ', 'skyview'),
(32, 316, 'affiliate_id', 'id', NULL),
(32, 316, 'password', 'pw', NULL),
(32, 316, 'remain_clicks', 'uebrig', NULL),
(32, 316, 'reload', 'reload', NULL),
(32, 316, 'reward', 'verguetung', NULL),
(32, 316, 'minimum_stay', 'ma', NULL),
(32, 317, 'extra', 'typ', 'buttonview'),
(32, 317, 'affiliate_id', 'id', NULL),
(32, 317, 'password', 'pw', NULL),
(32, 317, 'remain_clicks', 'uebrig', NULL),
(32, 317, 'reload', 'reload', NULL),
(32, 317, 'reward', 'verguetung', NULL),
(32, 317, 'minimum_stay', 'ma', NULL),
(32, 318, 'extra', 'typ', 'textview'),
(32, 318, 'affiliate_id', 'id', NULL),
(32, 318, 'password', 'pw', NULL),
(32, 318, 'remain_clicks', 'uebrig', NULL),
(32, 318, 'reload', 'reload', NULL),
(32, 318, 'reward', 'verguetung', NULL),
(32, 318, 'minimum_stay', 'ma', NULL),
(32, 319, 'extra', 'typ', 'taffic'),
(32, 319, 'affiliate_id', 'id', NULL),
(32, 319, 'password', 'pw', NULL),
(32, 319, 'remain_clicks', 'uebrig', NULL),
(32, 319, 'reload', 'reload', NULL),
(32, 319, 'reward', 'verguetung', NULL),
(32, 319, 'minimum_stay', 'ma', NULL),
(32, 320, 'extra', 'typ', 'popup'),
(32, 320, 'affiliate_id', 'id', NULL),
(32, 320, 'password', 'pw', NULL),
(32, 320, 'remain_clicks', 'uebrig', NULL),
(32, 320, 'reload', 'reload', NULL),
(32, 320, 'reward', 'verguetung', NULL),
(32, 320, 'minimum_stay', 'ma', NULL),
(32, 321, 'extra', 'typ', 'paidmail'),
(32, 321, 'affiliate_id', 'id', NULL),
(32, 321, 'password', 'pw', NULL),
(32, 321, 'remain_clicks', 'uebrig', NULL),
(32, 321, 'reload', 'reload', NULL),
(32, 321, 'reward', 'verguetung', NULL),
(32, 321, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - AdCocktail
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(4, 12, 'affiliate_id', 'u_id', NULL),
(4, 12, 'password', 'k_pass', NULL),
(4, 12, 'reward', 'k_v', NULL),
(4, 12, 'remain_clicks', 'k_rest', NULL),
(4, 12, 'maximum_stay', 'k_mamax', NULL),
(4, 13, 'affiliate_id', 'u_id', NULL),
(4, 13, 'password', 'k_pass', NULL),
(4, 13, 'reward', 'k_v', NULL),
(4, 13, 'remain_clicks', 'k_rest', NULL),
(4, 13, 'size', 'b_f', '468'),
(4, 479, 'affiliate_id', 'u_id', NULL),
(4, 479, 'password', 'k_pass', NULL),
(4, 479, 'reward', 'k_v', NULL),
(4, 479, 'remain_clicks', 'k_rest', NULL),
(4, 480, 'affiliate_id', 'u_id', NULL),
(4, 480, 'password', 'k_pass', NULL),
(4, 480, 'reward', 'k_v', NULL),
(4, 480, 'remain_clicks', 'k_rest', NULL),
(4, 480, 'size', 'b_f', '88'),
(4, 481, 'affiliate_id', 'u_id', NULL),
(4, 481, 'password', 'k_pass', NULL),
(4, 481, 'reward', 'k_v', NULL),
(4, 481, 'remain_clicks', 'k_rest', NULL),
(4, 481, 'size', 'b_f', '234'),
(4, 482, 'affiliate_id', 'u_id', NULL),
(4, 482, 'password', 'k_pass', NULL),
(4, 482, 'reward', 'k_v', NULL),
(4, 482, 'remain_clicks', 'k_rest', NULL),
(4, 482, 'size', 'b_f', '120')");

// Request parameters per type handler - AdConvention
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(30, 292, 'extra', 'typ', 'forcedbanner'),
(30, 292, 'affiliate_id', 'id', NULL),
(30, 292, 'minimum_stay', 'ma', NULL),
(30, 292, 'password', 'pw', NULL),
(30, 292, 'reload', 'reload', NULL),
(30, 292, 'remain_clicks', 'uebrig', NULL),
(30, 292, 'reward', 'verguetung', NULL),
(30, 293, 'extra', 'typ', 'forcedtextlink'),
(30, 293, 'affiliate_id', 'id', NULL),
(30, 293, 'minimum_stay', 'ma', NULL),
(30, 293, 'password', 'pw', NULL),
(30, 293, 'reload', 'reload', NULL),
(30, 293, 'remain_clicks', 'uebrig', NULL),
(30, 293, 'reward', 'verguetung', NULL),
(30, 294, 'extra', 'typ', 'bannerview'),
(30, 294, 'affiliate_id', 'id', NULL),
(30, 294, 'minimum_stay', 'ma', NULL),
(30, 294, 'password', 'pw', NULL),
(30, 294, 'reload', 'reload', NULL),
(30, 294, 'remain_clicks', 'uebrig', NULL),
(30, 294, 'reward', 'verguetung', NULL),
(30, 295, 'extra', 'typ', 'bannerklick'),
(30, 295, 'affiliate_id', 'id', NULL),
(30, 295, 'minimum_stay', 'ma', NULL),
(30, 295, 'password', 'pw', NULL),
(30, 295, 'reload', 'reload', NULL),
(30, 295, 'remain_clicks', 'uebrig', NULL),
(30, 295, 'reward', 'verguetung', NULL),
(30, 296, 'extra', 'typ', 'skybannerview'),
(30, 296, 'affiliate_id', 'id', NULL),
(30, 296, 'minimum_stay', 'ma', NULL),
(30, 296, 'password', 'pw', NULL),
(30, 296, 'reload', 'reload', NULL),
(30, 296, 'remain_clicks', 'uebrig', NULL),
(30, 296, 'reward', 'verguetung', NULL),
(30, 297, 'extra', 'typ', 'buttonview'),
(30, 297, 'affiliate_id', 'id', NULL),
(30, 297, 'minimum_stay', 'ma', NULL),
(30, 297, 'password', 'pw', NULL),
(30, 297, 'reload', 'reload', NULL),
(30, 297, 'remain_clicks', 'uebrig', NULL),
(30, 297, 'reward', 'verguetung', NULL),
(30, 298, 'extra', 'typ', 'textview'),
(30, 298, 'affiliate_id', 'id', NULL),
(30, 298, 'minimum_stay', 'ma', NULL),
(30, 298, 'password', 'pw', NULL),
(30, 298, 'reload', 'reload', NULL),
(30, 298, 'remain_clicks', 'uebrig', NULL),
(30, 298, 'reward', 'verguetung', NULL),
(30, 299, 'extra', 'typ', 'traffic'),
(30, 299, 'affiliate_id', 'id', NULL),
(30, 299, 'minimum_stay', 'ma', NULL),
(30, 299, 'password', 'pw', NULL),
(30, 299, 'reload', 'reload', NULL),
(30, 299, 'remain_clicks', 'uebrig', NULL),
(30, 299, 'reward', 'verguetung', NULL),
(30, 300, 'extra', 'typ', 'popup'),
(30, 300, 'affiliate_id', 'id', NULL),
(30, 300, 'minimum_stay', 'ma', NULL),
(30, 300, 'password', 'pw', NULL),
(30, 300, 'reload', 'reload', NULL),
(30, 300, 'remain_clicks', 'uebrig', NULL),
(30, 300, 'reward', 'verguetung', NULL),
(30, 301, 'extra', 'typ', 'paidmail'),
(30, 301, 'affiliate_id', 'id', NULL),
(30, 301, 'minimum_stay', 'ma', NULL),
(30, 301, 'password', 'pw', NULL),
(30, 301, 'reload', 'reload', NULL),
(30, 301, 'remain_clicks', 'uebrig', NULL),
(30, 301, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - adgain.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(33, 322, 'extra', 'art', 'bannerklick'),
(33, 322, 'affiliate_id', 'uid', NULL),
(33, 322, 'password', 'pw', NULL),
(33, 322, 'site_id', 'sid', NULL),
(33, 322, 'reward', 'verguetung', NULL),
(33, 322, 'reload', 'reload', NULL),
(33, 322, 'remain_clicks', 'uebrig', NULL),
(33, 323, 'extra', 'art', 'bannerview'),
(33, 323, 'affiliate_id', 'uid', NULL),
(33, 323, 'password', 'pw', NULL),
(33, 323, 'site_id', 'sid', NULL),
(33, 323, 'reward', 'verguetung', NULL),
(33, 323, 'reload', 'reload', NULL),
(33, 323, 'remain_clicks', 'uebrig', NULL),
(33, 324, 'extra', 'art', 'forcedbanner'),
(33, 324, 'affiliate_id', 'uid', NULL),
(33, 324, 'password', 'pw', NULL),
(33, 324, 'site_id', 'sid', NULL),
(33, 324, 'reward', 'verguetung', NULL),
(33, 324, 'reload', 'reload', NULL),
(33, 324, 'remain_clicks', 'uebrig', NULL),
(33, 324, 'minimum_stay', 'ma', NULL),
(33, 325, 'extra', 'art', 'forcedtextlink'),
(33, 325, 'affiliate_id', 'uid', NULL),
(33, 325, 'password', 'pw', NULL),
(33, 325, 'site_id', 'sid', NULL),
(33, 325, 'reward', 'verguetung', NULL),
(33, 325, 'reload', 'reload', NULL),
(33, 325, 'remain_clicks', 'uebrig', NULL),
(33, 325, 'minimum_stay', 'ma', NULL),
(33, 326, 'extra', 'art', 'htmlmail'),
(33, 326, 'affiliate_id', 'uid', NULL),
(33, 326, 'password', 'pw', NULL),
(33, 326, 'site_id', 'sid', NULL),
(33, 326, 'reward', 'verguetung', NULL),
(33, 326, 'reload', 'reload', NULL),
(33, 326, 'remain_clicks', 'uebrig', NULL),
(33, 326, 'minimum_stay', 'ma', NULL),
(33, 327, 'extra', 'art', 'layer'),
(33, 327, 'affiliate_id', 'uid', NULL),
(33, 327, 'password', 'pw', NULL),
(33, 327, 'site_id', 'sid', NULL),
(33, 327, 'reward', 'verguetung', NULL),
(33, 327, 'reload', 'reload', NULL),
(33, 327, 'remain_clicks', 'uebrig', NULL),
(33, 328, 'extra', 'art', 'paidmail'),
(33, 328, 'affiliate_id', 'uid', NULL),
(33, 328, 'password', 'pw', NULL),
(33, 328, 'site_id', 'sid', NULL),
(33, 328, 'reward', 'verguetung', NULL),
(33, 328, 'reload', 'reload', NULL),
(33, 328, 'remain_clicks', 'uebrig', NULL),
(33, 328, 'minimum_stay', 'ma', NULL),
(33, 329, 'extra', 'art', 'popup'),
(33, 329, 'affiliate_id', 'uid', NULL),
(33, 329, 'password', 'pw', NULL),
(33, 329, 'site_id', 'sid', NULL),
(33, 329, 'reward', 'verguetung', NULL),
(33, 329, 'reload', 'reload', NULL),
(33, 329, 'remain_clicks', 'uebrig', NULL),
(33, 329, 'minimum_stay', 'ma', NULL),
(33, 330, 'extra', 'art', 'skybannerklick'),
(33, 330, 'affiliate_id', 'uid', NULL),
(33, 330, 'password', 'pw', NULL),
(33, 330, 'site_id', 'sid', NULL),
(33, 330, 'reward', 'verguetung', NULL),
(33, 330, 'reload', 'reload', NULL),
(33, 330, 'remain_clicks', 'uebrig', NULL),
(33, 331, 'extra', 'art', 'skybannerview'),
(33, 331, 'affiliate_id', 'uid', NULL),
(33, 331, 'password', 'pw', NULL),
(33, 331, 'site_id', 'sid', NULL),
(33, 331, 'reward', 'verguetung', NULL),
(33, 331, 'reload', 'reload', NULL),
(33, 331, 'remain_clicks', 'uebrig', NULL),
(33, 332, 'extra', 'art', 'surfbarklick'),
(33, 332, 'affiliate_id', 'uid', NULL),
(33, 332, 'password', 'pw', NULL),
(33, 332, 'site_id', 'sid', NULL),
(33, 332, 'reward', 'verguetung', NULL),
(33, 332, 'reload', 'reload', NULL),
(33, 332, 'remain_clicks', 'uebrig', NULL),
(33, 333, 'extra', 'art', 'surfbarview'),
(33, 333, 'affiliate_id', 'uid', NULL),
(33, 333, 'password', 'pw', NULL),
(33, 333, 'site_id', 'sid', NULL),
(33, 333, 'reward', 'verguetung', NULL),
(33, 333, 'reload', 'reload', NULL),
(33, 333, 'remain_clicks', 'uebrig', NULL),
(33, 334, 'extra', 'art', 'textlinkklick'),
(33, 334, 'affiliate_id', 'uid', NULL),
(33, 334, 'password', 'pw', NULL),
(33, 334, 'site_id', 'sid', NULL),
(33, 334, 'reward', 'verguetung', NULL),
(33, 334, 'reload', 'reload', NULL),
(33, 334, 'remain_clicks', 'uebrig', NULL),
(33, 335, 'extra', 'art', 'textlinkview'),
(33, 335, 'affiliate_id', 'uid', NULL),
(33, 335, 'password', 'pw', NULL),
(33, 335, 'site_id', 'sid', NULL),
(33, 335, 'reward', 'verguetung', NULL),
(33, 335, 'reload', 'reload', NULL),
(33, 335, 'remain_clicks', 'uebrig', NULL)");

// Request parameters per type handler - ADkracher
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(34, 336, 'extra', 'art', 'bannerklick'),
(34, 336, 'affiliate_id', 'uid', NULL),
(34, 336, 'password', 'pw', NULL),
(34, 336, 'reload', 'reload', NULL),
(34, 336, 'remain_clicks', 'uebrig', NULL),
(34, 336, 'reward', 'verguetung', NULL),
(34, 336, 'site_id', 'sid', NULL),
(34, 337, 'extra', 'art', 'bannerview'),
(34, 337, 'affiliate_id', 'uid', NULL),
(34, 337, 'password', 'pw', NULL),
(34, 337, 'reload', 'reload', NULL),
(34, 337, 'remain_clicks', 'uebrig', NULL),
(34, 337, 'reward', 'verguetung', NULL),
(34, 337, 'site_id', 'sid', NULL),
(34, 338, 'extra', 'art', 'forcedbanner'),
(34, 338, 'affiliate_id', 'uid', NULL),
(34, 338, 'minimum_stay', 'ma', NULL),
(34, 338, 'password', 'pw', NULL),
(34, 338, 'reload', 'reload', NULL),
(34, 338, 'remain_clicks', 'uebrig', NULL),
(34, 338, 'reward', 'verguetung', NULL),
(34, 338, 'site_id', 'sid', NULL),
(34, 339, 'extra', 'art', 'forcedtextlink'),
(34, 339, 'affiliate_id', 'uid', NULL),
(34, 339, 'minimum_stay', 'ma', NULL),
(34, 339, 'password', 'pw', NULL),
(34, 339, 'reload', 'reload', NULL),
(34, 339, 'remain_clicks', 'uebrig', NULL),
(34, 339, 'reward', 'verguetung', NULL),
(34, 339, 'site_id', 'sid', NULL),
(34, 340, 'extra', 'art', 'htmlmail'),
(34, 340, 'affiliate_id', 'uid', NULL),
(34, 340, 'minimum_stay', 'ma', NULL),
(34, 340, 'password', 'pw', NULL),
(34, 340, 'reload', 'reload', NULL),
(34, 340, 'remain_clicks', 'uebrig', NULL),
(34, 340, 'reward', 'verguetung', NULL),
(34, 340, 'site_id', 'sid', NULL),
(34, 341, 'extra', 'art', 'layer'),
(34, 341, 'affiliate_id', 'uid', NULL),
(34, 341, 'password', 'pw', NULL),
(34, 341, 'reload', 'reload', NULL),
(34, 341, 'remain_clicks', 'uebrig', NULL),
(34, 341, 'reward', 'verguetung', NULL),
(34, 341, 'site_id', 'sid', NULL),
(34, 342, 'extra', 'art', 'paidmail'),
(34, 342, 'affiliate_id', 'uid', NULL),
(34, 342, 'maximum_stay', 'ma', NULL),
(34, 342, 'password', 'pw', NULL),
(34, 342, 'reload', 'reload', NULL),
(34, 342, 'remain_clicks', 'uebrig', NULL),
(34, 342, 'reward', 'verguetung', NULL),
(34, 342, 'site_id', 'sid', NULL),
(34, 343, 'extra', 'art', 'popup'),
(34, 343, 'affiliate_id', 'uid', NULL),
(34, 343, 'maximum_stay', 'ma', NULL),
(34, 343, 'password', 'pw', NULL),
(34, 343, 'reload', 'reload', NULL),
(34, 343, 'remain_clicks', 'uebrig', NULL),
(34, 343, 'reward', 'verguetung', NULL),
(34, 343, 'site_id', 'sid', NULL),
(34, 344, 'extra', 'art', 'skybannerklick'),
(34, 344, 'affiliate_id', 'uid', NULL),
(34, 344, 'password', 'pw', NULL),
(34, 344, 'reload', 'reload', NULL),
(34, 344, 'remain_clicks', 'uebrig', NULL),
(34, 344, 'reward', 'verguetung', NULL),
(34, 344, 'site_id', 'sid', NULL),
(34, 345, 'extra', 'art', 'skybannerview'),
(34, 345, 'affiliate_id', 'uid', NULL),
(34, 345, 'password', 'pw', NULL),
(34, 345, 'reload', 'reload', NULL),
(34, 345, 'remain_clicks', 'uebrig', NULL),
(34, 345, 'reward', 'verguetung', NULL),
(34, 345, 'site_id', 'sid', NULL),
(34, 346, 'extra', 'art', 'textlinkklick'),
(34, 346, 'affiliate_id', 'uid', NULL),
(34, 346, 'password', 'pw', NULL),
(34, 346, 'reload', 'reload', NULL),
(34, 346, 'remain_clicks', 'uebrig', NULL),
(34, 346, 'reward', 'verguetung', NULL),
(34, 346, 'site_id', 'sid', NULL),
(34, 347, 'extra', 'art', 'textlinkview'),
(34, 347, 'affiliate_id', 'uid', NULL),
(34, 347, 'password', 'pw', NULL),
(34, 347, 'reload', 'reload', NULL),
(34, 347, 'reward', 'verguetung', NULL),
(34, 347, 'site_id', 'sid', NULL),
(34, 348, 'extra', 'art', 'traffic'),
(34, 348, 'affiliate_id', 'uid', NULL),
(34, 348, 'minimum_stay', 'ma', NULL),
(34, 348, 'password', 'pw', NULL),
(34, 348, 'reload', 'reload', NULL),
(34, 348, 'remain_clicks', 'uebrig', NULL),
(34, 348, 'reward', 'verguetung', NULL),
(34, 348, 'site_id', 'sid', NULL)");

// Request parameters per type handler - Adminlose.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(35, 349, 'affiliate_id', 'id', NULL),
(35, 349, 'password', 'pw', NULL),
(35, 349, 'reload', 'reload', NULL),
(35, 349, 'reward', 'verguetung', NULL),
(35, 349, 'remain_clicks', 'uebrig', NULL),
(35, 349, 'type', 'typ', 'view'),
(35, 350, 'affiliate_id', 'id', NULL),
(35, 350, 'password', 'pw', NULL),
(35, 350, 'reload', 'reload', NULL),
(35, 350, 'reward', 'verguetung', NULL),
(35, 350, 'remain_clicks', 'uebrig', NULL),
(35, 350, 'type', 'typ', 'view'),
(35, 351, 'affiliate_id', 'id', NULL),
(35, 351, 'password', 'pw', NULL),
(35, 351, 'reload', 'reload', NULL),
(35, 351, 'reward', 'verguetung', NULL),
(35, 351, 'remain_clicks', 'uebrig', NULL),
(35, 352, 'affiliate_id', 'id', NULL),
(35, 352, 'password', 'pw', NULL),
(35, 352, 'reload', 'reload', NULL),
(35, 352, 'reward', 'verguetung', NULL),
(35, 352, 'remain_clicks', 'uebrig', NULL),
(35, 353, 'affiliate_id', 'id', NULL),
(35, 353, 'password', 'pw', NULL),
(35, 353, 'reward', 'verguetung', NULL),
(35, 353, 'remain_clicks', 'uebrig', NULL),
(35, 353, 'minimum_stay', 'ma', NULL),
(35, 354, 'affiliate_id', 'id', NULL),
(35, 354, 'password', 'pw', NULL),
(35, 354, 'reload', 'reload', NULL),
(35, 354, 'reward', 'verguetung', NULL),
(35, 354, 'remain_clicks', 'uebrig', NULL),
(35, 355, 'affiliate_id', 'id', NULL),
(35, 355, 'password', 'pw', NULL),
(35, 355, 'reload', 'reload', NULL),
(35, 355, 'reward', 'verguetung', NULL),
(35, 355, 'remain_clicks', 'uebrig', NULL),
(35, 355, 'minimum_stay', 'ma', NULL),
(35, 355, 'type', 'typ', 'popup'),
(35, 356, 'affiliate_id', 'id', NULL),
(35, 356, 'password', 'pw', NULL),
(35, 356, 'reload', 'reload', NULL),
(35, 356, 'reward', 'verguetung', NULL),
(35, 356, 'remain_clicks', 'uebrig', NULL),
(35, 356, 'minimum_stay', 'ma', NULL),
(35, 356, 'type', 'typ', 'popdown')");

// Request parameters per type handler - Admono.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(36, 357, 'extra', 'typ', 'forcedbanner'),
(36, 357, 'affiliate_id', 'id', NULL),
(36, 357, 'site_id', 'sid', NULL),
(36, 357, 'password', 'pw', NULL),
(36, 357, 'remain_clicks', 'uebrig', NULL),
(36, 357, 'reload', 'reload', NULL),
(36, 357, 'reward', 'verguetung', NULL),
(36, 358, 'extra', 'typ', 'forcedtextlink'),
(36, 358, 'affiliate_id', 'id', NULL),
(36, 358, 'site_id', 'sid', NULL),
(36, 358, 'password', 'pw', NULL),
(36, 358, 'remain_clicks', 'uebrig', NULL),
(36, 358, 'reload', 'reload', NULL),
(36, 358, 'reward', 'verguetung', NULL),
(36, 359, 'extra', 'typ', 'bannerview'),
(36, 359, 'affiliate_id', 'id', NULL),
(36, 359, 'site_id', 'sid', NULL),
(36, 359, 'password', 'pw', NULL),
(36, 359, 'remain_clicks', 'uebrig', NULL),
(36, 359, 'reload', 'reload', NULL),
(36, 359, 'reward', 'verguetung', NULL),
(36, 360, 'extra', 'typ', 'bannerklick'),
(36, 360, 'affiliate_id', 'id', NULL),
(36, 360, 'site_id', 'sid', NULL),
(36, 360, 'password', 'pw', NULL),
(36, 360, 'remain_clicks', 'uebrig', NULL),
(36, 360, 'reload', 'reload', NULL),
(36, 360, 'reward', 'verguetung', NULL),
(36, 361, 'extra', 'typ', 'skybannerview'),
(36, 361, 'affiliate_id', 'id', NULL),
(36, 361, 'site_id', 'sid', NULL),
(36, 361, 'password', 'pw', NULL),
(36, 361, 'remain_clicks', 'uebrig', NULL),
(36, 361, 'reload', 'reload', NULL),
(36, 361, 'reward', 'verguetung', NULL),
(36, 362, 'extra', 'typ', 'buttonview'),
(36, 362, 'affiliate_id', 'id', NULL),
(36, 362, 'site_id', 'sid', NULL),
(36, 362, 'password', 'pw', NULL),
(36, 362, 'remain_clicks', 'uebrig', NULL),
(36, 362, 'reload', 'reload', NULL),
(36, 362, 'reward', 'verguetung', NULL),
(36, 363, 'extra', 'typ', 'textview'),
(36, 363, 'affiliate_id', 'id', NULL),
(36, 363, 'site_id', 'sid', NULL),
(36, 363, 'password', 'pw', NULL),
(36, 363, 'remain_clicks', 'uebrig', NULL),
(36, 363, 'reload', 'reload', NULL),
(36, 363, 'reward', 'verguetung', NULL),
(36, 364, 'extra', 'typ', 'traffic'),
(36, 364, 'affiliate_id', 'id', NULL),
(36, 364, 'site_id', 'sid', NULL),
(36, 364, 'password', 'pw', NULL),
(36, 364, 'remain_clicks', 'uebrig', NULL),
(36, 364, 'reload', 'reload', NULL),
(36, 364, 'reward', 'verguetung', NULL),
(36, 365, 'extra', 'typ', 'popup'),
(36, 365, 'affiliate_id', 'id', NULL),
(36, 365, 'site_id', 'sid', NULL),
(36, 365, 'password', 'pw', NULL),
(36, 365, 'remain_clicks', 'uebrig', NULL),
(36, 365, 'reload', 'reload', NULL),
(36, 365, 'reward', 'verguetung', NULL),
(36, 366, 'extra', 'typ', 'paidmail'),
(36, 366, 'affiliate_id', 'id', NULL),
(36, 366, 'site_id', 'sid', NULL),
(36, 366, 'password', 'pw', NULL),
(36, 366, 'remain_clicks', 'uebrig', NULL),
(36, 366, 'reload', 'reload', NULL),
(36, 366, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - AdPaid
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(5, 177, 'affiliate_id', 'id', NULL),
(5, 177, 'password', 'pw', NULL),
(5, 177, 'reload', 'reload', NULL),
(5, 177, 'remain_clicks', 'uebrig', NULL),
(5, 177, 'reward', 'verguetung', NULL),
(5, 177, 'site_id', 'sid', NULL),
(5, 177, 'size', 'size', '468x60'),
(5, 177, 'type', 'typ', 'klick'),
(5, 178, 'affiliate_id', 'id', NULL),
(5, 178, 'password', 'pw', NULL),
(5, 178, 'reload', 'reload', NULL),
(5, 178, 'remain_clicks', 'uebrig', NULL),
(5, 178, 'reward', 'verguetung', NULL),
(5, 178, 'site_id', 'sid', NULL),
(5, 178, 'type', 'typ', 'klick'),
(5, 179, 'affiliate_id', 'id', NULL),
(5, 179, 'password', 'pw', NULL),
(5, 179, 'reload', 'reload', NULL),
(5, 179, 'remain_clicks', 'uebrig', NULL),
(5, 179, 'reward', 'verguetung', NULL),
(5, 179, 'site_id', 'sid', NULL),
(5, 179, 'size', 'size', NULL),
(5, 179, 'type', 'typ', 'klick'),
(5, 180, 'affiliate_id', 'id', NULL),
(5, 180, 'minimum_stay', 'ma', NULL),
(5, 180, 'password', 'pw', NULL),
(5, 180, 'reload', 'reload', NULL),
(5, 180, 'remain_clicks', 'uebrig', NULL),
(5, 180, 'reward', 'verguetung', NULL),
(5, 180, 'site_id', 'sid', NULL),
(5, 180, 'size', 'size', '468x60'),
(5, 181, 'affiliate_id', 'id', NULL),
(5, 181, 'minimum_stay', 'ma', NULL),
(5, 181, 'password', 'pw', NULL),
(5, 181, 'reload', 'reload', NULL),
(5, 181, 'remain_clicks', 'uebrig', NULL),
(5, 181, 'reward', 'verguetung', NULL),
(5, 181, 'site_id', 'sid', NULL),
(5, 181, 'type', 'typ', 'text'),
(5, 182, 'affiliate_id', 'id', NULL),
(5, 182, 'password', 'pw', NULL),
(5, 182, 'reload', 'reload', NULL),
(5, 182, 'remain_clicks', 'uebrig', NULL),
(5, 182, 'reward', 'verguetung', NULL),
(5, 182, 'site_id', 'sid', NULL),
(5, 182, 'type', 'typ', 'klick'),
(5, 183, 'affiliate_id', 'id', NULL),
(5, 183, 'minimum_stay', 'ma', NULL),
(5, 183, 'password', 'pw', NULL),
(5, 183, 'reload', 'reload', NULL),
(5, 183, 'remain_clicks', 'uebrig', NULL),
(5, 183, 'reward', 'verguetung', NULL),
(5, 183, 'site_id', 'sid', NULL),
(5, 184, 'affiliate_id', 'id', NULL),
(5, 184, 'minimum_stay', 'ma', NULL),
(5, 184, 'password', 'pw', NULL),
(5, 184, 'reload', 'reload', NULL),
(5, 184, 'remain_clicks', 'uebrig', NULL),
(5, 184, 'reward', 'verguetung', NULL),
(5, 184, 'site_id', 'sid', NULL),
(5, 185, 'affiliate_id', 'id', NULL),
(5, 185, 'password', 'pw', NULL),
(5, 185, 'remain_clicks', 'uebrig', NULL),
(5, 185, 'reward', 'verguetung', NULL),
(5, 185, 'site_id', 'sid', NULL),
(5, 186, 'affiliate_id', 'id', NULL),
(5, 186, 'password', 'pw', NULL),
(5, 186, 'remain_clicks', 'uebrig', NULL),
(5, 186, 'reward', 'verguetung', NULL),
(5, 186, 'site_id', 'sid', NULL),
(5, 391, 'affiliate_id', 'id', NULL),
(5, 391, 'password', 'pw', NULL),
(5, 391, 'reload', 'reload', NULL),
(5, 391, 'remain_clicks', 'uebrig', NULL),
(5, 391, 'reward', 'verguetung', NULL),
(5, 391, 'site_id', 'sid', NULL),
(5, 391, 'size', 'size', '468x60'),
(5, 391, 'type', 'typ', 'view'),
(5, 392, 'affiliate_id', 'id', NULL),
(5, 392, 'password', 'pw', NULL),
(5, 392, 'reload', 'reload', NULL),
(5, 392, 'remain_clicks', 'uebrig', NULL),
(5, 392, 'reward', 'verguetung', NULL),
(5, 392, 'site_id', 'sid', NULL),
(5, 392, 'type', 'typ', 'view'),
(5, 393, 'affiliate_id', 'id', NULL),
(5, 393, 'password', 'pw', NULL),
(5, 393, 'reload', 'reload', NULL),
(5, 393, 'remain_clicks', 'uebrig', NULL),
(5, 393, 'reward', 'verguetung', NULL),
(5, 393, 'site_id', 'sid', NULL),
(5, 393, 'size', 'size', NULL),
(5, 393, 'type', 'typ', 'view'),
(5, 394, 'affiliate_id', 'id', NULL),
(5, 394, 'password', 'pw', NULL),
(5, 394, 'reload', 'reload', NULL),
(5, 394, 'remain_clicks', 'uebrig', NULL),
(5, 394, 'reward', 'verguetung', NULL),
(5, 394, 'site_id', 'sid', NULL),
(5, 394, 'type', 'typ', 'view')");

// Request parameters per type handler - AdProvi
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(38, 377, 'extra', 'typ', 'forcedbanner'),
(38, 377, 'affiliate_id', 'id', NULL),
(38, 377, 'password', 'pw', NULL),
(38, 377, 'remain_clicks', 'uebrig', NULL),
(38, 377, 'reload', 'reload', NULL),
(38, 377, 'reward', 'verguetung', NULL),
(38, 377, 'site_id', 'siteid', NULL),
(38, 378, 'extra', 'typ', 'forcedtextlink'),
(38, 378, 'affiliate_id', 'id', NULL),
(38, 378, 'password', 'pw', NULL),
(38, 378, 'remain_clicks', 'uebrig', NULL),
(38, 378, 'reload', 'reload', NULL),
(38, 378, 'reward', 'verguetung', NULL),
(38, 378, 'site_id', 'siteid', NULL),
(38, 379, 'extra', 'typ', 'bannerview'),
(38, 379, 'affiliate_id', 'id', NULL),
(38, 379, 'password', 'pw', NULL),
(38, 379, 'remain_clicks', 'uebrig', NULL),
(38, 379, 'reload', 'reload', NULL),
(38, 379, 'reward', 'verguetung', NULL),
(38, 379, 'site_id', 'siteid', NULL),
(38, 380, 'extra', 'typ', 'bannerklick'),
(38, 380, 'affiliate_id', 'id', NULL),
(38, 380, 'password', 'pw', NULL),
(38, 380, 'remain_clicks', 'uebrig', NULL),
(38, 380, 'reload', 'reload', NULL),
(38, 380, 'reward', 'verguetung', NULL),
(38, 380, 'site_id', 'siteid', NULL),
(38, 381, 'extra', 'typ', 'skybannerview'),
(38, 381, 'affiliate_id', 'id', NULL),
(38, 381, 'password', 'pw', NULL),
(38, 381, 'remain_clicks', 'uebrig', NULL),
(38, 381, 'reload', 'reload', NULL),
(38, 381, 'reward', 'verguetung', NULL),
(38, 381, 'site_id', 'siteid', NULL),
(38, 382, 'extra', 'typ', 'buttonview'),
(38, 382, 'affiliate_id', 'id', NULL),
(38, 382, 'password', 'pw', NULL),
(38, 382, 'remain_clicks', 'uebrig', NULL),
(38, 382, 'reload', 'reload', NULL),
(38, 382, 'reward', 'verguetung', NULL),
(38, 382, 'site_id', 'siteid', NULL),
(38, 383, 'extra', 'typ', 'textview'),
(38, 383, 'affiliate_id', 'id', NULL),
(38, 383, 'password', 'pw', NULL),
(38, 383, 'remain_clicks', 'uebrig', NULL),
(38, 383, 'reload', 'reload', NULL),
(38, 383, 'reward', 'verguetung', NULL),
(38, 383, 'site_id', 'siteid', NULL),
(38, 384, 'extra', 'typ', 'traffic'),
(38, 384, 'affiliate_id', 'id', NULL),
(38, 384, 'password', 'pw', NULL),
(38, 384, 'remain_clicks', 'uebrig', NULL),
(38, 384, 'reload', 'reload', NULL),
(38, 384, 'reward', 'verguetung', NULL),
(38, 384, 'site_id', 'siteid', NULL),
(38, 385, 'extra', 'typ', 'popup'),
(38, 385, 'affiliate_id', 'id', NULL),
(38, 385, 'password', 'pw', NULL),
(38, 385, 'remain_clicks', 'uebrig', NULL),
(38, 385, 'reload', 'reload', NULL),
(38, 385, 'reward', 'verguetung', NULL),
(38, 385, 'site_id', 'siteid', NULL),
(38, 386, 'extra', 'typ', 'paidmail'),
(38, 386, 'affiliate_id', 'id', NULL),
(38, 386, 'password', 'pw', NULL),
(38, 386, 'remain_clicks', 'uebrig', NULL),
(38, 386, 'reload', 'reload', NULL),
(38, 386, 'reward', 'verguetung', NULL),
(38, 386, 'site_id', 'siteid', NULL)");

// Request parameters per type handler - Ads-AbisZ
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(52, 620, 'extra', 'art', 'bannerklick'),
(52, 620, 'affiliate_id', 'uid', NULL),
(52, 620, 'password', 'pw', NULL),
(52, 620, 'site_id', 'sid', NULL),
(52, 620, 'reward', 'verguetung', NULL),
(52, 620, 'reload', 'reload', NULL),
(52, 620, 'remain_clicks', 'uebrig', NULL),
(52, 621, 'extra', 'art', 'bannerview'),
(52, 621, 'affiliate_id', 'uid', NULL),
(52, 621, 'password', 'pw', NULL),
(52, 621, 'site_id', 'sid', NULL),
(52, 621, 'reward', 'verguetung', NULL),
(52, 621, 'reload', 'reload', NULL),
(52, 621, 'remain_clicks', 'uebrig', NULL),
(52, 622, 'extra', 'art', 'buttonklick'),
(52, 622, 'affiliate_id', 'uid', NULL),
(52, 622, 'password', 'pw', NULL),
(52, 622, 'site_id', 'sid', NULL),
(52, 622, 'reward', 'verguetung', NULL),
(52, 622, 'reload', 'reload', NULL),
(52, 622, 'remain_clicks', 'uebrig', NULL),
(52, 623, 'extra', 'art', 'buttonview'),
(52, 623, 'affiliate_id', 'uid', NULL),
(52, 623, 'password', 'pw', NULL),
(52, 623, 'site_id', 'sid', NULL),
(52, 623, 'reward', 'verguetung', NULL),
(52, 623, 'reload', 'reload', NULL),
(52, 623, 'remain_clicks', 'uebrig', NULL),
(52, 624, 'extra', 'art', 'forcedbanner'),
(52, 624, 'affiliate_id', 'uid', NULL),
(52, 624, 'password', 'pw', NULL),
(52, 624, 'site_id', 'sid', NULL),
(52, 624, 'reward', 'verguetung', NULL),
(52, 624, 'reload', 'reload', NULL),
(52, 624, 'remain_clicks', 'uebrig', NULL),
(52, 624, 'minimum_stay', 'ma', NULL),
(52, 625, 'extra', 'art', 'forcedtextlink'),
(52, 625, 'affiliate_id', 'uid', NULL),
(52, 625, 'password', 'pw', NULL),
(52, 625, 'site_id', 'sid', NULL),
(52, 625, 'reward', 'verguetung', NULL),
(52, 625, 'reload', 'reload', NULL),
(52, 625, 'remain_clicks', 'uebrig', NULL),
(52, 625, 'minimum_stay', 'ma', NULL),
(52, 626, 'extra', 'art', 'htmlmail'),
(52, 626, 'affiliate_id', 'uid', NULL),
(52, 626, 'password', 'pw', NULL),
(52, 626, 'site_id', 'sid', NULL),
(52, 626, 'reward', 'verguetung', NULL),
(52, 626, 'reload', 'reload', NULL),
(52, 626, 'remain_clicks', 'uebrig', NULL),
(52, 626, 'minimum_stay', 'ma', NULL),
(52, 627, 'extra', 'art', 'bannerview'),
(52, 627, 'affiliate_id', 'uid', NULL),
(52, 627, 'password', 'pw', NULL),
(52, 627, 'site_id', 'sid', NULL),
(52, 627, 'reward', 'verguetung', NULL),
(52, 627, 'reload', 'reload', NULL),
(52, 627, 'remain_clicks', 'uebrig', NULL),
(52, 628, 'extra', 'art', 'paidmail'),
(52, 628, 'affiliate_id', 'uid', NULL),
(52, 628, 'password', 'pw', NULL),
(52, 628, 'site_id', 'sid', NULL),
(52, 628, 'reward', 'verguetung', NULL),
(52, 628, 'reload', 'reload', NULL),
(52, 628, 'remain_clicks', 'uebrig', NULL),
(52, 628, 'minimum_stay', 'ma', NULL),
(52, 629, 'extra', 'art', 'popup'),
(52, 629, 'affiliate_id', 'uid', NULL),
(52, 629, 'password', 'pw', NULL),
(52, 629, 'site_id', 'sid', NULL),
(52, 629, 'reward', 'verguetung', NULL),
(52, 629, 'reload', 'reload', NULL),
(52, 629, 'remain_clicks', 'uebrig', NULL),
(52, 629, 'minimum_stay', 'ma', NULL),
(52, 630, 'extra', 'art', 'skybannerklick'),
(52, 630, 'affiliate_id', 'uid', NULL),
(52, 630, 'password', 'pw', NULL),
(52, 630, 'site_id', 'sid', NULL),
(52, 630, 'reward', 'verguetung', NULL),
(52, 630, 'reload', 'reload', NULL),
(52, 630, 'remain_clicks', 'uebrig', NULL),
(52, 631, 'extra', 'art', 'skybannerview'),
(52, 631, 'affiliate_id', 'uid', NULL),
(52, 631, 'password', 'pw', NULL),
(52, 631, 'site_id', 'sid', NULL),
(52, 631, 'reward', 'verguetung', NULL),
(52, 631, 'reload', 'reload', NULL),
(52, 631, 'remain_clicks', 'uebrig', NULL),
(52, 632, 'extra', 'art', 'surfbarklick'),
(52, 632, 'affiliate_id', 'uid', NULL),
(52, 632, 'password', 'pw', NULL),
(52, 632, 'site_id', 'sid', NULL),
(52, 632, 'reward', 'verguetung', NULL),
(52, 632, 'reload', 'reload', NULL),
(52, 632, 'remain_clicks', 'uebrig', NULL),
(52, 633, 'extra', 'art', 'surfbarview'),
(52, 633, 'affiliate_id', 'uid', NULL),
(52, 633, 'password', 'pw', NULL),
(52, 633, 'site_id', 'sid', NULL),
(52, 633, 'reward', 'verguetung', NULL),
(52, 633, 'reload', 'reload', NULL),
(52, 633, 'remain_clicks', 'uebrig', NULL),
(52, 634, 'extra', 'art', 'textlinkklick'),
(52, 634, 'affiliate_id', 'uid', NULL),
(52, 634, 'password', 'pw', NULL),
(52, 634, 'site_id', 'sid', NULL),
(52, 634, 'reward', 'verguetung', NULL),
(52, 634, 'reload', 'reload', NULL),
(52, 634, 'remain_clicks', 'uebrig', NULL),
(52, 635, 'extra', 'art', 'textlinkview'),
(52, 635, 'affiliate_id', 'uid', NULL),
(52, 635, 'password', 'pw', NULL),
(52, 635, 'site_id', 'sid', NULL),
(52, 635, 'reward', 'verguetung', NULL),
(52, 635, 'reload', 'reload', NULL),
(52, 635, 'remain_clicks', 'uebrig', NULL),
(52, 636, 'extra', 'art', 'traffic'),
(52, 636, 'affiliate_id', 'uid', NULL),
(52, 636, 'password', 'pw', NULL),
(52, 636, 'site_id', 'sid', NULL),
(52, 636, 'reward', 'verguetung', NULL),
(52, 636, 'reload', 'reload', NULL),
(52, 636, 'remain_clicks', 'uebrig', NULL),
(52, 636, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Ads2Earn
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(39, 395, 'affiliate_id', 'id', NULL),
(39, 395, 'site_id', 'sid', NULL),
(39, 395, 'password', 'pw', NULL),
(39, 395, 'reward', 'verguetung', NULL),
(39, 395, 'reload', 'reload', NULL),
(39, 395, 'remain_clicks', 'uebrig', NULL),
(39, 395, 'type', 'typ', 'klick'),
(39, 395, 'size', 'size', '468x60'),
(39, 395, 'minimum_stay', 'ma', NULL),
(39, 396, 'affiliate_id', 'id', NULL),
(39, 396, 'site_id', 'sid', NULL),
(39, 396, 'password', 'pw', NULL),
(39, 396, 'reward', 'verguetung', NULL),
(39, 396, 'reload', 'reload', NULL),
(39, 396, 'remain_clicks', 'uebrig', NULL),
(39, 396, 'type', 'typ', 'view'),
(39, 396, 'size', 'size', '468x60'),
(39, 396, 'minimum_stay', 'ma', NULL),
(39, 397, 'affiliate_id', 'id', NULL),
(39, 397, 'site_id', 'sid', NULL),
(39, 397, 'password', 'pw', NULL),
(39, 397, 'reward', 'verguetung', NULL),
(39, 397, 'reload', 'reload', NULL),
(39, 397, 'remain_clicks', 'remain_clicks', NULL),
(39, 397, 'type', 'typ', 'klick'),
(39, 398, 'affiliate_id', 'id', NULL),
(39, 398, 'site_id', 'sid', NULL),
(39, 398, 'password', 'pw', NULL),
(39, 398, 'reward', 'verguetung', NULL),
(39, 398, 'reload', 'reload', NULL),
(39, 398, 'remain_clicks', 'uebrig', NULL),
(39, 398, 'type', 'typ', 'view'),
(39, 399, 'affiliate_id', 'id', NULL),
(39, 399, 'site_id', 'sid', NULL),
(39, 399, 'password', 'pw', NULL),
(39, 399, 'reward', 'verguetung', NULL),
(39, 399, 'reload', 'reload', NULL),
(39, 399, 'remain_clicks', 'uebrig', NULL),
(39, 399, 'size', 'size', '468x60'),
(39, 399, 'minimum_stay', 'ma', NULL),
(39, 400, 'affiliate_id', 'id', NULL),
(39, 400, 'site_id', 'sid', NULL),
(39, 400, 'password', 'pw', NULL),
(39, 400, 'reload', 'reload', NULL),
(39, 400, 'reward', 'verguetung', NULL),
(39, 400, 'remain_clicks', 'uebrig', NULL),
(39, 400, 'minimum_stay', 'ma', NULL),
(39, 400, 'type', 'typ', 'html'),
(39, 401, 'affiliate_id', 'id', NULL),
(39, 401, 'site_id', 'sid', NULL),
(39, 401, 'password', 'pw', NULL),
(39, 401, 'reload', 'reload', NULL),
(39, 401, 'reward', 'verguetung', NULL),
(39, 401, 'remain_clicks', 'uebrig', NULL),
(39, 401, 'minimum_stay', 'ma', NULL),
(39, 401, 'type', 'typ', 'text'),
(39, 402, 'affiliate_id', 'id', NULL),
(39, 402, 'site_id', 'sid', NULL),
(39, 402, 'password', 'pw', NULL),
(39, 402, 'reward', 'verguetung', NULL),
(39, 402, 'reload', 'reload', NULL),
(39, 402, 'remain_clicks', 'uebrig', NULL),
(39, 402, 'type', 'typ', 'klick'),
(39, 402, 'size', 'size', '88x31'),
(39, 402, 'minimum_stay', 'ma', NULL),
(39, 403, 'affiliate_id', 'id', NULL),
(39, 403, 'site_id', 'sid', NULL),
(39, 403, 'password', 'pw', NULL),
(39, 403, 'reward', 'verguetung', NULL),
(39, 403, 'reload', 'reload', NULL),
(39, 403, 'remain_clicks', 'uebrig', NULL),
(39, 403, 'type', 'typ', 'view'),
(39, 403, 'size', 'size', '88x31'),
(39, 403, 'minimum_stay', 'ma', NULL),
(39, 404, 'affiliate_id', 'id', NULL),
(39, 404, 'site_id', 'sid', NULL),
(39, 404, 'password', 'pw', NULL),
(39, 404, 'reward', 'verguetung', NULL),
(39, 404, 'reload', 'reload', NULL),
(39, 404, 'remain_clicks', 'uebrig', NULL),
(39, 404, 'type', 'typ', 'klick'),
(39, 404, 'size', 'size', '120x600'),
(39, 404, 'minimum_stay', 'ma', NULL),
(39, 405, 'affiliate_id', 'id', NULL),
(39, 405, 'site_id', 'sid', NULL),
(39, 405, 'password', 'pw', NULL),
(39, 405, 'reward', 'verguetung', NULL),
(39, 405, 'reload', 'reload', NULL),
(39, 405, 'remain_clicks', 'uebrig', NULL),
(39, 405, 'type', 'typ', 'view'),
(39, 405, 'size', 'size', '120x600'),
(39, 405, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Ads2Webbi
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(40, 406, 'extra', 'typ', 'forcedbanner'),
(40, 406, 'affiliate_id', 'id', NULL),
(40, 406, 'password', 'pw', NULL),
(40, 406, 'remain_clicks', 'uebrig', NULL),
(40, 406, 'reload', 'reload', NULL),
(40, 406, 'reward', 'verguetung', NULL),
(40, 406, 'minimum_stay', 'ma', NULL),
(40, 407, 'extra', 'typ', 'forcedtextlink'),
(40, 407, 'affiliate_id', 'id', NULL),
(40, 407, 'password', 'pw', NULL),
(40, 407, 'remain_clicks', 'uebrig', NULL),
(40, 407, 'reload', 'reload', NULL),
(40, 407, 'reward', 'verguetung', NULL),
(40, 407, 'minimum_stay', 'ma', NULL),
(40, 408, 'extra', 'typ', 'bannerview'),
(40, 408, 'affiliate_id', 'id', NULL),
(40, 408, 'password', 'pw', NULL),
(40, 408, 'remain_clicks', 'uebrig', NULL),
(40, 408, 'reload', 'reload', NULL),
(40, 408, 'reward', 'verguetung', NULL),
(40, 408, 'minimum_stay', 'ma', NULL),
(40, 409, 'extra', 'typ', 'bannerklick'),
(40, 409, 'affiliate_id', 'id', NULL),
(40, 409, 'password', 'pw', NULL),
(40, 409, 'remain_clicks', 'uebrig', NULL),
(40, 409, 'reload', 'reload', NULL),
(40, 409, 'reward', 'verguetung', NULL),
(40, 409, 'minimum_stay', 'ma', NULL),
(40, 410, 'extra', 'typ', 'skybannerview'),
(40, 410, 'affiliate_id', 'id', NULL),
(40, 410, 'password', 'pw', NULL),
(40, 410, 'remain_clicks', 'uebrig', NULL),
(40, 410, 'reload', 'reload', NULL),
(40, 410, 'reward', 'verguetung', NULL),
(40, 410, 'minimum_stay', 'ma', NULL),
(40, 411, 'extra', 'typ', 'buttonview'),
(40, 411, 'affiliate_id', 'id', NULL),
(40, 411, 'password', 'pw', NULL),
(40, 411, 'remain_clicks', 'uebrig', NULL),
(40, 411, 'reload', 'reload', NULL),
(40, 411, 'reward', 'verguetung', NULL),
(40, 411, 'minimum_stay', 'ma', NULL),
(40, 412, 'extra', 'typ', 'textview'),
(40, 412, 'affiliate_id', 'id', NULL),
(40, 412, 'password', 'pw', NULL),
(40, 412, 'remain_clicks', 'uebrig', NULL),
(40, 412, 'reload', 'reload', NULL),
(40, 412, 'reward', 'verguetung', NULL),
(40, 412, 'minimum_stay', 'ma', NULL),
(40, 413, 'extra', 'typ', 'traffic'),
(40, 413, 'affiliate_id', 'id', NULL),
(40, 413, 'password', 'pw', NULL),
(40, 413, 'remain_clicks', 'uebrig', NULL),
(40, 413, 'reload', 'reload', NULL),
(40, 413, 'reward', 'verguetung', NULL),
(40, 413, 'minimum_stay', 'ma', NULL),
(40, 414, 'extra', 'typ', 'popup'),
(40, 414, 'affiliate_id', 'id', NULL),
(40, 414, 'password', 'pw', NULL),
(40, 414, 'remain_clicks', 'uebrig', NULL),
(40, 414, 'reload', 'reload', NULL),
(40, 414, 'reward', 'verguetung', NULL),
(40, 414, 'minimum_stay', 'ma', NULL),
(40, 415, 'extra', 'typ', 'paidmail'),
(40, 415, 'affiliate_id', 'id', NULL),
(40, 415, 'password', 'pw', NULL),
(40, 415, 'remain_clicks', 'uebrig', NULL),
(40, 415, 'reload', 'reload', NULL),
(40, 415, 'reward', 'verguetung', NULL),
(40, 415, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Ads-4-All
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(54, 669, 'extra', 'typ', 'forcedbanner'),
(54, 669, 'affiliate_id', 'id', NULL),
(54, 669, 'password', 'pw', NULL),
(54, 669, 'reload', 'reload', NULL),
(54, 669, 'remain_clicks', 'uebrig', NULL),
(54, 669, 'reward', 'verguetung', NULL),
(54, 670, 'extra', 'typ', 'forcedtextlink'),
(54, 670, 'affiliate_id', 'id', NULL),
(54, 670, 'password', 'pw', NULL),
(54, 670, 'reload', 'reload', NULL),
(54, 670, 'remain_clicks', 'uebrig', NULL),
(54, 670, 'reward', 'verguetung', NULL),
(54, 671, 'extra', 'typ', 'bannerview'),
(54, 671, 'affiliate_id', 'id', NULL),
(54, 671, 'password', 'pw', NULL),
(54, 671, 'reload', 'reload', NULL),
(54, 671, 'remain_clicks', 'uebrig', NULL),
(54, 671, 'reward', 'verguetung', NULL),
(54, 672, 'extra', 'typ', 'bannerklick'),
(54, 672, 'affiliate_id', 'id', NULL),
(54, 672, 'password', 'pw', NULL),
(54, 672, 'reload', 'reload', NULL),
(54, 672, 'remain_clicks', 'uebrig', NULL),
(54, 672, 'reward', 'verguetung', NULL),
(54, 673, 'extra', 'typ', 'skybannerview'),
(54, 673, 'affiliate_id', 'id', NULL),
(54, 673, 'password', 'pw', NULL),
(54, 673, 'reload', 'reload', NULL),
(54, 673, 'remain_clicks', 'uebrig', NULL),
(54, 673, 'reward', 'verguetung', NULL),
(54, 674, 'extra', 'typ', 'buttonview'),
(54, 674, 'affiliate_id', 'id', NULL),
(54, 674, 'password', 'pw', NULL),
(54, 674, 'reload', 'reload', NULL),
(54, 674, 'remain_clicks', 'uebrig', NULL),
(54, 674, 'reward', 'verguetung', NULL),
(54, 675, 'extra', 'typ', 'textview'),
(54, 675, 'affiliate_id', 'id', NULL),
(54, 675, 'password', 'pw', NULL),
(54, 675, 'reload', 'reload', NULL),
(54, 675, 'remain_clicks', 'uebrig', NULL),
(54, 675, 'reward', 'verguetung', NULL),
(54, 676, 'extra', 'typ', 'popup'),
(54, 676, 'affiliate_id', 'id', NULL),
(54, 676, 'minimum_stay', 'ma', NULL),
(54, 676, 'password', 'pw', NULL),
(54, 676, 'reload', 'reload', NULL),
(54, 676, 'remain_clicks', 'uebrig', NULL),
(54, 676, 'reward', 'verguetung', NULL),
(54, 677, 'extra', 'typ', 'textmails'),
(54, 677, 'affiliate_id', 'id', NULL),
(54, 677, 'minimum_stay', 'ma', NULL),
(54, 677, 'password', 'pw', NULL),
(54, 677, 'reload', 'reload', NULL),
(54, 677, 'remain_clicks', 'uebrig', NULL),
(54, 677, 'reward', 'verguetung', NULL),
(54, 678, 'extra', 'typ', 'traffic'),
(54, 678, 'affiliate_id', 'id', NULL),
(54, 678, 'password', 'pw', NULL),
(54, 678, 'reload', 'reload', NULL),
(54, 678, 'remain_clicks', 'uebrig', NULL),
(54, 678, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Ads4
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(6, 14, 'currency', 'waehrung', NULL),
(6, 14, 'extra', 'mediatype', 'forcedbanner'),
(6, 14, 'affiliate_id', 'id', NULL),
(6, 14, 'minimum_stay', 'ma', NULL),
(6, 14, 'password', 'pwd', NULL),
(6, 14, 'reload', 'reload', NULL),
(6, 14, 'remain_clicks', 'uebrig', NULL),
(6, 14, 'reward', 'verg', NULL),
(6, 15, 'currency', 'waehrung', NULL),
(6, 15, 'extra', 'mediatype', 'textmails'),
(6, 15, 'affiliate_id', 'id', NULL),
(6, 15, 'minimum_stay', 'ma', NULL),
(6, 15, 'password', 'pwd', NULL),
(6, 15, 'reload', 'reload', NULL),
(6, 15, 'remain_clicks', 'uebrig', NULL),
(6, 15, 'reward', 'verg', NULL),
(6, 16, 'currency', 'waehrung', NULL),
(6, 16, 'extra', 'mediatype', 'htmlmails'),
(6, 16, 'affiliate_id', 'id', NULL),
(6, 16, 'minimum_stay', 'ma', NULL),
(6, 16, 'password', 'pw', NULL),
(6, 16, 'reload', 'reload', NULL),
(6, 16, 'remain_clicks', 'uebrig', NULL),
(6, 16, 'reward', 'verg', NULL),
(6, 119, 'currency', 'waehrung', NULL),
(6, 119, 'extra', 'mediatype', 'traffic'),
(6, 119, 'affiliate_id', 'id', NULL),
(6, 119, 'minimum_stay', 'ma', NULL),
(6, 119, 'password', 'pwd', NULL),
(6, 119, 'reload', 'reload', NULL),
(6, 119, 'remain_clicks', 'uebrig', NULL),
(6, 119, 'reward', 'verg', NULL)");

// Request parameters per type handler - Ads4AllWeb
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(55, 679, 'extra', 'art', 'bannerklick'),
(55, 679, 'affiliate_id', 'uid', NULL),
(55, 679, 'password', 'pw', NULL),
(55, 679, 'site_id', 'sid', NULL),
(55, 679, 'reward', 'verguetung', NULL),
(55, 679, 'reload', 'reload', NULL),
(55, 679, 'remain_clicks', 'uebrig', NULL),
(55, 680, 'extra', 'art', 'bannerview'),
(55, 680, 'affiliate_id', 'uid', NULL),
(55, 680, 'password', 'pw', NULL),
(55, 680, 'site_id', 'sid', NULL),
(55, 680, 'reward', 'verguetung', NULL),
(55, 680, 'reload', 'reload', NULL),
(55, 680, 'remain_clicks', 'uebrig', NULL),
(55, 681, 'extra', 'art', 'forcedbanner'),
(55, 681, 'affiliate_id', 'uid', NULL),
(55, 681, 'password', 'pw', NULL),
(55, 681, 'site_id', 'sid', NULL),
(55, 681, 'reward', 'verguetung', NULL),
(55, 681, 'reload', 'reload', NULL),
(55, 681, 'remain_clicks', 'uebrig', NULL),
(55, 681, 'minimum_stay', 'ma', NULL),
(55, 682, 'extra', 'art', 'forcedtextlink'),
(55, 682, 'affiliate_id', 'uid', NULL),
(55, 682, 'password', 'pw', NULL),
(55, 682, 'site_id', 'sid', NULL),
(55, 682, 'reward', 'verguetung', NULL),
(55, 682, 'reload', 'reload', NULL),
(55, 682, 'remain_clicks', 'uebrig', NULL),
(55, 682, 'minimum_stay', 'ma', NULL),
(55, 683, 'extra', 'art', 'htmlmail'),
(55, 683, 'affiliate_id', 'uid', NULL),
(55, 683, 'password', 'pw', NULL),
(55, 683, 'site_id', 'sid', NULL),
(55, 683, 'reward', 'verguetung', NULL),
(55, 683, 'reload', 'reload', NULL),
(55, 683, 'remain_clicks', 'uebrig', NULL),
(55, 683, 'minimum_stay', 'ma', NULL),
(55, 684, 'extra', 'art', 'layer'),
(55, 684, 'affiliate_id', 'uid', NULL),
(55, 684, 'password', 'pw', NULL),
(55, 684, 'site_id', 'sid', NULL),
(55, 684, 'reward', 'verguetung', NULL),
(55, 684, 'reload', 'reload', NULL),
(55, 684, 'remain_clicks', 'uebrig', NULL),
(55, 685, 'extra', 'art', 'paidmail'),
(55, 685, 'affiliate_id', 'uid', NULL),
(55, 685, 'password', 'pw', NULL),
(55, 685, 'site_id', 'sid', NULL),
(55, 685, 'reward', 'verguetung', NULL),
(55, 685, 'reload', 'reload', NULL),
(55, 685, 'remain_clicks', 'uebrig', NULL),
(55, 685, 'minimum_stay', 'ma', NULL),
(55, 686, 'extra', 'art', 'popup'),
(55, 686, 'affiliate_id', 'uid', NULL),
(55, 686, 'password', 'pw', NULL),
(55, 686, 'site_id', 'sid', NULL),
(55, 686, 'reward', 'verguetung', NULL),
(55, 686, 'reload', 'reload', NULL),
(55, 686, 'remain_clicks', 'uebrig', NULL),
(55, 686, 'minimum_stay', 'ma', NULL),
(55, 687, 'extra', 'art', 'skybannerklick'),
(55, 687, 'affiliate_id', 'uid', NULL),
(55, 687, 'password', 'pw', NULL),
(55, 687, 'site_id', 'sid', NULL),
(55, 687, 'reward', 'verguetung', NULL),
(55, 687, 'reload', 'reload', NULL),
(55, 687, 'remain_clicks', 'uebrig', NULL),
(55, 688, 'extra', 'art', 'skybannerview'),
(55, 688, 'affiliate_id', 'uid', NULL),
(55, 688, 'password', 'pw', NULL),
(55, 688, 'site_id', 'sid', NULL),
(55, 688, 'reward', 'verguetung', NULL),
(55, 688, 'reload', 'reload', NULL),
(55, 688, 'remain_clicks', 'uebrig', NULL),
(55, 689, 'extra', 'art', 'surfbarklick'),
(55, 689, 'affiliate_id', 'uid', NULL),
(55, 689, 'password', 'pw', NULL),
(55, 689, 'site_id', 'sid', NULL),
(55, 689, 'reward', 'verguetung', NULL),
(55, 689, 'reload', 'reload', NULL),
(55, 689, 'remain_clicks', 'uebrig', NULL),
(55, 690, 'extra', 'art', 'surfbarview'),
(55, 690, 'affiliate_id', 'uid', NULL),
(55, 690, 'password', 'pw', NULL),
(55, 690, 'site_id', 'sid', NULL),
(55, 690, 'reward', 'verguetung', NULL),
(55, 690, 'reload', 'reload', NULL),
(55, 690, 'remain_clicks', 'uebrig', NULL),
(55, 691, 'extra', 'art', 'textlinkklick'),
(55, 691, 'affiliate_id', 'uid', NULL),
(55, 691, 'password', 'pw', NULL),
(55, 691, 'site_id', 'sid', NULL),
(55, 691, 'reward', 'verguetung', NULL),
(55, 691, 'reload', 'reload', NULL),
(55, 691, 'remain_clicks', 'uebrig', NULL),
(55, 692, 'extra', 'art', 'textlinkview'),
(55, 692, 'affiliate_id', 'uid', NULL),
(55, 692, 'password', 'pw', NULL),
(55, 692, 'site_id', 'sid', NULL),
(55, 692, 'reward', 'verguetung', NULL),
(55, 692, 'reload', 'reload', NULL),
(55, 692, 'remain_clicks', 'uebrig', NULL),
(55, 693, 'extra', 'art', 'traffic'),
(55, 693, 'affiliate_id', 'uid', NULL),
(55, 693, 'password', 'pw', NULL),
(55, 693, 'site_id', 'sid', NULL),
(55, 693, 'reward', 'verguetung', NULL),
(55, 693, 'reload', 'reload', NULL),
(55, 693, 'remain_clicks', 'uebrig', NULL),
(55, 693, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Ads4Clicks
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(67, 809, 'extra', 'kamp', 'paidmail'),
(67, 809, 'affiliate_id', 'uid', NULL),
(67, 809, 'password', 'pw', NULL),
(67, 809, 'site_id', 'sid', NULL),
(67, 809, 'reload', 'reload', NULL),
(67, 809, 'minimum_stay', 'mi', NULL),
(67, 809, 'reward', 'verg', NULL),
(67, 809, 'remain_clicks', 'anzahl', NULL),
(67, 810, 'extra', 'kamp', 'traffic'),
(67, 810, 'affiliate_id', 'uid', NULL),
(67, 810, 'password', 'pw', NULL),
(67, 810, 'site_id', 'sid', NULL),
(67, 810, 'reload', 'reload', NULL),
(67, 810, 'minimum_stay', 'ma', NULL),
(67, 810, 'reward', 'verg', NULL),
(67, 810, 'remain_clicks', 'anzahl', NULL),
(67, 811, 'extra', 'kamp', 'forcedbanner'),
(67, 811, 'affiliate_id', 'uid', NULL),
(67, 811, 'password', 'pw', NULL),
(67, 811, 'site_id', 'sid', NULL),
(67, 811, 'reload', 'reload', NULL),
(67, 811, 'minimum_stay', 'ma', NULL),
(67, 811, 'reward', 'verg', NULL),
(67, 811, 'remain_clicks', 'anzahl', NULL),
(67, 812, 'extra', 'kamp', 'forcedtextlink'),
(67, 812, 'affiliate_id', 'uid', NULL),
(67, 812, 'password', 'pw', NULL),
(67, 812, 'site_id', 'sid', NULL),
(67, 812, 'reload', 'reload', NULL),
(67, 812, 'minimum_stay', 'ma', NULL),
(67, 812, 'reward', 'verg', NULL),
(67, 812, 'remain_clicks', 'anzahl', NULL),
(67, 813, 'extra', 'kamp', 'htmlmail'),
(67, 813, 'affiliate_id', 'uid', NULL),
(67, 813, 'password', 'pw', NULL),
(67, 813, 'site_id', 'sid', NULL),
(67, 813, 'reload', 'reload', NULL),
(67, 813, 'minimum_stay', 'ma', NULL),
(67, 813, 'reward', 'verg', NULL),
(67, 813, 'remain_clicks', 'anzahl', NULL)");

// Request parameters per type handler - Ads4Paid4
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(57, 694, 'extra', 'art', 'bannerklick'),
(57, 694, 'affiliate_id', 'uid', NULL),
(57, 694, 'password', 'pw', NULL),
(57, 694, 'site_id', 'sid', NULL),
(57, 694, 'reward', 'verguetung', NULL),
(57, 694, 'reload', 'reload', NULL),
(57, 694, 'remain_clicks', 'uebrig', NULL),
(57, 695, 'extra', 'art', 'bannerview'),
(57, 695, 'affiliate_id', 'uid', NULL),
(57, 695, 'password', 'pw', NULL),
(57, 695, 'site_id', 'sid', NULL),
(57, 695, 'reward', 'verguetung', NULL),
(57, 695, 'reload', 'reload', NULL),
(57, 695, 'remain_clicks', 'uebrig', NULL),
(57, 696, 'extra', 'art', 'forcedbanner'),
(57, 696, 'affiliate_id', 'uid', NULL),
(57, 696, 'password', 'pw', NULL),
(57, 696, 'site_id', 'sid', NULL),
(57, 696, 'reward', 'verguetung', NULL),
(57, 696, 'reload', 'reload', NULL),
(57, 696, 'remain_clicks', 'uebrig', NULL),
(57, 696, 'minimum_stay', 'ma', NULL),
(57, 697, 'extra', 'art', 'forcedtextlink'),
(57, 697, 'affiliate_id', 'uid', NULL),
(57, 697, 'password', 'pw', NULL),
(57, 697, 'site_id', 'sid', NULL),
(57, 697, 'reward', 'verguetung', NULL),
(57, 697, 'reload', 'reload', NULL),
(57, 697, 'remain_clicks', 'uebrig', NULL),
(57, 697, 'minimum_stay', 'ma', NULL),
(57, 698, 'extra', 'art', 'layer'),
(57, 698, 'affiliate_id', 'uid', NULL),
(57, 698, 'password', 'pw', NULL),
(57, 698, 'site_id', 'sid', NULL),
(57, 698, 'reward', 'verguetung', NULL),
(57, 698, 'reload', 'reload', NULL),
(57, 698, 'remain_clicks', 'uebrig', NULL),
(57, 699, 'extra', 'art', 'paidmail'),
(57, 699, 'affiliate_id', 'uid', NULL),
(57, 699, 'password', 'pw', NULL),
(57, 699, 'site_id', 'sid', NULL),
(57, 699, 'reward', 'verguetung', NULL),
(57, 699, 'reload', 'reload', NULL),
(57, 699, 'remain_clicks', 'uebrig', NULL),
(57, 699, 'minimum_stay', 'ma', NULL),
(57, 700, 'extra', 'art', 'popup'),
(57, 700, 'affiliate_id', 'uid', NULL),
(57, 700, 'password', 'pw', NULL),
(57, 700, 'site_id', 'sid', NULL),
(57, 700, 'reward', 'verguetung', NULL),
(57, 700, 'reload', 'reload', NULL),
(57, 700, 'remain_clicks', 'uebrig', NULL),
(57, 700, 'minimum_stay', 'ma', NULL),
(57, 701, 'extra', 'art', 'skybannerklick'),
(57, 701, 'affiliate_id', 'uid', NULL),
(57, 701, 'password', 'pw', NULL),
(57, 701, 'site_id', 'sid', NULL),
(57, 701, 'reward', 'verguetung', NULL),
(57, 701, 'reload', 'reload', NULL),
(57, 701, 'remain_clicks', 'uebrig', NULL),
(57, 702, 'extra', 'art', 'skybannerview'),
(57, 702, 'affiliate_id', 'uid', NULL),
(57, 702, 'password', 'pw', NULL),
(57, 702, 'site_id', 'sid', NULL),
(57, 702, 'reward', 'verguetung', NULL),
(57, 702, 'reload', 'reload', NULL),
(57, 702, 'remain_clicks', 'uebrig', NULL),
(57, 703, 'extra', 'art', 'textlinkklick'),
(57, 703, 'affiliate_id', 'uid', NULL),
(57, 703, 'password', 'pw', NULL),
(57, 703, 'site_id', 'sid', NULL),
(57, 703, 'reward', 'verguetung', NULL),
(57, 703, 'reload', 'reload', NULL),
(57, 703, 'remain_clicks', 'uebrig', NULL),
(57, 704, 'extra', 'art', 'textlinkview'),
(57, 704, 'affiliate_id', 'uid', NULL),
(57, 704, 'password', 'pw', NULL),
(57, 704, 'site_id', 'sid', NULL),
(57, 704, 'reward', 'verguetung', NULL),
(57, 704, 'reload', 'reload', NULL),
(57, 704, 'remain_clicks', 'uebrig', NULL),
(57, 705, 'extra', 'art', 'traffic'),
(57, 705, 'affiliate_id', 'uid', NULL),
(57, 705, 'password', 'pw', NULL),
(57, 705, 'site_id', 'sid', NULL),
(57, 705, 'reward', 'verguetung', NULL),
(57, 705, 'reload', 'reload', NULL),
(57, 705, 'remain_clicks', 'uebrig', NULL),
(57, 705, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Ads4Webbis
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(7, 17, 'extra', 'typ', 'forcedbanner'),
(7, 17, 'affiliate_id', 'id', NULL),
(7, 17, 'password', 'pw', NULL),
(7, 17, 'reload', 'reload', NULL),
(7, 17, 'remain_clicks', 'uebrig', NULL),
(7, 17, 'reward', 'verguetung', NULL),
(7, 18, 'extra', 'typ', 'forcedtextlink'),
(7, 18, 'affiliate_id', 'id', NULL),
(7, 18, 'password', 'pw', NULL),
(7, 18, 'reload', 'reload', NULL),
(7, 18, 'remain_clicks', 'uebrig', NULL),
(7, 18, 'reward', 'verguetung', NULL),
(7, 19, 'extra', 'typ', 'bannerview'),
(7, 19, 'affiliate_id', 'id', NULL),
(7, 19, 'password', 'pw', NULL),
(7, 19, 'reload', 'reload', NULL),
(7, 19, 'remain_clicks', 'uebrig', NULL),
(7, 19, 'reward', 'verguetung', NULL),
(7, 20, 'extra', 'typ', 'bannerklick'),
(7, 20, 'affiliate_id', 'id', NULL),
(7, 20, 'password', 'pw', NULL),
(7, 20, 'reload', 'reload', NULL),
(7, 20, 'remain_clicks', 'uebrig', NULL),
(7, 20, 'reward', 'verguetung', NULL),
(7, 21, 'extra', 'typ', 'skybannerview'),
(7, 21, 'affiliate_id', 'id', NULL),
(7, 21, 'password', 'pw', NULL),
(7, 21, 'reload', 'reload', NULL),
(7, 21, 'remain_clicks', 'uebrig', NULL),
(7, 21, 'reward', 'verguetung', NULL),
(7, 22, 'extra', 'typ', 'buttonview'),
(7, 22, 'affiliate_id', 'id', NULL),
(7, 22, 'password', 'pw', NULL),
(7, 22, 'reload', 'reload', NULL),
(7, 22, 'remain_clicks', 'uebrig', NULL),
(7, 22, 'reward', 'verguetung', NULL),
(7, 23, 'extra', 'typ', 'textview'),
(7, 23, 'affiliate_id', 'id', NULL),
(7, 23, 'password', 'pw', NULL),
(7, 23, 'reload', 'reload', NULL),
(7, 23, 'remain_clicks', 'uebrig', NULL),
(7, 23, 'reward', 'verguetung', NULL),
(7, 24, 'extra', 'typ', 'popup'),
(7, 24, 'affiliate_id', 'id', NULL),
(7, 24, 'minimum_stay', 'ma', NULL),
(7, 24, 'password', 'pw', NULL),
(7, 24, 'reload', 'reload', NULL),
(7, 24, 'remain_clicks', 'uebrig', NULL),
(7, 24, 'reward', 'verguetung', NULL),
(7, 25, 'extra', 'typ', 'paidmail'),
(7, 25, 'affiliate_id', 'id', NULL),
(7, 25, 'minimum_stay', 'ma', NULL),
(7, 25, 'password', 'pw', NULL),
(7, 25, 'reload', 'reload', NULL),
(7, 25, 'remain_clicks', 'uebrig', NULL),
(7, 25, 'reward', 'verguetung', NULL),
(7, 120, 'extra', 'typ', 'traffic'),
(7, 120, 'affiliate_id', 'id', NULL),
(7, 120, 'password', 'pw', NULL),
(7, 120, 'reload', 'reload', NULL),
(7, 120, 'remain_clicks', 'uebrig', NULL),
(7, 120, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Ads4World
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(8, 26, 'extra', 'typ', 'forcedbanner'),
(8, 26, 'affiliate_id', 'id', NULL),
(8, 26, 'password', 'pw', NULL),
(8, 26, 'reload', 'reload', NULL),
(8, 26, 'remain_clicks', 'uebrig', NULL),
(8, 26, 'reward', 'verguetung', NULL),
(8, 27, 'extra', 'typ', 'forcedtextlink'),
(8, 27, 'affiliate_id', 'id', NULL),
(8, 27, 'password', 'pw', NULL),
(8, 27, 'reload', 'reload', NULL),
(8, 27, 'remain_clicks', 'uebrig', NULL),
(8, 27, 'reward', 'verguetung', NULL),
(8, 28, 'extra', 'typ', 'bannerview'),
(8, 28, 'affiliate_id', 'id', NULL),
(8, 28, 'password', 'pw', NULL),
(8, 28, 'reload', 'reload', NULL),
(8, 28, 'remain_clicks', 'uebrig', NULL),
(8, 28, 'reward', 'verguetung', NULL),
(8, 29, 'extra', 'typ', 'bannerklick'),
(8, 29, 'affiliate_id', 'id', NULL),
(8, 29, 'password', 'pw', NULL),
(8, 29, 'reload', 'reload', NULL),
(8, 29, 'remain_clicks', 'uebrig', NULL),
(8, 29, 'reward', 'verguetung', NULL),
(8, 30, 'extra', 'typ', 'skybannerview'),
(8, 30, 'affiliate_id', 'id', NULL),
(8, 30, 'password', 'pw', NULL),
(8, 30, 'reload', 'reload', NULL),
(8, 30, 'remain_clicks', 'uebrig', NULL),
(8, 30, 'reward', 'verguetung', NULL),
(8, 31, 'extra', 'typ', 'buttonview'),
(8, 31, 'affiliate_id', 'id', NULL),
(8, 31, 'password', 'pw', NULL),
(8, 31, 'reload', 'reload', NULL),
(8, 31, 'remain_clicks', 'uebrig', NULL),
(8, 31, 'reward', 'verguetung', NULL),
(8, 32, 'extra', 'typ', 'textview'),
(8, 32, 'affiliate_id', 'id', NULL),
(8, 32, 'password', 'pw', NULL),
(8, 32, 'reload', 'reload', NULL),
(8, 32, 'remain_clicks', 'uebrig', NULL),
(8, 32, 'reward', 'verguetung', NULL),
(8, 33, 'extra', 'typ', 'popup'),
(8, 33, 'affiliate_id', 'id', NULL),
(8, 33, 'minimum_stay', 'ma', NULL),
(8, 33, 'password', 'pw', NULL),
(8, 33, 'reload', 'reload', NULL),
(8, 33, 'remain_clicks', 'uebrig', NULL),
(8, 33, 'reward', 'verguetung', NULL),
(8, 34, 'extra', 'typ', 'textmails'),
(8, 34, 'affiliate_id', 'id', NULL),
(8, 34, 'minimum_stay', 'ma', NULL),
(8, 34, 'password', 'pw', NULL),
(8, 34, 'reload', 'reload', NULL),
(8, 34, 'remain_clicks', 'uebrig', NULL),
(8, 34, 'reward', 'verguetung', NULL),
(8, 121, 'extra', 'typ', 'traffic'),
(8, 121, 'affiliate_id', 'id', NULL),
(8, 121, 'password', 'pw', NULL),
(8, 121, 'reload', 'reload', NULL),
(8, 121, 'remain_clicks', 'uebrig', NULL),
(8, 121, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Affiliblatt
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(9, 441, 'affiliate_id', 'id', NULL),
(9, 441, 'extra', 'art', 'click'),
(9, 441, 'reload', 'reload', NULL),
(9, 441, 'reward', 'verguetung', NULL),
(9, 441, 'remain_clicks', 'uebrig', NULL),
(9, 441, 'size', 'size', '468x60'),
(9, 442, 'affiliate_id', 'id', NULL),
(9, 442, 'extra', 'art', 'view'),
(9, 442, 'reload', 'reload', NULL),
(9, 442, 'reward', 'verguetung', NULL),
(9, 442, 'remain_clicks', 'uebrig', NULL),
(9, 442, 'size', 'size', '468x60'),
(9, 443, 'affiliate_id', 'id', NULL),
(9, 443, 'extra', 'art', 'surfclick'),
(9, 443, 'reload', 'reload', NULL),
(9, 443, 'reward', 'verguetung', NULL),
(9, 443, 'remain_clicks', 'uebrig', NULL),
(9, 443, 'size', 'size', NULL),
(9, 444, 'affiliate_id', 'id', NULL),
(9, 444, 'extra', 'art', 'surfview'),
(9, 444, 'reload', 'reload', NULL),
(9, 444, 'reward', 'verguetung', NULL),
(9, 444, 'remain_clicks', 'uebrig', NULL),
(9, 444, 'size', 'size', NULL),
(9, 445, 'affiliate_id', 'id', NULL),
(9, 445, 'extra', 'art', 'sigclick'),
(9, 445, 'reload', 'reload', NULL),
(9, 445, 'reward', 'verguetung', NULL),
(9, 445, 'remain_clicks', 'uebrig', NULL),
(9, 446, 'affiliate_id', 'id', NULL),
(9, 446, 'extra', 'art', 'sigview'),
(9, 446, 'reload', 'reload', NULL),
(9, 446, 'reward', 'verguetung', NULL),
(9, 446, 'remain_clicks', 'uebrig', NULL),
(9, 447, 'affiliate_id', 'id', NULL),
(9, 447, 'extra', 'art', 'forcedclick'),
(9, 447, 'reload', 'reload', NULL),
(9, 447, 'reward', 'verguetung', NULL),
(9, 447, 'remain_clicks', 'uebrig', NULL),
(9, 447, 'size', 'size', '468x60'),
(9, 448, 'affiliate_id', 'id', NULL),
(9, 448, 'reward', 'verguetung', NULL),
(9, 448, 'minimum_stay', 'ma', NULL),
(9, 448, 'remain_clicks', 'uebrig', NULL),
(9, 448, 'extra', 'reload', '1'),
(9, 449, 'affiliate_id', 'id', NULL),
(9, 449, 'reward', 'verguetung', NULL),
(9, 449, 'remain_clicks', 'uebrig', NULL),
(9, 449, 'reload', 'reload', NULL),
(9, 500, 'affiliate_id', 'id', NULL),
(9, 500, 'extra', 'art', 'click'),
(9, 500, 'reload', 'reload', NULL),
(9, 500, 'reward', 'verguetung', NULL),
(9, 500, 'remain_clicks', 'uebrig', NULL),
(9, 500, 'size', 'size', '88x31'),
(9, 501, 'affiliate_id', 'id', NULL),
(9, 501, 'extra', 'art', 'view'),
(9, 501, 'reload', 'reload', NULL),
(9, 501, 'reward', 'verguetung', NULL),
(9, 501, 'remain_clicks', 'uebrig', NULL),
(9, 501, 'size', 'size', '88x31'),
(9, 502, 'affiliate_id', 'id', NULL),
(9, 502, 'extra', 'art', 'click'),
(9, 502, 'reload', 'reload', NULL),
(9, 502, 'reward', 'verguetung', NULL),
(9, 502, 'remain_clicks', 'uebrig', NULL),
(9, 502, 'size', 'size', '234x60'),
(9, 503, 'affiliate_id', 'id', NULL),
(9, 503, 'extra', 'art', 'view'),
(9, 503, 'reload', 'reload', NULL),
(9, 503, 'reward', 'verguetung', NULL),
(9, 503, 'remain_clicks', 'uebrig', NULL),
(9, 503, 'size', 'size', '234x60'),
(9, 504, 'affiliate_id', 'id', NULL),
(9, 504, 'extra', 'art', 'click'),
(9, 504, 'reload', 'reload', NULL),
(9, 504, 'reward', 'verguetung', NULL),
(9, 504, 'remain_clicks', 'uebrig', NULL),
(9, 504, 'size', 'size', '120x600'),
(9, 505, 'affiliate_id', 'id', NULL),
(9, 505, 'extra', 'art', 'view'),
(9, 505, 'reload', 'reload', NULL),
(9, 505, 'reward', 'verguetung', NULL),
(9, 505, 'remain_clicks', 'uebrig', NULL),
(9, 505, 'size', 'size', '120x600'),
(9, 506, 'affiliate_id', 'id', NULL),
(9, 506, 'extra', 'art', 'forcedclick'),
(9, 506, 'reload', 'reload', NULL),
(9, 506, 'reward', 'verguetung', NULL),
(9, 506, 'remain_clicks', 'uebrig', NULL),
(9, 506, 'size', 'size', '88x31'),
(9, 507, 'affiliate_id', 'id', NULL),
(9, 507, 'extra', 'art', 'forcedclick'),
(9, 507, 'reload', 'reload', NULL),
(9, 507, 'reward', 'verguetung', NULL),
(9, 507, 'remain_clicks', 'uebrig', NULL),
(9, 507, 'size', 'size', '234x60'),
(9, 508, 'affiliate_id', 'id', NULL),
(9, 508, 'extra', 'art', 'forcedclick'),
(9, 508, 'reload', 'reload', NULL),
(9, 508, 'reward', 'verguetung', NULL),
(9, 508, 'remain_clicks', 'uebrig', NULL),
(9, 508, 'size', 'size', '120x600')");

// Request parameters per type handler - AllAds4You
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(10, 167, 'extra', 'typ', 'forcedbanner'),
(10, 167, 'affiliate_id', 'id', NULL),
(10, 167, 'password', 'pw', NULL),
(10, 167, 'reload', 'reload', NULL),
(10, 167, 'remain_clicks', 'uebrig', NULL),
(10, 167, 'reward', 'verguetung', NULL),
(10, 167, 'site_id', 'sid', NULL),
(10, 168, 'extra', 'typ', 'forcedtextlink'),
(10, 168, 'affiliate_id', 'id', NULL),
(10, 168, 'password', 'pw', NULL),
(10, 168, 'reload', 'reload', NULL),
(10, 168, 'remain_clicks', 'uebrig', NULL),
(10, 168, 'reward', 'verguetung', NULL),
(10, 168, 'site_id', 'sid', NULL),
(10, 169, 'extra', 'typ', 'bannerview'),
(10, 169, 'affiliate_id', 'id', NULL),
(10, 169, 'password', 'pw', NULL),
(10, 169, 'reload', 'reload', NULL),
(10, 169, 'remain_clicks', 'uebrig', NULL),
(10, 169, 'reward', 'verguetung', NULL),
(10, 169, 'site_id', 'sid', NULL),
(10, 170, 'extra', 'typ', 'bannerklick'),
(10, 170, 'affiliate_id', 'id', NULL),
(10, 170, 'password', 'pw', NULL),
(10, 170, 'reload', 'reload', NULL),
(10, 170, 'remain_clicks', 'uebrig', NULL),
(10, 170, 'reward', 'verguetung', NULL),
(10, 170, 'site_id', 'sid', NULL),
(10, 171, 'extra', 'typ', 'skybannerview'),
(10, 171, 'affiliate_id', 'id', NULL),
(10, 171, 'password', 'pw', NULL),
(10, 171, 'reload', 'reload', NULL),
(10, 171, 'remain_clicks', 'uebrig', NULL),
(10, 171, 'reward', 'verguetung', NULL),
(10, 171, 'site_id', 'sid', NULL),
(10, 172, 'extra', 'typ', 'buttonview'),
(10, 172, 'affiliate_id', 'id', NULL),
(10, 172, 'password', 'pw', NULL),
(10, 172, 'reload', 'reload', NULL),
(10, 172, 'remain_clicks', 'uebrig', NULL),
(10, 172, 'reward', 'verguetung', NULL),
(10, 172, 'site_id', 'sid', NULL),
(10, 173, 'extra', 'typ', 'textview'),
(10, 173, 'affiliate_id', 'id', NULL),
(10, 173, 'password', 'pw', NULL),
(10, 173, 'reload', 'reload', NULL),
(10, 173, 'remain_clicks', 'uebrig', NULL),
(10, 173, 'reward', 'verguetung', NULL),
(10, 173, 'site_id', 'sid', NULL),
(10, 174, 'extra', 'typ', 'traffic'),
(10, 174, 'affiliate_id', 'id', NULL),
(10, 174, 'password', 'pw', NULL),
(10, 174, 'reload', 'reload', NULL),
(10, 174, 'remain_clicks', 'uebrig', NULL),
(10, 174, 'reward', 'verguetung', NULL),
(10, 174, 'site_id', 'sid', NULL),
(10, 175, 'extra', 'typ', 'popup'),
(10, 175, 'affiliate_id', 'id', NULL),
(10, 175, 'password', 'pw', NULL),
(10, 175, 'reload', 'reload', NULL),
(10, 175, 'remain_clicks', 'uebrig', NULL),
(10, 175, 'reward', 'verguetung', NULL),
(10, 175, 'site_id', 'sid', NULL),
(10, 176, 'extra', 'typ', 'paidmail'),
(10, 176, 'affiliate_id', 'id', NULL),
(10, 176, 'password', 'pw', NULL),
(10, 176, 'reload', 'reload', NULL),
(10, 176, 'remain_clicks', 'uebrig', NULL),
(10, 176, 'reward', 'verguetung', NULL),
(10, 176, 'site_id', 'sid', NULL)");

// Request parameters per type handler - Alster-Marketing
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(11, 35, 'affiliate_id', 'id', NULL),
(11, 35, 'password', 'pw', NULL),
(11, 35, 'reload', 'reload', NULL),
(11, 35, 'remain_clicks', 'uebrig', NULL),
(11, 35, 'reward', 'verguetung', NULL),
(11, 35, 'site_id', 'sid', NULL),
(11, 35, 'size', 'size', NULL),
(11, 35, 'type', 'typ', 'klick'),
(11, 36, 'affiliate_id', 'id', NULL),
(11, 36, 'password', 'pw', NULL),
(11, 36, 'reload', 'reload', NULL),
(11, 36, 'remain_clicks', 'uebrig', NULL),
(11, 36, 'reward', 'verguetung', NULL),
(11, 36, 'site_id', 'sid', NULL),
(11, 36, 'type', 'typ', 'klick'),
(11, 37, 'affiliate_id', 'id', NULL),
(11, 37, 'password', 'pw', NULL),
(11, 37, 'reload', 'reload', NULL),
(11, 37, 'remain_clicks', 'uebrig', NULL),
(11, 37, 'reward', 'verguetung', NULL),
(11, 37, 'site_id', 'sid', NULL),
(11, 37, 'size', 'size', NULL),
(11, 37, 'type', 'typ', 'klick'),
(11, 38, 'affiliate_id', 'id', NULL),
(11, 38, 'minimum_stay', 'ma', NULL),
(11, 38, 'password', 'pw', NULL),
(11, 38, 'reload', 'reload', NULL),
(11, 38, 'remain_clicks', 'uebrig', NULL),
(11, 38, 'reward', 'verguetung', NULL),
(11, 38, 'site_id', 'sid', NULL),
(11, 38, 'size', 'size', NULL),
(11, 39, 'affiliate_id', 'id', NULL),
(11, 39, 'minimum_stay', 'ma', NULL),
(11, 39, 'password', 'pw', NULL),
(11, 39, 'reload', 'reload', NULL),
(11, 39, 'remain_clicks', 'uebrig', NULL),
(11, 39, 'reward', 'verguetung', NULL),
(11, 39, 'site_id', 'sid', NULL),
(11, 39, 'type', 'typ', 'text'),
(11, 40, 'affiliate_id', 'id', NULL),
(11, 40, 'password', 'pw', NULL),
(11, 40, 'reload', 'reload', NULL),
(11, 40, 'remain_clicks', 'uebrig', NULL),
(11, 40, 'reward', 'verguetung', NULL),
(11, 40, 'site_id', 'sid', NULL),
(11, 40, 'type', 'typ', 'klick'),
(11, 41, 'affiliate_id', 'id', NULL),
(11, 41, 'minimum_stay', 'ma', NULL),
(11, 41, 'password', 'pw', NULL),
(11, 41, 'reload', 'reload', NULL),
(11, 41, 'remain_clicks', 'uebrig', NULL),
(11, 41, 'reward', 'verguetung', NULL),
(11, 41, 'site_id', 'sid', NULL),
(11, 42, 'affiliate_id', 'id', NULL),
(11, 42, 'minimum_stay', 'ma', NULL),
(11, 42, 'password', 'pw', NULL),
(11, 42, 'reload', 'reload', NULL),
(11, 42, 'remain_clicks', 'uebrig', NULL),
(11, 42, 'reward', 'verguetung', NULL),
(11, 42, 'site_id', 'sid', NULL),
(11, 43, 'affiliate_id', 'id', NULL),
(11, 43, 'password', 'pw', NULL),
(11, 43, 'remain_clicks', 'uebrig', NULL),
(11, 43, 'reward', 'verguetung', NULL),
(11, 43, 'site_id', 'sid', NULL),
(11, 44, 'affiliate_id', 'id', NULL),
(11, 44, 'password', 'pw', NULL),
(11, 44, 'remain_clicks', 'uebrig', NULL),
(11, 44, 'reward', 'verguetung', NULL),
(11, 44, 'site_id', 'sid', NULL),
(11, 45, 'affiliate_id', 'id', NULL),
(11, 45, 'password', 'pw', NULL),
(11, 45, 'reload', 'reload', NULL),
(11, 45, 'remain_clicks', 'uebrig', NULL),
(11, 45, 'reward', 'verguetung', NULL),
(11, 45, 'site_id', 'sid', NULL),
(11, 45, 'size', 'size', NULL),
(11, 45, 'type', 'typ', 'view'),
(11, 46, 'affiliate_id', 'id', NULL),
(11, 46, 'password', 'pw', NULL),
(11, 46, 'reload', 'reload', NULL),
(11, 46, 'remain_clicks', 'uebrig', NULL),
(11, 46, 'reward', 'verguetung', NULL),
(11, 46, 'site_id', 'sid', NULL),
(11, 46, 'type', 'typ', 'view'),
(11, 47, 'affiliate_id', 'id', NULL),
(11, 47, 'password', 'pw', NULL),
(11, 47, 'reload', 'reload', NULL),
(11, 47, 'remain_clicks', 'uebrig', NULL),
(11, 47, 'reward', 'verguetung', NULL),
(11, 47, 'site_id', 'sid', NULL),
(11, 47, 'size', 'size', NULL),
(11, 47, 'type', 'typ', 'view'),
(11, 48, 'affiliate_id', 'id', NULL),
(11, 48, 'minimum_stay', 'ma', NULL),
(11, 48, 'password', 'pw', NULL),
(11, 48, 'reload', 'reload', NULL),
(11, 48, 'remain_clicks', 'uebrig', NULL),
(11, 48, 'reward', 'verguetung', NULL),
(11, 48, 'site_id', 'sid', NULL),
(11, 48, 'type', 'typ', 'html'),
(11, 49, 'affiliate_id', 'id', NULL),
(11, 49, 'password', 'pw', NULL),
(11, 49, 'reload', 'reload', NULL),
(11, 49, 'remain_clicks', 'uebrig', NULL),
(11, 49, 'reward', 'verguetung', NULL),
(11, 49, 'site_id', 'sid', NULL),
(11, 49, 'type', 'typ', 'view')");

// Request parameters per type handler - BonusSponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(12, 61, 'affiliate_id', 'id', NULL),
(12, 61, 'password', 'pw', NULL),
(12, 61, 'remain_clicks', 'uebrig', NULL),
(12, 61, 'reward', 'verguetung', NULL),
(12, 61, 'site_id', 'sid', NULL),
(12, 62, 'affiliate_id', 'id', NULL),
(12, 62, 'password', 'pw', NULL),
(12, 62, 'remain_clicks', 'uebrig', NULL),
(12, 62, 'reward', 'verguetung', NULL),
(12, 62, 'site_id', 'sid', NULL)");

// Request parameters per type handler - City-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(24, 212, 'extra', 'typ', 'forcedbanner'),
(24, 212, 'affiliate_id', 'id', NULL),
(24, 212, 'password', 'pw', NULL),
(24, 212, 'reload', 'reload', NULL),
(24, 212, 'remain_clicks', 'uebrig', NULL),
(24, 212, 'reward', 'verguetung', NULL),
(24, 212, 'minimum_stay', 'ma', NULL),
(24, 213, 'extra', 'typ', 'forcedtextlink'),
(24, 213, 'affiliate_id', 'id', NULL),
(24, 213, 'password', 'pw', NULL),
(24, 213, 'reload', 'reload', NULL),
(24, 213, 'remain_clicks', 'uebrig', NULL),
(24, 213, 'reward', 'verguetung', NULL),
(24, 213, 'minimum_stay', 'ma', NULL),
(24, 214, 'extra', 'typ', 'bannerview'),
(24, 214, 'affiliate_id', 'id', NULL),
(24, 214, 'password', 'pw', NULL),
(24, 214, 'reload', 'reload', NULL),
(24, 214, 'remain_clicks', 'uebrig', NULL),
(24, 214, 'reward', 'verguetung', NULL),
(24, 214, 'minimum_stay', 'ma', NULL),
(24, 215, 'extra', 'typ', 'skybannerview'),
(24, 215, 'affiliate_id', 'id', NULL),
(24, 215, 'password', 'pw', NULL),
(24, 215, 'reload', 'reload', NULL),
(24, 215, 'remain_clicks', 'uebrig', NULL),
(24, 215, 'reward', 'verguetung', NULL),
(24, 215, 'minimum_stay', 'ma', NULL),
(24, 216, 'extra', 'typ', 'buttonview'),
(24, 216, 'affiliate_id', 'id', NULL),
(24, 216, 'password', 'pw', NULL),
(24, 216, 'reload', 'reload', NULL),
(24, 216, 'remain_clicks', 'uebrig', NULL),
(24, 216, 'reward', 'verguetung', NULL),
(24, 216, 'minimum_stay', 'ma', NULL),
(24, 217, 'extra', 'typ', 'bannerklick'),
(24, 217, 'affiliate_id', 'id', NULL),
(24, 217, 'password', 'pw', NULL),
(24, 217, 'reload', 'reload', NULL),
(24, 217, 'remain_clicks', 'uebrig', NULL),
(24, 217, 'reward', 'verguetung', NULL),
(24, 217, 'minimum_stay', 'ma', NULL),
(24, 218, 'extra', 'typ', 'textview'),
(24, 218, 'affiliate_id', 'id', NULL),
(24, 218, 'password', 'pw', NULL),
(24, 218, 'reload', 'reload', NULL),
(24, 218, 'remain_clicks', 'uebrig', NULL),
(24, 218, 'reward', 'verguetung', NULL),
(24, 218, 'minimum_stay', 'ma', NULL),
(24, 219, 'extra', 'typ', 'popup'),
(24, 219, 'affiliate_id', 'id', NULL),
(24, 219, 'password', 'pw', NULL),
(24, 219, 'reload', 'reload', NULL),
(24, 219, 'remain_clicks', 'uebrig', NULL),
(24, 219, 'reward', 'verguetung', NULL),
(24, 219, 'minimum_stay', 'ma', NULL),
(24, 220, 'extra', 'typ', 'traffic'),
(24, 220, 'affiliate_id', 'id', NULL),
(24, 220, 'password', 'pw', NULL),
(24, 220, 'reload', 'reload', NULL),
(24, 220, 'remain_clicks', 'uebrig', NULL),
(24, 220, 'reward', 'verguetung', NULL),
(24, 220, 'minimum_stay', 'ma', NULL),
(24, 221, 'extra', 'typ', 'paidmail'),
(24, 221, 'affiliate_id', 'id', NULL),
(24, 221, 'password', 'pw', NULL),
(24, 221, 'reload', 'reload', NULL),
(24, 221, 'remain_clicks', 'uebrig', NULL),
(24, 221, 'reward', 'verguetung', NULL),
(24, 221, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Crystall
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(44, 538, 'extra', 'art', 'forcedbanner'),
(44, 538, 'affiliate_id', 'id', NULL),
(44, 538, 'password', 'pw', NULL),
(44, 538, 'remain_clicks', 'uebrig', NULL),
(44, 538, 'reload', 'reload', NULL),
(44, 538, 'reward', 'verguetung', NULL),
(44, 538, 'minimum_stay', 'ma', NULL),
(44, 538, 'site_id', 'siteid', NULL),
(44, 539, 'extra', 'art', 'forcedbanner'),
(44, 539, 'affiliate_id', 'id', NULL),
(44, 539, 'password', 'pw', NULL),
(44, 539, 'remain_clicks', 'uebrig', NULL),
(44, 539, 'reload', 'reload', NULL),
(44, 539, 'reward', 'verguetung', NULL),
(44, 539, 'minimum_stay', 'ma', NULL),
(44, 539, 'site_id', 'siteid', NULL),
(44, 540, 'extra', 'art', 'forcedbanner'),
(44, 540, 'affiliate_id', 'id', NULL),
(44, 540, 'password', 'pw', NULL),
(44, 540, 'remain_clicks', 'uebrig', NULL),
(44, 540, 'reload', 'reload', NULL),
(44, 540, 'reward', 'verguetung', NULL),
(44, 540, 'minimum_stay', 'ma', NULL),
(44, 540, 'site_id', 'siteid', NULL),
(44, 541, 'extra', 'art', 'forcedbanner'),
(44, 541, 'affiliate_id', 'id', NULL),
(44, 541, 'password', 'pw', NULL),
(44, 541, 'remain_clicks', 'uebrig', NULL),
(44, 541, 'reload', 'reload', NULL),
(44, 541, 'reward', 'verguetung', NULL),
(44, 541, 'minimum_stay', 'ma', NULL),
(44, 541, 'site_id', 'siteid', NULL),
(44, 542, 'extra', 'art', 'forcedbanner'),
(44, 542, 'affiliate_id', 'id', NULL),
(44, 542, 'password', 'pw', NULL),
(44, 542, 'remain_clicks', 'uebrig', NULL),
(44, 542, 'reload', 'reload', NULL),
(44, 542, 'reward', 'verguetung', NULL),
(44, 542, 'minimum_stay', 'ma', NULL),
(44, 542, 'site_id', 'siteid', NULL),
(44, 543, 'extra', 'art', 'forcedbanner'),
(44, 543, 'affiliate_id', 'id', NULL),
(44, 543, 'password', 'pw', NULL),
(44, 543, 'remain_clicks', 'uebrig', NULL),
(44, 543, 'reload', 'reload', NULL),
(44, 543, 'reward', 'verguetung', NULL),
(44, 543, 'minimum_stay', 'ma', NULL),
(44, 543, 'site_id', 'siteid', NULL),
(44, 544, 'extra', 'art', 'forcedbanner'),
(44, 544, 'affiliate_id', 'id', NULL),
(44, 544, 'password', 'pw', NULL),
(44, 544, 'remain_clicks', 'uebrig', NULL),
(44, 544, 'reload', 'reload', NULL),
(44, 544, 'reward', 'verguetung', NULL),
(44, 544, 'minimum_stay', 'ma', NULL),
(44, 544, 'site_id', 'siteid', NULL),
(44, 545, 'extra', 'art', 'forcedbanner'),
(44, 545, 'affiliate_id', 'id', NULL),
(44, 545, 'password', 'pw', NULL),
(44, 545, 'remain_clicks', 'uebrig', NULL),
(44, 545, 'reload', 'reload', NULL),
(44, 545, 'reward', 'verguetung', NULL),
(44, 545, 'minimum_stay', 'ma', NULL),
(44, 545, 'site_id', 'siteid', NULL),
(44, 546, 'extra', 'art', 'forcedbanner'),
(44, 546, 'affiliate_id', 'id', NULL),
(44, 546, 'password', 'pw', NULL),
(44, 546, 'remain_clicks', 'uebrig', NULL),
(44, 546, 'reload', 'reload', NULL),
(44, 546, 'reward', 'verguetung', NULL),
(44, 546, 'minimum_stay', 'ma', NULL),
(44, 546, 'site_id', 'siteid', NULL),
(44, 547, 'extra', 'art', 'forcedbanner'),
(44, 547, 'affiliate_id', 'id', NULL),
(44, 547, 'password', 'pw', NULL),
(44, 547, 'remain_clicks', 'uebrig', NULL),
(44, 547, 'reload', 'reload', NULL),
(44, 547, 'reward', 'verguetung', NULL),
(44, 547, 'minimum_stay', 'ma', NULL),
(44, 547, 'site_id', 'siteid', NULL)");

// Request parameters per type handler - doubleads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(26, 232, 'affiliate_id', 'id', NULL),
(26, 232, 'password', 'pw', NULL),
(26, 232, 'reload', 'reload', NULL),
(26, 232, 'remain_clicks', 'uebrig', NULL),
(26, 232, 'reward', 'verguetung', NULL),
(26, 232, 'site_id', 'sid', NULL),
(26, 232, 'size', 'size', '468x60'),
(26, 232, 'type', 'typ', 'klick'),
(26, 233, 'affiliate_id', 'id', NULL),
(26, 233, 'password', 'pw', NULL),
(26, 233, 'reload', 'reload', NULL),
(26, 233, 'remain_clicks', 'uebrig', NULL),
(26, 233, 'reward', 'verguetung', NULL),
(26, 233, 'site_id', 'sid', NULL),
(26, 233, 'size', 'size', '468x60'),
(26, 233, 'type', 'typ', 'view'),
(26, 234, 'affiliate_id', 'id', NULL),
(26, 234, 'password', 'pw', NULL),
(26, 234, 'reload', 'reload', NULL),
(26, 234, 'remain_clicks', 'uebrig', NULL),
(26, 234, 'reward', 'verguetung', NULL),
(26, 234, 'site_id', 'sid', NULL),
(26, 234, 'type', 'typ', 'klick'),
(26, 235, 'affiliate_id', 'id', NULL),
(26, 235, 'password', 'pw', NULL),
(26, 235, 'reload', 'reload', NULL),
(26, 235, 'remain_clicks', 'uebrig', NULL),
(26, 235, 'reward', 'verguetung', NULL),
(26, 235, 'site_id', 'sid', NULL),
(26, 235, 'type', 'typ', 'view'),
(26, 236, 'affiliate_id', 'id', NULL),
(26, 236, 'password', 'pw', NULL),
(26, 236, 'reload', 'reload', NULL),
(26, 236, 'remain_clicks', 'uebrig', NULL),
(26, 236, 'reward', 'verguetung', NULL),
(26, 236, 'site_id', 'sid', NULL),
(26, 236, 'size', 'size', NULL),
(26, 236, 'type', 'typ', 'klick'),
(26, 237, 'affiliate_id', 'id', NULL),
(26, 237, 'password', 'pw', NULL),
(26, 237, 'reload', 'reload', NULL),
(26, 237, 'remain_clicks', 'uebrig', NULL),
(26, 237, 'reward', 'verguetung', NULL),
(26, 237, 'site_id', 'sid', NULL),
(26, 237, 'size', 'size', NULL),
(26, 237, 'type', 'typ', 'view'),
(26, 238, 'affiliate_id', 'id', NULL),
(26, 238, 'minimum_stay', 'ma', NULL),
(26, 238, 'password', 'pw', NULL),
(26, 238, 'reload', 'reload', NULL),
(26, 238, 'remain_clicks', 'uebrig', NULL),
(26, 238, 'reward', 'verguetung', NULL),
(26, 238, 'site_id', 'sid', NULL),
(26, 238, 'size', 'size', '468x60'),
(26, 239, 'affiliate_id', 'id', NULL),
(26, 239, 'minimum_stay', 'ma', NULL),
(26, 239, 'password', 'pw', NULL),
(26, 239, 'reload', 'reload', NULL),
(26, 239, 'remain_clicks', 'uebrig', NULL),
(26, 239, 'reward', 'verguetung', NULL),
(26, 239, 'site_id', 'sid', NULL),
(26, 239, 'type', 'typ', 'text'),
(26, 240, 'affiliate_id', 'id', NULL),
(26, 240, 'minimum_stay', 'ma', NULL),
(26, 240, 'password', 'pw', NULL),
(26, 240, 'reload', 'reload', NULL),
(26, 240, 'remain_clicks', 'uebrig', NULL),
(26, 240, 'reward', 'verguetung', NULL),
(26, 240, 'site_id', 'sid', NULL),
(26, 240, 'type', 'typ', 'html'),
(26, 241, 'affiliate_id', 'id', NULL),
(26, 241, 'password', 'pw', NULL),
(26, 241, 'reload', 'reload', NULL),
(26, 241, 'remain_clicks', 'uebrig', NULL),
(26, 241, 'reward', 'verguetung', NULL),
(26, 241, 'site_id', 'sid', NULL),
(26, 241, 'type', 'typ', 'klick'),
(26, 242, 'affiliate_id', 'id', NULL),
(26, 242, 'password', 'pw', NULL),
(26, 242, 'reload', 'reload', NULL),
(26, 242, 'remain_clicks', 'uebrig', NULL),
(26, 242, 'reward', 'verguetung', NULL),
(26, 242, 'site_id', 'sid', NULL),
(26, 242, 'type', 'typ', 'view'),
(26, 243, 'affiliate_id', 'id', NULL),
(26, 243, 'minimum_stay', 'ma', NULL),
(26, 243, 'password', 'pw', NULL),
(26, 243, 'reload', 'reload', NULL),
(26, 243, 'remain_clicks', 'uebrig', NULL),
(26, 243, 'reward', 'verguetung', NULL),
(26, 243, 'site_id', 'sid', NULL),
(26, 244, 'affiliate_id', 'id', NULL),
(26, 244, 'minimum_stay', 'ma', NULL),
(26, 244, 'password', 'pw', NULL),
(26, 244, 'reload', 'reload', NULL),
(26, 244, 'remain_clicks', 'uebrig', NULL),
(26, 244, 'reward', 'verguetung', NULL),
(26, 244, 'site_id', 'sid', NULL),
(26, 245, 'affiliate_id', 'id', NULL),
(26, 245, 'password', 'pw', NULL),
(26, 245, 'remain_clicks', 'uebrig', NULL),
(26, 245, 'reward', 'verguetung', NULL),
(26, 245, 'site_id', 'sid', NULL),
(26, 246, 'affiliate_id', 'id', NULL),
(26, 246, 'password', 'pw', NULL),
(26, 246, 'remain_clicks', 'uebrig', NULL),
(26, 246, 'reward', 'verguetung', NULL),
(26, 246, 'site_id', 'sid', NULL),
(26, 509, 'affiliate_id', 'id', NULL),
(26, 509, 'password', 'pw', NULL),
(26, 509, 'reload', 'reload', NULL),
(26, 509, 'remain_clicks', 'uebrig', NULL),
(26, 509, 'reward', 'verguetung', NULL),
(26, 509, 'site_id', 'sid', NULL),
(26, 509, 'size', 'size', '88x31'),
(26, 509, 'type', 'typ', 'klick'),
(26, 510, 'affiliate_id', 'id', NULL),
(26, 510, 'password', 'pw', NULL),
(26, 510, 'reload', 'reload', NULL),
(26, 510, 'remain_clicks', 'uebrig', NULL),
(26, 510, 'reward', 'verguetung', NULL),
(26, 510, 'site_id', 'sid', NULL),
(26, 510, 'size', 'size', '88x31'),
(26, 510, 'type', 'typ', 'view'),
(26, 511, 'affiliate_id', 'id', NULL),
(26, 511, 'password', 'pw', NULL),
(26, 511, 'reload', 'reload', NULL),
(26, 511, 'remain_clicks', 'uebrig', NULL),
(26, 511, 'reward', 'verguetung', NULL),
(26, 511, 'site_id', 'sid', NULL),
(26, 511, 'size', 'size', '234x60'),
(26, 511, 'type', 'typ', 'klick'),
(26, 512, 'affiliate_id', 'id', NULL),
(26, 512, 'password', 'pw', NULL),
(26, 512, 'reload', 'reload', NULL),
(26, 512, 'remain_clicks', 'uebrig', NULL),
(26, 512, 'reward', 'verguetung', NULL),
(26, 512, 'site_id', 'sid', NULL),
(26, 512, 'size', 'size', '234x60'),
(26, 512, 'type', 'typ', 'view'),
(26, 513, 'affiliate_id', 'id', NULL),
(26, 513, 'password', 'pw', NULL),
(26, 513, 'reload', 'reload', NULL),
(26, 513, 'remain_clicks', 'uebrig', NULL),
(26, 513, 'reward', 'verguetung', NULL),
(26, 513, 'site_id', 'sid', NULL),
(26, 513, 'size', 'size', '120x600'),
(26, 513, 'type', 'typ', 'klick'),
(26, 514, 'affiliate_id', 'id', NULL),
(26, 514, 'password', 'pw', NULL),
(26, 514, 'reload', 'reload', NULL),
(26, 514, 'remain_clicks', 'uebrig', NULL),
(26, 514, 'reward', 'verguetung', NULL),
(26, 514, 'site_id', 'sid', NULL),
(26, 514, 'size', 'size', '120x600'),
(26, 514, 'type', 'typ', 'view'),
(26, 515, 'affiliate_id', 'id', NULL),
(26, 515, 'minimum_stay', 'ma', NULL),
(26, 515, 'password', 'pw', NULL),
(26, 515, 'reload', 'reload', NULL),
(26, 515, 'remain_clicks', 'uebrig', NULL),
(26, 515, 'reward', 'verguetung', NULL),
(26, 515, 'site_id', 'sid', NULL),
(26, 515, 'size', 'size', '88x31'),
(26, 516, 'affiliate_id', 'id', NULL),
(26, 516, 'minimum_stay', 'ma', NULL),
(26, 516, 'password', 'pw', NULL),
(26, 516, 'reload', 'reload', NULL),
(26, 516, 'remain_clicks', 'uebrig', NULL),
(26, 516, 'reward', 'verguetung', NULL),
(26, 516, 'site_id', 'sid', NULL),
(26, 516, 'size', 'size', '234x60'),
(26, 517, 'affiliate_id', 'id', NULL),
(26, 517, 'minimum_stay', 'ma', NULL),
(26, 517, 'password', 'pw', NULL),
(26, 517, 'reload', 'reload', NULL),
(26, 517, 'remain_clicks', 'uebrig', NULL),
(26, 517, 'reward', 'verguetung', NULL),
(26, 517, 'site_id', 'sid', NULL),
(26, 517, 'size', 'size', '120x600')");

// Request parameters per type handler - Earn4Webbis
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(62, 747, 'extra', 'art', 'bannerklick'),
(62, 747, 'affiliate_id', 'uid', NULL),
(62, 747, 'password', 'pw', NULL),
(62, 747, 'site_id', 'sid', NULL),
(62, 747, 'reward', 'verguetung', NULL),
(62, 747, 'reload', 'reload', NULL),
(62, 747, 'remain_clicks', 'uebrig', NULL),
(62, 748, 'extra', 'art', 'bannerview'),
(62, 748, 'affiliate_id', 'uid', NULL),
(62, 748, 'password', 'pw', NULL),
(62, 748, 'site_id', 'sid', NULL),
(62, 748, 'reward', 'verguetung', NULL),
(62, 748, 'reload', 'reload', NULL),
(62, 748, 'remain_clicks', 'uebrig', NULL),
(62, 749, 'extra', 'art', 'buttonklick'),
(62, 749, 'affiliate_id', 'uid', NULL),
(62, 749, 'password', 'pw', NULL),
(62, 749, 'site_id', 'sid', NULL),
(62, 749, 'reward', 'verguetung', NULL),
(62, 749, 'reload', 'reload', NULL),
(62, 749, 'remain_clicks', 'uebrig', NULL),
(62, 750, 'extra', 'art', 'buttonview'),
(62, 750, 'affiliate_id', 'uid', NULL),
(62, 750, 'password', 'pw', NULL),
(62, 750, 'site_id', 'sid', NULL),
(62, 750, 'reward', 'verguetung', NULL),
(62, 750, 'reload', 'reload', NULL),
(62, 750, 'remain_clicks', 'uebrig', NULL),
(62, 751, 'extra', 'art', 'forcedbanner'),
(62, 751, 'affiliate_id', 'uid', NULL),
(62, 751, 'password', 'pw', NULL),
(62, 751, 'site_id', 'sid', NULL),
(62, 751, 'reward', 'verguetung', NULL),
(62, 751, 'reload', 'reload', NULL),
(62, 751, 'remain_clicks', 'uebrig', NULL),
(62, 751, 'minimum_stay', 'ma', NULL),
(62, 752, 'extra', 'art', 'forcedtextlink'),
(62, 752, 'affiliate_id', 'uid', NULL),
(62, 752, 'password', 'pw', NULL),
(62, 752, 'site_id', 'sid', NULL),
(62, 752, 'reward', 'verguetung', NULL),
(62, 752, 'reload', 'reload', NULL),
(62, 752, 'remain_clicks', 'uebrig', NULL),
(62, 752, 'minimum_stay', 'ma', NULL),
(62, 753, 'extra', 'art', 'htmlmail'),
(62, 753, 'affiliate_id', 'uid', NULL),
(62, 753, 'password', 'pw', NULL),
(62, 753, 'site_id', 'sid', NULL),
(62, 753, 'reward', 'verguetung', NULL),
(62, 753, 'reload', 'reload', NULL),
(62, 753, 'remain_clicks', 'uebrig', NULL),
(62, 753, 'minimum_stay', 'ma', NULL),
(62, 754, 'extra', 'art', 'bannerview'),
(62, 754, 'affiliate_id', 'uid', NULL),
(62, 754, 'password', 'pw', NULL),
(62, 754, 'site_id', 'sid', NULL),
(62, 754, 'reward', 'verguetung', NULL),
(62, 754, 'reload', 'reload', NULL),
(62, 754, 'remain_clicks', 'uebrig', NULL),
(62, 755, 'extra', 'art', 'paidmail'),
(62, 755, 'affiliate_id', 'uid', NULL),
(62, 755, 'password', 'pw', NULL),
(62, 755, 'site_id', 'sid', NULL),
(62, 755, 'reward', 'verguetung', NULL),
(62, 755, 'reload', 'reload', NULL),
(62, 755, 'remain_clicks', 'uebrig', NULL),
(62, 755, 'minimum_stay', 'ma', NULL),
(62, 756, 'extra', 'art', 'popup'),
(62, 756, 'affiliate_id', 'uid', NULL),
(62, 756, 'password', 'pw', NULL),
(62, 756, 'site_id', 'sid', NULL),
(62, 756, 'reward', 'verguetung', NULL),
(62, 756, 'reload', 'reload', NULL),
(62, 756, 'remain_clicks', 'uebrig', NULL),
(62, 756, 'minimum_stay', 'ma', NULL),
(62, 757, 'extra', 'art', 'skybannerklick'),
(62, 757, 'affiliate_id', 'uid', NULL),
(62, 757, 'password', 'pw', NULL),
(62, 757, 'site_id', 'sid', NULL),
(62, 757, 'reward', 'verguetung', NULL),
(62, 757, 'reload', 'reload', NULL),
(62, 757, 'remain_clicks', 'uebrig', NULL),
(62, 758, 'extra', 'art', 'skybannerview'),
(62, 758, 'affiliate_id', 'uid', NULL),
(62, 758, 'password', 'pw', NULL),
(62, 758, 'site_id', 'sid', NULL),
(62, 758, 'reward', 'verguetung', NULL),
(62, 758, 'reload', 'reload', NULL),
(62, 758, 'remain_clicks', 'uebrig', NULL),
(62, 759, 'extra', 'art', 'surfbarklick'),
(62, 759, 'affiliate_id', 'uid', NULL),
(62, 759, 'password', 'pw', NULL),
(62, 759, 'site_id', 'sid', NULL),
(62, 759, 'reward', 'verguetung', NULL),
(62, 759, 'reload', 'reload', NULL),
(62, 759, 'remain_clicks', 'uebrig', NULL),
(62, 760, 'extra', 'art', 'surfbarview'),
(62, 760, 'affiliate_id', 'uid', NULL),
(62, 760, 'password', 'pw', NULL),
(62, 760, 'site_id', 'sid', NULL),
(62, 760, 'reward', 'verguetung', NULL),
(62, 760, 'reload', 'reload', NULL),
(62, 760, 'remain_clicks', 'uebrig', NULL),
(62, 761, 'extra', 'art', 'textlinkklick'),
(62, 761, 'affiliate_id', 'uid', NULL),
(62, 761, 'password', 'pw', NULL),
(62, 761, 'site_id', 'sid', NULL),
(62, 761, 'reward', 'verguetung', NULL),
(62, 761, 'reload', 'reload', NULL),
(62, 761, 'remain_clicks', 'uebrig', NULL),
(62, 762, 'extra', 'art', 'textlinkview'),
(62, 762, 'affiliate_id', 'uid', NULL),
(62, 762, 'password', 'pw', NULL),
(62, 762, 'site_id', 'sid', NULL),
(62, 762, 'reward', 'verguetung', NULL),
(62, 762, 'reload', 'reload', NULL),
(62, 762, 'remain_clicks', 'uebrig', NULL),
(62, 763, 'extra', 'art', 'traffic'),
(62, 763, 'affiliate_id', 'uid', NULL),
(62, 763, 'password', 'pw', NULL),
(62, 763, 'site_id', 'sid', NULL),
(62, 763, 'reward', 'verguetung', NULL),
(62, 763, 'reload', 'reload', NULL),
(62, 763, 'remain_clicks', 'uebrig', NULL),
(62, 763, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Erotic-Promotion
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(63, 764, 'extra', 'typ', 'forcedbanner'),
(63, 764, 'affiliate_id', 'id', NULL),
(63, 764, 'password', 'pw', NULL),
(63, 764, 'remain_clicks', 'uebrig', NULL),
(63, 764, 'reload', 'reload', NULL),
(63, 764, 'reward', 'verguetung', NULL),
(63, 764, 'site_id', 'siteid', NULL),
(63, 764, 'minimum_stay', 'ma', NULL),
(63, 765, 'extra', 'typ', 'forcedtextlink'),
(63, 765, 'affiliate_id', 'id', NULL),
(63, 765, 'password', 'pw', NULL),
(63, 765, 'remain_clicks', 'uebrig', NULL),
(63, 765, 'reload', 'reload', NULL),
(63, 765, 'reward', 'verguetung', NULL),
(63, 765, 'site_id', 'siteid', NULL),
(63, 765, 'minimum_stay', 'ma', NULL),
(63, 766, 'extra', 'typ', 'bannerview'),
(63, 766, 'affiliate_id', 'id', NULL),
(63, 766, 'password', 'pw', NULL),
(63, 766, 'remain_clicks', 'uebrig', NULL),
(63, 766, 'reload', 'reload', NULL),
(63, 766, 'reward', 'verguetung', NULL),
(63, 766, 'site_id', 'siteid', NULL),
(63, 766, 'minimum_stay', 'ma', NULL),
(63, 767, 'extra', 'typ', 'bannerklick'),
(63, 767, 'affiliate_id', 'id', NULL),
(63, 767, 'password', 'pw', NULL),
(63, 767, 'remain_clicks', 'uebrig', NULL),
(63, 767, 'reload', 'reload', NULL),
(63, 767, 'reward', 'verguetung', NULL),
(63, 767, 'site_id', 'siteid', NULL),
(63, 767, 'minimum_stay', 'ma', NULL),
(63, 768, 'extra', 'typ', 'skybannerview'),
(63, 768, 'affiliate_id', 'id', NULL),
(63, 768, 'password', 'pw', NULL),
(63, 768, 'remain_clicks', 'uebrig', NULL),
(63, 768, 'reload', 'reload', NULL),
(63, 768, 'reward', 'verguetung', NULL),
(63, 768, 'site_id', 'siteid', NULL),
(63, 768, 'minimum_stay', 'ma', NULL),
(63, 769, 'extra', 'typ', 'buttonview'),
(63, 769, 'affiliate_id', 'id', NULL),
(63, 769, 'password', 'pw', NULL),
(63, 769, 'remain_clicks', 'uebrig', NULL),
(63, 769, 'reload', 'reload', NULL),
(63, 769, 'reward', 'verguetung', NULL),
(63, 769, 'site_id', 'siteid', NULL),
(63, 769, 'minimum_stay', 'ma', NULL),
(63, 770, 'extra', 'typ', 'textview'),
(63, 770, 'affiliate_id', 'id', NULL),
(63, 770, 'password', 'pw', NULL),
(63, 770, 'remain_clicks', 'uebrig', NULL),
(63, 770, 'reload', 'reload', NULL),
(63, 770, 'reward', 'verguetung', NULL),
(63, 770, 'site_id', 'siteid', NULL),
(63, 770, 'minimum_stay', 'ma', NULL),
(63, 771, 'extra', 'typ', 'traffic'),
(63, 771, 'affiliate_id', 'id', NULL),
(63, 771, 'password', 'pw', NULL),
(63, 771, 'remain_clicks', 'uebrig', NULL),
(63, 771, 'reload', 'reload', NULL),
(63, 771, 'reward', 'verguetung', NULL),
(63, 771, 'site_id', 'siteid', NULL),
(63, 771, 'minimum_stay', 'ma', NULL),
(63, 772, 'extra', 'typ', 'popup'),
(63, 772, 'affiliate_id', 'id', NULL),
(63, 772, 'password', 'pw', NULL),
(63, 772, 'remain_clicks', 'uebrig', NULL),
(63, 772, 'reload', 'reload', NULL),
(63, 772, 'reward', 'verguetung', NULL),
(63, 772, 'site_id', 'siteid', NULL),
(63, 772, 'minimum_stay', 'ma', NULL),
(63, 773, 'extra', 'typ', 'paidmail'),
(63, 773, 'affiliate_id', 'id', NULL),
(63, 773, 'password', 'pw', NULL),
(63, 773, 'remain_clicks', 'uebrig', NULL),
(63, 773, 'reload', 'reload', NULL),
(63, 773, 'reward', 'verguetung', NULL),
(63, 773, 'site_id', 'siteid', NULL),
(63, 773, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - eu-ADS.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(42, 431, 'extra', 'typ', 'forcedbanner'),
(42, 431, 'affiliate_id', 'id', NULL),
(42, 431, 'password', 'pw', NULL),
(42, 431, 'site_id', 'siteid', NULL),
(42, 431, 'remain_clicks', 'uebrig', NULL),
(42, 431, 'reload', 'reload', NULL),
(42, 431, 'reward', 'verguetung', NULL),
(42, 432, 'extra', 'typ', 'forcedtextlink'),
(42, 432, 'affiliate_id', 'id', NULL),
(42, 432, 'password', 'pw', NULL),
(42, 432, 'site_id', 'siteid', NULL),
(42, 432, 'remain_clicks', 'uebrig', NULL),
(42, 432, 'reload', 'reload', NULL),
(42, 432, 'reward', 'verguetung', NULL),
(42, 433, 'extra', 'typ', 'bannerview'),
(42, 433, 'affiliate_id', 'id', NULL),
(42, 433, 'password', 'pw', NULL),
(42, 433, 'site_id', 'siteid', NULL),
(42, 433, 'remain_clicks', 'uebrig', NULL),
(42, 433, 'reload', 'reload', NULL),
(42, 433, 'reward', 'verguetung', NULL),
(42, 434, 'extra', 'typ', 'bannerklick'),
(42, 434, 'affiliate_id', 'id', NULL),
(42, 434, 'password', 'pw', NULL),
(42, 434, 'site_id', 'siteid', NULL),
(42, 434, 'remain_clicks', 'uebrig', NULL),
(42, 434, 'reload', 'reload', NULL),
(42, 434, 'reward', 'verguetung', NULL),
(42, 435, 'extra', 'typ', 'skybannerview'),
(42, 435, 'affiliate_id', 'id', NULL),
(42, 435, 'password', 'pw', NULL),
(42, 435, 'site_id', 'siteid', NULL),
(42, 435, 'remain_clicks', 'uebrig', NULL),
(42, 435, 'reload', 'reload', NULL),
(42, 435, 'reward', 'verguetung', NULL),
(42, 436, 'extra', 'typ', 'buttonview'),
(42, 436, 'affiliate_id', 'id', NULL),
(42, 436, 'password', 'pw', NULL),
(42, 436, 'site_id', 'siteid', NULL),
(42, 436, 'remain_clicks', 'uebrig', NULL),
(42, 436, 'reload', 'reload', NULL),
(42, 436, 'reward', 'verguetung', NULL),
(42, 437, 'extra', 'typ', 'textview'),
(42, 437, 'affiliate_id', 'id', NULL),
(42, 437, 'password', 'pw', NULL),
(42, 437, 'site_id', 'siteid', NULL),
(42, 437, 'remain_clicks', 'uebrig', NULL),
(42, 437, 'reload', 'reload', NULL),
(42, 437, 'reward', 'verguetung', NULL),
(42, 438, 'extra', 'typ', 'traffic'),
(42, 438, 'affiliate_id', 'id', NULL),
(42, 438, 'password', 'pw', NULL),
(42, 438, 'site_id', 'siteid', NULL),
(42, 438, 'remain_clicks', 'uebrig', NULL),
(42, 438, 'reload', 'reload', NULL),
(42, 438, 'reward', 'verguetung', NULL),
(42, 439, 'extra', 'typ', 'popup'),
(42, 439, 'affiliate_id', 'id', NULL),
(42, 439, 'password', 'pw', NULL),
(42, 439, 'site_id', 'siteid', NULL),
(42, 439, 'remain_clicks', 'uebrig', NULL),
(42, 439, 'reload', 'reload', NULL),
(42, 439, 'reward', 'verguetung', NULL),
(42, 440, 'extra', 'typ', 'paidmail'),
(42, 440, 'affiliate_id', 'id', NULL),
(42, 440, 'password', 'pw', NULL),
(42, 440, 'site_id', 'siteid', NULL),
(42, 440, 'remain_clicks', 'uebrig', NULL),
(42, 440, 'reload', 'reload', NULL),
(42, 440, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Forced-Lose
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(66, 802, 'affiliate_id', 'u_id', NULL),
(66, 802, 'password', 'k_pass', NULL),
(66, 802, 'reward', 'k_v', NULL),
(66, 802, 'remain_clicks', 'k_rest', NULL),
(66, 802, 'maximum_stay', 'k_mamax', NULL),
(66, 802, 'extra', 'u_mode', 'on'),
(66, 803, 'affiliate_id', 'u_id', NULL),
(66, 803, 'password', 'k_pass', NULL),
(66, 803, 'reward', 'k_v', NULL),
(66, 803, 'remain_clicks', 'k_rest', NULL),
(66, 803, 'extra', 'u_mode', 'on'),
(66, 804, 'affiliate_id', 'u_id', NULL),
(66, 804, 'password', 'k_pass', NULL),
(66, 804, 'reward', 'k_v', NULL),
(66, 804, 'remain_clicks', 'k_rest', NULL),
(66, 804, 'maximum_stay', 'k_mamax', NULL),
(66, 804, 'extra', 'u_mode', 'on'),
(66, 805, 'affiliate_id', 'u_id', NULL),
(66, 805, 'password', 'k_pass', NULL),
(66, 805, 'reward', 'k_v', NULL),
(66, 805, 'remain_clicks', 'k_rest', NULL),
(66, 805, 'size', 'b_f', '468'),
(66, 805, 'extra', 'u_mode', 'on'),
(66, 806, 'affiliate_id', 'u_id', NULL),
(66, 806, 'password', 'k_pass', NULL),
(66, 806, 'reward', 'k_v', NULL),
(66, 806, 'remain_clicks', 'k_rest', NULL),
(66, 806, 'size', 'b_f', '88'),
(66, 806, 'extra', 'u_mode', 'on'),
(66, 807, 'affiliate_id', 'u_id', NULL),
(66, 807, 'password', 'k_pass', NULL),
(66, 807, 'reward', 'k_v', NULL),
(66, 807, 'remain_clicks', 'k_rest', NULL),
(66, 807, 'size', 'b_f', '234'),
(66, 807, 'extra', 'u_mode', 'on'),
(66, 808, 'affiliate_id', 'u_id', NULL),
(66, 808, 'password', 'k_pass', NULL),
(66, 808, 'reward', 'k_v', NULL),
(66, 808, 'remain_clicks', 'k_rest', NULL),
(66, 808, 'size', 'b_f', '120'),
(66, 808, 'extra', 'u_mode', 'on')");

// Request parameters per type handler - FuCoExSponsor.net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(29, 273, 'extra', 'art', 'bannerklick'),
(29, 273, 'affiliate_id', 'uid', NULL),
(29, 273, 'password', 'pw', NULL),
(29, 273, 'reload', 'reload', NULL),
(29, 273, 'remain_clicks', 'uebrig', NULL),
(29, 273, 'reward', 'verguetung', NULL),
(29, 273, 'site_id', 'sid', NULL),
(29, 274, 'extra', 'art', 'bannerview'),
(29, 274, 'affiliate_id', 'uid', NULL),
(29, 274, 'password', 'pw', NULL),
(29, 274, 'reload', 'reload', NULL),
(29, 274, 'remain_clicks', 'uebrig', NULL),
(29, 274, 'reward', 'verguetung', NULL),
(29, 274, 'site_id', 'sid', NULL),
(29, 275, 'extra', 'art', 'buttonklick'),
(29, 275, 'affiliate_id', 'uid', NULL),
(29, 275, 'password', 'pw', NULL),
(29, 275, 'reload', 'reload', NULL),
(29, 275, 'remain_clicks', 'uebrig', NULL),
(29, 275, 'reward', 'verguetung', NULL),
(29, 275, 'site_id', 'sid', NULL),
(29, 276, 'extra', 'art', 'buttonview'),
(29, 276, 'affiliate_id', 'uid', NULL),
(29, 276, 'password', 'pw', NULL),
(29, 276, 'reload', 'reload', NULL),
(29, 276, 'remain_clicks', 'uebrig', NULL),
(29, 276, 'reward', 'verguetung', NULL),
(29, 276, 'site_id', 'sid', NULL),
(29, 277, 'extra', 'art', 'forcedbanner'),
(29, 277, 'affiliate_id', 'uid', NULL),
(29, 277, 'minimum_stay', 'ma', NULL),
(29, 277, 'password', 'pw', NULL),
(29, 277, 'reload', 'reload', NULL),
(29, 277, 'remain_clicks', 'uebrig', NULL),
(29, 277, 'reward', 'verguetung', NULL),
(29, 277, 'site_id', 'sid', NULL),
(29, 278, 'extra', 'art', 'forcedtextlink'),
(29, 278, 'affiliate_id', 'uid', NULL),
(29, 278, 'minimum_stay', 'ma', NULL),
(29, 278, 'password', 'pw', NULL),
(29, 278, 'reload', 'reload', NULL),
(29, 278, 'remain_clicks', 'uebrig', NULL),
(29, 278, 'reward', 'verguetung', NULL),
(29, 278, 'site_id', 'sid', NULL),
(29, 279, 'extra', 'art', 'htmlmail'),
(29, 279, 'affiliate_id', 'uid', NULL),
(29, 279, 'minimum_stay', 'ma', NULL),
(29, 279, 'password', 'pw', NULL),
(29, 279, 'reload', 'reload', NULL),
(29, 279, 'remain_clicks', 'uebrig', NULL),
(29, 279, 'reward', 'verguetung', NULL),
(29, 279, 'site_id', 'sid', NULL),
(29, 280, 'extra', 'art', 'layer'),
(29, 280, 'affiliate_id', 'uid', NULL),
(29, 280, 'password', 'pw', NULL),
(29, 280, 'reload', 'reload', NULL),
(29, 280, 'remain_clicks', 'uebrig', NULL),
(29, 280, 'reward', 'verguetung', NULL),
(29, 280, 'site_id', 'sid', NULL),
(29, 281, 'extra', 'art', 'paidmail'),
(29, 281, 'affiliate_id', 'uid', NULL),
(29, 281, 'minimum_stay', 'ma', NULL),
(29, 281, 'password', 'pw', NULL),
(29, 281, 'reload', 'reload', NULL),
(29, 281, 'remain_clicks', 'uebrig', NULL),
(29, 281, 'reward', 'verguetung', NULL),
(29, 281, 'site_id', 'sid', NULL),
(29, 282, 'extra', 'art', 'popup'),
(29, 282, 'affiliate_id', 'uid', NULL),
(29, 282, 'minimum_stay', 'ma', NULL),
(29, 282, 'password', 'pw', NULL),
(29, 282, 'reload', 'reload', NULL),
(29, 282, 'remain_clicks', 'uebrig', NULL),
(29, 282, 'reward', 'verguetung', NULL),
(29, 282, 'site_id', 'sid', NULL),
(29, 283, 'extra', 'art', 'skybannerklick'),
(29, 283, 'affiliate_id', 'uid', NULL),
(29, 283, 'password', 'pw', NULL),
(29, 283, 'reload', 'reload', NULL),
(29, 283, 'remain_clicks', 'uebrig', NULL),
(29, 283, 'reward', 'verguetung', NULL),
(29, 283, 'site_id', 'sid', NULL),
(29, 284, 'extra', 'art', 'skybannerview'),
(29, 284, 'affiliate_id', 'uid', NULL),
(29, 284, 'password', 'pw', NULL),
(29, 284, 'reload', 'reload', NULL),
(29, 284, 'remain_clicks', 'uebrig', NULL),
(29, 284, 'reward', 'verguetung', NULL),
(29, 284, 'site_id', 'sid', NULL),
(29, 285, 'extra', 'art', 'surfbarklick'),
(29, 285, 'password', 'pw', NULL),
(29, 285, 'affiliate_id', 'uid', NULL),
(29, 285, 'reload', 'reload', NULL),
(29, 285, 'remain_clicks', 'uebrig', NULL),
(29, 285, 'reward', 'verguetung', NULL),
(29, 285, 'site_id', 'sid', NULL),
(29, 286, 'extra', 'art', 'surfbarview'),
(29, 286, 'affiliate_id', 'uid', NULL),
(29, 286, 'password', 'pw', NULL),
(29, 286, 'reload', 'reload', NULL),
(29, 286, 'remain_clicks', 'uebrig', NULL),
(29, 286, 'reward', 'verguetung', NULL),
(29, 286, 'site_id', 'sid', NULL),
(29, 287, 'extra', 'art', 'textlinkklick'),
(29, 287, 'affiliate_id', 'uid', NULL),
(29, 287, 'password', 'pw', NULL),
(29, 287, 'reload', 'reload', NULL),
(29, 287, 'remain_clicks', 'uebrig', NULL),
(29, 287, 'reward', 'verguetung', NULL),
(29, 287, 'site_id', 'sid', NULL),
(29, 288, 'extra', 'art', 'textlinkview'),
(29, 288, 'affiliate_id', 'uid', NULL),
(29, 288, 'password', 'pw', NULL),
(29, 288, 'reload', 'reload', NULL),
(29, 288, 'remain_clicks', 'uebrig', NULL),
(29, 288, 'reward', 'verguetung', NULL),
(29, 288, 'site_id', 'sid', NULL),
(29, 289, 'extra', 'art', 'traffic'),
(29, 289, 'affiliate_id', 'uid', NULL),
(29, 289, 'minimum_stay', 'ma', NULL),
(29, 289, 'password', 'pw', NULL),
(29, 289, 'reload', 'reload', NULL),
(29, 289, 'remain_clicks', 'uebrig', NULL),
(29, 289, 'reward', 'verguetung', NULL),
(29, 289, 'site_id', 'sid', NULL)");

// Request parameters per type handler - Fusion-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(13, 290, 'extra', 'art', 'Forcedbanner'),
(13, 290, 'affiliate_id', 'uid', NULL),
(13, 290, 'password', 'pw', NULL),
(13, 290, 'reload', 'reload', NULL),
(13, 290, 'remain_clicks', 'offen', NULL),
(13, 290, 'reward', 'verguetung', NULL),
(13, 290, 'site_id', 'sid', NULL),
(13, 291, 'extra', 'art', 'Paidmail'),
(13, 291, 'affiliate_id', 'uid', NULL),
(13, 291, 'password', 'pw', NULL),
(13, 291, 'reload', 'reload', NULL),
(13, 291, 'remain_clicks', 'offen', NULL),
(13, 291, 'reward', 'verguetung', NULL),
(13, 291, 'site_id', 'sid', NULL)");

// Request parameters per type handler - Giga-Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(46, 548, 'extra', 'art', 'bannerklick'),
(46, 548, 'affiliate_id', 'uid', NULL),
(46, 548, 'password', 'pw', NULL),
(46, 548, 'site_id', 'sid', NULL),
(46, 548, 'reward', 'verguetung', NULL),
(46, 548, 'reload', 'reload', NULL),
(46, 548, 'remain_clicks', 'uebrig', NULL),
(46, 549, 'extra', 'art', 'bannerview'),
(46, 549, 'affiliate_id', 'uid', NULL),
(46, 549, 'password', 'pw', NULL),
(46, 549, 'site_id', 'sid', NULL),
(46, 549, 'reward', 'verguetung', NULL),
(46, 549, 'reload', 'reload', NULL),
(46, 549, 'remain_clicks', 'uebrig', NULL),
(46, 550, 'extra', 'art', 'buttonklick'),
(46, 550, 'affiliate_id', 'uid', NULL),
(46, 550, 'password', 'pw', NULL),
(46, 550, 'site_id', 'sid', NULL),
(46, 550, 'reward', 'verguetung', NULL),
(46, 550, 'reload', 'reload', NULL),
(46, 550, 'remain_clicks', 'uebrig', NULL),
(46, 551, 'extra', 'art', 'buttonview'),
(46, 551, 'affiliate_id', 'uid', NULL),
(46, 551, 'password', 'pw', NULL),
(46, 551, 'site_id', 'sid', NULL),
(46, 551, 'reward', 'verguetung', NULL),
(46, 551, 'reload', 'reload', NULL),
(46, 551, 'remain_clicks', 'uebrig', NULL),
(46, 552, 'extra', 'art', 'forcedbanner'),
(46, 552, 'affiliate_id', 'uid', NULL),
(46, 552, 'password', 'pw', NULL),
(46, 552, 'site_id', 'sid', NULL),
(46, 552, 'reward', 'verguetung', NULL),
(46, 552, 'reload', 'reload', NULL),
(46, 552, 'remain_clicks', 'uebrig', NULL),
(46, 552, 'minimum_stay', 'ma', NULL),
(46, 553, 'extra', 'art', 'forcedtextlink'),
(46, 553, 'affiliate_id', 'uid', NULL),
(46, 553, 'password', 'pw', NULL),
(46, 553, 'site_id', 'sid', NULL),
(46, 553, 'reward', 'verguetung', NULL),
(46, 553, 'reload', 'reload', NULL),
(46, 553, 'remain_clicks', 'uebrig', NULL),
(46, 553, 'minimum_stay', 'ma', NULL),
(46, 554, 'extra', 'art', 'htmlmail'),
(46, 554, 'affiliate_id', 'uid', NULL),
(46, 554, 'password', 'pw', NULL),
(46, 554, 'site_id', 'sid', NULL),
(46, 554, 'reward', 'verguetung', NULL),
(46, 554, 'reload', 'reload', NULL),
(46, 554, 'remain_clicks', 'uebrig', NULL),
(46, 554, 'minimum_stay', 'ma', NULL),
(46, 555, 'extra', 'art', 'layer'),
(46, 555, 'affiliate_id', 'uid', NULL),
(46, 555, 'password', 'pw', NULL),
(46, 555, 'site_id', 'sid', NULL),
(46, 555, 'reward', 'verguetung', NULL),
(46, 555, 'reload', 'reload', NULL),
(46, 555, 'remain_clicks', 'uebrig', NULL),
(46, 556, 'extra', 'art', 'paidmail'),
(46, 556, 'affiliate_id', 'uid', NULL),
(46, 556, 'password', 'pw', NULL),
(46, 556, 'site_id', 'sid', NULL),
(46, 556, 'reward', 'verguetung', NULL),
(46, 556, 'reload', 'reload', NULL),
(46, 556, 'remain_clicks', 'uebrig', NULL),
(46, 556, 'minimum_stay', 'ma', NULL),
(46, 557, 'extra', 'art', 'popup'),
(46, 557, 'affiliate_id', 'uid', NULL),
(46, 557, 'password', 'pw', NULL),
(46, 557, 'site_id', 'sid', NULL),
(46, 557, 'reward', 'verguetung', NULL),
(46, 557, 'reload', 'reload', NULL),
(46, 557, 'remain_clicks', 'uebrig', NULL),
(46, 557, 'minimum_stay', 'ma', NULL),
(46, 558, 'extra', 'art', 'skybannerklick'),
(46, 558, 'affiliate_id', 'uid', NULL),
(46, 558, 'password', 'pw', NULL),
(46, 558, 'site_id', 'sid', NULL),
(46, 558, 'reward', 'verguetung', NULL),
(46, 558, 'reload', 'reload', NULL),
(46, 558, 'remain_clicks', 'uebrig', NULL),
(46, 559, 'extra', 'art', 'skybannerview'),
(46, 559, 'affiliate_id', 'uid', NULL),
(46, 559, 'password', 'pw', NULL),
(46, 559, 'site_id', 'sid', NULL),
(46, 559, 'reward', 'verguetung', NULL),
(46, 559, 'reload', 'reload', NULL),
(46, 559, 'remain_clicks', 'uebrig', NULL),
(46, 560, 'extra', 'art', 'surfbarklick'),
(46, 560, 'affiliate_id', 'uid', NULL),
(46, 560, 'password', 'pw', NULL),
(46, 560, 'site_id', 'sid', NULL),
(46, 560, 'reward', 'verguetung', NULL),
(46, 560, 'reload', 'reload', NULL),
(46, 560, 'remain_clicks', 'uebrig', NULL),
(46, 561, 'extra', 'art', 'surfbarview'),
(46, 561, 'affiliate_id', 'uid', NULL),
(46, 561, 'password', 'pw', NULL),
(46, 561, 'site_id', 'sid', NULL),
(46, 561, 'reward', 'verguetung', NULL),
(46, 561, 'reload', 'reload', NULL),
(46, 561, 'remain_clicks', 'uebrig', NULL),
(46, 562, 'extra', 'art', 'textlinkklick'),
(46, 562, 'affiliate_id', 'uid', NULL),
(46, 562, 'password', 'pw', NULL),
(46, 562, 'site_id', 'sid', NULL),
(46, 562, 'reward', 'verguetung', NULL),
(46, 562, 'reload', 'reload', NULL),
(46, 562, 'remain_clicks', 'uebrig', NULL),
(46, 563, 'extra', 'art', 'textlinkview'),
(46, 563, 'affiliate_id', 'uid', NULL),
(46, 563, 'password', 'pw', NULL),
(46, 563, 'site_id', 'sid', NULL),
(46, 563, 'reward', 'verguetung', NULL),
(46, 563, 'reload', 'reload', NULL),
(46, 563, 'remain_clicks', 'uebrig', NULL),
(46, 564, 'extra', 'art', 'traffic'),
(46, 564, 'affiliate_id', 'uid', NULL),
(46, 564, 'password', 'pw', NULL),
(46, 564, 'site_id', 'sid', NULL),
(46, 564, 'reward', 'verguetung', NULL),
(46, 564, 'reload', 'reload', NULL),
(46, 564, 'remain_clicks', 'uebrig', NULL),
(46, 564, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - GigaPromo
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(14, 102, 'affiliate_id', 'id', NULL),
(14, 102, 'password', 'pw', NULL),
(14, 102, 'reload', 'reload', NULL),
(14, 102, 'remain_clicks', 'uebrig', NULL),
(14, 102, 'reward', 'verguetung', NULL),
(14, 102, 'site_id', 'aid', NULL),
(14, 102, 'size', 'typ', '468x60'),
(14, 103, 'affiliate_id', 'id', NULL),
(14, 103, 'password', 'pw', NULL),
(14, 103, 'reload', 'reload', NULL),
(14, 103, 'remain_clicks', 'uebrig', NULL),
(14, 103, 'reward', 'verguetung', NULL),
(14, 103, 'site_id', 'aid', NULL),
(14, 104, 'affiliate_id', 'id', NULL),
(14, 104, 'maximum_stay', 'ma', NULL),
(14, 104, 'password', 'pw', NULL),
(14, 104, 'reload', 'reload', NULL),
(14, 104, 'remain_clicks', 'uebrig', NULL),
(14, 104, 'reward', 'verguetung', NULL),
(14, 104, 'site_id', 'aid', NULL),
(14, 105, 'affiliate_id', 'id', NULL),
(14, 105, 'maximum_stay', 'ma', NULL),
(14, 105, 'password', 'pw', NULL),
(14, 105, 'reload', 'reload', NULL),
(14, 105, 'remain_clicks', 'uebrig', NULL),
(14, 105, 'reward', 'verguetung', NULL),
(14, 105, 'site_id', 'aid', NULL),
(14, 106, 'affiliate_id', 'id', NULL),
(14, 106, 'maximum_stay', 'ma', NULL),
(14, 106, 'password', 'pw', NULL),
(14, 106, 'reload', 'reload', NULL),
(14, 106, 'remain_clicks', 'uebrig', NULL),
(14, 106, 'reward', 'verguetung', NULL),
(14, 106, 'site_id', 'aid', NULL),
(14, 107, 'affiliate_id', 'id', NULL),
(14, 107, 'maximum_stay', 'ma', NULL),
(14, 107, 'password', 'pw', NULL),
(14, 107, 'reload', 'reload', NULL),
(14, 107, 'remain_clicks', 'uebrig', NULL),
(14, 107, 'reward', 'verguetung', NULL),
(14, 107, 'site_id', 'aid', NULL),
(14, 108, 'affiliate_id', 'id', NULL),
(14, 108, 'maximum_stay', 'ma', NULL),
(14, 108, 'password', 'pw', NULL),
(14, 108, 'reload', 'reload', NULL),
(14, 108, 'remain_clicks', 'uebrig', NULL),
(14, 108, 'reward', 'verguetung', NULL),
(14, 108, 'site_id', 'aid', NULL),
(14, 122, 'affiliate_id', 'id', NULL),
(14, 122, 'password', 'pw', NULL),
(14, 122, 'reload', 'reload', NULL),
(14, 122, 'reward', 'verguetung', NULL),
(14, 122, 'remain_clicks', 'uebrig', NULL),
(14, 122, 'site_id', 'aid', NULL),
(14, 519, 'affiliate_id', 'id', NULL),
(14, 519, 'password', 'pw', NULL),
(14, 519, 'reload', 'reload', NULL),
(14, 519, 'remain_clicks', 'uebrig', NULL),
(14, 519, 'reward', 'verguetung', NULL),
(14, 519, 'site_id', 'aid', NULL),
(14, 519, 'size', 'typ', '88x31'),
(14, 521, 'affiliate_id', 'id', NULL),
(14, 521, 'password', 'pw', NULL),
(14, 521, 'reload', 'reload', NULL),
(14, 521, 'remain_clicks', 'uebrig', NULL),
(14, 521, 'reward', 'verguetung', NULL),
(14, 521, 'site_id', 'aid', NULL),
(14, 521, 'size', 'typ', '234x60'),
(14, 522, 'affiliate_id', 'id', NULL),
(14, 522, 'password', 'pw', NULL),
(14, 522, 'reload', 'reload', NULL),
(14, 522, 'remain_clicks', 'uebrig', NULL),
(14, 522, 'reward', 'verguetung', NULL),
(14, 522, 'site_id', 'aid', NULL),
(14, 522, 'size', 'typ', '120x600')");

// Request parameters per type handler - Gold-Sponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(25, 222, 'extra', 'typ', 'forcedbanner'),
(25, 222, 'affiliate_id', 'id', NULL),
(25, 222, 'minimum_stay', 'ma', NULL),
(25, 222, 'password', 'pw', NULL),
(25, 222, 'reload', 'reload', NULL),
(25, 222, 'remain_clicks', 'uebrig', NULL),
(25, 222, 'reward', 'verguetung', NULL),
(25, 223, 'extra', 'typ', 'forcedtextlink'),
(25, 223, 'affiliate_id', 'id', NULL),
(25, 223, 'minimum_stay', 'ma', NULL),
(25, 223, 'password', 'pw', NULL),
(25, 223, 'reload', 'reload', NULL),
(25, 223, 'remain_clicks', 'uebrig', NULL),
(25, 223, 'reward', 'verguetung', NULL),
(25, 224, 'extra', 'typ', 'bannerview'),
(25, 224, 'affiliate_id', 'id', NULL),
(25, 224, 'minimum_stay', 'ma', NULL),
(25, 224, 'password', 'pw', NULL),
(25, 224, 'reload', 'reload', NULL),
(25, 224, 'remain_clicks', 'uebrig', NULL),
(25, 224, 'reward', 'verguetung', NULL),
(25, 225, 'extra', 'typ', 'bannerklick'),
(25, 225, 'affiliate_id', 'id', NULL),
(25, 225, 'minimum_stay', 'ma', NULL),
(25, 225, 'password', 'pw', NULL),
(25, 225, 'reload', 'reload', NULL),
(25, 225, 'remain_clicks', 'uebrig', NULL),
(25, 225, 'reward', 'verguetung', NULL),
(25, 226, 'extra', 'typ', 'skybannerview'),
(25, 226, 'affiliate_id', 'id', NULL),
(25, 226, 'minimum_stay', 'ma', NULL),
(25, 226, 'password', 'pw', NULL),
(25, 226, 'reload', 'reload', NULL),
(25, 226, 'remain_clicks', 'uebrig', NULL),
(25, 226, 'reward', 'verguetung', NULL),
(25, 227, 'extra', 'typ', 'buttonview'),
(25, 227, 'affiliate_id', 'id', NULL),
(25, 227, 'minimum_stay', 'ma', NULL),
(25, 227, 'password', 'pw', NULL),
(25, 227, 'reload', 'reload', NULL),
(25, 227, 'remain_clicks', 'uebrig', NULL),
(25, 227, 'reward', 'verguetung', NULL),
(25, 228, 'extra', 'typ', 'textview'),
(25, 228, 'affiliate_id', 'id', NULL),
(25, 228, 'minimum_stay', 'ma', NULL),
(25, 228, 'password', 'pw', NULL),
(25, 228, 'reload', 'reload', NULL),
(25, 228, 'remain_clicks', 'uebrig', NULL),
(25, 228, 'reward', 'verguetung', NULL),
(25, 229, 'extra', 'typ', 'traffic'),
(25, 229, 'affiliate_id', 'id', NULL),
(25, 229, 'minimum_stay', 'ma', NULL),
(25, 229, 'password', 'pw', NULL),
(25, 229, 'reload', 'reload', NULL),
(25, 229, 'remain_clicks', 'uebrig', NULL),
(25, 229, 'reward', 'verguetung', NULL),
(25, 230, 'extra', 'typ', 'popup'),
(25, 230, 'affiliate_id', 'id', NULL),
(25, 230, 'minimum_stay', 'ma', NULL),
(25, 230, 'password', 'pw', NULL),
(25, 230, 'reload', 'reload', NULL),
(25, 230, 'remain_clicks', 'uebrig', NULL),
(25, 230, 'reward', 'verguetung', NULL),
(25, 231, 'extra', 'typ', 'paidmail'),
(25, 231, 'affiliate_id', 'id', NULL),
(25, 231, 'minimum_stay', 'ma', NULL),
(25, 231, 'password', 'pw', NULL),
(25, 231, 'reload', 'reload', NULL),
(25, 231, 'remain_clicks', 'uebrig', NULL),
(25, 231, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - GolloX

// Request parameters per type handler - homeADS
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(28, 260, 'affiliate_id', 'id', NULL),
(28, 260, 'password', 'pw', NULL),
(28, 260, 'reload', 'reload', NULL),
(28, 260, 'remain_clicks', 'uebrig', NULL),
(28, 260, 'reward', 'verguetung', NULL),
(28, 260, 'site_id', 'sid', NULL),
(28, 260, 'size', 'size', NULL),
(28, 260, 'type', 'typ', 'klick'),
(28, 261, 'affiliate_id', 'id', NULL),
(28, 261, 'password', 'pw', NULL),
(28, 261, 'reload', 'reload', NULL),
(28, 261, 'remain_clicks', 'uebrig', NULL),
(28, 261, 'reward', 'verguetung', NULL),
(28, 261, 'site_id', 'sid', NULL),
(28, 261, 'size', 'size', NULL),
(28, 261, 'type', 'typ', 'view'),
(28, 262, 'affiliate_id', 'id', NULL),
(28, 262, 'password', 'pw', NULL),
(28, 262, 'reload', 'reload', NULL),
(28, 262, 'remain_clicks', 'uebrig', NULL),
(28, 262, 'reward', 'verguetung', NULL),
(28, 262, 'site_id', 'sid', NULL),
(28, 262, 'type', 'typ', 'klick'),
(28, 263, 'affiliate_id', 'id', NULL),
(28, 263, 'password', 'pw', NULL),
(28, 263, 'reload', 'reload', NULL),
(28, 263, 'remain_clicks', 'uebrig', NULL),
(28, 263, 'reward', 'verguetung', NULL),
(28, 263, 'site_id', 'sid', NULL),
(28, 263, 'type', 'typ', 'view'),
(28, 264, 'affiliate_id', 'id', NULL),
(28, 264, 'minimum_stay', 'ma', NULL),
(28, 264, 'password', 'pw', NULL),
(28, 264, 'reload', 'reload', NULL),
(28, 264, 'remain_clicks', 'uebrig', NULL),
(28, 264, 'reward', 'verguetung', NULL),
(28, 264, 'site_id', 'sid', NULL),
(28, 264, 'size', 'size', NULL),
(28, 265, 'affiliate_id', 'id', NULL),
(28, 265, 'minimum_stay', 'ma', NULL),
(28, 265, 'password', 'pw', NULL),
(28, 265, 'reload', 'reload', NULL),
(28, 265, 'remain_clicks', 'uebrig', NULL),
(28, 265, 'reward', 'verguetung', NULL),
(28, 265, 'site_id', 'sid', NULL),
(28, 265, 'type', 'typ', 'text'),
(28, 266, 'affiliate_id', 'id', NULL),
(28, 266, 'minimum_stay', 'ma', NULL),
(28, 266, 'password', 'pw', NULL),
(28, 266, 'reload', 'reload', NULL),
(28, 266, 'remain_clicks', 'uebrig', NULL),
(28, 266, 'reward', 'verguetung', NULL),
(28, 266, 'site_id', 'sid', NULL),
(28, 266, 'type', 'typ', 'html'),
(28, 267, 'affiliate_id', 'id', NULL),
(28, 267, 'password', 'pw', NULL),
(28, 267, 'reload', 'reload', NULL),
(28, 267, 'remain_clicks', 'uebrig', NULL),
(28, 267, 'reward', 'verguetung', NULL),
(28, 267, 'site_id', 'sid', NULL),
(28, 267, 'type', 'typ', 'klick'),
(28, 268, 'affiliate_id', 'id', NULL),
(28, 268, 'password', 'pw', NULL),
(28, 268, 'reload', 'reload', NULL),
(28, 268, 'remain_clicks', 'uebrig', NULL),
(28, 268, 'reward', 'verguetung', NULL),
(28, 268, 'site_id', 'sid', NULL),
(28, 268, 'type', 'typ', 'view'),
(28, 269, 'affiliate_id', 'id', NULL),
(28, 269, 'minimum_stay', 'ma', NULL),
(28, 269, 'password', 'pw', NULL),
(28, 269, 'reload', 'reload', NULL),
(28, 269, 'remain_clicks', 'uebrig', NULL),
(28, 269, 'reward', 'verguetung', NULL),
(28, 269, 'site_id', 'sid', NULL),
(28, 270, 'affiliate_id', 'id', NULL),
(28, 270, 'minimum_stay', 'ma', NULL),
(28, 270, 'password', 'pw', NULL),
(28, 270, 'reload', 'reload', NULL),
(28, 270, 'remain_clicks', 'uebrig', NULL),
(28, 270, 'reward', 'verguetung', NULL),
(28, 270, 'site_id', 'sid', NULL),
(28, 271, 'affiliate_id', 'id', NULL),
(28, 271, 'password', 'pw', NULL),
(28, 271, 'remain_clicks', 'uebrig', NULL),
(28, 271, 'reward', 'verguetung', NULL),
(28, 271, 'site_id', 'sid', NULL),
(28, 272, 'affiliate_id', 'id', NULL),
(28, 272, 'password', 'pw', NULL),
(28, 272, 'remain_clicks', 'uebrig', NULL),
(28, 272, 'reward', 'verguetung', NULL),
(28, 272, 'site_id', 'sid', NULL)");

// Request parameters per type handler - HPSponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(15, 135, 'extra', 'typ', 'forcedbanner'),
(15, 135, 'affiliate_id', 'id', NULL),
(15, 135, 'password', 'pw', NULL),
(15, 135, 'reload', 'reload', NULL),
(15, 135, 'remain_clicks', 'uebrig', NULL),
(15, 135, 'reward', 'verguetung', NULL),
(15, 136, 'extra', 'typ', 'forcedtextlink'),
(15, 136, 'affiliate_id', 'id', NULL),
(15, 136, 'password', 'pw', NULL),
(15, 136, 'reload', 'reload', NULL),
(15, 136, 'remain_clicks', 'uebrig', NULL),
(15, 136, 'reward', 'verguetung', NULL),
(15, 137, 'extra', 'typ', 'bannerview'),
(15, 137, 'affiliate_id', 'id', NULL),
(15, 137, 'password', 'pw', NULL),
(15, 137, 'reload', 'reload', NULL),
(15, 137, 'remain_clicks', 'uebrig', NULL),
(15, 137, 'reward', 'verguetung', NULL),
(15, 138, 'extra', 'typ', 'bannerklick'),
(15, 138, 'affiliate_id', 'id', NULL),
(15, 138, 'password', 'pw', NULL),
(15, 138, 'reload', 'reload', NULL),
(15, 138, 'remain_clicks', 'uebrig', NULL),
(15, 138, 'reward', 'verguetung', NULL),
(15, 139, 'extra', 'typ', 'skybannerview'),
(15, 139, 'affiliate_id', 'id', NULL),
(15, 139, 'password', 'pw', NULL),
(15, 139, 'reload', 'reload', NULL),
(15, 139, 'remain_clicks', 'uebrig', NULL),
(15, 139, 'reward', 'verguetung', NULL),
(15, 140, 'extra', 'typ', 'buttonview'),
(15, 140, 'affiliate_id', 'id', NULL),
(15, 140, 'password', 'pw', NULL),
(15, 140, 'reload', 'reload', NULL),
(15, 140, 'remain_clicks', 'uebrig', NULL),
(15, 140, 'reward', 'verguetung', NULL),
(15, 141, 'extra', 'typ', 'textview'),
(15, 141, 'affiliate_id', 'id', NULL),
(15, 141, 'password', 'pw', NULL),
(15, 141, 'reload', 'reload', NULL),
(15, 141, 'remain_clicks', 'uebrig', NULL),
(15, 141, 'reward', 'verguetung', NULL),
(15, 142, 'extra', 'typ', 'traffic'),
(15, 142, 'affiliate_id', 'id', NULL),
(15, 142, 'password', 'pw', NULL),
(15, 142, 'reload', 'reload', NULL),
(15, 142, 'remain_clicks', 'uebrig', NULL),
(15, 142, 'reward', 'verguetung', NULL),
(15, 143, 'extra', 'typ', 'popup'),
(15, 143, 'affiliate_id', 'id', NULL),
(15, 143, 'minimum_stay', 'ma', NULL),
(15, 143, 'password', 'pw', NULL),
(15, 143, 'reload', 'reload', NULL),
(15, 143, 'remain_clicks', 'uebrig', NULL),
(15, 143, 'reward', 'verguetung', NULL),
(15, 144, 'extra', 'typ', 'paidmail'),
(15, 144, 'affiliate_id', 'id', NULL),
(15, 144, 'minimum_stay', 'ma', NULL),
(15, 144, 'password', 'pw', NULL),
(15, 144, 'reload', 'reload', NULL),
(15, 144, 'remain_clicks', 'uebrig', NULL),
(15, 144, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Kueko-Net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(65, 792, 'extra', 'typ', 'forcedbanner'),
(65, 792, 'affiliate_id', 'id', NULL),
(65, 792, 'password', 'pw', NULL),
(65, 792, 'remain_clicks', 'uebrig', NULL),
(65, 792, 'reload', 'reload', NULL),
(65, 792, 'reward', 'verguetung', NULL),
(65, 792, 'site_id', 'siteid', NULL),
(65, 792, 'minimum_stay', 'ma', NULL),
(65, 793, 'extra', 'typ', 'forcedtextlink'),
(65, 793, 'affiliate_id', 'id', NULL),
(65, 793, 'password', 'pw', NULL),
(65, 793, 'remain_clicks', 'uebrig', NULL),
(65, 793, 'reload', 'reload', NULL),
(65, 793, 'reward', 'verguetung', NULL),
(65, 793, 'site_id', 'siteid', NULL),
(65, 793, 'minimum_stay', 'ma', NULL),
(65, 794, 'extra', 'typ', 'bannerview'),
(65, 794, 'affiliate_id', 'id', NULL),
(65, 794, 'password', 'pw', NULL),
(65, 794, 'remain_clicks', 'uebrig', NULL),
(65, 794, 'reload', 'reload', NULL),
(65, 794, 'reward', 'verguetung', NULL),
(65, 794, 'site_id', 'siteid', NULL),
(65, 794, 'minimum_stay', 'ma', NULL),
(65, 795, 'extra', 'typ', 'bannerklick'),
(65, 795, 'affiliate_id', 'id', NULL),
(65, 795, 'password', 'pw', NULL),
(65, 795, 'remain_clicks', 'uebrig', NULL),
(65, 795, 'reload', 'reload', NULL),
(65, 795, 'reward', 'verguetung', NULL),
(65, 795, 'site_id', 'siteid', NULL),
(65, 795, 'minimum_stay', 'ma', NULL),
(65, 796, 'extra', 'typ', 'skybannerview'),
(65, 796, 'affiliate_id', 'id', NULL),
(65, 796, 'password', 'pw', NULL),
(65, 796, 'remain_clicks', 'uebrig', NULL),
(65, 796, 'reload', 'reload', NULL),
(65, 796, 'reward', 'verguetung', NULL),
(65, 796, 'site_id', 'siteid', NULL),
(65, 796, 'minimum_stay', 'ma', NULL),
(65, 797, 'extra', 'typ', 'buttonview'),
(65, 797, 'affiliate_id', 'id', NULL),
(65, 797, 'password', 'pw', NULL),
(65, 797, 'remain_clicks', 'uebrig', NULL),
(65, 797, 'reload', 'reload', NULL),
(65, 797, 'reward', 'verguetung', NULL),
(65, 797, 'site_id', 'siteid', NULL),
(65, 797, 'minimum_stay', 'ma', NULL),
(65, 798, 'extra', 'typ', 'textview'),
(65, 798, 'affiliate_id', 'id', NULL),
(65, 798, 'password', 'pw', NULL),
(65, 798, 'remain_clicks', 'uebrig', NULL),
(65, 798, 'reload', 'reload', NULL),
(65, 798, 'reward', 'verguetung', NULL),
(65, 798, 'site_id', 'siteid', NULL),
(65, 798, 'minimum_stay', 'ma', NULL),
(65, 799, 'extra', 'typ', 'traffic'),
(65, 799, 'affiliate_id', 'id', NULL),
(65, 799, 'password', 'pw', NULL),
(65, 799, 'remain_clicks', 'uebrig', NULL),
(65, 799, 'reload', 'reload', NULL),
(65, 799, 'reward', 'verguetung', NULL),
(65, 799, 'site_id', 'siteid', NULL),
(65, 799, 'minimum_stay', 'ma', NULL),
(65, 800, 'extra', 'typ', 'popup'),
(65, 800, 'affiliate_id', 'id', NULL),
(65, 800, 'password', 'pw', NULL),
(65, 800, 'remain_clicks', 'uebrig', NULL),
(65, 800, 'reload', 'reload', NULL),
(65, 800, 'reward', 'verguetung', NULL),
(65, 800, 'site_id', 'siteid', NULL),
(65, 800, 'minimum_stay', 'ma', NULL),
(65, 801, 'extra', 'typ', 'paidmail'),
(65, 801, 'affiliate_id', 'id', NULL),
(65, 801, 'password', 'pw', NULL),
(65, 801, 'remain_clicks', 'uebrig', NULL),
(65, 801, 'reload', 'reload', NULL),
(65, 801, 'reward', 'verguetung', NULL),
(65, 801, 'site_id', 'siteid', NULL),
(65, 801, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - LoseAds
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(64, 774, 'extra', 'art', 'bannerklick'),
(64, 774, 'affiliate_id', 'uid', NULL),
(64, 774, 'password', 'pw', NULL),
(64, 774, 'site_id', 'sid', NULL),
(64, 774, 'reward', 'verguetung', NULL),
(64, 774, 'reload', 'reload', NULL),
(64, 774, 'remain_clicks', 'uebrig', NULL),
(64, 775, 'extra', 'art', 'bannerview'),
(64, 775, 'affiliate_id', 'uid', NULL),
(64, 775, 'password', 'pw', NULL),
(64, 775, 'site_id', 'sid', NULL),
(64, 775, 'reward', 'verguetung', NULL),
(64, 775, 'reload', 'reload', NULL),
(64, 775, 'remain_clicks', 'uebrig', NULL),
(64, 776, 'extra', 'art', 'buttonklick'),
(64, 776, 'affiliate_id', 'uid', NULL),
(64, 776, 'password', 'pw', NULL),
(64, 776, 'site_id', 'sid', NULL),
(64, 776, 'reward', 'verguetung', NULL),
(64, 776, 'reload', 'reload', NULL),
(64, 776, 'remain_clicks', 'uebrig', NULL),
(64, 777, 'extra', 'art', 'buttonview'),
(64, 777, 'affiliate_id', 'uid', NULL),
(64, 777, 'password', 'pw', NULL),
(64, 777, 'site_id', 'sid', NULL),
(64, 777, 'reward', 'verguetung', NULL),
(64, 777, 'reload', 'reload', NULL),
(64, 777, 'remain_clicks', 'uebrig', NULL),
(64, 778, 'extra', 'art', 'forcedbanner'),
(64, 778, 'affiliate_id', 'uid', NULL),
(64, 778, 'password', 'pw', NULL),
(64, 778, 'site_id', 'sid', NULL),
(64, 778, 'reward', 'verguetung', NULL),
(64, 778, 'reload', 'reload', NULL),
(64, 778, 'remain_clicks', 'uebrig', NULL),
(64, 778, 'minimum_stay', 'ma', NULL),
(64, 779, 'extra', 'art', 'forcedtextlink'),
(64, 779, 'affiliate_id', 'uid', NULL),
(64, 779, 'password', 'pw', NULL),
(64, 779, 'site_id', 'sid', NULL),
(64, 779, 'reward', 'verguetung', NULL),
(64, 779, 'reload', 'reload', NULL),
(64, 779, 'remain_clicks', 'uebrig', NULL),
(64, 779, 'minimum_stay', 'ma', NULL),
(64, 780, 'extra', 'art', 'forced_halfbanner'),
(64, 780, 'affiliate_id', 'uid', NULL),
(64, 780, 'password', 'pw', NULL),
(64, 780, 'site_id', 'sid', NULL),
(64, 780, 'reward', 'verguetung', NULL),
(64, 780, 'reload', 'reload', NULL),
(64, 780, 'remain_clicks', 'uebrig', NULL),
(64, 780, 'minimum_stay', 'ma', NULL),
(64, 781, 'extra', 'art', 'htmlmail'),
(64, 781, 'affiliate_id', 'uid', NULL),
(64, 781, 'password', 'pw', NULL),
(64, 781, 'site_id', 'sid', NULL),
(64, 781, 'reward', 'verguetung', NULL),
(64, 781, 'reload', 'reload', NULL),
(64, 781, 'remain_clicks', 'uebrig', NULL),
(64, 781, 'minimum_stay', 'ma', NULL),
(64, 782, 'extra', 'art', 'bannerview'),
(64, 782, 'affiliate_id', 'uid', NULL),
(64, 782, 'password', 'pw', NULL),
(64, 782, 'site_id', 'sid', NULL),
(64, 782, 'reward', 'verguetung', NULL),
(64, 782, 'reload', 'reload', NULL),
(64, 782, 'remain_clicks', 'uebrig', NULL),
(64, 783, 'extra', 'art', 'paidmail'),
(64, 783, 'affiliate_id', 'uid', NULL),
(64, 783, 'password', 'pw', NULL),
(64, 783, 'site_id', 'sid', NULL),
(64, 783, 'reward', 'verguetung', NULL),
(64, 783, 'reload', 'reload', NULL),
(64, 783, 'remain_clicks', 'uebrig', NULL),
(64, 783, 'minimum_stay', 'ma', NULL),
(64, 784, 'extra', 'art', 'popup'),
(64, 784, 'affiliate_id', 'uid', NULL),
(64, 784, 'password', 'pw', NULL),
(64, 784, 'site_id', 'sid', NULL),
(64, 784, 'reward', 'verguetung', NULL),
(64, 784, 'reload', 'reload', NULL),
(64, 784, 'remain_clicks', 'uebrig', NULL),
(64, 784, 'minimum_stay', 'ma', NULL),
(64, 785, 'extra', 'art', 'skybannerklick'),
(64, 785, 'affiliate_id', 'uid', NULL),
(64, 785, 'password', 'pw', NULL),
(64, 785, 'site_id', 'sid', NULL),
(64, 785, 'reward', 'verguetung', NULL),
(64, 785, 'reload', 'reload', NULL),
(64, 785, 'remain_clicks', 'uebrig', NULL),
(64, 786, 'extra', 'art', 'skybannerview'),
(64, 786, 'affiliate_id', 'uid', NULL),
(64, 786, 'password', 'pw', NULL),
(64, 786, 'site_id', 'sid', NULL),
(64, 786, 'reward', 'verguetung', NULL),
(64, 786, 'reload', 'reload', NULL),
(64, 786, 'remain_clicks', 'uebrig', NULL),
(64, 787, 'extra', 'art', 'surfbarklick'),
(64, 787, 'affiliate_id', 'uid', NULL),
(64, 787, 'password', 'pw', NULL),
(64, 787, 'site_id', 'sid', NULL),
(64, 787, 'reward', 'verguetung', NULL),
(64, 787, 'reload', 'reload', NULL),
(64, 787, 'remain_clicks', 'uebrig', NULL),
(64, 788, 'extra', 'art', 'surfbarview'),
(64, 788, 'affiliate_id', 'uid', NULL),
(64, 788, 'password', 'pw', NULL),
(64, 788, 'site_id', 'sid', NULL),
(64, 788, 'reward', 'verguetung', NULL),
(64, 788, 'reload', 'reload', NULL),
(64, 788, 'remain_clicks', 'uebrig', NULL),
(64, 789, 'extra', 'art', 'textlinkklick'),
(64, 789, 'affiliate_id', 'uid', NULL),
(64, 789, 'password', 'pw', NULL),
(64, 789, 'site_id', 'sid', NULL),
(64, 789, 'reward', 'verguetung', NULL),
(64, 789, 'reload', 'reload', NULL),
(64, 789, 'remain_clicks', 'uebrig', NULL),
(64, 790, 'extra', 'art', 'textlinkview'),
(64, 790, 'affiliate_id', 'uid', NULL),
(64, 790, 'password', 'pw', NULL),
(64, 790, 'site_id', 'sid', NULL),
(64, 790, 'reward', 'verguetung', NULL),
(64, 790, 'reload', 'reload', NULL),
(64, 790, 'remain_clicks', 'uebrig', NULL),
(64, 791, 'extra', 'art', 'traffic'),
(64, 791, 'affiliate_id', 'uid', NULL),
(64, 791, 'password', 'pw', NULL),
(64, 791, 'site_id', 'sid', NULL),
(64, 791, 'reward', 'verguetung', NULL),
(64, 791, 'reload', 'reload', NULL),
(64, 791, 'remain_clicks', 'uebrig', NULL),
(64, 791, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Make-Euros
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(16, 63, 'affiliate_id', 'aid', NULL),
(16, 63, 'site_id', 'sid', NULL),
(16, 63, 'password', 'ipw', NULL),
(16, 63, 'remain_budget', 'budget', NULL),
(16, 63, 'reload', 'reload', NULL),
(16, 63, 'extra', 'art', 'bannerklick'),
(16, 63, 'minimum_stay', 'ma', NULL),
(16, 63, 'reward', 'verguetung', NULL),
(16, 64, 'affiliate_id', 'aid', NULL),
(16, 64, 'site_id', 'sid', NULL),
(16, 64, 'password', 'ipw', NULL),
(16, 64, 'remain_budget', 'budget', NULL),
(16, 64, 'reload', 'reload', NULL),
(16, 64, 'extra', 'art', 'bannerview'),
(16, 64, 'minimum_stay', 'ma', NULL),
(16, 64, 'reward', 'verguetung', NULL),
(16, 65, 'affiliate_id', 'aid', NULL),
(16, 65, 'site_id', 'sid', NULL),
(16, 65, 'password', 'ipw', NULL),
(16, 65, 'remain_budget', 'budget', NULL),
(16, 65, 'reload', 'reload', NULL),
(16, 65, 'extra', 'art', 'textlinkklick'),
(16, 65, 'minimum_stay', 'ma', NULL),
(16, 65, 'reward', 'verguetung', NULL),
(16, 66, 'affiliate_id', 'aid', NULL),
(16, 66, 'site_id', 'sid', NULL),
(16, 66, 'password', 'ipw', NULL),
(16, 66, 'remain_budget', 'budget', NULL),
(16, 66, 'reload', 'reload', NULL),
(16, 66, 'extra', 'art', 'textlinkview'),
(16, 66, 'minimum_stay', 'ma', NULL),
(16, 66, 'reward', 'verguetung', NULL),
(16, 67, 'affiliate_id', 'aid', NULL),
(16, 67, 'site_id', 'sid', NULL),
(16, 67, 'password', 'ipw', NULL),
(16, 67, 'remain_budget', 'budget', NULL),
(16, 67, 'reload', 'reload', NULL),
(16, 67, 'extra', 'art', 'surfbarklick'),
(16, 67, 'minimum_stay', 'ma', NULL),
(16, 67, 'reward', 'verguetung', NULL),
(16, 68, 'affiliate_id', 'aid', NULL),
(16, 68, 'site_id', 'sid', NULL),
(16, 68, 'password', 'ipw', NULL),
(16, 68, 'remain_budget', 'budget', NULL),
(16, 68, 'reload', 'reload', NULL),
(16, 68, 'extra', 'art', 'forcedklick'),
(16, 68, 'minimum_stay', 'ma', NULL),
(16, 68, 'reward', 'verguetung', NULL),
(16, 69, 'affiliate_id', 'aid', NULL),
(16, 69, 'site_id', 'sid', NULL),
(16, 69, 'password', 'ipw', NULL),
(16, 69, 'remain_budget', 'budget', NULL),
(16, 69, 'reload', 'reload', NULL),
(16, 69, 'extra', 'art', 'surfbarview'),
(16, 69, 'minimum_stay', 'ma', NULL),
(16, 69, 'reward', 'verguetung', NULL),
(16, 70, 'affiliate_id', 'aid', NULL),
(16, 70, 'site_id', 'sid', NULL),
(16, 70, 'password', 'ipw', NULL),
(16, 70, 'remain_budget', 'budget', NULL),
(16, 70, 'reload', 'reload', NULL),
(16, 70, 'extra', 'art', 'text_paidmail'),
(16, 70, 'minimum_stay', 'ma', NULL),
(16, 70, 'reward', 'verguetung', NULL),
(16, 71, 'affiliate_id', 'aid', NULL),
(16, 71, 'site_id', 'sid', NULL),
(16, 71, 'password', 'ipw', NULL),
(16, 71, 'remain_budget', 'budget', NULL),
(16, 71, 'reload', 'reload', NULL),
(16, 71, 'extra', 'art', 'html_paidmail'),
(16, 71, 'minimum_stay', 'ma', NULL),
(16, 71, 'reward', 'verguetung', NULL),
(16, 72, 'affiliate_id', 'aid', NULL),
(16, 72, 'site_id', 'sid', NULL),
(16, 72, 'password', 'ipw', NULL),
(16, 72, 'remain_budget', 'budget', NULL),
(16, 72, 'reload', 'reload', NULL),
(16, 72, 'extra', 'art', 'layerklick'),
(16, 72, 'minimum_stay', 'ma', NULL),
(16, 72, 'reward', 'verguetung', NULL),
(16, 73, 'affiliate_id', 'aid', NULL),
(16, 73, 'site_id', 'sid', NULL),
(16, 73, 'password', 'ipw', NULL),
(16, 73, 'remain_budget', 'budget', NULL),
(16, 73, 'reload', 'reload', NULL),
(16, 73, 'extra', 'art', 'layerview'),
(16, 73, 'minimum_stay', 'ma', NULL),
(16, 73, 'reward', 'verguetung', NULL),
(16, 74, 'affiliate_id', 'aid', NULL),
(16, 74, 'site_id', 'sid', NULL),
(16, 74, 'password', 'ipw', NULL),
(16, 74, 'remain_budget', 'budget', NULL),
(16, 74, 'reload', 'reload', NULL),
(16, 74, 'extra', 'art', 'popup'),
(16, 74, 'minimum_stay', 'ma', NULL),
(16, 74, 'reward', 'verguetung', NULL),
(16, 75, 'affiliate_id', 'aid', NULL),
(16, 75, 'site_id', 'sid', NULL),
(16, 75, 'password', 'ipw', NULL),
(16, 75, 'remain_budget', 'budget', NULL),
(16, 75, 'reload', 'reload', NULL),
(16, 75, 'extra', 'art', 'popdown'),
(16, 75, 'minimum_stay', 'ma', NULL),
(16, 75, 'reward', 'verguetung', NULL),
(16, 76, 'affiliate_id', 'aid', NULL),
(16, 76, 'site_id', 'sid', NULL),
(16, 76, 'password', 'ipw', NULL),
(16, 76, 'remain_budget', 'budget', NULL),
(16, 76, 'reload', 'reload', NULL),
(16, 76, 'extra', 'art', 'lead'),
(16, 76, 'type', 'typ', NULL),
(16, 76, 'minimum_stay', 'ma', NULL),
(16, 76, 'reward', 'verguetung', NULL),
(16, 77, 'affiliate_id', 'aid', NULL),
(16, 77, 'site_id', 'sid', NULL),
(16, 77, 'password', 'ipw', NULL),
(16, 77, 'remain_budget', 'budget', NULL),
(16, 77, 'reload', 'reload', NULL),
(16, 77, 'extra', 'art', 'sale'),
(16, 77, 'type', 'typ', NULL),
(16, 77, 'minimum_stay', 'ma', NULL),
(16, 77, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - MasterAd
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(47, 654, 'affiliate_id', 'aid', NULL),
(47, 654, 'site_id', 'sid', NULL),
(47, 654, 'password', 'ipw', NULL),
(47, 654, 'remain_budget', 'budget', NULL),
(47, 654, 'reload', 'reload', NULL),
(47, 654, 'extra', 'art', 'bannerklick'),
(47, 654, 'minimum_stay', 'ma', NULL),
(47, 654, 'reward', 'verguetung', NULL),
(47, 655, 'affiliate_id', 'aid', NULL),
(47, 655, 'site_id', 'sid', NULL),
(47, 655, 'password', 'ipw', NULL),
(47, 655, 'remain_budget', 'budget', NULL),
(47, 655, 'reload', 'reload', NULL),
(47, 655, 'extra', 'art', 'bannerview'),
(47, 655, 'minimum_stay', 'ma', NULL),
(47, 655, 'reward', 'verguetung', NULL),
(47, 656, 'affiliate_id', 'aid', NULL),
(47, 656, 'site_id', 'sid', NULL),
(47, 656, 'password', 'ipw', NULL),
(47, 656, 'remain_budget', 'budget', NULL),
(47, 656, 'reload', 'reload', NULL),
(47, 656, 'extra', 'art', 'textlinkklick'),
(47, 656, 'minimum_stay', 'ma', NULL),
(47, 656, 'reward', 'verguetung', NULL),
(47, 657, 'affiliate_id', 'aid', NULL),
(47, 657, 'site_id', 'sid', NULL),
(47, 657, 'password', 'ipw', NULL),
(47, 657, 'remain_budget', 'budget', NULL),
(47, 657, 'reload', 'reload', NULL),
(47, 657, 'extra', 'art', 'textlinkview'),
(47, 657, 'minimum_stay', 'ma', NULL),
(47, 657, 'reward', 'verguetung', NULL),
(47, 658, 'affiliate_id', 'aid', NULL),
(47, 658, 'site_id', 'sid', NULL),
(47, 658, 'password', 'ipw', NULL),
(47, 658, 'remain_budget', 'budget', NULL),
(47, 658, 'reload', 'reload', NULL),
(47, 658, 'extra', 'art', 'surfbarklick'),
(47, 658, 'minimum_stay', 'ma', NULL),
(47, 658, 'reward', 'verguetung', NULL),
(47, 659, 'affiliate_id', 'aid', NULL),
(47, 659, 'site_id', 'sid', NULL),
(47, 659, 'password', 'ipw', NULL),
(47, 659, 'remain_budget', 'budget', NULL),
(47, 659, 'reload', 'reload', NULL),
(47, 659, 'extra', 'art', 'forcedklick'),
(47, 659, 'minimum_stay', 'ma', NULL),
(47, 659, 'reward', 'verguetung', NULL),
(47, 660, 'affiliate_id', 'aid', NULL),
(47, 660, 'site_id', 'sid', NULL),
(47, 660, 'password', 'ipw', NULL),
(47, 660, 'remain_budget', 'budget', NULL),
(47, 660, 'reload', 'reload', NULL),
(47, 660, 'extra', 'art', 'surfbarview'),
(47, 660, 'minimum_stay', 'ma', NULL),
(47, 660, 'reward', 'verguetung', NULL),
(47, 661, 'affiliate_id', 'aid', NULL),
(47, 661, 'site_id', 'sid', NULL),
(47, 661, 'password', 'ipw', NULL),
(47, 661, 'remain_budget', 'budget', NULL),
(47, 661, 'reload', 'reload', NULL),
(47, 661, 'extra', 'art', 'text_paidmail'),
(47, 661, 'minimum_stay', 'ma', NULL),
(47, 661, 'reward', 'verguetung', NULL),
(47, 662, 'affiliate_id', 'aid', NULL),
(47, 662, 'site_id', 'sid', NULL),
(47, 662, 'password', 'ipw', NULL),
(47, 662, 'remain_budget', 'budget', NULL),
(47, 662, 'reload', 'reload', NULL),
(47, 662, 'extra', 'art', 'html_paidmail'),
(47, 662, 'minimum_stay', 'ma', NULL),
(47, 662, 'reward', 'verguetung', NULL),
(47, 663, 'affiliate_id', 'aid', NULL),
(47, 663, 'site_id', 'sid', NULL),
(47, 663, 'password', 'ipw', NULL),
(47, 663, 'remain_budget', 'budget', NULL),
(47, 663, 'reload', 'reload', NULL),
(47, 663, 'extra', 'art', 'layerklick'),
(47, 663, 'minimum_stay', 'ma', NULL),
(47, 663, 'reward', 'verguetung', NULL),
(47, 664, 'affiliate_id', 'aid', NULL),
(47, 664, 'site_id', 'sid', NULL),
(47, 664, 'password', 'ipw', NULL),
(47, 664, 'remain_budget', 'budget', NULL),
(47, 664, 'reload', 'reload', NULL),
(47, 664, 'extra', 'art', 'layerview'),
(47, 664, 'minimum_stay', 'ma', NULL),
(47, 664, 'reward', 'verguetung', NULL),
(47, 665, 'affiliate_id', 'aid', NULL),
(47, 665, 'site_id', 'sid', NULL),
(47, 665, 'password', 'ipw', NULL),
(47, 665, 'remain_budget', 'budget', NULL),
(47, 665, 'reload', 'reload', NULL),
(47, 665, 'extra', 'art', 'popup'),
(47, 665, 'minimum_stay', 'ma', NULL),
(47, 665, 'reward', 'verguetung', NULL),
(47, 666, 'affiliate_id', 'aid', NULL),
(47, 666, 'site_id', 'sid', NULL),
(47, 666, 'password', 'ipw', NULL),
(47, 666, 'remain_budget', 'budget', NULL),
(47, 666, 'reload', 'reload', NULL),
(47, 666, 'extra', 'art', 'popdown'),
(47, 666, 'minimum_stay', 'ma', NULL),
(47, 666, 'reward', 'verguetung', NULL),
(47, 667, 'affiliate_id', 'aid', NULL),
(47, 667, 'site_id', 'sid', NULL),
(47, 667, 'password', 'ipw', NULL),
(47, 667, 'remain_budget', 'budget', NULL),
(47, 667, 'reload', 'reload', NULL),
(47, 667, 'extra', 'art', 'lead'),
(47, 667, 'type', 'typ', NULL),
(47, 667, 'minimum_stay', 'ma', NULL),
(47, 667, 'reward', 'verguetung', NULL),
(47, 668, 'affiliate_id', 'aid', NULL),
(47, 668, 'site_id', 'sid', NULL),
(47, 668, 'password', 'ipw', NULL),
(47, 668, 'remain_budget', 'budget', NULL),
(47, 668, 'reload', 'reload', NULL),
(47, 668, 'extra', 'art', 'sale'),
(47, 668, 'type', 'typ', NULL),
(47, 668, 'minimum_stay', 'ma', NULL),
(47, 668, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Mega-Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(17, 109, 'extra', 'typ', 'forcedbanner'),
(17, 109, 'affiliate_id', 'id', NULL),
(17, 109, 'password', 'pw', NULL),
(17, 109, 'reload', 'reload', NULL),
(17, 109, 'remain_clicks', 'uebrig', NULL),
(17, 109, 'reward', 'verguetung', NULL),
(17, 110, 'extra', 'typ', 'forcedtextlink'),
(17, 110, 'affiliate_id', 'id', NULL),
(17, 110, 'password', 'pw', NULL),
(17, 110, 'reload', 'reload', NULL),
(17, 110, 'remain_clicks', 'uebrig', NULL),
(17, 110, 'reward', 'verguetung', NULL),
(17, 111, 'extra', 'typ', 'bannerview'),
(17, 111, 'affiliate_id', 'id', NULL),
(17, 111, 'password', 'pw', NULL),
(17, 111, 'reload', 'reload', NULL),
(17, 111, 'remain_clicks', 'uebrig', NULL),
(17, 111, 'reward', 'verguetung', NULL),
(17, 112, 'extra', 'typ', 'bannerklick'),
(17, 112, 'affiliate_id', 'id', NULL),
(17, 112, 'password', 'pw', NULL),
(17, 112, 'reload', 'reload', NULL),
(17, 112, 'remain_clicks', 'uebrig', NULL),
(17, 112, 'reward', 'verguetung', NULL),
(17, 113, 'extra', 'typ', 'skybannerview'),
(17, 113, 'affiliate_id', 'id', NULL),
(17, 113, 'password', 'pw', NULL),
(17, 113, 'reload', 'reload', NULL),
(17, 113, 'remain_clicks', 'uebrig', NULL),
(17, 113, 'reward', 'verguetung', NULL),
(17, 114, 'extra', 'typ', 'buttonview'),
(17, 114, 'affiliate_id', 'id', NULL),
(17, 114, 'password', 'pw', NULL),
(17, 114, 'reload', 'reload', NULL),
(17, 114, 'remain_clicks', 'uebrig', NULL),
(17, 114, 'reward', 'verguetung', NULL),
(17, 115, 'extra', 'typ', 'textview'),
(17, 115, 'affiliate_id', 'id', NULL),
(17, 115, 'password', 'pw', NULL),
(17, 115, 'reload', 'reload', NULL),
(17, 115, 'remain_clicks', 'uebrig', NULL),
(17, 115, 'reward', 'verguetung', NULL),
(17, 116, 'extra', 'typ', 'popup'),
(17, 116, 'affiliate_id', 'id', NULL),
(17, 116, 'password', 'pw', NULL),
(17, 116, 'reload', 'reload', NULL),
(17, 116, 'remain_clicks', 'uebrig', NULL),
(17, 116, 'reward', 'verguetung', NULL),
(17, 117, 'extra', 'typ', 'paidmail'),
(17, 117, 'affiliate_id', 'id', NULL),
(17, 117, 'password', 'pw', NULL),
(17, 117, 'reload', 'reload', NULL),
(17, 117, 'remain_clicks', 'uebrig', NULL),
(17, 117, 'reward', 'verguetung', NULL),
(17, 123, 'extra', 'typ', 'traffic'),
(17, 123, 'affiliate_id', 'id', NULL),
(17, 123, 'password', 'pw', NULL),
(17, 123, 'reload', 'reload', NULL),
(17, 123, 'remain_clicks', 'uebrig', NULL),
(17, 123, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Paid-4-Webmaster
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(50, 591, 'extra', 'art', 'bannerklick'),
(50, 591, 'affiliate_id', 'uid', NULL),
(50, 591, 'password', 'pw', NULL),
(50, 591, 'site_id', 'sid', NULL),
(50, 591, 'reward', 'verguetung', NULL),
(50, 591, 'reload', 'reload', NULL),
(50, 591, 'remain_clicks', 'uebrig', NULL),
(50, 592, 'extra', 'art', 'bannerklick'),
(50, 592, 'affiliate_id', 'uid', NULL),
(50, 592, 'password', 'pw', NULL),
(50, 592, 'site_id', 'sid', NULL),
(50, 592, 'reward', 'verguetung', NULL),
(50, 592, 'reload', 'reload', NULL),
(50, 592, 'remain_clicks', 'uebrig', NULL),
(50, 593, 'extra', 'art', 'forcedbanner'),
(50, 593, 'affiliate_id', 'uid', NULL),
(50, 593, 'password', 'pw', NULL),
(50, 593, 'site_id', 'sid', NULL),
(50, 593, 'reward', 'verguetung', NULL),
(50, 593, 'reload', 'reload', NULL),
(50, 593, 'remain_clicks', 'uebrig', NULL),
(50, 593, 'minimum_stay', 'ma', NULL),
(50, 594, 'extra', 'art', 'forcedtextlink'),
(50, 594, 'affiliate_id', 'uid', NULL),
(50, 594, 'password', 'pw', NULL),
(50, 594, 'site_id', 'sid', NULL),
(50, 594, 'reward', 'verguetung', NULL),
(50, 594, 'reload', 'reload', NULL),
(50, 594, 'remain_clicks', 'uebrig', NULL),
(50, 594, 'minimum_stay', 'ma', NULL),
(50, 595, 'extra', 'art', 'layer'),
(50, 595, 'affiliate_id', 'uid', NULL),
(50, 595, 'password', 'pw', NULL),
(50, 595, 'site_id', 'sid', NULL),
(50, 595, 'reward', 'verguetung', NULL),
(50, 595, 'reload', 'reload', NULL),
(50, 595, 'remain_clicks', 'uebrig', NULL),
(50, 596, 'extra', 'art', 'paidmail'),
(50, 596, 'affiliate_id', 'uid', NULL),
(50, 596, 'password', 'pw', NULL),
(50, 596, 'site_id', 'sid', NULL),
(50, 596, 'reward', 'verguetung', NULL),
(50, 596, 'reload', 'reload', NULL),
(50, 596, 'remain_clicks', 'uebrig', NULL),
(50, 596, 'minimum_stay', 'ma', NULL),
(50, 597, 'extra', 'art', 'popup'),
(50, 597, 'affiliate_id', 'uid', NULL),
(50, 597, 'password', 'pw', NULL),
(50, 597, 'site_id', 'sid', NULL),
(50, 597, 'reward', 'verguetung', NULL),
(50, 597, 'reload', 'reload', NULL),
(50, 597, 'remain_clicks', 'uebrig', NULL),
(50, 597, 'minimum_stay', 'ma', NULL),
(50, 598, 'extra', 'art', 'surfbarklick'),
(50, 598, 'affiliate_id', 'uid', NULL),
(50, 598, 'password', 'pw', NULL),
(50, 598, 'site_id', 'sid', NULL),
(50, 598, 'reward', 'verguetung', NULL),
(50, 598, 'reload', 'reload', NULL),
(50, 598, 'remain_clicks', 'uebrig', NULL),
(50, 599, 'extra', 'art', 'surfbarview'),
(50, 599, 'affiliate_id', 'uid', NULL),
(50, 599, 'password', 'pw', NULL),
(50, 599, 'site_id', 'sid', NULL),
(50, 599, 'reward', 'verguetung', NULL),
(50, 599, 'reload', 'reload', NULL),
(50, 599, 'remain_clicks', 'uebrig', NULL),
(50, 600, 'extra', 'art', 'textlinkklick'),
(50, 600, 'affiliate_id', 'uid', NULL),
(50, 600, 'password', 'pw', NULL),
(50, 600, 'site_id', 'sid', NULL),
(50, 600, 'reward', 'verguetung', NULL),
(50, 600, 'reload', 'reload', NULL),
(50, 600, 'remain_clicks', 'uebrig', NULL),
(50, 601, 'extra', 'art', 'textlinkview'),
(50, 601, 'affiliate_id', 'uid', NULL),
(50, 601, 'password', 'pw', NULL),
(50, 601, 'site_id', 'sid', NULL),
(50, 601, 'reward', 'verguetung', NULL),
(50, 601, 'reload', 'reload', NULL),
(50, 601, 'remain_clicks', 'uebrig', NULL),
(50, 602, 'extra', 'art', 'traffic'),
(50, 602, 'affiliate_id', 'uid', NULL),
(50, 602, 'password', 'pw', NULL),
(50, 602, 'site_id', 'sid', NULL),
(50, 602, 'reward', 'verguetung', NULL),
(50, 602, 'reload', 'reload', NULL),
(50, 602, 'remain_clicks', 'uebrig', NULL),
(50, 602, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Paid-City
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(58, 706, 'extra', 'art', 'Textlinkklick'),
(58, 706, 'reload', 'reload', NULL),
(58, 706, 'reward', 'verg', NULL),
(58, 706, 'remain_clicks', 'offen', NULL),
(58, 706, 'site_id', 'sid', NULL),
(58, 706, 'affiliate_id', 'uid', NULL),
(58, 706, 'password', 'pw', NULL),
(58, 707, 'extra', 'art', 'Forcedbanner'),
(58, 707, 'reload', 'reload', NULL),
(58, 707, 'reward', 'verg', NULL),
(58, 707, 'remain_clicks', 'offen', NULL),
(58, 707, 'site_id', 'sid', NULL),
(58, 707, 'affiliate_id', 'uid', NULL),
(58, 707, 'password', 'pw', NULL),
(58, 708, 'extra', 'art', 'Paidmail'),
(58, 708, 'reload', 'reload', NULL),
(58, 708, 'reward', 'verg', NULL),
(58, 708, 'remain_clicks', 'offen', NULL),
(58, 708, 'site_id', 'sid', NULL),
(58, 708, 'affiliate_id', 'uid', NULL),
(58, 708, 'password', 'pw', NULL),
(58, 709, 'extra', 'art', 'Surfbarklick'),
(58, 709, 'reload', 'reload', NULL),
(58, 709, 'reward', 'verg', NULL),
(58, 709, 'remain_clicks', 'offen', NULL),
(58, 709, 'site_id', 'sid', NULL),
(58, 709, 'affiliate_id', 'uid', NULL),
(58, 709, 'password', 'pw', NULL),
(58, 710, 'extra', 'art', 'Forcedtextlink'),
(58, 710, 'reload', 'reload', NULL),
(58, 710, 'reward', 'verg', NULL),
(58, 710, 'remain_clicks', 'offen', NULL),
(58, 710, 'site_id', 'sid', NULL),
(58, 710, 'affiliate_id', 'uid', NULL),
(58, 710, 'password', 'pw', NULL)");

// Request parameters per type handler - Paid4Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(59, 711, 'extra', 'art', 'bannerklick'),
(59, 711, 'affiliate_id', 'uid', NULL),
(59, 711, 'password', 'pw', NULL),
(59, 711, 'site_id', 'sid', NULL),
(59, 711, 'reward', 'verguetung', NULL),
(59, 711, 'reload', 'reload', NULL),
(59, 711, 'remain_clicks', 'uebrig', NULL),
(59, 712, 'extra', 'art', 'bannerview'),
(59, 712, 'affiliate_id', 'uid', NULL),
(59, 712, 'password', 'pw', NULL),
(59, 712, 'site_id', 'sid', NULL),
(59, 712, 'reward', 'verguetung', NULL),
(59, 712, 'reload', 'reload', NULL),
(59, 712, 'remain_clicks', 'uebrig', NULL),
(59, 713, 'extra', 'art', 'buttonklick'),
(59, 713, 'affiliate_id', 'uid', NULL),
(59, 713, 'password', 'pw', NULL),
(59, 713, 'site_id', 'sid', NULL),
(59, 713, 'reward', 'verguetung', NULL),
(59, 713, 'reload', 'reload', NULL),
(59, 713, 'remain_clicks', 'uebrig', NULL),
(59, 714, 'extra', 'art', 'buttonview'),
(59, 714, 'affiliate_id', 'uid', NULL),
(59, 714, 'password', 'pw', NULL),
(59, 714, 'site_id', 'sid', NULL),
(59, 714, 'reward', 'verguetung', NULL),
(59, 714, 'reload', 'reload', NULL),
(59, 714, 'remain_clicks', 'uebrig', NULL),
(59, 715, 'extra', 'art', 'forcedbanner'),
(59, 715, 'affiliate_id', 'uid', NULL),
(59, 715, 'password', 'pw', NULL),
(59, 715, 'site_id', 'sid', NULL),
(59, 715, 'reward', 'verguetung', NULL),
(59, 715, 'reload', 'reload', NULL),
(59, 715, 'remain_clicks', 'uebrig', NULL),
(59, 715, 'minimum_stay', 'ma', NULL),
(59, 716, 'extra', 'art', 'forcedtextlink'),
(59, 716, 'affiliate_id', 'uid', NULL),
(59, 716, 'password', 'pw', NULL),
(59, 716, 'site_id', 'sid', NULL),
(59, 716, 'reward', 'verguetung', NULL),
(59, 716, 'reload', 'reload', NULL),
(59, 716, 'remain_clicks', 'uebrig', NULL),
(59, 716, 'minimum_stay', 'ma', NULL),
(59, 717, 'extra', 'art', 'htmlmail'),
(59, 717, 'affiliate_id', 'uid', NULL),
(59, 717, 'password', 'pw', NULL),
(59, 717, 'site_id', 'sid', NULL),
(59, 717, 'reward', 'verguetung', NULL),
(59, 717, 'reload', 'reload', NULL),
(59, 717, 'remain_clicks', 'uebrig', NULL),
(59, 717, 'minimum_stay', 'ma', NULL),
(59, 718, 'extra', 'art', 'bannerview'),
(59, 718, 'affiliate_id', 'uid', NULL),
(59, 718, 'password', 'pw', NULL),
(59, 718, 'site_id', 'sid', NULL),
(59, 718, 'reward', 'verguetung', NULL),
(59, 718, 'reload', 'reload', NULL),
(59, 718, 'remain_clicks', 'uebrig', NULL),
(59, 719, 'extra', 'art', 'paidmail'),
(59, 719, 'affiliate_id', 'uid', NULL),
(59, 719, 'password', 'pw', NULL),
(59, 719, 'site_id', 'sid', NULL),
(59, 719, 'reward', 'verguetung', NULL),
(59, 719, 'reload', 'reload', NULL),
(59, 719, 'remain_clicks', 'uebrig', NULL),
(59, 719, 'minimum_stay', 'ma', NULL),
(59, 720, 'extra', 'art', 'popup'),
(59, 720, 'affiliate_id', 'uid', NULL),
(59, 720, 'password', 'pw', NULL),
(59, 720, 'site_id', 'sid', NULL),
(59, 720, 'reward', 'verguetung', NULL),
(59, 720, 'reload', 'reload', NULL),
(59, 720, 'remain_clicks', 'uebrig', NULL),
(59, 720, 'minimum_stay', 'ma', NULL),
(59, 721, 'extra', 'art', 'skybannerklick'),
(59, 721, 'affiliate_id', 'uid', NULL),
(59, 721, 'password', 'pw', NULL),
(59, 721, 'site_id', 'sid', NULL),
(59, 721, 'reward', 'verguetung', NULL),
(59, 721, 'reload', 'reload', NULL),
(59, 721, 'remain_clicks', 'uebrig', NULL),
(59, 722, 'extra', 'art', 'skybannerview'),
(59, 722, 'affiliate_id', 'uid', NULL),
(59, 722, 'password', 'pw', NULL),
(59, 722, 'site_id', 'sid', NULL),
(59, 722, 'reward', 'verguetung', NULL),
(59, 722, 'reload', 'reload', NULL),
(59, 722, 'remain_clicks', 'uebrig', NULL),
(59, 723, 'extra', 'art', 'surfbarklick'),
(59, 723, 'affiliate_id', 'uid', NULL),
(59, 723, 'password', 'pw', NULL),
(59, 723, 'site_id', 'sid', NULL),
(59, 723, 'reward', 'verguetung', NULL),
(59, 723, 'reload', 'reload', NULL),
(59, 723, 'remain_clicks', 'uebrig', NULL),
(59, 724, 'extra', 'art', 'surfbarview'),
(59, 724, 'affiliate_id', 'uid', NULL),
(59, 724, 'password', 'pw', NULL),
(59, 724, 'site_id', 'sid', NULL),
(59, 724, 'reward', 'verguetung', NULL),
(59, 724, 'reload', 'reload', NULL),
(59, 724, 'remain_clicks', 'uebrig', NULL),
(59, 725, 'extra', 'art', 'textlinkklick'),
(59, 725, 'affiliate_id', 'uid', NULL),
(59, 725, 'password', 'pw', NULL),
(59, 725, 'site_id', 'sid', NULL),
(59, 725, 'reward', 'verguetung', NULL),
(59, 725, 'reload', 'reload', NULL),
(59, 725, 'remain_clicks', 'uebrig', NULL),
(59, 726, 'extra', 'art', 'textlinkview'),
(59, 726, 'affiliate_id', 'uid', NULL),
(59, 726, 'password', 'pw', NULL),
(59, 726, 'site_id', 'sid', NULL),
(59, 726, 'reward', 'verguetung', NULL),
(59, 726, 'reload', 'reload', NULL),
(59, 726, 'remain_clicks', 'uebrig', NULL),
(59, 727, 'extra', 'art', 'traffic'),
(59, 727, 'affiliate_id', 'uid', NULL),
(59, 727, 'password', 'pw', NULL),
(59, 727, 'site_id', 'sid', NULL),
(59, 727, 'reward', 'verguetung', NULL),
(59, 727, 'reload', 'reload', NULL),
(59, 727, 'remain_clicks', 'uebrig', NULL),
(59, 727, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Power-Promo
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(18, 78, 'affiliate_id', 'id', NULL),
(18, 78, 'password', 'pw', NULL),
(18, 78, 'reload', 'reload', NULL),
(18, 78, 'remain_clicks', 'uebrig', NULL),
(18, 78, 'reward', 'verguetung', NULL),
(18, 78, 'site_id', 'sid', NULL),
(18, 78, 'size', 'size', NULL),
(18, 78, 'type', 'typ', 'klick'),
(18, 79, 'affiliate_id', 'id', NULL),
(18, 79, 'password', 'pw', NULL),
(18, 79, 'reload', 'reload', NULL),
(18, 79, 'remain_clicks', 'uebrig', NULL),
(18, 79, 'reward', 'verguetung', NULL),
(18, 79, 'site_id', 'sid', NULL),
(18, 79, 'size', 'size', NULL),
(18, 79, 'type', 'typ', 'view'),
(18, 80, 'affiliate_id', 'id', NULL),
(18, 80, 'password', 'pw', NULL),
(18, 80, 'reload', 'reload', NULL),
(18, 80, 'remain_clicks', 'uebrig', NULL),
(18, 80, 'reward', 'verguetung', NULL),
(18, 80, 'site_id', 'sid', NULL),
(18, 80, 'type', 'typ', 'klick'),
(18, 81, 'affiliate_id', 'id', NULL),
(18, 81, 'password', 'pw', NULL),
(18, 81, 'reload', 'reload', NULL),
(18, 81, 'remain_clicks', 'uebrig', NULL),
(18, 81, 'reward', 'verguetung', NULL),
(18, 81, 'site_id', 'sid', NULL),
(18, 81, 'type', 'typ', 'view'),
(18, 82, 'affiliate_id', 'id', NULL),
(18, 82, 'password', 'pw', NULL),
(18, 82, 'reload', 'reload', NULL),
(18, 82, 'remain_clicks', 'uebrig', NULL),
(18, 82, 'reward', 'verguetung', NULL),
(18, 82, 'site_id', 'sid', NULL),
(18, 82, 'size', 'size', NULL),
(18, 82, 'type', 'typ', 'klick'),
(18, 83, 'affiliate_id', 'id', NULL),
(18, 83, 'password', 'pw', NULL),
(18, 83, 'reload', 'reload', NULL),
(18, 83, 'remain_clicks', 'uebrig', NULL),
(18, 83, 'reward', 'verguetung', NULL),
(18, 83, 'site_id', 'sid', NULL),
(18, 83, 'size', 'size', NULL),
(18, 83, 'type', 'typ', 'view'),
(18, 84, 'affiliate_id', 'id', NULL),
(18, 84, 'minimum_stay', 'ma', NULL),
(18, 84, 'password', 'pw', NULL),
(18, 84, 'reload', 'reload', NULL),
(18, 84, 'remain_clicks', 'uebrig', NULL),
(18, 84, 'reward', 'verguetung', NULL),
(18, 84, 'site_id', 'sid', NULL),
(18, 84, 'size', 'size', NULL),
(18, 85, 'affiliate_id', 'id', NULL),
(18, 85, 'minimum_stay', 'ma', NULL),
(18, 85, 'password', 'pw', NULL),
(18, 85, 'reload', 'reload', NULL),
(18, 85, 'remain_clicks', 'uebrig', NULL),
(18, 85, 'reward', 'verguetung', NULL),
(18, 85, 'site_id', 'sid', NULL),
(18, 85, 'type', 'typ', 'text'),
(18, 86, 'affiliate_id', 'id', NULL),
(18, 86, 'minimum_stay', 'ma', NULL),
(18, 86, 'password', 'pw', NULL),
(18, 86, 'reload', 'reload', NULL),
(18, 86, 'remain_clicks', 'uebrig', NULL),
(18, 86, 'reward', 'verguetung', NULL),
(18, 86, 'site_id', 'sid', NULL),
(18, 86, 'type', 'typ', 'html'),
(18, 87, 'affiliate_id', 'id', NULL),
(18, 87, 'password', 'pw', NULL),
(18, 87, 'reload', 'reload', NULL),
(18, 87, 'remain_clicks', 'uebrig', NULL),
(18, 87, 'reward', 'verguetung', NULL),
(18, 87, 'site_id', 'sid', NULL),
(18, 87, 'type', 'typ', 'klick'),
(18, 88, 'affiliate_id', 'id', NULL),
(18, 88, 'password', 'pw', NULL),
(18, 88, 'reload', 'reload', NULL),
(18, 88, 'remain_clicks', 'uebrig', NULL),
(18, 88, 'reward', 'verguetung', NULL),
(18, 88, 'site_id', 'sid', NULL),
(18, 88, 'type', 'typ', 'view'),
(18, 89, 'affiliate_id', 'id', NULL),
(18, 89, 'minimum_stay', 'ma', NULL),
(18, 89, 'password', 'pw', NULL),
(18, 89, 'reload', 'reload', NULL),
(18, 89, 'remain_clicks', 'uebrig', NULL),
(18, 89, 'reward', 'verguetung', NULL),
(18, 89, 'site_id', 'sid', NULL),
(18, 90, 'affiliate_id', 'id', NULL),
(18, 90, 'minimum_stay', 'ma', NULL),
(18, 90, 'password', 'pw', NULL),
(18, 90, 'reload', 'reload', NULL),
(18, 90, 'remain_clicks', 'uebrig', NULL),
(18, 90, 'reward', 'verguetung', NULL),
(18, 90, 'site_id', 'sid', NULL),
(18, 91, 'affiliate_id', 'id', NULL),
(18, 91, 'password', 'pw', NULL),
(18, 91, 'remain_clicks', 'uebrig', NULL),
(18, 91, 'reward', 'verguetung', NULL),
(18, 91, 'site_id', 'sid', NULL),
(18, 92, 'affiliate_id', 'id', NULL),
(18, 92, 'password', 'pw', NULL),
(18, 92, 'remain_clicks', 'uebrig', NULL),
(18, 92, 'reward', 'verguetung', NULL),
(18, 92, 'site_id', 'sid', NULL)");

// Request parameters per type handler - ProAdvert
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(48, 565, 'extra', 'typ', 'forcedbanner'),
(48, 565, 'affiliate_id', 'id', NULL),
(48, 565, 'password', 'pw', NULL),
(48, 565, 'remain_clicks', 'uebrig', NULL),
(48, 565, 'reload', 'reload', NULL),
(48, 565, 'reward', 'verguetung', NULL),
(48, 565, 'site_id', 'siteid', NULL),
(48, 566, 'extra', 'typ', 'forcedtextlink'),
(48, 566, 'affiliate_id', 'id', NULL),
(48, 566, 'password', 'pw', NULL),
(48, 566, 'remain_clicks', 'uebrig', NULL),
(48, 566, 'reload', 'reload', NULL),
(48, 566, 'reward', 'verguetung', NULL),
(48, 566, 'site_id', 'siteid', NULL),
(48, 567, 'extra', 'typ', 'bannerview'),
(48, 567, 'affiliate_id', 'id', NULL),
(48, 567, 'password', 'pw', NULL),
(48, 567, 'remain_clicks', 'uebrig', NULL),
(48, 567, 'reload', 'reload', NULL),
(48, 567, 'reward', 'verguetung', NULL),
(48, 567, 'site_id', 'siteid', NULL),
(48, 569, 'extra', 'typ', 'skybannerview'),
(48, 569, 'affiliate_id', 'id', NULL),
(48, 569, 'password', 'pw', NULL),
(48, 569, 'remain_clicks', 'uebrig', NULL),
(48, 569, 'reload', 'reload', NULL),
(48, 569, 'reward', 'verguetung', NULL),
(48, 569, 'site_id', 'siteid', NULL),
(48, 570, 'extra', 'typ', 'buttonview'),
(48, 570, 'affiliate_id', 'id', NULL),
(48, 570, 'password', 'pw', NULL),
(48, 570, 'remain_clicks', 'uebrig', NULL),
(48, 570, 'reload', 'reload', NULL),
(48, 570, 'reward', 'verguetung', NULL),
(48, 570, 'site_id', 'siteid', NULL),
(48, 571, 'extra', 'typ', 'bannerklick'),
(48, 571, 'affiliate_id', 'id', NULL),
(48, 571, 'password', 'pw', NULL),
(48, 571, 'remain_clicks', 'uebrig', NULL),
(48, 571, 'reload', 'reload', NULL),
(48, 571, 'reward', 'verguetung', NULL),
(48, 571, 'site_id', 'siteid', NULL),
(48, 572, 'extra', 'typ', 'textview'),
(48, 572, 'affiliate_id', 'id', NULL),
(48, 572, 'password', 'pw', NULL),
(48, 572, 'remain_clicks', 'uebrig', NULL),
(48, 572, 'reload', 'reload', NULL),
(48, 572, 'reward', 'verguetung', NULL),
(48, 572, 'site_id', 'siteid', NULL),
(48, 573, 'extra', 'typ', 'popup'),
(48, 573, 'affiliate_id', 'id', NULL),
(48, 573, 'password', 'pw', NULL),
(48, 573, 'remain_clicks', 'uebrig', NULL),
(48, 573, 'reload', 'reload', NULL),
(48, 573, 'reward', 'verguetung', NULL),
(48, 573, 'site_id', 'siteid', NULL),
(48, 574, 'extra', 'typ', 'traffic'),
(48, 574, 'affiliate_id', 'id', NULL),
(48, 574, 'password', 'pw', NULL),
(48, 574, 'remain_clicks', 'uebrig', NULL),
(48, 574, 'reload', 'reload', NULL),
(48, 574, 'reward', 'verguetung', NULL),
(48, 574, 'site_id', 'siteid', NULL),
(48, 575, 'extra', 'typ', 'paidmail'),
(48, 575, 'affiliate_id', 'id', NULL),
(48, 575, 'password', 'pw', NULL),
(48, 575, 'remain_clicks', 'uebrig', NULL),
(48, 575, 'reload', 'reload', NULL),
(48, 575, 'reward', 'verguetung', NULL),
(48, 575, 'site_id', 'siteid', NULL)");

// Request parameters per type handler - SeCash
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(19, 93, 'extra', 'typ', 'forcedbanner'),
(19, 93, 'affiliate_id', 'id', NULL),
(19, 93, 'password', 'pw', NULL),
(19, 93, 'reload', 'reload', NULL),
(19, 93, 'remain_clicks', 'uebrig', NULL),
(19, 93, 'reward', 'verguetung', NULL),
(19, 94, 'extra', 'typ', 'forcedtextlink'),
(19, 94, 'affiliate_id', 'id', NULL),
(19, 94, 'password', 'pw', NULL),
(19, 94, 'reload', 'reload', NULL),
(19, 94, 'remain_clicks', 'uebrig', NULL),
(19, 94, 'reward', 'verguetung', NULL),
(19, 95, 'extra', 'typ', 'bannerview'),
(19, 95, 'affiliate_id', 'id', NULL),
(19, 95, 'password', 'pw', NULL),
(19, 95, 'reload', 'reload', NULL),
(19, 95, 'remain_clicks', 'uebrig', NULL),
(19, 95, 'reward', 'verguetung', NULL),
(19, 96, 'extra', 'typ', 'bannerklick'),
(19, 96, 'affiliate_id', 'id', NULL),
(19, 96, 'password', 'pw', NULL),
(19, 96, 'reload', 'reload', NULL),
(19, 96, 'remain_clicks', 'uebrig', NULL),
(19, 96, 'reward', 'verguetung', NULL),
(19, 97, 'extra', 'typ', 'skybannerview'),
(19, 97, 'affiliate_id', 'id', NULL),
(19, 97, 'password', 'pw', NULL),
(19, 97, 'reload', 'reload', NULL),
(19, 97, 'remain_clicks', 'uebrig', NULL),
(19, 97, 'reward', 'verguetung', NULL),
(19, 98, 'extra', 'typ', 'buttonview'),
(19, 98, 'affiliate_id', 'id', NULL),
(19, 98, 'password', 'pw', NULL),
(19, 98, 'reload', 'reload', NULL),
(19, 98, 'remain_clicks', 'uebrig', NULL),
(19, 98, 'reward', 'verguetung', NULL),
(19, 99, 'extra', 'typ', 'textview'),
(19, 99, 'affiliate_id', 'id', NULL),
(19, 99, 'password', 'pw', NULL),
(19, 99, 'reload', 'reload', NULL),
(19, 99, 'remain_clicks', 'uebrig', NULL),
(19, 99, 'reward', 'verguetung', NULL),
(19, 100, 'extra', 'typ', 'popup'),
(19, 100, 'affiliate_id', 'id', NULL),
(19, 100, 'minimum_stay', 'ma', NULL),
(19, 100, 'password', 'pw', NULL),
(19, 100, 'reload', 'reload', NULL),
(19, 100, 'remain_clicks', 'uebrig', NULL),
(19, 100, 'reward', 'verguetung', NULL),
(19, 101, 'extra', 'typ', 'paidmail'),
(19, 101, 'affiliate_id', 'id', NULL),
(19, 101, 'minimum_stay', 'ma', NULL),
(19, 101, 'password', 'pw', NULL),
(19, 101, 'reload', 'reload', NULL),
(19, 101, 'remain_clicks', 'uebrig', NULL),
(19, 101, 'reward', 'verguetung', NULL),
(19, 124, 'extra', 'typ', 'traffic'),
(19, 124, 'affiliate_id', 'id', NULL),
(19, 124, 'password', 'pw', NULL),
(19, 124, 'reload', 'reload', NULL),
(19, 124, 'remain_clicks', 'uebrig', NULL),
(19, 124, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - SponsorBox
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(49, 576, 'extra', 'art', 'bannerklick'),
(49, 576, 'affiliate_id', 'uid', NULL),
(49, 576, 'password', 'pw', NULL),
(49, 576, 'site_id', 'sid', NULL),
(49, 576, 'reward', 'verguetung', NULL),
(49, 576, 'reload', 'reload', NULL),
(49, 576, 'remain_clicks', 'uebrig', NULL),
(49, 577, 'extra', 'art', 'bannerview'),
(49, 577, 'affiliate_id', 'uid', NULL),
(49, 577, 'password', 'pw', NULL),
(49, 577, 'site_id', 'sid', NULL),
(49, 577, 'reward', 'verguetung', NULL),
(49, 577, 'reload', 'reload', NULL),
(49, 577, 'remain_clicks', 'uebrig', NULL),
(49, 578, 'extra', 'art', 'buttonklick'),
(49, 578, 'affiliate_id', 'uid', NULL),
(49, 578, 'password', 'pw', NULL),
(49, 578, 'site_id', 'sid', NULL),
(49, 578, 'reward', 'verguetung', NULL),
(49, 578, 'reload', 'reload', NULL),
(49, 578, 'remain_clicks', 'uebrig', NULL),
(49, 579, 'extra', 'art', 'buttonview'),
(49, 579, 'affiliate_id', 'uid', NULL),
(49, 579, 'password', 'pw', NULL),
(49, 579, 'site_id', 'sid', NULL),
(49, 579, 'reward', 'verguetung', NULL),
(49, 579, 'reload', 'reload', NULL),
(49, 579, 'remain_clicks', 'uebrig', NULL),
(49, 580, 'extra', 'art', 'forcedbanner'),
(49, 580, 'affiliate_id', 'uid', NULL),
(49, 580, 'password', 'pw', NULL),
(49, 580, 'site_id', 'sid', NULL),
(49, 580, 'reward', 'verguetung', NULL),
(49, 580, 'reload', 'reload', NULL),
(49, 580, 'remain_clicks', 'uebrig', NULL),
(49, 580, 'minimum_stay', 'ma', NULL),
(49, 581, 'extra', 'art', 'forcedtextlink'),
(49, 581, 'affiliate_id', 'uid', NULL),
(49, 581, 'password', 'pw', NULL),
(49, 581, 'site_id', 'sid', NULL),
(49, 581, 'reward', 'verguetung', NULL),
(49, 581, 'reload', 'reload', NULL),
(49, 581, 'remain_clicks', 'uebrig', NULL),
(49, 581, 'minimum_stay', 'ma', NULL),
(49, 582, 'extra', 'art', 'htmlmail'),
(49, 582, 'affiliate_id', 'uid', NULL),
(49, 582, 'password', 'pw', NULL),
(49, 582, 'site_id', 'sid', NULL),
(49, 582, 'reward', 'verguetung', NULL),
(49, 582, 'reload', 'reload', NULL),
(49, 582, 'remain_clicks', 'uebrig', NULL),
(49, 582, 'minimum_stay', 'ma', NULL),
(49, 583, 'extra', 'art', 'layer'),
(49, 583, 'affiliate_id', 'uid', NULL),
(49, 583, 'password', 'pw', NULL),
(49, 583, 'site_id', 'sid', NULL),
(49, 583, 'reward', 'verguetung', NULL),
(49, 583, 'reload', 'reload', NULL),
(49, 583, 'remain_clicks', 'uebrig', NULL),
(49, 584, 'extra', 'art', 'paidmail'),
(49, 584, 'affiliate_id', 'uid', NULL),
(49, 584, 'password', 'pw', NULL),
(49, 584, 'site_id', 'sid', NULL),
(49, 584, 'reward', 'verguetung', NULL),
(49, 584, 'reload', 'reload', NULL),
(49, 584, 'remain_clicks', 'uebrig', NULL),
(49, 584, 'minimum_stay', 'ma', NULL),
(49, 585, 'extra', 'art', 'popup'),
(49, 585, 'affiliate_id', 'uid', NULL),
(49, 585, 'password', 'pw', NULL),
(49, 585, 'site_id', 'sid', NULL),
(49, 585, 'reward', 'verguetung', NULL),
(49, 585, 'reload', 'reload', NULL),
(49, 585, 'remain_clicks', 'uebrig', NULL),
(49, 585, 'minimum_stay', 'ma', NULL),
(49, 586, 'extra', 'art', 'skybannerklick'),
(49, 586, 'affiliate_id', 'uid', NULL),
(49, 586, 'password', 'pw', NULL),
(49, 586, 'site_id', 'sid', NULL),
(49, 586, 'reward', 'verguetung', NULL),
(49, 586, 'reload', 'reload', NULL),
(49, 586, 'remain_clicks', 'uebrig', NULL),
(49, 587, 'extra', 'art', 'skybannerview'),
(49, 587, 'affiliate_id', 'uid', NULL),
(49, 587, 'password', 'pw', NULL),
(49, 587, 'site_id', 'sid', NULL),
(49, 587, 'reward', 'verguetung', NULL),
(49, 587, 'reload', 'reload', NULL),
(49, 587, 'remain_clicks', 'uebrig', NULL),
(49, 588, 'extra', 'art', 'textlinkklick'),
(49, 588, 'affiliate_id', 'uid', NULL),
(49, 588, 'password', 'pw', NULL),
(49, 588, 'site_id', 'sid', NULL),
(49, 588, 'reward', 'verguetung', NULL),
(49, 588, 'reload', 'reload', NULL),
(49, 588, 'remain_clicks', 'uebrig', NULL),
(49, 589, 'extra', 'art', 'textlinkview'),
(49, 589, 'affiliate_id', 'uid', NULL),
(49, 589, 'password', 'pw', NULL),
(49, 589, 'site_id', 'sid', NULL),
(49, 589, 'reward', 'verguetung', NULL),
(49, 589, 'reload', 'reload', NULL),
(49, 589, 'remain_clicks', 'uebrig', NULL),
(49, 590, 'extra', 'art', 'traffic'),
(49, 590, 'affiliate_id', 'uid', NULL),
(49, 590, 'password', 'pw', NULL),
(49, 590, 'site_id', 'sid', NULL),
(49, 590, 'reward', 'verguetung', NULL),
(49, 590, 'reload', 'reload', NULL),
(49, 590, 'remain_clicks', 'uebrig', NULL),
(49, 590, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - SuperPromo24
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(41, 416, 'extra', 'art', 'bannerklick'),
(41, 416, 'affiliate_id', 'uid', NULL),
(41, 416, 'password', 'pw', NULL),
(41, 416, 'site_id', 'sid', NULL),
(41, 416, 'reward', 'verguetung', NULL),
(41, 416, 'reload', 'reload', NULL),
(41, 416, 'remain_clicks', 'uebrig', NULL),
(41, 417, 'extra', 'art', 'bannerview'),
(41, 417, 'affiliate_id', 'uid', NULL),
(41, 417, 'password', 'pw', NULL),
(41, 417, 'site_id', 'sid', NULL),
(41, 417, 'reward', 'verguetung', NULL),
(41, 417, 'reload', 'reload', NULL),
(41, 417, 'remain_clicks', 'uebrig', NULL),
(41, 418, 'extra', 'art', 'buttonklick'),
(41, 418, 'affiliate_id', 'uid', NULL),
(41, 418, 'password', 'pw', NULL),
(41, 418, 'site_id', 'sid', NULL),
(41, 418, 'reward', 'verguetung', NULL),
(41, 418, 'reload', 'reload', NULL),
(41, 418, 'remain_clicks', 'uebrig', NULL),
(41, 419, 'extra', 'art', 'buttonview'),
(41, 419, 'affiliate_id', 'uid', NULL),
(41, 419, 'password', 'pw', NULL),
(41, 419, 'site_id', 'sid', NULL),
(41, 419, 'reward', 'verguetung', NULL),
(41, 419, 'reload', 'reload', NULL),
(41, 419, 'remain_clicks', 'uebrig', NULL),
(41, 420, 'extra', 'art', 'forcedbanner'),
(41, 420, 'affiliate_id', 'uid', NULL),
(41, 420, 'password', 'pw', NULL),
(41, 420, 'site_id', 'sid', NULL),
(41, 420, 'reward', 'verguetung', NULL),
(41, 420, 'reload', 'reload', NULL),
(41, 420, 'remain_clicks', 'uebrig', NULL),
(41, 420, 'minimum_stay', 'ma', NULL),
(41, 421, 'extra', 'art', 'forcedtextlink'),
(41, 421, 'affiliate_id', 'uid', NULL),
(41, 421, 'password', 'pw', NULL),
(41, 421, 'site_id', 'sid', NULL),
(41, 421, 'reward', 'verguetung', NULL),
(41, 421, 'reload', 'reload', NULL),
(41, 421, 'remain_clicks', 'uebrig', NULL),
(41, 421, 'minimum_stay', 'ma', NULL),
(41, 422, 'extra', 'art', 'htmlmail'),
(41, 422, 'affiliate_id', 'uid', NULL),
(41, 422, 'password', 'pw', NULL),
(41, 422, 'site_id', 'sid', NULL),
(41, 422, 'reward', 'verguetung', NULL),
(41, 422, 'reload', 'reload', NULL),
(41, 422, 'remain_clicks', 'uebrig', NULL),
(41, 422, 'minimum_stay', 'ma', NULL),
(41, 423, 'extra', 'art', 'layer'),
(41, 423, 'affiliate_id', 'uid', NULL),
(41, 423, 'password', 'pw', NULL),
(41, 423, 'site_id', 'sid', NULL),
(41, 423, 'reward', 'verguetung', NULL),
(41, 423, 'reload', 'reload', NULL),
(41, 423, 'remain_clicks', 'uebrig', NULL),
(41, 424, 'extra', 'art', 'pagepeel'),
(41, 424, 'affiliate_id', 'uid', NULL),
(41, 424, 'password', 'pw', NULL),
(41, 424, 'site_id', 'sid', NULL),
(41, 424, 'reward', 'verguetung', NULL),
(41, 424, 'reload', 'reload', NULL),
(41, 424, 'remain_clicks', 'uebrig', NULL),
(41, 425, 'extra', 'art', 'paidmail'),
(41, 425, 'affiliate_id', 'uid', NULL),
(41, 425, 'password', 'pw', NULL),
(41, 425, 'site_id', 'sid', NULL),
(41, 425, 'reward', 'verguetung', NULL),
(41, 425, 'reload', 'reload', NULL),
(41, 425, 'remain_clicks', 'uebrig', NULL),
(41, 425, 'minimum_stay', 'ma', NULL),
(41, 426, 'extra', 'art', 'popup'),
(41, 426, 'affiliate_id', 'uid', NULL),
(41, 426, 'password', 'pw', NULL),
(41, 426, 'site_id', 'sid', NULL),
(41, 426, 'reward', 'verguetung', NULL),
(41, 426, 'reload', 'reload', NULL),
(41, 426, 'remain_clicks', 'uebrig', NULL),
(41, 426, 'minimum_stay', 'ma', NULL),
(41, 427, 'extra', 'art', 'skybannerklick'),
(41, 427, 'affiliate_id', 'uid', NULL),
(41, 427, 'password', 'pw', NULL),
(41, 427, 'site_id', 'sid', NULL),
(41, 427, 'reward', 'verguetung', NULL),
(41, 427, 'reload', 'reload', NULL),
(41, 427, 'remain_clicks', 'uebrig', NULL),
(41, 428, 'extra', 'art', 'skybannerview'),
(41, 428, 'affiliate_id', 'uid', NULL),
(41, 428, 'password', 'pw', NULL),
(41, 428, 'site_id', 'sid', NULL),
(41, 428, 'reward', 'verguetung', NULL),
(41, 428, 'reload', 'reload', NULL),
(41, 428, 'remain_clicks', 'uebrig', NULL),
(41, 429, 'extra', 'art', 'textlinkklick'),
(41, 429, 'affiliate_id', 'uid', NULL),
(41, 429, 'password', 'pw', NULL),
(41, 429, 'site_id', 'sid', NULL),
(41, 429, 'reward', 'verguetung', NULL),
(41, 429, 'reload', 'reload', NULL),
(41, 429, 'remain_clicks', 'uebrig', NULL),
(41, 430, 'extra', 'art', 'traffic'),
(41, 430, 'affiliate_id', 'uid', NULL),
(41, 430, 'password', 'pw', NULL),
(41, 430, 'site_id', 'sid', NULL),
(41, 430, 'reward', 'verguetung', NULL),
(41, 430, 'reload', 'reload', NULL),
(41, 430, 'remain_clicks', 'uebrig', NULL),
(41, 430, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - UltraPROMO
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(21, 125, 'extra', 'typ', 'bannerklick'),
(21, 125, 'affiliate_id', 'id', NULL),
(21, 125, 'password', 'pw', NULL),
(21, 125, 'reload', 'reload', NULL),
(21, 125, 'remain_clicks', 'uebrig', NULL),
(21, 125, 'reward', 'verguetung', NULL),
(21, 126, 'extra', 'typ', 'bannerview'),
(21, 126, 'affiliate_id', 'id', NULL),
(21, 126, 'password', 'pw', NULL),
(21, 126, 'reload', 'reload', NULL),
(21, 126, 'remain_clicks', 'uebrig', NULL),
(21, 126, 'reward', 'verguetung', NULL),
(21, 127, 'extra', 'typ', 'buttonview'),
(21, 127, 'affiliate_id', 'id', NULL),
(21, 127, 'password', 'pw', NULL),
(21, 127, 'reload', 'reload', NULL),
(21, 127, 'remain_clicks', 'uebrig', NULL),
(21, 127, 'reward', 'verguetung', NULL),
(21, 128, 'extra', 'typ', 'forcedbanner'),
(21, 128, 'affiliate_id', 'id', NULL),
(21, 128, 'password', 'pw', NULL),
(21, 128, 'reload', 'reload', NULL),
(21, 128, 'remain_clicks', 'uebrig', NULL),
(21, 128, 'reward', 'verguetung', NULL),
(21, 129, 'extra', 'typ', 'forcedtextlink'),
(21, 129, 'affiliate_id', 'id', NULL),
(21, 129, 'password', 'pw', NULL),
(21, 129, 'reload', 'reload', NULL),
(21, 129, 'remain_clicks', 'uebrig', NULL),
(21, 129, 'reward', 'verguetung', NULL),
(21, 130, 'extra', 'typ', 'popup'),
(21, 130, 'affiliate_id', 'id', NULL),
(21, 130, 'minimum_stay', 'ma', NULL),
(21, 130, 'password', 'pw', NULL),
(21, 130, 'reload', 'reload', NULL),
(21, 130, 'remain_clicks', 'uebrig', NULL),
(21, 130, 'reward', 'verguetung', NULL),
(21, 131, 'extra', 'typ', 'skybannerview'),
(21, 131, 'affiliate_id', 'id', NULL),
(21, 131, 'password', 'pw', NULL),
(21, 131, 'reload', 'reload', NULL),
(21, 131, 'remain_clicks', 'uebrig', NULL),
(21, 131, 'reward', 'verguetung', NULL),
(21, 132, 'extra', 'typ', 'textview'),
(21, 132, 'affiliate_id', 'id', NULL),
(21, 132, 'password', 'pw', NULL),
(21, 132, 'reload', 'reload', NULL),
(21, 132, 'remain_clicks', 'uebrig', NULL),
(21, 132, 'reward', 'verguetung', NULL),
(21, 133, 'extra', 'typ', 'paidmail'),
(21, 133, 'affiliate_id', 'id', NULL),
(21, 133, 'minimum_stay', 'ma', NULL),
(21, 133, 'password', 'pw', NULL),
(21, 133, 'reload', 'reload', NULL),
(21, 133, 'remain_clicks', 'uebrig', NULL),
(21, 133, 'reward', 'verguetung', NULL),
(21, 134, 'extra', 'typ', 'traffic'),
(21, 134, 'affiliate_id', 'id', NULL),
(21, 134, 'password', 'pw', NULL),
(21, 134, 'reload', 'reload', NULL),
(21, 134, 'remain_clicks', 'uebrig', NULL),
(21, 134, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Vario-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(51, 603, 'extra', 'art', 'bannerklick'),
(51, 603, 'affiliate_id', 'uid', NULL),
(51, 603, 'password', 'pw', NULL),
(51, 603, 'site_id', 'sid', NULL),
(51, 603, 'reward', 'verguetung', NULL),
(51, 603, 'reload', 'reload', NULL),
(51, 603, 'remain_clicks', 'uebrig', NULL),
(51, 604, 'extra', 'art', 'bannerview'),
(51, 604, 'affiliate_id', 'uid', NULL),
(51, 604, 'password', 'pw', NULL),
(51, 604, 'site_id', 'sid', NULL),
(51, 604, 'reward', 'verguetung', NULL),
(51, 604, 'reload', 'reload', NULL),
(51, 604, 'remain_clicks', 'uebrig', NULL),
(51, 605, 'extra', 'art', 'buttonklick'),
(51, 605, 'affiliate_id', 'uid', NULL),
(51, 605, 'password', 'pw', NULL),
(51, 605, 'site_id', 'sid', NULL),
(51, 605, 'reward', 'verguetung', NULL),
(51, 605, 'reload', 'reload', NULL),
(51, 605, 'remain_clicks', 'uebrig', NULL),
(51, 606, 'extra', 'art', 'buttonview'),
(51, 606, 'affiliate_id', 'uid', NULL),
(51, 606, 'password', 'pw', NULL),
(51, 606, 'site_id', 'sid', NULL),
(51, 606, 'reward', 'verguetung', NULL),
(51, 606, 'reload', 'reload', NULL),
(51, 606, 'remain_clicks', 'uebrig', NULL),
(51, 607, 'extra', 'art', 'forcedbanner'),
(51, 607, 'affiliate_id', 'uid', NULL),
(51, 607, 'password', 'pw', NULL),
(51, 607, 'site_id', 'sid', NULL),
(51, 607, 'reward', 'verguetung', NULL),
(51, 607, 'reload', 'reload', NULL),
(51, 607, 'remain_clicks', 'uebrig', NULL),
(51, 607, 'minimum_stay', 'ma', NULL),
(51, 608, 'extra', 'art', 'forcedtextlink'),
(51, 608, 'affiliate_id', 'uid', NULL),
(51, 608, 'password', 'pw', NULL),
(51, 608, 'site_id', 'sid', NULL),
(51, 608, 'reward', 'verguetung', NULL),
(51, 608, 'reload', 'reload', NULL),
(51, 608, 'remain_clicks', 'uebrig', NULL),
(51, 608, 'minimum_stay', 'ma', NULL),
(51, 609, 'extra', 'art', 'htmlmail'),
(51, 609, 'affiliate_id', 'uid', NULL),
(51, 609, 'password', 'pw', NULL),
(51, 609, 'site_id', 'sid', NULL),
(51, 609, 'reward', 'verguetung', NULL),
(51, 609, 'reload', 'reload', NULL),
(51, 609, 'remain_clicks', 'uebrig', NULL),
(51, 609, 'minimum_stay', 'ma', NULL),
(51, 610, 'extra', 'art', 'bannerview'),
(51, 610, 'affiliate_id', 'uid', NULL),
(51, 610, 'password', 'pw', NULL),
(51, 610, 'site_id', 'sid', NULL),
(51, 610, 'reward', 'verguetung', NULL),
(51, 610, 'reload', 'reload', NULL),
(51, 610, 'remain_clicks', 'uebrig', NULL),
(51, 611, 'extra', 'art', 'paidmail'),
(51, 611, 'affiliate_id', 'uid', NULL),
(51, 611, 'password', 'pw', NULL),
(51, 611, 'site_id', 'sid', NULL),
(51, 611, 'reward', 'verguetung', NULL),
(51, 611, 'reload', 'reload', NULL),
(51, 611, 'remain_clicks', 'uebrig', NULL),
(51, 611, 'minimum_stay', 'ma', NULL),
(51, 612, 'extra', 'art', 'popup'),
(51, 612, 'affiliate_id', 'uid', NULL),
(51, 612, 'password', 'pw', NULL),
(51, 612, 'site_id', 'sid', NULL),
(51, 612, 'reward', 'verguetung', NULL),
(51, 612, 'reload', 'reload', NULL),
(51, 612, 'remain_clicks', 'uebrig', NULL),
(51, 612, 'minimum_stay', 'ma', NULL),
(51, 613, 'extra', 'art', 'skybannerklick'),
(51, 613, 'affiliate_id', 'uid', NULL),
(51, 613, 'password', 'pw', NULL),
(51, 613, 'site_id', 'sid', NULL),
(51, 613, 'reward', 'verguetung', NULL),
(51, 613, 'reload', 'reload', NULL),
(51, 613, 'remain_clicks', 'uebrig', NULL),
(51, 614, 'extra', 'art', 'skybannerview'),
(51, 614, 'affiliate_id', 'uid', NULL),
(51, 614, 'password', 'pw', NULL),
(51, 614, 'site_id', 'sid', NULL),
(51, 614, 'reward', 'verguetung', NULL),
(51, 614, 'reload', 'reload', NULL),
(51, 614, 'remain_clicks', 'uebrig', NULL),
(51, 615, 'extra', 'art', 'surfbarklick'),
(51, 615, 'affiliate_id', 'uid', NULL),
(51, 615, 'password', 'pw', NULL),
(51, 615, 'site_id', 'sid', NULL),
(51, 615, 'reward', 'verguetung', NULL),
(51, 615, 'reload', 'reload', NULL),
(51, 615, 'remain_clicks', 'uebrig', NULL),
(51, 616, 'extra', 'art', 'surfbarview'),
(51, 616, 'affiliate_id', 'uid', NULL),
(51, 616, 'password', 'pw', NULL),
(51, 616, 'site_id', 'sid', NULL),
(51, 616, 'reward', 'verguetung', NULL),
(51, 616, 'reload', 'reload', NULL),
(51, 616, 'remain_clicks', 'uebrig', NULL),
(51, 617, 'extra', 'art', 'textlinkklick'),
(51, 617, 'affiliate_id', 'uid', NULL),
(51, 617, 'password', 'pw', NULL),
(51, 617, 'site_id', 'sid', NULL),
(51, 617, 'reward', 'verguetung', NULL),
(51, 617, 'reload', 'reload', NULL),
(51, 617, 'remain_clicks', 'uebrig', NULL),
(51, 618, 'extra', 'art', 'textlinkview'),
(51, 618, 'affiliate_id', 'uid', NULL),
(51, 618, 'password', 'pw', NULL),
(51, 618, 'site_id', 'sid', NULL),
(51, 618, 'reward', 'verguetung', NULL),
(51, 618, 'reload', 'reload', NULL),
(51, 618, 'remain_clicks', 'uebrig', NULL),
(51, 619, 'extra', 'art', 'traffic'),
(51, 619, 'affiliate_id', 'uid', NULL),
(51, 619, 'password', 'pw', NULL),
(51, 619, 'site_id', 'sid', NULL),
(51, 619, 'reward', 'verguetung', NULL),
(51, 619, 'reload', 'reload', NULL),
(51, 619, 'remain_clicks', 'uebrig', NULL),
(51, 619, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - VIPads.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(27, 247, 'extra', 'art', 'bannerklick'),
(27, 247, 'affiliate_id', 'uid', NULL),
(27, 247, 'password', 'pw', NULL),
(27, 247, 'reload', 'reload', NULL),
(27, 247, 'remain_clicks', 'uebrig', NULL),
(27, 247, 'reward', 'verguetung', NULL),
(27, 247, 'site_id', 'sid', NULL),
(27, 248, 'extra', 'art', 'bannerview'),
(27, 248, 'affiliate_id', 'uid', NULL),
(27, 248, 'password', 'pw', NULL),
(27, 248, 'reload', 'reload', NULL),
(27, 248, 'remain_clicks', 'uebrig', NULL),
(27, 248, 'reward', 'verguetung', NULL),
(27, 248, 'site_id', 'sid', NULL),
(27, 249, 'extra', 'art', 'buttonklick'),
(27, 249, 'affiliate_id', 'uid', NULL),
(27, 249, 'password', 'pw', NULL),
(27, 249, 'reload', 'reload', NULL),
(27, 249, 'remain_clicks', 'uebrig', NULL),
(27, 249, 'reward', 'verguetung', NULL),
(27, 249, 'site_id', 'sid', NULL),
(27, 250, 'extra', 'art', 'buttonview'),
(27, 250, 'affiliate_id', 'uid', NULL),
(27, 250, 'password', 'pw', NULL),
(27, 250, 'reload', 'reload', NULL),
(27, 250, 'remain_clicks', 'uebrig', NULL),
(27, 250, 'reward', 'verguetung', NULL),
(27, 250, 'site_id', 'sid', NULL),
(27, 251, 'extra', 'art', 'forcedbanner'),
(27, 251, 'affiliate_id', 'uid', NULL),
(27, 251, 'minimum_stay', 'ma', NULL),
(27, 251, 'password', 'pw', NULL),
(27, 251, 'reload', 'reload', NULL),
(27, 251, 'remain_clicks', 'uebrig', NULL),
(27, 251, 'reward', 'verguetung', NULL),
(27, 251, 'site_id', 'sid', NULL),
(27, 252, 'extra', 'art', 'htmlmail'),
(27, 252, 'affiliate_id', 'id', NULL),
(27, 252, 'minimum_stay', 'ma', NULL),
(27, 252, 'password', 'pw', NULL),
(27, 252, 'reload', 'reload', NULL),
(27, 252, 'remain_clicks', 'uebrig', NULL),
(27, 252, 'reward', 'verguetung', NULL),
(27, 252, 'site_id', 'sid', NULL),
(27, 253, 'extra', 'art', 'layer'),
(27, 253, 'affiliate_id', 'uid', NULL),
(27, 253, 'password', 'pw', NULL),
(27, 253, 'reload', 'reload', NULL),
(27, 253, 'remain_clicks', 'uebrig', NULL),
(27, 253, 'reward', 'verguetung', NULL),
(27, 253, 'site_id', 'sid', NULL),
(27, 254, 'extra', 'art', 'paidmail'),
(27, 254, 'affiliate_id', 'uid', NULL),
(27, 254, 'minimum_stay', 'ma', NULL),
(27, 254, 'password', 'pw', NULL),
(27, 254, 'reload', 'reload', NULL),
(27, 254, 'remain_clicks', 'uebrig', NULL),
(27, 254, 'reward', 'verguetung', NULL),
(27, 254, 'site_id', 'sid', NULL),
(27, 255, 'extra', 'art', 'popup'),
(27, 255, 'affiliate_id', 'uid', NULL),
(27, 255, 'minimum_stay', 'ma', NULL),
(27, 255, 'password', 'pw', NULL),
(27, 255, 'reload', 'reload', NULL),
(27, 255, 'remain_clicks', 'uebrig', NULL),
(27, 255, 'reward', 'verguetung', NULL),
(27, 255, 'site_id', 'sid', NULL),
(27, 256, 'extra', 'art', 'skybannerklick'),
(27, 256, 'affiliate_id', 'uid', NULL),
(27, 256, 'password', 'pw', NULL),
(27, 256, 'reload', 'reload', NULL),
(27, 256, 'remain_clicks', 'uebrig', NULL),
(27, 256, 'reward', 'verguetung', NULL),
(27, 256, 'site_id', 'sid', NULL),
(27, 257, 'extra', 'art', 'skybannerview'),
(27, 257, 'affiliate_id', 'uid', NULL),
(27, 257, 'password', 'pw', NULL),
(27, 257, 'reload', 'reload', NULL),
(27, 257, 'remain_clicks', 'uebrig', NULL),
(27, 257, 'reward', 'verguetung', NULL),
(27, 257, 'site_id', 'sid', NULL),
(27, 258, 'extra', 'art', 'textlinkklick'),
(27, 258, 'affiliate_id', 'uid', NULL),
(27, 258, 'password', 'pw', NULL),
(27, 258, 'reload', 'reload', NULL),
(27, 258, 'remain_clicks', 'uebrig', NULL),
(27, 258, 'reward', 'verguetung', NULL),
(27, 258, 'site_id', 'sid', NULL),
(27, 259, 'extra', 'art', 'traffic'),
(27, 259, 'affiliate_id', 'uid', NULL),
(27, 259, 'minimum_stay', 'ma', NULL),
(27, 259, 'password', 'pw', NULL),
(27, 259, 'reload', 'reload', NULL),
(27, 259, 'remain_clicks', 'uebrig', NULL),
(27, 259, 'reward', 'verguetung', NULL),
(27, 259, 'site_id', 'sid', NULL)");

// Request parameters per type handler - WeltPromotion
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(20, 202, 'extra', 'typ', 'forcedbanner'),
(20, 202, 'affiliate_id', 'id', NULL),
(20, 202, 'password', 'pw', NULL),
(20, 202, 'reload', 'reload', NULL),
(20, 202, 'remain_clicks', 'uebrig', NULL),
(20, 202, 'reward', 'verguetung', NULL),
(20, 203, 'extra', 'typ', 'forcedtextlink'),
(20, 203, 'affiliate_id', 'id', NULL),
(20, 203, 'password', 'pw', NULL),
(20, 203, 'reload', 'reload', NULL),
(20, 203, 'remain_clicks', 'uebrig', NULL),
(20, 203, 'reward', 'verguetung', NULL),
(20, 204, 'extra', 'typ', 'bannerview'),
(20, 204, 'affiliate_id', 'id', NULL),
(20, 204, 'password', 'pw', NULL),
(20, 204, 'reload', 'reload', NULL),
(20, 204, 'remain_clicks', 'uebrig', NULL),
(20, 204, 'reward', 'verguetung', NULL),
(20, 205, 'extra', 'typ', 'bannerklick'),
(20, 205, 'affiliate_id', 'id', NULL),
(20, 205, 'password', 'pw', NULL),
(20, 205, 'reload', 'reload', NULL),
(20, 205, 'remain_clicks', 'uebrig', NULL),
(20, 205, 'reward', 'verguetung', NULL),
(20, 206, 'extra', 'typ', 'skybannerview'),
(20, 206, 'affiliate_id', 'id', NULL),
(20, 206, 'password', 'pw', NULL),
(20, 206, 'reload', 'reload', NULL),
(20, 206, 'remain_clicks', 'uebrig', NULL),
(20, 206, 'reward', 'verguetung', NULL),
(20, 207, 'extra', 'typ', 'buttonview'),
(20, 207, 'affiliate_id', 'id', NULL),
(20, 207, 'password', 'pw', NULL),
(20, 207, 'reload', 'reload', NULL),
(20, 207, 'remain_clicks', 'uebrig', NULL),
(20, 207, 'reward', 'verguetung', NULL),
(20, 208, 'extra', 'typ', 'textview'),
(20, 208, 'affiliate_id', 'id', NULL),
(20, 208, 'password', 'pw', NULL),
(20, 208, 'reload', 'reload', NULL),
(20, 208, 'remain_clicks', 'uebrig', NULL),
(20, 208, 'reward', 'verguetung', NULL),
(20, 209, 'extra', 'typ', 'traffic'),
(20, 209, 'affiliate_id', 'id', NULL),
(20, 209, 'password', 'pw', NULL),
(20, 209, 'reload', 'reload', NULL),
(20, 209, 'remain_clicks', 'uebrig', NULL),
(20, 209, 'reward', 'verguetung', NULL),
(20, 210, 'extra', 'typ', 'popup'),
(20, 210, 'affiliate_id', 'id', NULL),
(20, 210, 'minimum_stay', 'ma', NULL),
(20, 210, 'password', 'pw', NULL),
(20, 210, 'reload', 'reload', NULL),
(20, 210, 'remain_clicks', 'uebrig', NULL),
(20, 210, 'reward', 'verguetung', NULL),
(20, 211, 'extra', 'typ', 'paidmail'),
(20, 211, 'affiliate_id', 'id', NULL),
(20, 211, 'minimum_stay', 'ma', NULL),
(20, 211, 'password', 'pw', NULL),
(20, 211, 'reload', 'reload', NULL),
(20, 211, 'remain_clicks', 'uebrig', NULL),
(20, 211, 'reward', 'verguetung', NULL)");

// Request parameters per type handler - Werbeflut
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(61, 730, 'extra', 'art', 'bannerklick'),
(61, 730, 'affiliate_id', 'uid', NULL),
(61, 730, 'password', 'pw', NULL),
(61, 730, 'site_id', 'sid', NULL),
(61, 730, 'reward', 'verguetung', NULL),
(61, 730, 'reload', 'reload', NULL),
(61, 730, 'remain_clicks', 'uebrig', NULL),
(61, 731, 'extra', 'art', 'bannerview'),
(61, 731, 'affiliate_id', 'uid', NULL),
(61, 731, 'password', 'pw', NULL),
(61, 731, 'site_id', 'sid', NULL),
(61, 731, 'reward', 'verguetung', NULL),
(61, 731, 'reload', 'reload', NULL),
(61, 731, 'remain_clicks', 'uebrig', NULL),
(61, 732, 'extra', 'art', 'buttonklick'),
(61, 732, 'affiliate_id', 'uid', NULL),
(61, 732, 'password', 'pw', NULL),
(61, 732, 'site_id', 'sid', NULL),
(61, 732, 'reward', 'verguetung', NULL),
(61, 732, 'reload', 'reload', NULL),
(61, 732, 'remain_clicks', 'uebrig', NULL),
(61, 733, 'extra', 'art', 'buttonview'),
(61, 733, 'affiliate_id', 'uid', NULL),
(61, 733, 'password', 'pw', NULL),
(61, 733, 'site_id', 'sid', NULL),
(61, 733, 'reward', 'verguetung', NULL),
(61, 733, 'reload', 'reload', NULL),
(61, 733, 'remain_clicks', 'uebrig', NULL),
(61, 734, 'extra', 'art', 'forcedbanner'),
(61, 734, 'affiliate_id', 'uid', NULL),
(61, 734, 'password', 'pw', NULL),
(61, 734, 'site_id', 'sid', NULL),
(61, 734, 'reward', 'verguetung', NULL),
(61, 734, 'reload', 'reload', NULL),
(61, 734, 'remain_clicks', 'uebrig', NULL),
(61, 734, 'minimum_stay', 'ma', NULL),
(61, 735, 'extra', 'art', 'forcedtextlink'),
(61, 735, 'affiliate_id', 'uid', NULL),
(61, 735, 'password', 'pw', NULL),
(61, 735, 'site_id', 'sid', NULL),
(61, 735, 'reward', 'verguetung', NULL),
(61, 735, 'reload', 'reload', NULL),
(61, 735, 'remain_clicks', 'uebrig', NULL),
(61, 735, 'minimum_stay', 'ma', NULL),
(61, 736, 'extra', 'art', 'htmlmail'),
(61, 736, 'affiliate_id', 'uid', NULL),
(61, 736, 'password', 'pw', NULL),
(61, 736, 'site_id', 'sid', NULL),
(61, 736, 'reward', 'verguetung', NULL),
(61, 736, 'reload', 'reload', NULL),
(61, 736, 'remain_clicks', 'uebrig', NULL),
(61, 736, 'minimum_stay', 'ma', NULL),
(61, 737, 'extra', 'art', 'bannerview'),
(61, 737, 'affiliate_id', 'uid', NULL),
(61, 737, 'password', 'pw', NULL),
(61, 737, 'site_id', 'sid', NULL),
(61, 737, 'reward', 'verguetung', NULL),
(61, 737, 'reload', 'reload', NULL),
(61, 737, 'remain_clicks', 'uebrig', NULL),
(61, 738, 'extra', 'art', 'paidmail'),
(61, 738, 'affiliate_id', 'uid', NULL),
(61, 738, 'password', 'pw', NULL),
(61, 738, 'site_id', 'sid', NULL),
(61, 738, 'reward', 'verguetung', NULL),
(61, 738, 'reload', 'reload', NULL),
(61, 738, 'remain_clicks', 'uebrig', NULL),
(61, 738, 'minimum_stay', 'ma', NULL),
(61, 739, 'extra', 'art', 'popup'),
(61, 739, 'affiliate_id', 'uid', NULL),
(61, 739, 'password', 'pw', NULL),
(61, 739, 'site_id', 'sid', NULL),
(61, 739, 'reward', 'verguetung', NULL),
(61, 739, 'reload', 'reload', NULL),
(61, 739, 'remain_clicks', 'uebrig', NULL),
(61, 739, 'minimum_stay', 'ma', NULL),
(61, 740, 'extra', 'art', 'skybannerklick'),
(61, 740, 'affiliate_id', 'uid', NULL),
(61, 740, 'password', 'pw', NULL),
(61, 740, 'site_id', 'sid', NULL),
(61, 740, 'reward', 'verguetung', NULL),
(61, 740, 'reload', 'reload', NULL),
(61, 740, 'remain_clicks', 'uebrig', NULL),
(61, 741, 'extra', 'art', 'skybannerview'),
(61, 741, 'affiliate_id', 'uid', NULL),
(61, 741, 'password', 'pw', NULL),
(61, 741, 'site_id', 'sid', NULL),
(61, 741, 'reward', 'verguetung', NULL),
(61, 741, 'reload', 'reload', NULL),
(61, 741, 'remain_clicks', 'uebrig', NULL),
(61, 742, 'extra', 'art', 'surfbarklick'),
(61, 742, 'affiliate_id', 'uid', NULL),
(61, 742, 'password', 'pw', NULL),
(61, 742, 'site_id', 'sid', NULL),
(61, 742, 'reward', 'verguetung', NULL),
(61, 742, 'reload', 'reload', NULL),
(61, 742, 'remain_clicks', 'uebrig', NULL),
(61, 743, 'extra', 'art', 'surfbarview'),
(61, 743, 'affiliate_id', 'uid', NULL),
(61, 743, 'password', 'pw', NULL),
(61, 743, 'site_id', 'sid', NULL),
(61, 743, 'reward', 'verguetung', NULL),
(61, 743, 'reload', 'reload', NULL),
(61, 743, 'remain_clicks', 'uebrig', NULL),
(61, 744, 'extra', 'art', 'textlinkklick'),
(61, 744, 'affiliate_id', 'uid', NULL),
(61, 744, 'password', 'pw', NULL),
(61, 744, 'site_id', 'sid', NULL),
(61, 744, 'reward', 'verguetung', NULL),
(61, 744, 'reload', 'reload', NULL),
(61, 744, 'remain_clicks', 'uebrig', NULL),
(61, 745, 'extra', 'art', 'textlinkview'),
(61, 745, 'affiliate_id', 'uid', NULL),
(61, 745, 'password', 'pw', NULL),
(61, 745, 'site_id', 'sid', NULL),
(61, 745, 'reward', 'verguetung', NULL),
(61, 745, 'reload', 'reload', NULL),
(61, 745, 'remain_clicks', 'uebrig', NULL),
(61, 746, 'extra', 'art', 'traffic'),
(61, 746, 'affiliate_id', 'uid', NULL),
(61, 746, 'password', 'pw', NULL),
(61, 746, 'site_id', 'sid', NULL),
(61, 746, 'reward', 'verguetung', NULL),
(61, 746, 'reload', 'reload', NULL),
(61, 746, 'remain_clicks', 'uebrig', NULL),
(61, 746, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Werbe-Sponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(53, 637, 'extra', 'art', 'bannerklick'),
(53, 637, 'affiliate_id', 'uid', NULL),
(53, 637, 'password', 'pw', NULL),
(53, 637, 'site_id', 'sid', NULL),
(53, 637, 'reward', 'verguetung', NULL),
(53, 637, 'reload', 'reload', NULL),
(53, 637, 'remain_clicks', 'uebrig', NULL),
(53, 638, 'extra', 'art', 'bannerview'),
(53, 638, 'affiliate_id', 'uid', NULL),
(53, 638, 'password', 'pw', NULL),
(53, 638, 'site_id', 'sid', NULL),
(53, 638, 'reward', 'verguetung', NULL),
(53, 638, 'reload', 'reload', NULL),
(53, 638, 'remain_clicks', 'uebrig', NULL),
(53, 639, 'extra', 'art', 'buttonklick'),
(53, 639, 'affiliate_id', 'uid', NULL),
(53, 639, 'password', 'pw', NULL),
(53, 639, 'site_id', 'sid', NULL),
(53, 639, 'reward', 'verguetung', NULL),
(53, 639, 'reload', 'reload', NULL),
(53, 639, 'remain_clicks', 'uebrig', NULL),
(53, 640, 'extra', 'art', 'buttonview'),
(53, 640, 'affiliate_id', 'uid', NULL),
(53, 640, 'password', 'pw', NULL),
(53, 640, 'site_id', 'sid', NULL),
(53, 640, 'reward', 'verguetung', NULL),
(53, 640, 'reload', 'reload', NULL),
(53, 640, 'remain_clicks', 'uebrig', NULL),
(53, 641, 'extra', 'art', 'forcedbanner'),
(53, 641, 'affiliate_id', 'uid', NULL),
(53, 641, 'password', 'pw', NULL),
(53, 641, 'site_id', 'sid', NULL),
(53, 641, 'reward', 'verguetung', NULL),
(53, 641, 'reload', 'reload', NULL),
(53, 641, 'remain_clicks', 'uebrig', NULL),
(53, 641, 'minimum_stay', 'ma', NULL),
(53, 642, 'extra', 'art', 'forcedtextlink'),
(53, 642, 'affiliate_id', 'uid', NULL),
(53, 642, 'password', 'pw', NULL),
(53, 642, 'site_id', 'sid', NULL),
(53, 642, 'reward', 'verguetung', NULL),
(53, 642, 'reload', 'reload', NULL),
(53, 642, 'remain_clicks', 'uebrig', NULL),
(53, 642, 'minimum_stay', 'ma', NULL),
(53, 643, 'extra', 'art', 'htmlmail'),
(53, 643, 'affiliate_id', 'uid', NULL),
(53, 643, 'password', 'pw', NULL),
(53, 643, 'site_id', 'sid', NULL),
(53, 643, 'reward', 'verguetung', NULL),
(53, 643, 'reload', 'reload', NULL),
(53, 643, 'remain_clicks', 'uebrig', NULL),
(53, 643, 'minimum_stay', 'ma', NULL),
(53, 644, 'extra', 'art', 'bannerview'),
(53, 644, 'affiliate_id', 'uid', NULL),
(53, 644, 'password', 'pw', NULL),
(53, 644, 'site_id', 'sid', NULL),
(53, 644, 'reward', 'verguetung', NULL),
(53, 644, 'reload', 'reload', NULL),
(53, 644, 'remain_clicks', 'uebrig', NULL),
(53, 645, 'extra', 'art', 'paidmail'),
(53, 645, 'affiliate_id', 'uid', NULL),
(53, 645, 'password', 'pw', NULL),
(53, 645, 'site_id', 'sid', NULL),
(53, 645, 'reward', 'verguetung', NULL),
(53, 645, 'reload', 'reload', NULL),
(53, 645, 'remain_clicks', 'uebrig', NULL),
(53, 645, 'minimum_stay', 'ma', NULL),
(53, 646, 'extra', 'art', 'popup'),
(53, 646, 'affiliate_id', 'uid', NULL),
(53, 646, 'password', 'pw', NULL),
(53, 646, 'site_id', 'sid', NULL),
(53, 646, 'reward', 'verguetung', NULL),
(53, 646, 'reload', 'reload', NULL),
(53, 646, 'remain_clicks', 'uebrig', NULL),
(53, 646, 'minimum_stay', 'ma', NULL),
(53, 647, 'extra', 'art', 'skybannerklick'),
(53, 647, 'affiliate_id', 'uid', NULL),
(53, 647, 'password', 'pw', NULL),
(53, 647, 'site_id', 'sid', NULL),
(53, 647, 'reward', 'verguetung', NULL),
(53, 647, 'reload', 'reload', NULL),
(53, 647, 'remain_clicks', 'uebrig', NULL),
(53, 648, 'extra', 'art', 'skybannerview'),
(53, 648, 'affiliate_id', 'uid', NULL),
(53, 648, 'password', 'pw', NULL),
(53, 648, 'site_id', 'sid', NULL),
(53, 648, 'reward', 'verguetung', NULL),
(53, 648, 'reload', 'reload', NULL),
(53, 648, 'remain_clicks', 'uebrig', NULL),
(53, 649, 'extra', 'art', 'surfbarklick'),
(53, 649, 'affiliate_id', 'uid', NULL),
(53, 649, 'password', 'pw', NULL),
(53, 649, 'site_id', 'sid', NULL),
(53, 649, 'reward', 'verguetung', NULL),
(53, 649, 'reload', 'reload', NULL),
(53, 649, 'remain_clicks', 'uebrig', NULL),
(53, 650, 'extra', 'art', 'surfbarview'),
(53, 650, 'affiliate_id', 'uid', NULL),
(53, 650, 'password', 'pw', NULL),
(53, 650, 'site_id', 'sid', NULL),
(53, 650, 'reward', 'verguetung', NULL),
(53, 650, 'reload', 'reload', NULL),
(53, 650, 'remain_clicks', 'uebrig', NULL),
(53, 651, 'extra', 'art', 'textlinkklick'),
(53, 651, 'affiliate_id', 'uid', NULL),
(53, 651, 'password', 'pw', NULL),
(53, 651, 'site_id', 'sid', NULL),
(53, 651, 'reward', 'verguetung', NULL),
(53, 651, 'reload', 'reload', NULL),
(53, 651, 'remain_clicks', 'uebrig', NULL),
(53, 652, 'extra', 'art', 'textlinkview'),
(53, 652, 'affiliate_id', 'uid', NULL),
(53, 652, 'password', 'pw', NULL),
(53, 652, 'site_id', 'sid', NULL),
(53, 652, 'reward', 'verguetung', NULL),
(53, 652, 'reload', 'reload', NULL),
(53, 652, 'remain_clicks', 'uebrig', NULL),
(53, 653, 'extra', 'art', 'traffic'),
(53, 653, 'affiliate_id', 'uid', NULL),
(53, 653, 'password', 'pw', NULL),
(53, 653, 'site_id', 'sid', NULL),
(53, 653, 'reward', 'verguetung', NULL),
(53, 653, 'reload', 'reload', NULL),
(53, 653, 'remain_clicks', 'uebrig', NULL),
(53, 653, 'minimum_stay', 'ma', NULL)");

// Request parameters per type handler - Der Werbepartner.cc
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(22, 145, 'extra', 'art', 'Textlinkklick'),
(22, 145, 'affiliate_id', 'uid', NULL),
(22, 145, 'password', 'pw', NULL),
(22, 145, 'reload', 'reload', NULL),
(22, 145, 'remain_clicks', 'offen', NULL),
(22, 145, 'reward', 'verg', NULL),
(22, 145, 'site_id', 'sid', NULL),
(22, 146, 'extra', 'art', 'Forcedbanner'),
(22, 146, 'affiliate_id', 'uid', NULL),
(22, 146, 'password', 'pw', NULL),
(22, 146, 'reload', 'reload', NULL),
(22, 146, 'remain_clicks', 'offen', NULL),
(22, 146, 'reward', 'verg', NULL),
(22, 146, 'site_id', 'sid', NULL),
(22, 147, 'extra', 'art', 'Paidmail'),
(22, 147, 'affiliate_id', 'uid', NULL),
(22, 147, 'password', 'pw', NULL),
(22, 147, 'reload', 'reload', NULL),
(22, 147, 'remain_clicks', 'offen', NULL),
(22, 147, 'reward', 'verg', NULL),
(22, 147, 'site_id', 'sid', NULL),
(22, 148, 'extra', 'art', 'Layer'),
(22, 148, 'affiliate_id', 'uid', NULL),
(22, 148, 'password', 'pw', NULL),
(22, 148, 'reload', 'reload', NULL),
(22, 148, 'remain_clicks', 'offen', NULL),
(22, 148, 'reward', 'verg', NULL),
(22, 148, 'site_id', 'sid', NULL),
(22, 149, 'extra', 'art', 'Skybannerklick'),
(22, 149, 'affiliate_id', 'uid', NULL),
(22, 149, 'password', 'pw', NULL),
(22, 149, 'reload', 'reload', NULL),
(22, 149, 'remain_clicks', 'offen', NULL),
(22, 149, 'reward', 'verg', NULL),
(22, 149, 'site_id', 'sid', NULL),
(22, 150, 'extra', 'art', 'Surfbarklick'),
(22, 150, 'affiliate_id', 'uid', NULL),
(22, 150, 'password', 'pw', NULL),
(22, 150, 'reload', 'reload', NULL),
(22, 150, 'remain_clicks', 'offen', NULL),
(22, 150, 'reward', 'verg', NULL),
(22, 150, 'site_id', 'sid', NULL),
(22, 151, 'extra', 'art', 'Bannerview'),
(22, 151, 'affiliate_id', 'uid', NULL),
(22, 151, 'password', 'pw', NULL),
(22, 151, 'reload', 'reload', NULL),
(22, 151, 'remain_clicks', 'offen', NULL),
(22, 151, 'reward', 'verg', NULL),
(22, 151, 'site_id', 'sid', NULL),
(22, 152, 'extra', 'art', 'PopUp'),
(22, 152, 'affiliate_id', 'uid', NULL),
(22, 152, 'password', 'pw', NULL),
(22, 152, 'reload', 'reload', NULL),
(22, 152, 'remain_clicks', 'offen', NULL),
(22, 152, 'reward', 'verg', NULL),
(22, 152, 'site_id', 'sid', NULL),
(22, 153, 'extra', 'art', 'Bannerklick'),
(22, 153, 'affiliate_id', 'uid', NULL),
(22, 153, 'password', 'pw', NULL),
(22, 153, 'reload', 'reload', NULL),
(22, 153, 'reward', 'verg', NULL),
(22, 153, 'site_id', 'sid', NULL),
(22, 153, 'type', 'offen', NULL),
(22, 154, 'extra', 'art', 'Forcedtextlink'),
(22, 154, 'affiliate_id', 'uid', NULL),
(22, 154, 'password', 'pw', NULL),
(22, 154, 'reload', 'reload', NULL),
(22, 154, 'remain_clicks', 'offen', NULL),
(22, 154, 'reward', 'verg', NULL),
(22, 154, 'site_id', 'sid', NULL),
(22, 155, 'extra', 'art', 'Traffic'),
(22, 155, 'affiliate_id', 'id', NULL),
(22, 155, 'password', 'pw', NULL),
(22, 155, 'reload', 'reload', NULL),
(22, 155, 'remain_clicks', 'offen', NULL),
(22, 155, 'reward', 'verg', NULL),
(22, 155, 'site_id', 'sid', NULL)");

// Request parameters per type handler - Xiji.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(43, 450, 'affiliate_id', 'id', NULL),
(43, 450, 'password', 'pw', NULL),
(43, 450, 'reward', 'verguetung', NULL),
(43, 450, 'remain_clicks', 'uebrig', NULL),
(43, 450, 'minimum_stay', 'ma', NULL),
(43, 450, 'site_id', 'aid', NULL),
(43, 451, 'affiliate_id', 'id', NULL),
(43, 451, 'password', 'pw', NULL),
(43, 451, 'reload', 'reload', NULL),
(43, 451, 'reward', 'verguetung', NULL),
(43, 451, 'remain_clicks', 'uebrig', NULL),
(43, 451, 'size', 'typ', '468x60'),
(43, 451, 'site_id', 'aid', NULL),
(43, 452, 'affiliate_id', 'id', NULL),
(43, 452, 'password', 'pw', NULL),
(43, 452, 'reload', 'reload', NULL),
(43, 452, 'reward', 'verguetung', NULL),
(43, 452, 'remain_clicks', 'uebrig', NULL),
(43, 452, 'minimum_stay', 'ma', NULL),
(43, 452, 'site_id', 'aid', NULL),
(43, 453, 'affiliate_id', 'id', NULL),
(43, 453, 'password', 'pw', NULL),
(43, 453, 'reload', 'reload', NULL),
(43, 453, 'reward', 'verguetung', NULL),
(43, 453, 'remain_clicks', 'uebrig', NULL),
(43, 453, 'minimum_stay', 'ma', NULL),
(43, 453, 'site_id', 'aid', NULL),
(43, 454, 'affiliate_id', 'id', NULL),
(43, 454, 'password', 'pw', NULL),
(43, 454, 'reload', 'reload', NULL),
(43, 454, 'reward', 'verguetung', NULL),
(43, 454, 'remain_clicks', 'uebrig', NULL),
(43, 454, 'site_id', 'aid', NULL),
(43, 455, 'affiliate_id', 'id', NULL),
(43, 455, 'password', 'pw', NULL),
(43, 455, 'reload', 'reload', NULL),
(43, 455, 'reward', 'verguetung', NULL),
(43, 455, 'remain_clicks', 'uebrig', NULL),
(43, 455, 'minimum_stay', 'ma', NULL),
(43, 455, 'site_id', 'aid', NULL),
(43, 456, 'affiliate_id', 'id', NULL),
(43, 456, 'password', 'pw', NULL),
(43, 456, 'reload', 'reload', NULL),
(43, 456, 'reward', 'verguetung', NULL),
(43, 456, 'remain_clicks', 'uebrig', NULL),
(43, 456, 'site_id', 'aid', NULL),
(43, 457, 'affiliate_id', 'id', NULL),
(43, 457, 'password', 'pw', NULL),
(43, 457, 'reload', 'reload', NULL),
(43, 457, 'reward', 'verguetung', NULL),
(43, 457, 'remain_clicks', 'uebrig', NULL),
(43, 457, 'minimum_stay', 'ma', NULL),
(43, 457, 'site_id', 'aid', NULL),
(43, 458, 'affiliate_id', 'id', NULL),
(43, 458, 'password', 'pw', NULL),
(43, 458, 'reload', 'reload', NULL),
(43, 458, 'reward', 'verguetung', NULL),
(43, 458, 'remain_clicks', 'uebrig', NULL),
(43, 458, 'size', 'typ', '88x31'),
(43, 458, 'site_id', 'aid', NULL),
(43, 459, 'affiliate_id', 'id', NULL),
(43, 459, 'password', 'pw', NULL),
(43, 459, 'reload', 'reload', NULL),
(43, 459, 'reward', 'verguetung', NULL),
(43, 459, 'remain_clicks', 'uebrig', NULL),
(43, 459, 'size', 'typ', '120x600'),
(43, 459, 'site_id', 'aid', NULL),
(43, 460, 'affiliate_id', 'id', NULL),
(43, 460, 'password', 'pw', NULL),
(43, 460, 'reload', 'reload', NULL),
(43, 460, 'reward', 'verguetung', NULL),
(43, 460, 'remain_clicks', 'uebrig', NULL),
(43, 460, 'size', 'typ', '234x60'),
(43, 460, 'site_id', 'aid', NULL)");

// Request parameters per type handler - Yoo!Media
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_request_params` (`network_id`, `network_type_id`, `network_request_param_key`, `network_request_param_value`, `network_request_param_default`) VALUES
(23, 156, 'erotic', 'erotik', NULL),
(23, 156, 'affiliate_id', 'id', NULL),
(23, 156, 'password', 'pw', NULL),
(23, 156, 'reload', 'reload', NULL),
(23, 156, 'remain_clicks', 'uebrig', NULL),
(23, 156, 'reward', 'verguetung', NULL),
(23, 156, 'size', 'size', '468x60'),
(23, 157, 'erotic', 'erotik', NULL),
(23, 157, 'affiliate_id', 'id', NULL),
(23, 157, 'password', 'pw', NULL),
(23, 157, 'reload', 'reload', NULL),
(23, 157, 'remain_clicks', 'uebrig', NULL),
(23, 157, 'reward', 'verguetung', NULL),
(23, 158, 'erotic', 'erotik', NULL),
(23, 158, 'affiliate_id', 'id', NULL),
(23, 158, 'password', 'pw', NULL),
(23, 158, 'reload', 'reload', NULL),
(23, 158, 'remain_clicks', 'uebrig', NULL),
(23, 158, 'reward', 'verguetung', NULL),
(23, 158, 'size', 'size', 'all'),
(23, 159, 'erotic', 'erotik', NULL),
(23, 159, 'affiliate_id', 'id', NULL),
(23, 159, 'minimum_stay', 'ma', NULL),
(23, 159, 'password', 'pw', NULL),
(23, 159, 'reload', 'reload', NULL),
(23, 159, 'remain_clicks', 'uebrig', NULL),
(23, 159, 'reward', 'verguetung', NULL),
(23, 159, 'size', 'size', '468x60'),
(23, 160, 'erotic', 'erotik', NULL),
(23, 160, 'affiliate_id', 'id', NULL),
(23, 160, 'password', 'pw', NULL),
(23, 160, 'reload', 'reload', NULL),
(23, 160, 'remain_clicks', 'uebrig', NULL),
(23, 160, 'reward', 'verguetung', NULL),
(23, 161, 'erotic', 'erotik', NULL),
(23, 161, 'affiliate_id', 'id', NULL),
(23, 161, 'minimum_stay', 'ma', NULL),
(23, 161, 'password', 'pw', NULL),
(23, 161, 'reload', 'reload', NULL),
(23, 161, 'remain_clicks', 'uebrig', NULL),
(23, 161, 'reward', 'verguetung', NULL),
(23, 162, 'erotic', 'erotik', NULL),
(23, 162, 'affiliate_id', 'id', NULL),
(23, 162, 'minimum_stay', 'ma', NULL),
(23, 162, 'password', 'pw', NULL),
(23, 162, 'reload', 'reload', NULL),
(23, 162, 'remain_clicks', 'uebrig', NULL),
(23, 162, 'reward', 'verguetung', NULL),
(23, 163, 'erotic', 'erotik', NULL),
(23, 163, 'affiliate_id', 'id', NULL),
(23, 163, 'password', 'pw', NULL),
(23, 163, 'reload', 'reload', NULL),
(23, 163, 'remain_clicks', 'uebrig', NULL),
(23, 163, 'reward', 'verguetung', NULL),
(23, 164, 'erotic', 'erotik', NULL),
(23, 164, 'affiliate_id', 'id', NULL),
(23, 164, 'minimum_stay', 'ma', NULL),
(23, 164, 'password', 'pw', NULL),
(23, 164, 'reload', 'reload', NULL),
(23, 164, 'remain_clicks', 'uebrig', NULL),
(23, 164, 'reward', 'verguetung', NULL),
(23, 165, 'erotic', 'erotik', NULL),
(23, 165, 'affiliate_id', 'id', NULL),
(23, 165, 'minimum_stay', 'ma', NULL),
(23, 165, 'password', 'pw', NULL),
(23, 165, 'reload', 'reload', NULL),
(23, 165, 'remain_clicks', 'uebrig', NULL),
(23, 165, 'reward', 'verguetung', NULL),
(23, 166, 'erotic', 'erotik', NULL),
(23, 166, 'affiliate_id', 'id', NULL),
(23, 166, 'password', 'pw', NULL),
(23, 166, 'remain_clicks', 'uebrig', NULL),
(23, 166, 'reward', 'verguetung', NULL),
(23, 525, 'erotic', 'erotik', NULL),
(23, 525, 'affiliate_id', 'id', NULL),
(23, 525, 'password', 'pw', NULL),
(23, 525, 'reload', 'reload', NULL),
(23, 525, 'remain_clicks', 'uebrig', NULL),
(23, 525, 'reward', 'verguetung', NULL),
(23, 525, 'size', 'size', '88x31'),
(23, 526, 'erotic', 'erotik', NULL),
(23, 526, 'affiliate_id', 'id', NULL),
(23, 526, 'password', 'pw', NULL),
(23, 526, 'reload', 'reload', NULL),
(23, 526, 'remain_clicks', 'uebrig', NULL),
(23, 526, 'reward', 'verguetung', NULL),
(23, 526, 'size', 'size', '234x60'),
(23, 527, 'erotic', 'erotik', NULL),
(23, 527, 'affiliate_id', 'id', NULL),
(23, 527, 'password', 'pw', NULL),
(23, 527, 'reload', 'reload', NULL),
(23, 527, 'remain_clicks', 'uebrig', NULL),
(23, 527, 'reward', 'verguetung', NULL),
(23, 527, 'size', 'size', '120x600'),
(23, 528, 'erotic', 'erotik', NULL),
(23, 528, 'affiliate_id', 'id', NULL),
(23, 528, 'minimum_stay', 'ma', NULL),
(23, 528, 'password', 'pw', NULL),
(23, 528, 'reload', 'reload', NULL),
(23, 528, 'remain_clicks', 'uebrig', NULL),
(23, 528, 'reward', 'verguetung', NULL),
(23, 528, 'size', 'size', '88x31'),
(23, 529, 'erotic', 'erotik', NULL),
(23, 529, 'affiliate_id', 'id', NULL),
(23, 529, 'minimum_stay', 'ma', NULL),
(23, 529, 'password', 'pw', NULL),
(23, 529, 'reload', 'reload', NULL),
(23, 529, 'remain_clicks', 'uebrig', NULL),
(23, 529, 'reward', 'verguetung', NULL),
(23, 529, 'size', 'size', '234x60'),
(23, 530, 'erotic', 'erotik', NULL),
(23, 530, 'affiliate_id', 'id', NULL),
(23, 530, 'minimum_stay', 'ma', NULL),
(23, 530, 'password', 'pw', NULL),
(23, 530, 'reload', 'reload', NULL),
(23, 530, 'remain_clicks', 'uebrig', NULL),
(23, 530, 'reward', 'verguetung', NULL),
(23, 530, 'size', 'size', '120x600'),
(23, 531, 'erotic', 'erotik', NULL),
(23, 531, 'affiliate_id', 'id', NULL),
(23, 531, 'password', 'pw', NULL),
(23, 531, 'reload', 'reload', NULL),
(23, 531, 'remain_clicks', 'uebrig', NULL),
(23, 531, 'reward', 'verguetung', NULL),
(23, 531, 'size', 'size', '468x60'),
(23, 532, 'erotic', 'erotik', NULL),
(23, 532, 'affiliate_id', 'id', NULL),
(23, 532, 'password', 'pw', NULL),
(23, 532, 'reload', 'reload', NULL),
(23, 532, 'remain_clicks', 'uebrig', NULL),
(23, 532, 'reward', 'verguetung', NULL),
(23, 532, 'size', 'size', '88x31'),
(23, 533, 'erotic', 'erotik', NULL),
(23, 533, 'affiliate_id', 'id', NULL),
(23, 533, 'password', 'pw', NULL),
(23, 533, 'reload', 'reload', NULL),
(23, 533, 'remain_clicks', 'uebrig', NULL),
(23, 533, 'reward', 'verguetung', NULL),
(23, 533, 'size', 'size', '234x60'),
(23, 534, 'erotic', 'erotik', NULL),
(23, 534, 'affiliate_id', 'id', NULL),
(23, 534, 'password', 'pw', NULL),
(23, 534, 'reload', 'reload', NULL),
(23, 534, 'remain_clicks', 'uebrig', NULL),
(23, 534, 'reward', 'verguetung', NULL),
(23, 534, 'size', 'size', '120x600'),
(23, 535, 'erotic', 'erotik', NULL),
(23, 535, 'affiliate_id', 'id', NULL),
(23, 535, 'password', 'pw', NULL),
(23, 535, 'reload', 'reload', NULL),
(23, 535, 'remain_clicks', 'uebrig', NULL),
(23, 535, 'reward', 'verguetung', NULL),
(23, 535, 'size', 'size', 'all'),
(23, 536, 'erotic', 'erotik', NULL),
(23, 536, 'affiliate_id', 'id', NULL),
(23, 536, 'password', 'pw', NULL),
(23, 536, 'reload', 'reload', NULL),
(23, 536, 'remain_clicks', 'uebrig', NULL),
(23, 536, 'reward', 'verguetung', NULL),
(23, 537, 'erotic', 'erotik', NULL),
(23, 537, 'affiliate_id', 'id', NULL),
(23, 537, 'password', 'pw', NULL),
(23, 537, 'reload', 'reload', NULL),
(23, 537, 'remain_clicks', 'uebrig', NULL),
(23, 537, 'reward', 'verguetung', NULL)");

// API array elements - A3H
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(1, 1, 7, 1),
(1, 1, 2, 2),
(1, 1, 3, 3),
(1, 1, 4, 4),
(1, 1, 5, 5),
(1, 1, 6, 6),
(1, 1, 8, 7),
(1, 1, 10, 8),
(1, 2, 11, 1),
(1, 2, 2, 2),
(1, 2, 9, 3),
(1, 2, 4, 4),
(1, 2, 5, 5),
(1, 2, 6, 6),
(1, 3, 12, 1),
(1, 3, 2, 2),
(1, 3, 3, 3),
(1, 3, 4, 4),
(1, 3, 5, 5),
(1, 3, 6, 6),
(1, 3, 8, 7),
(1, 4, 7, 1),
(1, 4, 2, 2),
(1, 4, 3, 3),
(1, 4, 4, 4),
(1, 4, 5, 5),
(1, 4, 6, 6),
(1, 4, 10, 7),
(1, 4, 8, 8),
(1, 5, 13, 1),
(1, 5, 2, 2),
(1, 5, 4, 3),
(1, 5, 5, 4),
(1, 5, 6, 5),
(1, 5, 10, 6),
(1, 5, 9, 7),
(1, 6, 14, 1),
(1, 6, 2, 2),
(1, 6, 4, 3),
(1, 6, 5, 4),
(1, 6, 6, 5),
(1, 7, 15, 1),
(1, 7, 2, 2),
(1, 7, 4, 3),
(1, 7, 5, 4),
(1, 7, 6, 5),
(1, 7, 10, 6),
(1, 8, 16, 1),
(1, 8, 2, 2),
(1, 8, 4, 3),
(1, 8, 5, 4),
(1, 8, 6, 5),
(1, 8, 10, 6),
(1, 9, 17, 1),
(1, 9, 2, 2),
(1, 9, 6, 3),
(1, 9, 19, 4),
(1, 9, 20, 5),
(1, 9, 21, 6),
(1, 9, 22, 7),
(1, 9, 23, 8),
(1, 9, 9, 9),
(1, 9, 25, 10),
(1, 9, 5, 11),
(1, 10, 18, 1),
(1, 10, 2, 2),
(1, 10, 6, 3),
(1, 10, 19, 4),
(1, 10, 20, 5),
(1, 10, 21, 6),
(1, 10, 22, 7),
(1, 10, 23, 8),
(1, 10, 9, 9),
(1, 10, 25, 10),
(1, 387, 7, 1),
(1, 387, 2, 2),
(1, 387, 3, 3),
(1, 387, 4, 4),
(1, 387, 5, 5),
(1, 387, 6, 6),
(1, 387, 8, 7),
(1, 387, 10, 8),
(1, 388, 14, 1),
(1, 388, 2, 2),
(1, 388, 4, 3),
(1, 388, 5, 4),
(1, 388, 6, 5),
(1, 389, 12, 1),
(1, 389, 2, 2),
(1, 389, 3, 3),
(1, 389, 4, 4),
(1, 389, 5, 5),
(1, 389, 6, 6),
(1, 389, 8, 7),
(1, 390, 11, 1),
(1, 390, 2, 2),
(1, 390, 9, 3),
(1, 390, 4, 4),
(1, 390, 5, 5),
(1, 390, 6, 6)");

// API array elements - AbisZED-Netz
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(2, 187, 7, 1),
(2, 187, 2, 2),
(2, 187, 3, 3),
(2, 187, 4, 4),
(2, 187, 5, 5),
(2, 187, 6, 6),
(2, 187, 8, 7),
(2, 187, 10, 8),
(2, 188, 7, 1),
(2, 188, 2, 2),
(2, 188, 3, 3),
(2, 188, 4, 4),
(2, 188, 5, 5),
(2, 188, 6, 6),
(2, 188, 8, 7),
(2, 188, 10, 8),
(2, 189, 11, 1),
(2, 189, 2, 2),
(2, 189, 9, 3),
(2, 189, 4, 4),
(2, 189, 5, 5),
(2, 189, 6, 6),
(2, 190, 11, 1),
(2, 190, 2, 2),
(2, 190, 9, 3),
(2, 190, 4, 4),
(2, 190, 5, 5),
(2, 190, 6, 6),
(2, 191, 12, 1),
(2, 191, 2, 2),
(2, 191, 3, 3),
(2, 191, 4, 4),
(2, 191, 5, 5),
(2, 191, 6, 6),
(2, 191, 8, 7),
(2, 192, 12, 1),
(2, 192, 10, 2),
(2, 192, 3, 3),
(2, 192, 4, 4),
(2, 192, 5, 5),
(2, 192, 6, 6),
(2, 192, 8, 7),
(2, 193, 7, 1),
(2, 193, 2, 2),
(2, 193, 3, 3),
(2, 193, 4, 4),
(2, 193, 5, 5),
(2, 193, 6, 6),
(2, 193, 10, 7),
(2, 193, 8, 8),
(2, 194, 13, 1),
(2, 194, 2, 2),
(2, 194, 4, 3),
(2, 194, 5, 4),
(2, 194, 6, 5),
(2, 194, 10, 6),
(2, 194, 9, 7),
(2, 195, 13, 1),
(2, 195, 2, 2),
(2, 195, 4, 3),
(2, 195, 5, 4),
(2, 195, 6, 5),
(2, 195, 10, 6),
(2, 195, 9, 7),
(2, 196, 14, 1),
(2, 196, 2, 2),
(2, 196, 4, 3),
(2, 196, 5, 4),
(2, 196, 6, 5),
(2, 197, 14, 1),
(2, 197, 2, 2),
(2, 197, 4, 3),
(2, 197, 5, 4),
(2, 197, 6, 5),
(2, 198, 15, 1),
(2, 198, 2, 2),
(2, 198, 4, 3),
(2, 198, 5, 4),
(2, 198, 6, 5),
(2, 198, 10, 6),
(2, 199, 16, 1),
(2, 199, 2, 2),
(2, 199, 4, 3),
(2, 199, 5, 4),
(2, 199, 6, 5),
(2, 199, 10, 6),
(2, 200, 17, 1),
(2, 200, 2, 2),
(2, 200, 6, 3),
(2, 200, 19, 4),
(2, 200, 20, 5),
(2, 200, 21, 6),
(2, 200, 22, 7),
(2, 200, 23, 8),
(2, 200, 9, 9),
(2, 200, 25, 10),
(2, 200, 5, 11),
(2, 201, 18, 1),
(2, 201, 2, 2),
(2, 201, 6, 3),
(2, 201, 19, 4),
(2, 201, 20, 5),
(2, 201, 21, 6),
(2, 201, 22, 7),
(2, 201, 23, 8),
(2, 201, 9, 9),
(2, 201, 25, 10)");

// API array elements - Ad-Hit.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(31, 302, 1, 1),
(31, 302, 2, 2),
(31, 302, 4, 3),
(31, 302, 5, 4),
(31, 302, 6, 5),
(31, 302, 10, 6),
(31, 302, 9, 7),
(31, 302, 40, 8),
(31, 303, 1, 1),
(31, 303, 2, 2),
(31, 303, 4, 3),
(31, 303, 5, 4),
(31, 303, 6, 5),
(31, 303, 10, 6),
(31, 303, 9, 7),
(31, 303, 40, 8),
(31, 304, 1, 1),
(31, 304, 2, 2),
(31, 304, 4, 3),
(31, 304, 5, 4),
(31, 304, 6, 5),
(31, 304, 10, 6),
(31, 304, 9, 7),
(31, 304, 40, 8),
(31, 305, 1, 1),
(31, 305, 2, 2),
(31, 305, 4, 3),
(31, 305, 5, 4),
(31, 305, 6, 5),
(31, 305, 10, 6),
(31, 305, 9, 7),
(31, 305, 40, 8),
(31, 306, 1, 1),
(31, 306, 2, 2),
(31, 306, 4, 3),
(31, 306, 5, 4),
(31, 306, 6, 5),
(31, 306, 10, 6),
(31, 306, 9, 7),
(31, 306, 40, 8),
(31, 307, 1, 1),
(31, 307, 2, 2),
(31, 307, 4, 3),
(31, 307, 5, 4),
(31, 307, 6, 5),
(31, 307, 10, 6),
(31, 307, 9, 7),
(31, 307, 40, 8),
(31, 308, 1, 1),
(31, 308, 2, 2),
(31, 308, 4, 3),
(31, 308, 5, 4),
(31, 308, 6, 5),
(31, 308, 10, 6),
(31, 308, 9, 7),
(31, 308, 40, 8),
(31, 309, 1, 1),
(31, 309, 2, 2),
(31, 309, 4, 3),
(31, 309, 5, 4),
(31, 309, 6, 5),
(31, 309, 10, 6),
(31, 309, 9, 7),
(31, 309, 40, 8),
(31, 310, 1, 1),
(31, 310, 2, 2),
(31, 310, 4, 3),
(31, 310, 5, 4),
(31, 310, 6, 5),
(31, 310, 10, 6),
(31, 310, 9, 7),
(31, 310, 40, 8),
(31, 311, 1, 1),
(31, 311, 2, 2),
(31, 311, 4, 3),
(31, 311, 5, 4),
(31, 311, 6, 5),
(31, 311, 10, 6),
(31, 311, 9, 7),
(31, 311, 40, 8)");

// API array elements - Ad-Magnet

// API array elements - Ad-Promotion.net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(37, 367, 1, 1),
(37, 367, 2, 2),
(37, 367, 4, 3),
(37, 367, 5, 4),
(37, 367, 6, 5),
(37, 367, 10, 6),
(37, 367, 9, 7),
(37, 367, 40, 8),
(37, 368, 1, 1),
(37, 368, 2, 2),
(37, 368, 4, 3),
(37, 368, 5, 4),
(37, 368, 6, 5),
(37, 368, 10, 6),
(37, 368, 9, 7),
(37, 368, 40, 8),
(37, 369, 1, 1),
(37, 369, 2, 2),
(37, 369, 4, 3),
(37, 369, 5, 4),
(37, 369, 6, 5),
(37, 369, 10, 6),
(37, 369, 9, 7),
(37, 369, 40, 8),
(37, 370, 1, 1),
(37, 370, 2, 2),
(37, 370, 4, 3),
(37, 370, 5, 4),
(37, 370, 6, 5),
(37, 370, 10, 6),
(37, 370, 9, 7),
(37, 370, 40, 8),
(37, 371, 1, 1),
(37, 371, 2, 2),
(37, 371, 4, 3),
(37, 371, 5, 4),
(37, 371, 6, 5),
(37, 371, 10, 6),
(37, 371, 9, 7),
(37, 371, 40, 8),
(37, 372, 1, 1),
(37, 372, 2, 2),
(37, 372, 4, 3),
(37, 372, 5, 4),
(37, 372, 6, 5),
(37, 372, 10, 6),
(37, 372, 9, 7),
(37, 372, 40, 8),
(37, 373, 1, 1),
(37, 373, 2, 2),
(37, 373, 4, 3),
(37, 373, 5, 4),
(37, 373, 6, 5),
(37, 373, 10, 6),
(37, 373, 9, 7),
(37, 373, 40, 8),
(37, 374, 1, 1),
(37, 374, 2, 2),
(37, 374, 4, 3),
(37, 374, 5, 4),
(37, 374, 6, 5),
(37, 374, 10, 6),
(37, 374, 9, 7),
(37, 374, 40, 8),
(37, 375, 1, 1),
(37, 375, 2, 2),
(37, 375, 4, 3),
(37, 375, 5, 4),
(37, 375, 6, 5),
(37, 375, 10, 6),
(37, 375, 9, 7),
(37, 375, 40, 8),
(37, 376, 1, 1),
(37, 376, 2, 2),
(37, 376, 4, 3),
(37, 376, 5, 4),
(37, 376, 6, 5),
(37, 376, 10, 6),
(37, 376, 9, 7),
(37, 376, 40, 8)");

// API array elements - AdCity.eu
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(32, 312, 1, 1),
(32, 312, 2, 2),
(32, 312, 4, 3),
(32, 312, 5, 4),
(32, 312, 6, 5),
(32, 313, 1, 1),
(32, 313, 2, 2),
(32, 313, 4, 3),
(32, 313, 5, 4),
(32, 313, 6, 5),
(32, 314, 1, 1),
(32, 314, 2, 2),
(32, 314, 4, 3),
(32, 314, 5, 4),
(32, 314, 6, 5),
(32, 315, 1, 1),
(32, 315, 2, 2),
(32, 315, 4, 3),
(32, 315, 5, 4),
(32, 315, 6, 5),
(32, 316, 1, 1),
(32, 316, 2, 2),
(32, 316, 4, 3),
(32, 316, 5, 4),
(32, 316, 6, 5),
(32, 317, 1, 1),
(32, 317, 2, 2),
(32, 317, 4, 3),
(32, 317, 5, 4),
(32, 317, 6, 5),
(32, 318, 1, 1),
(32, 318, 2, 2),
(32, 318, 4, 3),
(32, 318, 5, 4),
(32, 318, 6, 5),
(32, 319, 1, 1),
(32, 319, 2, 2),
(32, 319, 4, 3),
(32, 319, 5, 4),
(32, 319, 6, 5),
(32, 320, 1, 1),
(32, 320, 2, 2),
(32, 320, 4, 3),
(32, 320, 5, 4),
(32, 320, 6, 5),
(32, 320, 10, 6),
(32, 321, 1, 1),
(32, 321, 2, 2),
(32, 321, 4, 3),
(32, 321, 5, 4),
(32, 321, 6, 5),
(32, 321, 10, 6),
(32, 321, 9, 7)");

// API array elements - ADCocktail

// API array elements - AdConvention
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(30, 292, 1, 1),
(30, 292, 2, 2),
(30, 292, 4, 3),
(30, 292, 5, 4),
(30, 292, 6, 5),
(30, 292, 10, 6),
(30, 293, 1, 1),
(30, 293, 2, 2),
(30, 293, 4, 3),
(30, 293, 5, 4),
(30, 293, 6, 5),
(30, 293, 10, 6),
(30, 294, 1, 1),
(30, 294, 2, 2),
(30, 294, 4, 3),
(30, 294, 5, 4),
(30, 294, 6, 5),
(30, 295, 1, 1),
(30, 295, 2, 2),
(30, 295, 4, 3),
(30, 295, 5, 4),
(30, 295, 6, 5),
(30, 296, 1, 1),
(30, 296, 2, 2),
(30, 296, 4, 3),
(30, 296, 5, 4),
(30, 296, 6, 5),
(30, 297, 1, 1),
(30, 297, 2, 2),
(30, 297, 4, 3),
(30, 297, 5, 4),
(30, 297, 6, 5),
(30, 298, 1, 1),
(30, 298, 2, 2),
(30, 298, 4, 3),
(30, 298, 5, 4),
(30, 298, 6, 5),
(30, 299, 1, 1),
(30, 299, 2, 2),
(30, 299, 4, 3),
(30, 299, 5, 4),
(30, 299, 6, 5),
(30, 299, 10, 6),
(30, 300, 1, 1),
(30, 300, 2, 2),
(30, 300, 4, 3),
(30, 300, 5, 4),
(30, 300, 6, 5),
(30, 300, 10, 6),
(30, 301, 1, 1),
(30, 301, 2, 2),
(30, 301, 4, 3),
(30, 301, 5, 4),
(30, 301, 6, 5),
(30, 301, 10, 6),
(30, 301, 9, 7)");

// API array elements - adgain.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(33, 322, 1, 1),
(33, 322, 2, 2),
(33, 322, 5, 3),
(33, 322, 4, 4),
(33, 322, 6, 5),
(33, 323, 1, 1),
(33, 323, 2, 2),
(33, 323, 5, 3),
(33, 323, 4, 4),
(33, 323, 6, 5),
(33, 324, 1, 1),
(33, 324, 2, 2),
(33, 324, 5, 3),
(33, 324, 4, 4),
(33, 324, 6, 5),
(33, 324, 10, 6),
(33, 325, 1, 1),
(33, 325, 2, 2),
(33, 325, 5, 3),
(33, 325, 4, 4),
(33, 325, 6, 5),
(33, 325, 10, 6),
(33, 325, 9, 7),
(33, 326, 1, 1),
(33, 326, 2, 2),
(33, 326, 5, 3),
(33, 326, 4, 4),
(33, 326, 6, 5),
(33, 326, 10, 6),
(33, 326, 37, 7),
(33, 326, 9, 8),
(33, 327, 1, 1),
(33, 327, 2, 2),
(33, 327, 5, 3),
(33, 327, 4, 4),
(33, 327, 6, 5),
(33, 328, 1, 1),
(33, 328, 2, 2),
(33, 328, 5, 3),
(33, 328, 4, 4),
(33, 328, 6, 5),
(33, 328, 10, 6),
(33, 328, 37, 7),
(33, 328, 9, 8),
(33, 329, 1, 1),
(33, 329, 2, 2),
(33, 329, 5, 3),
(33, 329, 4, 4),
(33, 329, 6, 5),
(33, 329, 10, 6),
(33, 330, 1, 1),
(33, 330, 2, 2),
(33, 330, 5, 3),
(33, 330, 4, 4),
(33, 330, 6, 5),
(33, 331, 1, 1),
(33, 331, 2, 2),
(33, 331, 5, 3),
(33, 331, 4, 4),
(33, 331, 6, 5),
(33, 332, 1, 1),
(33, 332, 2, 2),
(33, 332, 5, 3),
(33, 332, 4, 4),
(33, 332, 6, 5),
(33, 333, 1, 1),
(33, 333, 2, 2),
(33, 333, 5, 3),
(33, 333, 4, 4),
(33, 333, 6, 5),
(33, 334, 1, 1),
(33, 334, 2, 2),
(33, 334, 5, 3),
(33, 334, 4, 4),
(33, 334, 6, 5),
(33, 334, 9, 6),
(33, 335, 1, 1),
(33, 335, 2, 2),
(33, 335, 5, 3),
(33, 335, 4, 4),
(33, 335, 6, 5),
(33, 335, 9, 6)");

// API array elements - ADkracher
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(34, 336, 1, 1),
(34, 336, 2, 2),
(34, 336, 5, 3),
(34, 336, 4, 4),
(34, 336, 6, 5),
(34, 337, 1, 1),
(34, 337, 2, 2),
(34, 337, 5, 3),
(34, 337, 4, 4),
(34, 337, 6, 5),
(34, 338, 1, 1),
(34, 338, 2, 2),
(34, 338, 5, 3),
(34, 338, 4, 4),
(34, 338, 6, 5),
(34, 338, 10, 6),
(34, 339, 1, 1),
(34, 339, 2, 2),
(34, 339, 5, 3),
(34, 339, 4, 4),
(34, 339, 6, 5),
(34, 339, 10, 6),
(34, 339, 9, 7),
(34, 340, 1, 1),
(34, 340, 2, 2),
(34, 340, 5, 3),
(34, 340, 4, 4),
(34, 340, 6, 5),
(34, 340, 10, 6),
(34, 340, 37, 7),
(34, 340, 9, 8),
(34, 341, 1, 1),
(34, 341, 2, 2),
(34, 341, 5, 3),
(34, 341, 4, 4),
(34, 341, 6, 5),
(34, 342, 1, 1),
(34, 342, 2, 2),
(34, 342, 5, 3),
(34, 342, 4, 4),
(34, 342, 6, 5),
(34, 342, 10, 6),
(34, 342, 37, 7),
(34, 342, 9, 8),
(34, 343, 1, 1),
(34, 343, 2, 2),
(34, 343, 5, 3),
(34, 343, 4, 4),
(34, 343, 6, 5),
(34, 343, 10, 6),
(34, 344, 1, 1),
(34, 344, 2, 2),
(34, 344, 5, 3),
(34, 344, 4, 4),
(34, 344, 6, 5),
(34, 345, 1, 1),
(34, 345, 2, 2),
(34, 345, 5, 3),
(34, 345, 4, 4),
(34, 345, 6, 5),
(34, 346, 1, 1),
(34, 346, 2, 2),
(34, 346, 5, 3),
(34, 346, 4, 4),
(34, 346, 6, 5),
(34, 346, 9, 6),
(34, 347, 1, 1),
(34, 347, 2, 2),
(34, 347, 5, 3),
(34, 347, 4, 4),
(34, 347, 6, 5),
(34, 348, 1, 1),
(34, 348, 2, 2),
(34, 348, 5, 3),
(34, 348, 4, 4),
(34, 348, 6, 5),
(34, 348, 10, 6)");

// API array elements - Adminlose.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(35, 349, 1, 1),
(35, 349, 2, 2),
(35, 349, 4, 3),
(35, 349, 5, 4),
(35, 349, 6, 5),
(35, 349, 10, 6),
(35, 350, 1, 1),
(35, 350, 2, 2),
(35, 350, 4, 3),
(35, 350, 5, 4),
(35, 350, 6, 5),
(35, 350, 9, 6),
(35, 351, 1, 1),
(35, 351, 2, 2),
(35, 351, 4, 3),
(35, 351, 5, 4),
(35, 351, 6, 5),
(35, 352, 1, 1),
(35, 352, 2, 2),
(35, 352, 4, 3),
(35, 352, 5, 4),
(35, 352, 6, 5),
(35, 352, 9, 6),
(35, 353, 1, 1),
(35, 353, 2, 2),
(35, 353, 5, 3),
(35, 353, 6, 4),
(35, 353, 10, 5),
(35, 353, 37, 6),
(35, 353, 9, 7),
(35, 354, 1, 1),
(35, 354, 2, 2),
(35, 354, 4, 3),
(35, 354, 5, 4),
(35, 354, 6, 5),
(35, 355, 1, 1),
(35, 355, 2, 2),
(35, 355, 4, 3),
(35, 355, 5, 4),
(35, 355, 6, 5),
(35, 355, 10, 6),
(35, 356, 1, 1),
(35, 356, 2, 2),
(35, 356, 4, 3),
(35, 356, 5, 4),
(35, 356, 6, 5),
(35, 356, 10, 6)");

// API array elements - Ads4AllWeb
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(55, 679, 1, 1),
(55, 679, 2, 2),
(55, 679, 5, 3),
(55, 679, 4, 4),
(55, 679, 6, 5),
(55, 680, 1, 1),
(55, 680, 2, 2),
(55, 680, 5, 3),
(55, 680, 4, 4),
(55, 680, 6, 5),
(55, 681, 1, 1),
(55, 681, 2, 2),
(55, 681, 5, 3),
(55, 681, 4, 4),
(55, 681, 6, 5),
(55, 681, 10, 6),
(55, 682, 1, 1),
(55, 682, 2, 2),
(55, 682, 5, 3),
(55, 682, 4, 4),
(55, 682, 6, 5),
(55, 682, 10, 6),
(55, 682, 9, 7),
(55, 683, 1, 1),
(55, 683, 2, 2),
(55, 683, 5, 3),
(55, 683, 4, 4),
(55, 683, 6, 5),
(55, 683, 10, 6),
(55, 683, 37, 7),
(55, 683, 9, 8),
(55, 684, 1, 1),
(55, 684, 2, 2),
(55, 684, 5, 3),
(55, 684, 4, 4),
(55, 684, 6, 5),
(55, 685, 1, 1),
(55, 685, 2, 2),
(55, 685, 5, 3),
(55, 685, 4, 4),
(55, 685, 6, 5),
(55, 685, 10, 6),
(55, 685, 37, 7),
(55, 685, 9, 8),
(55, 686, 1, 1),
(55, 686, 2, 2),
(55, 686, 5, 3),
(55, 686, 4, 4),
(55, 686, 6, 5),
(55, 686, 10, 6),
(55, 687, 1, 1),
(55, 687, 2, 2),
(55, 687, 5, 3),
(55, 687, 4, 4),
(55, 687, 6, 5),
(55, 688, 1, 1),
(55, 688, 2, 2),
(55, 688, 5, 3),
(55, 688, 4, 4),
(55, 688, 6, 5),
(55, 689, 1, 1),
(55, 689, 2, 2),
(55, 689, 5, 3),
(55, 689, 4, 4),
(55, 689, 6, 5),
(55, 690, 1, 1),
(55, 690, 2, 2),
(55, 690, 5, 3),
(55, 690, 4, 4),
(55, 690, 6, 5),
(55, 691, 1, 1),
(55, 691, 2, 2),
(55, 691, 5, 3),
(55, 691, 4, 4),
(55, 691, 6, 5),
(55, 691, 9, 6),
(55, 692, 1, 1),
(55, 692, 2, 2),
(55, 692, 5, 3),
(55, 692, 4, 4),
(55, 692, 6, 5),
(55, 692, 9, 6),
(55, 693, 1, 1),
(55, 693, 2, 2),
(55, 693, 5, 3),
(55, 693, 4, 4),
(55, 693, 6, 5),
(55, 693, 10, 6)");

// API array elements - Ads4Clicks
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(67, 809, 1, 1),
(67, 809, 6, 2),
(67, 809, 2, 3),
(67, 809, 4, 4),
(67, 809, 9, 5),
(67, 809, 39, 6),
(67, 809, 10, 7),
(67, 809, 5, 8),
(67, 810, 1, 1),
(67, 810, 6, 2),
(67, 810, 2, 3),
(67, 810, 4, 4),
(67, 810, 40, 5),
(67, 810, 39, 6),
(67, 810, 10, 7),
(67, 810, 5, 8),
(67, 811, 1, 1),
(67, 811, 6, 2),
(67, 811, 2, 3),
(67, 811, 4, 4),
(67, 811, 40, 5),
(67, 811, 39, 6),
(67, 811, 10, 7),
(67, 811, 5, 8),
(67, 812, 1, 1),
(67, 812, 6, 2),
(67, 812, 2, 3),
(67, 812, 4, 4),
(67, 812, 39, 5),
(67, 812, 10, 6),
(67, 812, 5, 7),
(67, 813, 1, 1),
(67, 813, 6, 2),
(67, 813, 2, 3),
(67, 813, 4, 4),
(67, 813, 9, 5),
(67, 813, 39, 6),
(67, 813, 10, 7),
(67, 813, 5, 8)");

// API array elements - Ads4Paid4
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(57, 694, 1, 1),
(57, 694, 2, 2),
(57, 694, 5, 3),
(57, 694, 4, 4),
(57, 694, 6, 5),
(57, 695, 1, 1),
(57, 695, 2, 2),
(57, 695, 5, 3),
(57, 695, 4, 4),
(57, 695, 6, 5),
(57, 696, 1, 1),
(57, 696, 2, 2),
(57, 696, 5, 3),
(57, 696, 4, 4),
(57, 696, 6, 5),
(57, 696, 10, 6),
(57, 697, 1, 1),
(57, 697, 2, 2),
(57, 697, 5, 3),
(57, 697, 4, 4),
(57, 697, 6, 5),
(57, 697, 10, 6),
(57, 697, 9, 7),
(57, 698, 1, 1),
(57, 698, 2, 2),
(57, 698, 5, 3),
(57, 698, 4, 4),
(57, 698, 6, 5),
(57, 699, 1, 1),
(57, 699, 2, 2),
(57, 699, 5, 3),
(57, 699, 4, 4),
(57, 699, 6, 5),
(57, 699, 10, 6),
(57, 699, 37, 7),
(57, 699, 9, 8),
(57, 700, 1, 1),
(57, 700, 2, 2),
(57, 700, 5, 3),
(57, 700, 4, 4),
(57, 700, 6, 5),
(57, 700, 10, 6),
(57, 701, 1, 1),
(57, 701, 2, 2),
(57, 701, 5, 3),
(57, 701, 4, 4),
(57, 701, 6, 5),
(57, 702, 1, 1),
(57, 702, 2, 2),
(57, 702, 5, 3),
(57, 702, 4, 4),
(57, 702, 6, 5),
(57, 703, 1, 1),
(57, 703, 2, 2),
(57, 703, 5, 3),
(57, 703, 4, 4),
(57, 703, 6, 5),
(57, 703, 9, 6),
(57, 704, 1, 1),
(57, 704, 2, 2),
(57, 704, 5, 3),
(57, 704, 4, 4),
(57, 704, 6, 5),
(57, 704, 9, 6),
(57, 705, 1, 1),
(57, 705, 2, 2),
(57, 705, 5, 3),
(57, 705, 4, 4),
(57, 705, 6, 5),
(57, 705, 10, 6)");

// API array elements - AffiliBlatt.de

// API array elements - Erotic-Promotion
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(63, 764, 1, 1),
(63, 764, 2, 2),
(63, 764, 4, 3),
(63, 764, 5, 4),
(63, 764, 6, 5),
(63, 764, 10, 6),
(63, 764, 9, 7),
(63, 764, 40, 8),
(63, 765, 1, 1),
(63, 765, 2, 2),
(63, 765, 4, 3),
(63, 765, 5, 4),
(63, 765, 6, 5),
(63, 765, 10, 6),
(63, 765, 9, 7),
(63, 765, 40, 8),
(63, 766, 1, 1),
(63, 766, 2, 2),
(63, 766, 4, 3),
(63, 766, 5, 4),
(63, 766, 6, 5),
(63, 766, 10, 6),
(63, 766, 9, 7),
(63, 766, 40, 8),
(63, 767, 1, 1),
(63, 767, 2, 2),
(63, 767, 4, 3),
(63, 767, 5, 4),
(63, 767, 6, 5),
(63, 767, 10, 6),
(63, 767, 9, 7),
(63, 767, 40, 8),
(63, 768, 1, 1),
(63, 768, 2, 2),
(63, 768, 4, 3),
(63, 768, 5, 4),
(63, 768, 6, 5),
(63, 768, 10, 6),
(63, 768, 9, 7),
(63, 768, 40, 8),
(63, 769, 1, 1),
(63, 769, 2, 2),
(63, 769, 4, 3),
(63, 769, 5, 4),
(63, 769, 6, 5),
(63, 769, 10, 6),
(63, 769, 9, 7),
(63, 769, 40, 8),
(63, 770, 1, 1),
(63, 770, 2, 2),
(63, 770, 4, 3),
(63, 770, 5, 4),
(63, 770, 6, 5),
(63, 770, 10, 6),
(63, 770, 9, 7),
(63, 770, 40, 8),
(63, 771, 1, 1),
(63, 771, 2, 2),
(63, 771, 4, 3),
(63, 771, 5, 4),
(63, 771, 6, 5),
(63, 771, 10, 6),
(63, 771, 9, 7),
(63, 771, 40, 8),
(63, 772, 1, 1),
(63, 772, 2, 2),
(63, 772, 4, 3),
(63, 772, 5, 4),
(63, 772, 6, 5),
(63, 772, 10, 6),
(63, 772, 9, 7),
(63, 772, 40, 8),
(63, 773, 1, 1),
(63, 773, 2, 2),
(63, 773, 4, 3),
(63, 773, 5, 4),
(63, 773, 6, 5),
(63, 773, 10, 6),
(63, 773, 9, 7),
(63, 773, 40, 8)");

// API array elements - eu-ADS.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(42, 431, 1, 1),
(42, 431, 2, 2),
(42, 431, 4, 3),
(42, 431, 5, 4),
(42, 431, 6, 5),
(42, 431, 10, 6),
(42, 431, 9, 7),
(42, 431, 40, 8),
(42, 432, 1, 1),
(42, 432, 2, 2),
(42, 432, 4, 3),
(42, 432, 5, 4),
(42, 432, 6, 5),
(42, 432, 10, 6),
(42, 432, 9, 7),
(42, 432, 40, 8),
(42, 433, 1, 1),
(42, 433, 2, 2),
(42, 433, 4, 3),
(42, 433, 5, 4),
(42, 433, 6, 5),
(42, 433, 10, 6),
(42, 433, 9, 7),
(42, 433, 40, 8),
(42, 434, 1, 1),
(42, 434, 2, 2),
(42, 434, 4, 3),
(42, 434, 5, 4),
(42, 434, 6, 5),
(42, 434, 10, 6),
(42, 434, 9, 7),
(42, 434, 40, 8),
(42, 435, 1, 1),
(42, 435, 2, 2),
(42, 435, 4, 3),
(42, 435, 5, 4),
(42, 435, 6, 5),
(42, 435, 10, 6),
(42, 435, 9, 7),
(42, 435, 40, 8),
(42, 436, 1, 1),
(42, 436, 2, 2),
(42, 436, 4, 3),
(42, 436, 5, 4),
(42, 436, 6, 5),
(42, 436, 10, 6),
(42, 436, 9, 7),
(42, 436, 40, 8),
(42, 437, 1, 1),
(42, 437, 2, 2),
(42, 437, 4, 3),
(42, 437, 5, 4),
(42, 437, 6, 5),
(42, 437, 10, 6),
(42, 437, 9, 7),
(42, 437, 40, 8),
(42, 438, 1, 1),
(42, 438, 2, 2),
(42, 438, 4, 3),
(42, 438, 5, 4),
(42, 438, 6, 5),
(42, 438, 10, 6),
(42, 438, 9, 7),
(42, 438, 40, 8),
(42, 439, 1, 1),
(42, 439, 2, 2),
(42, 439, 4, 3),
(42, 439, 5, 4),
(42, 439, 6, 5),
(42, 439, 10, 6),
(42, 439, 9, 7),
(42, 439, 40, 8),
(42, 440, 1, 1),
(42, 440, 2, 2),
(42, 440, 4, 3),
(42, 440, 5, 4),
(42, 440, 6, 5),
(42, 440, 10, 6),
(42, 440, 9, 7),
(42, 440, 40, 8)");

// API array elements - Sponsor-Box
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(49, 576, 7, 1),
(49, 576, 2, 2),
(49, 576, 5, 3),
(49, 576, 4, 4),
(49, 576, 6, 5),
(49, 577, 7, 1),
(49, 577, 2, 2),
(49, 577, 5, 3),
(49, 577, 4, 4),
(49, 577, 6, 5),
(49, 578, 7, 1),
(49, 578, 2, 2),
(49, 578, 5, 3),
(49, 578, 4, 4),
(49, 578, 6, 5),
(49, 579, 7, 1),
(49, 579, 2, 2),
(49, 579, 5, 3),
(49, 579, 4, 4),
(49, 579, 6, 5),
(49, 580, 7, 1),
(49, 580, 2, 2),
(49, 580, 5, 3),
(49, 580, 4, 4),
(49, 580, 6, 5),
(49, 580, 10, 6),
(49, 581, 1, 1),
(49, 581, 2, 2),
(49, 581, 5, 3),
(49, 581, 4, 4),
(49, 581, 6, 5),
(49, 581, 10, 6),
(49, 581, 9, 7),
(49, 582, 1, 1),
(49, 582, 2, 2),
(49, 582, 5, 3),
(49, 582, 4, 4),
(49, 582, 6, 5),
(49, 582, 10, 6),
(49, 582, 38, 7),
(49, 582, 9, 8),
(49, 583, 1, 1),
(49, 583, 2, 2),
(49, 583, 5, 3),
(49, 583, 4, 4),
(49, 583, 6, 5),
(49, 584, 1, 1),
(49, 584, 2, 2),
(49, 584, 5, 3),
(49, 584, 4, 4),
(49, 584, 6, 5),
(49, 584, 10, 6),
(49, 584, 38, 7),
(49, 584, 9, 8),
(49, 588, 1, 1),
(49, 588, 2, 2),
(49, 588, 5, 3),
(49, 588, 4, 4),
(49, 588, 6, 5),
(49, 588, 9, 6),
(49, 589, 1, 1),
(49, 589, 2, 2),
(49, 589, 5, 3),
(49, 589, 4, 4),
(49, 589, 6, 5),
(49, 589, 9, 6),
(49, 590, 1, 1),
(49, 590, 2, 2),
(49, 590, 5, 3),
(49, 590, 4, 4),
(49, 590, 6, 5),
(49, 590, 10, 6)");

// API array elements - Admono.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(36, 357, 1, 1),
(36, 357, 2, 2),
(36, 357, 4, 3),
(36, 357, 5, 4),
(36, 357, 6, 5),
(36, 358, 1, 1),
(36, 358, 2, 2),
(36, 358, 4, 3),
(36, 358, 5, 4),
(36, 358, 6, 5),
(36, 359, 1, 1),
(36, 359, 2, 2),
(36, 359, 4, 3),
(36, 359, 5, 4),
(36, 359, 6, 5),
(36, 360, 1, 1),
(36, 360, 2, 2),
(36, 360, 4, 3),
(36, 360, 5, 4),
(36, 360, 6, 5),
(36, 361, 1, 1),
(36, 361, 2, 2),
(36, 361, 4, 3),
(36, 361, 5, 4),
(36, 361, 6, 5),
(36, 362, 1, 1),
(36, 362, 2, 2),
(36, 362, 4, 3),
(36, 362, 5, 4),
(36, 362, 6, 5),
(36, 363, 1, 1),
(36, 363, 2, 2),
(36, 363, 4, 3),
(36, 363, 5, 4),
(36, 363, 6, 5),
(36, 364, 1, 1),
(36, 364, 2, 2),
(36, 364, 4, 3),
(36, 364, 5, 4),
(36, 364, 6, 5),
(36, 365, 1, 1),
(36, 365, 2, 2),
(36, 365, 4, 3),
(36, 365, 5, 4),
(36, 365, 6, 5),
(36, 365, 10, 6),
(36, 366, 1, 1),
(36, 366, 2, 2),
(36, 366, 4, 3),
(36, 366, 5, 4),
(36, 366, 6, 5),
(36, 366, 10, 6),
(36, 366, 9, 7)");

// API array elements - AdPaid
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(5, 177, 7, 1),
(5, 177, 2, 2),
(5, 177, 3, 3),
(5, 177, 4, 4),
(5, 177, 5, 5),
(5, 177, 6, 6),
(5, 177, 8, 7),
(5, 177, 10, 8),
(5, 178, 11, 1),
(5, 178, 2, 2),
(5, 178, 9, 3),
(5, 178, 4, 4),
(5, 178, 5, 5),
(5, 178, 6, 6),
(5, 179, 12, 1),
(5, 179, 2, 2),
(5, 179, 3, 3),
(5, 179, 4, 4),
(5, 179, 5, 5),
(5, 179, 6, 6),
(5, 179, 8, 7),
(5, 180, 7, 1),
(5, 180, 2, 2),
(5, 180, 3, 3),
(5, 180, 4, 4),
(5, 180, 5, 5),
(5, 180, 6, 6),
(5, 180, 10, 7),
(5, 180, 8, 8),
(5, 181, 13, 1),
(5, 181, 2, 2),
(5, 181, 4, 3),
(5, 181, 5, 4),
(5, 181, 6, 5),
(5, 181, 10, 6),
(5, 181, 9, 7),
(5, 182, 14, 1),
(5, 182, 2, 2),
(5, 182, 4, 3),
(5, 182, 5, 4),
(5, 182, 6, 5),
(5, 183, 15, 1),
(5, 183, 2, 2),
(5, 183, 4, 3),
(5, 183, 5, 4),
(5, 183, 6, 5),
(5, 183, 10, 6),
(5, 185, 17, 1),
(5, 185, 2, 2),
(5, 185, 6, 3),
(5, 185, 19, 4),
(5, 185, 20, 5),
(5, 185, 21, 6),
(5, 185, 22, 7),
(5, 185, 23, 8),
(5, 185, 9, 9)");

// API array elements - AdProvi
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(38, 377, 1, 1),
(38, 377, 2, 2),
(38, 377, 4, 3),
(38, 377, 5, 4),
(38, 377, 6, 5),
(38, 377, 10, 6),
(38, 377, 9, 7),
(38, 377, 40, 8),
(38, 378, 1, 1),
(38, 378, 2, 2),
(38, 378, 4, 3),
(38, 378, 5, 4),
(38, 378, 6, 5),
(38, 378, 10, 6),
(38, 378, 9, 7),
(38, 378, 40, 8),
(38, 379, 1, 1),
(38, 379, 2, 2),
(38, 379, 4, 3),
(38, 379, 5, 4),
(38, 379, 6, 5),
(38, 379, 10, 6),
(38, 379, 9, 7),
(38, 379, 40, 8),
(38, 380, 1, 1),
(38, 380, 2, 2),
(38, 380, 4, 3),
(38, 380, 5, 4),
(38, 380, 6, 5),
(38, 380, 10, 6),
(38, 380, 9, 7),
(38, 380, 40, 8),
(38, 381, 1, 1),
(38, 381, 2, 2),
(38, 381, 4, 3),
(38, 381, 5, 4),
(38, 381, 6, 5),
(38, 381, 10, 6),
(38, 381, 9, 7),
(38, 381, 40, 8),
(38, 382, 1, 1),
(38, 382, 2, 2),
(38, 382, 4, 3),
(38, 382, 5, 4),
(38, 382, 6, 5),
(38, 382, 10, 6),
(38, 382, 9, 7),
(38, 382, 40, 8),
(38, 383, 1, 1),
(38, 383, 2, 2),
(38, 383, 4, 3),
(38, 383, 5, 4),
(38, 383, 6, 5),
(38, 383, 10, 6),
(38, 383, 9, 7),
(38, 383, 40, 8),
(38, 384, 1, 1),
(38, 384, 2, 2),
(38, 384, 4, 3),
(38, 384, 5, 4),
(38, 384, 6, 5),
(38, 384, 10, 6),
(38, 384, 9, 7),
(38, 384, 40, 8),
(38, 385, 1, 1),
(38, 385, 2, 2),
(38, 385, 4, 3),
(38, 385, 5, 4),
(38, 385, 6, 5),
(38, 385, 10, 6),
(38, 385, 9, 7),
(38, 385, 40, 8),
(38, 386, 1, 1),
(38, 386, 2, 2),
(38, 386, 4, 3),
(38, 386, 5, 4),
(38, 386, 6, 5),
(38, 386, 10, 6),
(38, 386, 9, 7),
(38, 386, 40, 8)");

// API array elements - LoseAds
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(52, 620, 7, 1),
(52, 620, 2, 2),
(52, 620, 5, 3),
(52, 620, 4, 4),
(52, 620, 6, 5),
(52, 621, 7, 1),
(52, 621, 2, 2),
(52, 621, 5, 3),
(52, 621, 4, 4),
(52, 621, 6, 5),
(52, 622, 7, 1),
(52, 622, 2, 2),
(52, 622, 5, 3),
(52, 622, 4, 4),
(52, 622, 6, 5),
(52, 623, 7, 1),
(52, 623, 2, 2),
(52, 623, 5, 3),
(52, 623, 4, 4),
(52, 623, 6, 5),
(52, 624, 7, 1),
(52, 624, 2, 2),
(52, 624, 5, 3),
(52, 624, 4, 4),
(52, 624, 6, 5),
(52, 624, 10, 6),
(52, 625, 1, 1),
(52, 625, 2, 2),
(52, 625, 5, 3),
(52, 625, 4, 4),
(52, 625, 6, 5),
(52, 625, 10, 6),
(52, 625, 9, 7),
(52, 626, 1, 1),
(52, 626, 2, 2),
(52, 626, 5, 3),
(52, 626, 4, 4),
(52, 626, 6, 5),
(52, 626, 10, 6),
(52, 626, 38, 7),
(52, 626, 9, 8),
(52, 627, 7, 1),
(52, 627, 2, 2),
(52, 627, 5, 3),
(52, 627, 4, 4),
(52, 627, 6, 5),
(52, 628, 1, 1),
(52, 628, 2, 2),
(52, 628, 5, 3),
(52, 628, 4, 4),
(52, 628, 6, 5),
(52, 628, 10, 6),
(52, 628, 38, 7),
(52, 628, 9, 8),
(52, 629, 7, 1),
(52, 629, 2, 2),
(52, 629, 5, 3),
(52, 629, 4, 4),
(52, 629, 6, 5),
(52, 629, 10, 6),
(52, 630, 7, 1),
(52, 630, 2, 2),
(52, 630, 5, 3),
(52, 630, 4, 4),
(52, 630, 6, 5),
(52, 631, 7, 1),
(52, 631, 2, 2),
(52, 631, 5, 3),
(52, 631, 4, 4),
(52, 631, 6, 5),
(52, 632, 7, 1),
(52, 632, 2, 2),
(52, 632, 5, 3),
(52, 632, 4, 4),
(52, 632, 6, 5),
(52, 633, 7, 1),
(52, 633, 2, 2),
(52, 633, 5, 3),
(52, 633, 4, 4),
(52, 633, 6, 5),
(52, 634, 1, 1),
(52, 634, 2, 2),
(52, 634, 5, 3),
(52, 634, 4, 4),
(52, 634, 6, 5),
(52, 634, 9, 6),
(52, 635, 1, 1),
(52, 635, 2, 2),
(52, 635, 5, 3),
(52, 635, 4, 4),
(52, 635, 6, 5),
(52, 635, 9, 6),
(52, 636, 7, 1),
(52, 636, 2, 2),
(52, 636, 5, 3),
(52, 636, 4, 4),
(52, 636, 6, 5),
(52, 636, 10, 6)");

// API array elements - Ads2Earn
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(39, 395, 1, 1),
(39, 395, 2, 2),
(39, 395, 3, 3),
(39, 395, 4, 4),
(39, 395, 5, 5),
(39, 395, 6, 6),
(39, 395, 8, 7),
(39, 395, 10, 8),
(39, 396, 1, 1),
(39, 396, 2, 2),
(39, 396, 3, 3),
(39, 396, 4, 4),
(39, 396, 5, 5),
(39, 396, 6, 6),
(39, 396, 8, 7),
(39, 396, 10, 8),
(39, 397, 1, 1),
(39, 397, 2, 2),
(39, 397, 9, 3),
(39, 397, 4, 4),
(39, 397, 5, 5),
(39, 397, 6, 6),
(39, 398, 1, 1),
(39, 398, 2, 2),
(39, 398, 9, 3),
(39, 398, 4, 4),
(39, 398, 5, 5),
(39, 398, 6, 6),
(39, 399, 1, 1),
(39, 399, 2, 2),
(39, 399, 3, 3),
(39, 399, 4, 4),
(39, 399, 5, 5),
(39, 399, 6, 6),
(39, 399, 10, 7),
(39, 399, 8, 8),
(39, 400, 1, 1),
(39, 400, 2, 2),
(39, 400, 4, 3),
(39, 400, 5, 4),
(39, 400, 6, 5),
(39, 400, 10, 6),
(39, 400, 9, 7),
(39, 401, 1, 1),
(39, 401, 2, 2),
(39, 401, 4, 3),
(39, 401, 5, 4),
(39, 401, 6, 5),
(39, 401, 10, 6),
(39, 401, 9, 7),
(39, 402, 1, 1),
(39, 402, 2, 2),
(39, 402, 3, 3),
(39, 402, 4, 4),
(39, 402, 5, 5),
(39, 402, 6, 6),
(39, 402, 8, 7),
(39, 402, 10, 8),
(39, 403, 1, 1),
(39, 403, 2, 2),
(39, 403, 3, 3),
(39, 403, 4, 4),
(39, 403, 5, 5),
(39, 403, 6, 6),
(39, 403, 8, 7),
(39, 403, 10, 8),
(39, 404, 1, 1),
(39, 404, 2, 2),
(39, 404, 3, 3),
(39, 404, 4, 4),
(39, 404, 5, 5),
(39, 404, 6, 6),
(39, 404, 8, 7),
(39, 404, 10, 8),
(39, 405, 1, 1),
(39, 405, 2, 2),
(39, 405, 3, 3),
(39, 405, 4, 4),
(39, 405, 5, 5),
(39, 405, 6, 6),
(39, 405, 8, 7),
(39, 405, 10, 8)");

// API array elements - Ads2Webbi
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(40, 406, 1, 1),
(40, 406, 2, 2),
(40, 406, 4, 3),
(40, 406, 5, 4),
(40, 406, 6, 5),
(40, 407, 1, 1),
(40, 407, 2, 2),
(40, 407, 4, 3),
(40, 407, 5, 4),
(40, 407, 6, 5),
(40, 408, 1, 1),
(40, 408, 2, 2),
(40, 408, 4, 3),
(40, 408, 5, 4),
(40, 408, 6, 5),
(40, 409, 1, 1),
(40, 409, 2, 2),
(40, 409, 4, 3),
(40, 409, 5, 4),
(40, 409, 6, 5),
(40, 410, 1, 1),
(40, 410, 2, 2),
(40, 410, 4, 3),
(40, 410, 5, 4),
(40, 410, 6, 5),
(40, 411, 1, 1),
(40, 411, 2, 2),
(40, 411, 4, 3),
(40, 411, 5, 4),
(40, 411, 6, 5),
(40, 412, 1, 1),
(40, 412, 2, 2),
(40, 412, 4, 3),
(40, 412, 5, 4),
(40, 412, 6, 5),
(40, 413, 1, 1),
(40, 413, 2, 2),
(40, 413, 4, 3),
(40, 413, 5, 4),
(40, 413, 6, 5),
(40, 414, 1, 1),
(40, 414, 2, 2),
(40, 414, 4, 3),
(40, 414, 5, 4),
(40, 414, 6, 5),
(40, 414, 10, 6),
(40, 415, 1, 1),
(40, 415, 2, 2),
(40, 415, 4, 3),
(40, 415, 5, 4),
(40, 415, 6, 5),
(40, 415, 10, 6),
(40, 415, 9, 7)");

// API array elements - Ads-4-All
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(54, 669, 1, 1),
(54, 669, 2, 2),
(54, 669, 4, 3),
(54, 669, 5, 4),
(54, 669, 6, 5),
(54, 670, 1, 1),
(54, 670, 2, 2),
(54, 670, 4, 3),
(54, 670, 5, 4),
(54, 670, 6, 5),
(54, 671, 1, 1),
(54, 671, 2, 2),
(54, 671, 4, 3),
(54, 671, 5, 4),
(54, 671, 6, 5),
(54, 672, 1, 1),
(54, 672, 2, 2),
(54, 672, 4, 3),
(54, 672, 5, 4),
(54, 672, 6, 5),
(54, 673, 1, 1),
(54, 673, 2, 2),
(54, 673, 4, 3),
(54, 673, 5, 4),
(54, 673, 6, 5),
(54, 674, 1, 1),
(54, 674, 2, 2),
(54, 674, 4, 3),
(54, 674, 5, 4),
(54, 674, 6, 5),
(54, 675, 1, 1),
(54, 675, 2, 2),
(54, 675, 4, 3),
(54, 675, 5, 4),
(54, 675, 6, 5),
(54, 676, 1, 1),
(54, 676, 2, 2),
(54, 676, 4, 3),
(54, 676, 5, 4),
(54, 676, 6, 5),
(54, 676, 10, 6),
(54, 677, 1, 1),
(54, 677, 2, 2),
(54, 677, 4, 3),
(54, 677, 5, 4),
(54, 677, 6, 5),
(54, 677, 10, 6),
(54, 677, 9, 7),
(54, 678, 1, 1),
(54, 678, 2, 2),
(54, 678, 4, 3),
(54, 678, 5, 4),
(54, 678, 6, 5)");

// API array elements - Ads4.de
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(6, 14, 7, 1),
(6, 14, 2, 2),
(6, 14, 6, 3),
(6, 14, 4, 4),
(6, 14, 5, 5),
(6, 14, 10, 6),
(6, 15, 13, 1),
(6, 15, 2, 2),
(6, 15, 6, 3),
(6, 15, 4, 4),
(6, 15, 5, 5),
(6, 15, 10, 6),
(6, 16, 13, 1),
(6, 16, 2, 2),
(6, 16, 6, 3),
(6, 16, 4, 4),
(6, 16, 5, 5),
(6, 16, 10, 6),
(6, 119, 26, 1),
(6, 119, 2, 2),
(6, 119, 6, 3),
(6, 119, 4, 4),
(6, 119, 5, 5),
(6, 119, 10, 6)");

// API array elements - Ads4Webbis
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(7, 17, 1, 1),
(7, 17, 2, 2),
(7, 17, 4, 3),
(7, 17, 5, 4),
(7, 17, 6, 5),
(7, 17, 10, 6),
(7, 17, 9, 7),
(7, 17, 41, 8),
(7, 18, 1, 1),
(7, 18, 2, 2),
(7, 18, 4, 3),
(7, 18, 5, 4),
(7, 18, 6, 5),
(7, 18, 10, 6),
(7, 18, 9, 7),
(7, 18, 41, 8),
(7, 19, 1, 1),
(7, 19, 2, 2),
(7, 19, 4, 3),
(7, 19, 5, 4),
(7, 19, 6, 5),
(7, 19, 10, 6),
(7, 19, 9, 7),
(7, 19, 41, 8),
(7, 20, 1, 1),
(7, 20, 2, 2),
(7, 20, 4, 3),
(7, 20, 5, 4),
(7, 20, 6, 5),
(7, 20, 10, 6),
(7, 20, 9, 7),
(7, 20, 41, 8),
(7, 21, 1, 1),
(7, 21, 2, 2),
(7, 21, 4, 3),
(7, 21, 5, 4),
(7, 21, 6, 5),
(7, 21, 10, 6),
(7, 21, 9, 7),
(7, 21, 41, 8),
(7, 22, 1, 1),
(7, 22, 2, 2),
(7, 22, 4, 3),
(7, 22, 5, 4),
(7, 22, 6, 5),
(7, 22, 10, 6),
(7, 22, 9, 7),
(7, 22, 41, 8),
(7, 23, 1, 1),
(7, 23, 2, 2),
(7, 23, 4, 3),
(7, 23, 5, 4),
(7, 23, 6, 5),
(7, 23, 10, 6),
(7, 23, 9, 7),
(7, 23, 41, 8),
(7, 24, 1, 1),
(7, 24, 2, 2),
(7, 24, 4, 3),
(7, 24, 5, 4),
(7, 24, 6, 5),
(7, 24, 10, 6),
(7, 24, 9, 7),
(7, 24, 41, 8),
(7, 25, 1, 1),
(7, 25, 2, 2),
(7, 25, 4, 3),
(7, 25, 5, 4),
(7, 25, 6, 5),
(7, 25, 10, 6),
(7, 25, 9, 7),
(7, 25, 41, 8),
(7, 120, 1, 1),
(7, 120, 2, 2),
(7, 120, 4, 3),
(7, 120, 5, 4),
(7, 120, 6, 5),
(7, 120, 10, 6),
(7, 120, 9, 7),
(7, 120, 41, 8)");

// API array elements - Ads4World
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(8, 26, 1, 1),
(8, 26, 2, 2),
(8, 26, 4, 3),
(8, 26, 5, 4),
(8, 26, 6, 5),
(8, 27, 1, 1),
(8, 27, 2, 2),
(8, 27, 4, 3),
(8, 27, 5, 4),
(8, 27, 6, 5),
(8, 28, 1, 1),
(8, 28, 2, 2),
(8, 28, 4, 3),
(8, 28, 5, 4),
(8, 28, 6, 5),
(8, 29, 1, 1),
(8, 29, 2, 2),
(8, 29, 4, 3),
(8, 29, 5, 4),
(8, 29, 6, 5),
(8, 30, 1, 1),
(8, 30, 2, 2),
(8, 30, 4, 3),
(8, 30, 5, 4),
(8, 30, 6, 5),
(8, 31, 1, 1),
(8, 31, 2, 2),
(8, 31, 4, 3),
(8, 31, 5, 4),
(8, 31, 6, 5),
(8, 32, 1, 1),
(8, 32, 2, 2),
(8, 32, 4, 3),
(8, 32, 5, 4),
(8, 32, 6, 5),
(8, 33, 1, 1),
(8, 33, 2, 2),
(8, 33, 4, 3),
(8, 33, 5, 4),
(8, 33, 6, 5),
(8, 33, 10, 6),
(8, 34, 1, 1),
(8, 34, 2, 2),
(8, 34, 4, 3),
(8, 34, 5, 4),
(8, 34, 6, 5),
(8, 34, 10, 6),
(8, 34, 9, 7),
(8, 121, 1, 1),
(8, 121, 2, 2),
(8, 121, 4, 3),
(8, 121, 5, 4),
(8, 121, 6, 5)");

// API array elements - Affiliblatt
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(9, 441, 1, 1),
(9, 441, 2, 2),
(9, 441, 6, 3),
(9, 441, 5, 4),
(9, 441, 7, 5),
(9, 441, 4, 6),
(9, 442, 1, 1),
(9, 442, 2, 2),
(9, 442, 6, 3),
(9, 442, 5, 4),
(9, 442, 7, 5),
(9, 442, 4, 6),
(9, 443, 1, 1),
(9, 443, 2, 2),
(9, 443, 6, 3),
(9, 443, 5, 4),
(9, 443, 7, 5),
(9, 443, 4, 6),
(9, 444, 1, 1),
(9, 444, 2, 2),
(9, 444, 6, 3),
(9, 444, 5, 4),
(9, 444, 7, 5),
(9, 444, 4, 6),
(9, 445, 1, 1),
(9, 445, 2, 2),
(9, 445, 6, 3),
(9, 445, 5, 4),
(9, 445, 7, 5),
(9, 445, 4, 6),
(9, 446, 1, 1),
(9, 446, 2, 2),
(9, 446, 6, 3),
(9, 446, 5, 4),
(9, 446, 7, 5),
(9, 446, 4, 6),
(9, 447, 1, 1),
(9, 447, 2, 2),
(9, 447, 6, 3),
(9, 447, 5, 4),
(9, 447, 7, 5),
(9, 447, 4, 6),
(9, 448, 1, 1),
(9, 448, 2, 2),
(9, 448, 9, 3),
(9, 448, 13, 4),
(9, 448, 6, 5),
(9, 448, 5, 6),
(9, 448, 10, 7),
(9, 448, 4, 8),
(9, 449, 1, 1),
(9, 449, 2, 2),
(9, 449, 6, 3),
(9, 449, 26, 4),
(9, 449, 4, 5),
(9, 500, 1, 1),
(9, 500, 2, 2),
(9, 500, 6, 3),
(9, 500, 5, 4),
(9, 500, 7, 5),
(9, 500, 4, 6),
(9, 501, 1, 1),
(9, 501, 2, 2),
(9, 501, 6, 3),
(9, 501, 5, 4),
(9, 501, 7, 5),
(9, 501, 4, 6),
(9, 502, 1, 1),
(9, 502, 2, 2),
(9, 502, 6, 3),
(9, 502, 5, 4),
(9, 502, 7, 5),
(9, 502, 4, 6),
(9, 503, 1, 1),
(9, 503, 2, 2),
(9, 503, 6, 3),
(9, 503, 5, 4),
(9, 503, 7, 5),
(9, 503, 4, 6),
(9, 504, 1, 1),
(9, 504, 2, 2),
(9, 504, 6, 3),
(9, 504, 5, 4),
(9, 504, 7, 5),
(9, 504, 4, 6),
(9, 505, 1, 1),
(9, 505, 2, 2),
(9, 505, 6, 3),
(9, 505, 5, 4),
(9, 505, 7, 5),
(9, 505, 4, 6),
(9, 506, 1, 1),
(9, 506, 2, 2),
(9, 506, 6, 3),
(9, 506, 5, 4),
(9, 506, 7, 5),
(9, 506, 4, 6),
(9, 507, 1, 1),
(9, 507, 2, 2),
(9, 507, 6, 3),
(9, 507, 5, 4),
(9, 507, 7, 5),
(9, 507, 4, 6),
(9, 508, 1, 1),
(9, 508, 2, 2),
(9, 508, 6, 3),
(9, 508, 5, 4),
(9, 508, 7, 5),
(9, 508, 4, 6)");

// API array elements - AllAds4You
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(10, 167, 1, 1),
(10, 167, 2, 2),
(10, 167, 4, 3),
(10, 167, 5, 4),
(10, 167, 6, 5),
(10, 167, 10, 6),
(10, 167, 40, 7),
(10, 168, 1, 1),
(10, 168, 2, 2),
(10, 168, 4, 3),
(10, 168, 5, 4),
(10, 168, 6, 5),
(10, 168, 10, 6),
(10, 168, 40, 7),
(10, 169, 1, 1),
(10, 169, 2, 2),
(10, 169, 4, 3),
(10, 169, 5, 4),
(10, 169, 6, 5),
(10, 169, 10, 6),
(10, 169, 40, 7),
(10, 170, 1, 1),
(10, 170, 2, 2),
(10, 170, 4, 3),
(10, 170, 5, 4),
(10, 170, 6, 5),
(10, 170, 10, 6),
(10, 170, 40, 7),
(10, 171, 1, 1),
(10, 171, 2, 2),
(10, 171, 4, 3),
(10, 171, 5, 4),
(10, 171, 6, 5),
(10, 171, 10, 6),
(10, 171, 40, 7),
(10, 172, 1, 1),
(10, 172, 2, 2),
(10, 172, 4, 3),
(10, 172, 5, 4),
(10, 172, 6, 5),
(10, 172, 10, 6),
(10, 172, 40, 7),
(10, 173, 1, 1),
(10, 173, 2, 2),
(10, 173, 4, 3),
(10, 173, 5, 4),
(10, 173, 6, 5),
(10, 173, 10, 6),
(10, 173, 40, 7),
(10, 174, 1, 1),
(10, 174, 2, 2),
(10, 174, 4, 3),
(10, 174, 5, 4),
(10, 174, 6, 5),
(10, 174, 10, 6),
(10, 174, 40, 7),
(10, 175, 1, 1),
(10, 175, 2, 2),
(10, 175, 4, 3),
(10, 175, 5, 4),
(10, 175, 6, 5),
(10, 175, 10, 6),
(10, 175, 40, 7),
(10, 176, 1, 1),
(10, 176, 2, 2),
(10, 176, 4, 3),
(10, 176, 5, 4),
(10, 176, 6, 5),
(10, 176, 10, 6),
(10, 176, 9, 7),
(10, 176, 40, 8)");

// API array elements - Alster-Marketing
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(11, 35, 7, 1),
(11, 35, 2, 2),
(11, 35, 3, 3),
(11, 35, 4, 4),
(11, 35, 5, 5),
(11, 35, 6, 6),
(11, 35, 8, 7),
(11, 35, 10, 8),
(11, 36, 11, 1),
(11, 36, 2, 2),
(11, 36, 9, 3),
(11, 36, 4, 4),
(11, 36, 5, 5),
(11, 36, 6, 6),
(11, 37, 12, 1),
(11, 37, 2, 2),
(11, 37, 3, 3),
(11, 37, 4, 4),
(11, 37, 5, 5),
(11, 37, 6, 6),
(11, 37, 8, 7),
(11, 38, 7, 1),
(11, 38, 2, 2),
(11, 38, 3, 3),
(11, 38, 4, 4),
(11, 38, 5, 5),
(11, 38, 6, 6),
(11, 38, 10, 7),
(11, 38, 8, 8),
(11, 39, 13, 1),
(11, 39, 2, 2),
(11, 39, 4, 3),
(11, 39, 5, 4),
(11, 39, 6, 5),
(11, 39, 10, 6),
(11, 39, 9, 7),
(11, 40, 14, 1),
(11, 40, 2, 2),
(11, 40, 4, 3),
(11, 40, 5, 4),
(11, 40, 6, 5),
(11, 41, 15, 1),
(11, 41, 2, 2),
(11, 41, 4, 3),
(11, 41, 5, 4),
(11, 41, 6, 5),
(11, 41, 10, 6),
(11, 42, 16, 1),
(11, 42, 2, 2),
(11, 42, 4, 3),
(11, 42, 5, 4),
(11, 42, 6, 5),
(11, 42, 10, 6),
(11, 43, 17, 1),
(11, 43, 2, 2),
(11, 43, 6, 3),
(11, 43, 19, 4),
(11, 43, 20, 5),
(11, 43, 21, 6),
(11, 43, 22, 7),
(11, 43, 23, 8),
(11, 43, 9, 9),
(11, 43, 25, 10),
(11, 43, 5, 11),
(11, 44, 18, 1),
(11, 44, 2, 2),
(11, 44, 6, 3),
(11, 44, 19, 4),
(11, 44, 20, 5),
(11, 44, 21, 6),
(11, 44, 22, 7),
(11, 44, 23, 8),
(11, 44, 9, 9),
(11, 44, 25, 10),
(11, 45, 7, 1),
(11, 45, 2, 2),
(11, 45, 3, 3),
(11, 45, 4, 4),
(11, 45, 5, 5),
(11, 45, 6, 6),
(11, 45, 8, 7),
(11, 45, 10, 8),
(11, 46, 11, 1),
(11, 46, 2, 2),
(11, 46, 9, 3),
(11, 46, 4, 4),
(11, 46, 5, 5),
(11, 46, 6, 6),
(11, 47, 12, 1),
(11, 47, 2, 2),
(11, 47, 3, 3),
(11, 47, 4, 4),
(11, 47, 5, 5),
(11, 47, 6, 6),
(11, 47, 8, 7),
(11, 48, 13, 1),
(11, 48, 2, 2),
(11, 48, 4, 3),
(11, 48, 5, 4),
(11, 48, 6, 5),
(11, 48, 10, 6),
(11, 48, 9, 7),
(11, 49, 14, 1),
(11, 49, 2, 2),
(11, 49, 4, 3),
(11, 49, 5, 4),
(11, 49, 6, 5)");

// API array elements - BonusSponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(12, 62, 18, 1),
(12, 62, 2, 2),
(12, 62, 6, 3),
(12, 62, 19, 4),
(12, 62, 20, 5),
(12, 62, 21, 6),
(12, 62, 28, 7),
(12, 62, 29, 8),
(12, 62, 30, 9),
(12, 62, 31, 10),
(12, 62, 32, 11),
(12, 62, 33, 12),
(12, 62, 34, 13),
(12, 62, 22, 14),
(12, 62, 23, 15),
(12, 62, 24, 16),
(12, 62, 35, 17),
(12, 62, 36, 18),
(12, 62, 9, 19)");

// API array elements - Crystall
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(44, 538, 1, 1),
(44, 538, 2, 2),
(44, 538, 4, 3),
(44, 538, 5, 4),
(44, 538, 6, 5),
(44, 538, 10, 6),
(44, 538, 9, 7),
(44, 539, 41, 8),
(44, 540, 1, 1),
(44, 540, 2, 2),
(44, 540, 4, 3),
(44, 540, 5, 4),
(44, 540, 6, 5),
(44, 540, 10, 6),
(44, 540, 9, 7),
(44, 540, 41, 8),
(44, 541, 1, 1),
(44, 541, 2, 2),
(44, 541, 4, 3),
(44, 541, 5, 4),
(44, 541, 6, 5),
(44, 541, 10, 6),
(44, 541, 9, 7),
(44, 541, 41, 8),
(44, 542, 1, 1),
(44, 542, 2, 2),
(44, 542, 4, 3),
(44, 542, 5, 4),
(44, 542, 6, 5),
(44, 542, 10, 6),
(44, 542, 9, 7),
(44, 542, 41, 8),
(44, 543, 1, 1),
(44, 543, 2, 2),
(44, 543, 4, 3),
(44, 543, 5, 4),
(44, 543, 6, 5),
(44, 543, 10, 6),
(44, 543, 9, 7),
(44, 543, 41, 8),
(44, 544, 1, 1),
(44, 544, 2, 2),
(44, 544, 4, 3),
(44, 544, 5, 4),
(44, 544, 6, 5),
(44, 544, 10, 6),
(44, 544, 9, 7),
(44, 544, 41, 8),
(44, 545, 1, 1),
(44, 545, 2, 2),
(44, 545, 4, 3),
(44, 545, 5, 4),
(44, 545, 6, 5),
(44, 545, 10, 6),
(44, 545, 9, 7),
(44, 545, 41, 8),
(44, 546, 1, 1),
(44, 546, 2, 2),
(44, 546, 4, 3),
(44, 546, 5, 4),
(44, 546, 6, 5),
(44, 546, 10, 6),
(44, 546, 9, 7),
(44, 546, 41, 8),
(44, 547, 1, 1),
(44, 547, 2, 2),
(44, 547, 4, 3),
(44, 547, 5, 4),
(44, 547, 6, 5),
(44, 547, 10, 6),
(44, 547, 9, 7),
(44, 547, 41, 8)");

// API array elements - City-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(24, 212, 1, 1),
(24, 212, 2, 2),
(24, 212, 4, 3),
(24, 212, 5, 4),
(24, 212, 6, 5),
(24, 212, 10, 6),
(24, 212, 9, 7),
(24, 212, 41, 8),
(24, 213, 1, 1),
(24, 213, 2, 2),
(24, 213, 4, 3),
(24, 213, 5, 4),
(24, 213, 6, 5),
(24, 213, 10, 6),
(24, 213, 9, 7),
(24, 213, 41, 8),
(24, 214, 1, 1),
(24, 214, 2, 2),
(24, 214, 4, 3),
(24, 214, 5, 4),
(24, 214, 6, 5),
(24, 214, 10, 6),
(24, 214, 9, 7),
(24, 214, 41, 8),
(24, 215, 1, 1),
(24, 215, 2, 2),
(24, 215, 4, 3),
(24, 215, 5, 4),
(24, 215, 6, 5),
(24, 215, 10, 6),
(24, 215, 9, 7),
(24, 215, 41, 8),
(24, 216, 1, 1),
(24, 216, 2, 2),
(24, 216, 4, 3),
(24, 216, 5, 4),
(24, 216, 6, 5),
(24, 216, 10, 6),
(24, 216, 9, 7),
(24, 216, 41, 8),
(24, 217, 1, 1),
(24, 217, 2, 2),
(24, 217, 4, 3),
(24, 217, 5, 4),
(24, 217, 6, 5),
(24, 217, 10, 6),
(24, 217, 9, 7),
(24, 217, 41, 8),
(24, 218, 1, 1),
(24, 218, 2, 2),
(24, 218, 4, 3),
(24, 218, 5, 4),
(24, 218, 6, 5),
(24, 218, 10, 6),
(24, 218, 9, 7),
(24, 218, 41, 8),
(24, 219, 1, 1),
(24, 219, 2, 2),
(24, 219, 4, 3),
(24, 219, 5, 4),
(24, 219, 6, 5),
(24, 219, 10, 6),
(24, 219, 9, 7),
(24, 219, 41, 8),
(24, 220, 1, 1),
(24, 220, 2, 2),
(24, 220, 4, 3),
(24, 220, 5, 4),
(24, 220, 6, 5),
(24, 220, 10, 6),
(24, 220, 9, 7),
(24, 220, 41, 8),
(24, 221, 1, 1),
(24, 221, 2, 2),
(24, 221, 4, 3),
(24, 221, 5, 4),
(24, 221, 6, 5),
(24, 221, 10, 6),
(24, 221, 9, 7),
(24, 221, 41, 8)");

// API array elements - doubleads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(26, 232, 1, 1),
(26, 232, 2, 2),
(26, 232, 3, 3),
(26, 232, 4, 4),
(26, 232, 5, 5),
(26, 232, 6, 6),
(26, 232, 8, 7),
(26, 232, 10, 8),
(26, 233, 1, 1),
(26, 233, 2, 2),
(26, 233, 3, 3),
(26, 233, 4, 4),
(26, 233, 5, 5),
(26, 233, 6, 6),
(26, 233, 8, 7),
(26, 233, 10, 8),
(26, 234, 1, 1),
(26, 234, 2, 2),
(26, 234, 9, 3),
(26, 234, 4, 4),
(26, 234, 5, 5),
(26, 234, 6, 6),
(26, 235, 1, 1),
(26, 235, 2, 2),
(26, 235, 9, 3),
(26, 235, 4, 4),
(26, 235, 5, 5),
(26, 235, 6, 6),
(26, 236, 1, 1),
(26, 236, 2, 2),
(26, 236, 3, 3),
(26, 236, 4, 4),
(26, 236, 5, 5),
(26, 236, 6, 6),
(26, 236, 8, 7),
(26, 237, 1, 1),
(26, 237, 2, 2),
(26, 237, 3, 3),
(26, 237, 4, 4),
(26, 237, 5, 5),
(26, 237, 6, 6),
(26, 237, 8, 7),
(26, 238, 1, 1),
(26, 238, 2, 2),
(26, 238, 3, 3),
(26, 238, 4, 4),
(26, 238, 5, 5),
(26, 238, 6, 6),
(26, 238, 10, 7),
(26, 238, 8, 8),
(26, 239, 1, 1),
(26, 239, 2, 2),
(26, 239, 4, 3),
(26, 239, 5, 4),
(26, 239, 6, 5),
(26, 239, 10, 6),
(26, 239, 9, 7),
(26, 240, 1, 1),
(26, 240, 2, 2),
(26, 240, 4, 3),
(26, 240, 5, 4),
(26, 240, 6, 5),
(26, 240, 10, 6),
(26, 240, 9, 7),
(26, 241, 1, 1),
(26, 241, 2, 2),
(26, 241, 4, 3),
(26, 241, 5, 4),
(26, 241, 6, 5),
(26, 242, 1, 1),
(26, 242, 2, 2),
(26, 242, 4, 3),
(26, 242, 5, 4),
(26, 242, 6, 5),
(26, 243, 1, 1),
(26, 243, 2, 2),
(26, 243, 4, 3),
(26, 243, 5, 4),
(26, 243, 6, 5),
(26, 243, 10, 6),
(26, 244, 1, 1),
(26, 244, 2, 2),
(26, 244, 4, 3),
(26, 244, 5, 4),
(26, 244, 6, 5),
(26, 244, 10, 6),
(26, 245, 1, 1),
(26, 245, 2, 2),
(26, 245, 6, 3),
(26, 245, 19, 4),
(26, 245, 20, 5),
(26, 245, 21, 6),
(26, 245, 22, 7),
(26, 245, 23, 8),
(26, 245, 9, 9),
(26, 245, 25, 10),
(26, 245, 5, 11),
(26, 246, 1, 1),
(26, 246, 2, 2),
(26, 246, 6, 3),
(26, 246, 19, 4),
(26, 246, 20, 5),
(26, 246, 21, 6),
(26, 246, 22, 7),
(26, 246, 23, 8),
(26, 246, 9, 9),
(26, 246, 25, 10)");

// API array elements - Earn4Webbis
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(62, 747, 7, 1),
(62, 747, 2, 2),
(62, 747, 5, 3),
(62, 747, 4, 4),
(62, 747, 6, 5),
(62, 748, 7, 1),
(62, 748, 2, 2),
(62, 748, 5, 3),
(62, 748, 4, 4),
(62, 748, 6, 5),
(62, 749, 7, 1),
(62, 749, 2, 2),
(62, 749, 5, 3),
(62, 749, 4, 4),
(62, 749, 6, 5),
(62, 750, 7, 1),
(62, 750, 2, 2),
(62, 750, 5, 3),
(62, 750, 4, 4),
(62, 750, 6, 5),
(62, 751, 7, 1),
(62, 751, 2, 2),
(62, 751, 5, 3),
(62, 751, 4, 4),
(62, 751, 6, 5),
(62, 751, 10, 6),
(62, 752, 1, 1),
(62, 752, 2, 2),
(62, 752, 5, 3),
(62, 752, 4, 4),
(62, 752, 6, 5),
(62, 752, 10, 6),
(62, 752, 9, 7),
(62, 753, 1, 1),
(62, 753, 2, 2),
(62, 753, 5, 3),
(62, 753, 4, 4),
(62, 753, 6, 5),
(62, 753, 10, 6),
(62, 753, 38, 7),
(62, 753, 9, 8),
(62, 754, 7, 1),
(62, 754, 2, 2),
(62, 754, 5, 3),
(62, 754, 4, 4),
(62, 754, 6, 5),
(62, 755, 1, 1),
(62, 755, 2, 2),
(62, 755, 5, 3),
(62, 755, 4, 4),
(62, 755, 6, 5),
(62, 755, 10, 6),
(62, 755, 38, 7),
(62, 755, 9, 8),
(62, 756, 7, 1),
(62, 756, 2, 2),
(62, 756, 5, 3),
(62, 756, 4, 4),
(62, 756, 6, 5),
(62, 756, 10, 6),
(62, 757, 7, 1),
(62, 757, 2, 2),
(62, 757, 5, 3),
(62, 757, 4, 4),
(62, 757, 6, 5),
(62, 758, 7, 1),
(62, 758, 2, 2),
(62, 758, 5, 3),
(62, 758, 4, 4),
(62, 758, 6, 5),
(62, 759, 7, 1),
(62, 759, 2, 2),
(62, 759, 5, 3),
(62, 759, 4, 4),
(62, 759, 6, 5),
(62, 760, 7, 1),
(62, 760, 2, 2),
(62, 760, 5, 3),
(62, 760, 4, 4),
(62, 760, 6, 5),
(62, 761, 1, 1),
(62, 761, 2, 2),
(62, 761, 5, 3),
(62, 761, 4, 4),
(62, 761, 6, 5),
(62, 761, 9, 6),
(62, 762, 1, 1),
(62, 762, 2, 2),
(62, 762, 5, 3),
(62, 762, 4, 4),
(62, 762, 6, 5),
(62, 762, 9, 6),
(62, 763, 7, 1),
(62, 763, 2, 2),
(62, 763, 5, 3),
(62, 763, 4, 4),
(62, 763, 6, 5),
(62, 763, 10, 6)");

// API array elements - Forced-Lose
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(66, 802, 1, 1),
(66, 802, 2, 2),
(66, 802, 4, 3),
(66, 802, 15, 4),
(66, 802, 5, 5),
(66, 802, 6, 6),
(66, 802, 10, 7),
(66, 803, 1, 1),
(66, 803, 2, 2),
(66, 803, 4, 3),
(66, 803, 7, 4),
(66, 803, 5, 5),
(66, 803, 6, 6),
(66, 804, 1, 1),
(66, 804, 2, 2),
(66, 804, 4, 3),
(66, 804, 13, 4),
(66, 804, 9, 5),
(66, 804, 5, 6),
(66, 804, 6, 7),
(66, 804, 10, 8),
(66, 805, 1, 1),
(66, 805, 2, 2),
(66, 805, 4, 3),
(66, 805, 7, 4),
(66, 805, 5, 5),
(66, 805, 6, 6),
(66, 805, 10, 7),
(66, 806, 1, 1),
(66, 806, 2, 2),
(66, 806, 4, 3),
(66, 806, 7, 4),
(66, 806, 5, 5),
(66, 806, 6, 6),
(66, 806, 10, 7),
(66, 807, 1, 1),
(66, 807, 2, 2),
(66, 807, 4, 3),
(66, 807, 7, 4),
(66, 807, 5, 5),
(66, 807, 6, 6),
(66, 807, 10, 7),
(66, 808, 1, 1),
(66, 808, 2, 2),
(66, 808, 4, 3),
(66, 808, 7, 4),
(66, 808, 5, 5),
(66, 808, 6, 6),
(66, 808, 10, 7)");

// API array elements - FuCoExSponsor.net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(29, 273, 7, 1),
(29, 273, 2, 2),
(29, 273, 5, 3),
(29, 273, 4, 4),
(29, 273, 6, 5),
(29, 274, 7, 1),
(29, 274, 2, 2),
(29, 274, 5, 3),
(29, 274, 4, 4),
(29, 274, 6, 5),
(29, 275, 7, 1),
(29, 275, 2, 2),
(29, 275, 5, 3),
(29, 275, 4, 4),
(29, 275, 6, 5),
(29, 276, 7, 1),
(29, 276, 2, 2),
(29, 276, 5, 3),
(29, 276, 4, 4),
(29, 276, 6, 5),
(29, 277, 7, 1),
(29, 277, 2, 2),
(29, 277, 5, 3),
(29, 277, 4, 4),
(29, 277, 6, 5),
(29, 277, 10, 6),
(29, 278, 11, 1),
(29, 278, 2, 2),
(29, 278, 5, 3),
(29, 278, 4, 4),
(29, 278, 6, 5),
(29, 278, 10, 6),
(29, 278, 9, 7),
(29, 279, 13, 1),
(29, 279, 2, 2),
(29, 279, 5, 3),
(29, 279, 4, 4),
(29, 279, 6, 5),
(29, 279, 10, 6),
(29, 279, 37, 7),
(29, 279, 9, 8),
(29, 280, 14, 1),
(29, 280, 2, 2),
(29, 280, 5, 3),
(29, 280, 4, 4),
(29, 280, 6, 5),
(29, 281, 13, 1),
(29, 281, 2, 2),
(29, 281, 5, 3),
(29, 281, 4, 4),
(29, 281, 6, 5),
(29, 281, 10, 6),
(29, 281, 37, 7),
(29, 281, 9, 8),
(29, 282, 15, 1),
(29, 282, 2, 2),
(29, 282, 5, 3),
(29, 282, 4, 4),
(29, 282, 6, 5),
(29, 282, 10, 6),
(29, 283, 7, 1),
(29, 283, 2, 2),
(29, 283, 5, 3),
(29, 283, 4, 4),
(29, 283, 6, 5),
(29, 284, 7, 1),
(29, 284, 2, 2),
(29, 284, 5, 3),
(29, 284, 4, 4),
(29, 284, 6, 5),
(29, 285, 12, 1),
(29, 285, 2, 2),
(29, 285, 5, 3),
(29, 285, 4, 4),
(29, 285, 6, 5),
(29, 286, 12, 1),
(29, 286, 2, 2),
(29, 286, 5, 3),
(29, 286, 4, 4),
(29, 286, 6, 5),
(29, 287, 11, 1),
(29, 287, 2, 2),
(29, 287, 5, 3),
(29, 287, 4, 4),
(29, 287, 6, 5),
(29, 287, 9, 6),
(29, 288, 11, 1),
(29, 288, 2, 2),
(29, 288, 5, 3),
(29, 288, 4, 4),
(29, 288, 6, 5),
(29, 288, 9, 6),
(29, 289, 26, 1),
(29, 289, 2, 2),
(29, 289, 5, 3),
(29, 289, 4, 4),
(29, 289, 6, 5),
(29, 289, 10, 6)");

// API array elements - Fusion-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(13, 290, 1, 1),
(13, 290, 2, 2),
(13, 290, 6, 3),
(13, 290, 4, 4),
(13, 290, 5, 5),
(13, 290, 39, 6),
(13, 290, 38, 7),
(13, 290, 10, 8),
(13, 291, 1, 1),
(13, 291, 2, 2),
(13, 291, 6, 3),
(13, 291, 4, 4),
(13, 291, 5, 5),
(13, 291, 38, 6),
(13, 291, 9, 7),
(13, 291, 10, 8)");

// API array elements - Giga-Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(46, 548, 7, 1),
(46, 548, 2, 2),
(46, 548, 5, 3),
(46, 548, 4, 4),
(46, 548, 6, 5),
(46, 549, 7, 1),
(46, 549, 2, 2),
(46, 549, 5, 3),
(46, 549, 4, 4),
(46, 549, 6, 5),
(46, 550, 7, 1),
(46, 550, 2, 2),
(46, 550, 5, 3),
(46, 550, 4, 4),
(46, 550, 6, 5),
(46, 551, 7, 1),
(46, 551, 2, 2),
(46, 551, 5, 3),
(46, 551, 4, 4),
(46, 551, 6, 5),
(46, 552, 7, 1),
(46, 552, 2, 2),
(46, 552, 5, 3),
(46, 552, 4, 4),
(46, 552, 6, 5),
(46, 552, 10, 6),
(46, 553, 1, 1),
(46, 553, 2, 2),
(46, 553, 5, 3),
(46, 553, 4, 4),
(46, 553, 6, 5),
(46, 553, 10, 6),
(46, 553, 9, 7),
(46, 554, 1, 1),
(46, 554, 2, 2),
(46, 554, 5, 3),
(46, 554, 4, 4),
(46, 554, 6, 5),
(46, 554, 10, 6),
(46, 554, 38, 7),
(46, 554, 9, 8),
(46, 555, 1, 1),
(46, 555, 2, 2),
(46, 555, 5, 3),
(46, 555, 4, 4),
(46, 555, 6, 5),
(46, 556, 1, 1),
(46, 556, 2, 2),
(46, 556, 5, 3),
(46, 556, 4, 4),
(46, 556, 6, 5),
(46, 556, 10, 6),
(46, 556, 38, 7),
(46, 556, 9, 8),
(46, 557, 1, 1),
(46, 557, 2, 2),
(46, 557, 5, 3),
(46, 557, 4, 4),
(46, 557, 6, 5),
(46, 557, 10, 6),
(46, 558, 7, 1),
(46, 558, 2, 2),
(46, 558, 5, 3),
(46, 558, 4, 4),
(46, 558, 6, 5),
(46, 559, 7, 1),
(46, 559, 2, 2),
(46, 559, 5, 3),
(46, 559, 4, 4),
(46, 559, 6, 5),
(46, 560, 7, 1),
(46, 560, 2, 2),
(46, 560, 5, 3),
(46, 560, 4, 4),
(46, 560, 6, 5),
(46, 561, 7, 1),
(46, 561, 2, 2),
(46, 561, 5, 3),
(46, 561, 4, 4),
(46, 561, 6, 5),
(46, 562, 1, 1),
(46, 562, 2, 2),
(46, 562, 5, 3),
(46, 562, 4, 4),
(46, 562, 6, 5),
(46, 562, 9, 6),
(46, 563, 1, 1),
(46, 563, 2, 2),
(46, 563, 5, 3),
(46, 563, 4, 4),
(46, 563, 6, 5),
(46, 563, 9, 6),
(46, 564, 1, 1),
(46, 564, 2, 2),
(46, 564, 5, 3),
(46, 564, 4, 4),
(46, 564, 6, 5),
(46, 564, 10, 6)");

// API array elements - GigaPromo
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(14, 102, 7, 1),
(14, 102, 2, 2),
(14, 102, 4, 3),
(14, 102, 5, 4),
(14, 102, 6, 5),
(14, 103, 14, 1),
(14, 103, 2, 2),
(14, 103, 4, 3),
(14, 103, 5, 4),
(14, 103, 6, 5),
(14, 104, 7, 1),
(14, 104, 2, 2),
(14, 104, 4, 3),
(14, 104, 5, 4),
(14, 104, 6, 5),
(14, 104, 10, 6),
(14, 105, 11, 1),
(14, 105, 2, 2),
(14, 105, 4, 3),
(14, 105, 5, 4),
(14, 105, 6, 5),
(14, 105, 10, 6),
(14, 105, 9, 7),
(14, 106, 13, 1),
(14, 106, 2, 2),
(14, 106, 5, 3),
(14, 106, 6, 4),
(14, 106, 10, 5),
(14, 106, 37, 6),
(14, 106, 9, 7),
(14, 107, 15, 1),
(14, 107, 2, 2),
(14, 107, 4, 3),
(14, 107, 5, 4),
(14, 107, 6, 5),
(14, 107, 10, 6),
(14, 108, 16, 1),
(14, 108, 2, 2),
(14, 108, 4, 3),
(14, 108, 5, 4),
(14, 108, 6, 5),
(14, 108, 10, 6),
(14, 122, 26, 1),
(14, 122, 2, 2),
(14, 122, 4, 3),
(14, 122, 5, 4),
(14, 122, 6, 5)");

// API array elements - Gold-Sponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(25, 222, 1, 1),
(25, 222, 2, 2),
(25, 222, 4, 3),
(25, 222, 5, 4),
(25, 222, 6, 5),
(25, 223, 1, 1),
(25, 223, 2, 2),
(25, 223, 4, 3),
(25, 223, 5, 4),
(25, 223, 6, 5),
(25, 224, 1, 1),
(25, 224, 2, 2),
(25, 224, 4, 3),
(25, 224, 5, 4),
(25, 224, 6, 5),
(25, 225, 1, 1),
(25, 225, 2, 2),
(25, 225, 4, 3),
(25, 225, 5, 4),
(25, 225, 6, 5),
(25, 226, 1, 1),
(25, 226, 2, 2),
(25, 226, 4, 3),
(25, 226, 5, 4),
(25, 226, 6, 5),
(25, 227, 1, 1),
(25, 227, 2, 2),
(25, 227, 4, 3),
(25, 227, 5, 4),
(25, 227, 6, 5),
(25, 228, 1, 1),
(25, 228, 2, 2),
(25, 228, 4, 3),
(25, 228, 5, 4),
(25, 228, 6, 5),
(25, 229, 1, 1),
(25, 229, 2, 2),
(25, 229, 4, 3),
(25, 229, 5, 4),
(25, 229, 6, 5),
(25, 230, 1, 1),
(25, 230, 2, 2),
(25, 230, 4, 3),
(25, 230, 5, 4),
(25, 230, 6, 5),
(25, 230, 10, 6),
(25, 231, 1, 1),
(25, 231, 2, 2),
(25, 231, 4, 3),
(25, 231, 5, 4),
(25, 231, 6, 5),
(25, 231, 10, 6),
(25, 231, 9, 7)");

// API array elements - GolloX

// API array elements - homeADS
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(28, 260, 1, 1),
(28, 260, 2, 2),
(28, 260, 3, 3),
(28, 260, 4, 4),
(28, 260, 5, 5),
(28, 260, 6, 6),
(28, 260, 8, 7),
(28, 260, 10, 8),
(28, 261, 1, 1),
(28, 261, 2, 2),
(28, 261, 3, 3),
(28, 261, 4, 4),
(28, 261, 5, 5),
(28, 261, 6, 6),
(28, 261, 8, 7),
(28, 261, 10, 8),
(28, 262, 1, 1),
(28, 262, 2, 2),
(28, 262, 9, 3),
(28, 262, 4, 4),
(28, 262, 5, 5),
(28, 262, 6, 6),
(28, 263, 1, 1),
(28, 263, 2, 2),
(28, 263, 9, 3),
(28, 263, 4, 4),
(28, 263, 5, 5),
(28, 263, 6, 6),
(28, 264, 1, 1),
(28, 264, 2, 2),
(28, 264, 3, 3),
(28, 264, 4, 4),
(28, 264, 5, 5),
(28, 264, 6, 6),
(28, 264, 10, 7),
(28, 264, 8, 8),
(28, 265, 1, 1),
(28, 265, 2, 2),
(28, 265, 4, 3),
(28, 265, 5, 4),
(28, 265, 6, 5),
(28, 265, 10, 6),
(28, 265, 9, 7),
(28, 266, 1, 1),
(28, 266, 2, 2),
(28, 266, 4, 3),
(28, 266, 5, 4),
(28, 266, 6, 5),
(28, 266, 10, 6),
(28, 266, 9, 7),
(28, 267, 1, 1),
(28, 267, 2, 2),
(28, 267, 4, 3),
(28, 267, 5, 4),
(28, 267, 6, 5),
(28, 268, 1, 1),
(28, 268, 2, 2),
(28, 268, 4, 3),
(28, 268, 5, 4),
(28, 268, 6, 5),
(28, 269, 1, 1),
(28, 269, 2, 2),
(28, 269, 4, 3),
(28, 269, 5, 4),
(28, 269, 6, 5),
(28, 269, 10, 6),
(28, 270, 1, 1),
(28, 270, 2, 2),
(28, 270, 4, 3),
(28, 270, 5, 4),
(28, 270, 6, 5),
(28, 270, 10, 6),
(28, 271, 1, 1),
(28, 271, 2, 2),
(28, 271, 6, 3),
(28, 271, 19, 4),
(28, 271, 20, 5),
(28, 271, 21, 6),
(28, 271, 22, 7),
(28, 271, 23, 8),
(28, 271, 9, 9),
(28, 271, 25, 10),
(28, 271, 5, 11),
(28, 272, 1, 1),
(28, 272, 2, 2),
(28, 272, 19, 3),
(28, 272, 20, 4),
(28, 272, 21, 5),
(28, 272, 22, 6),
(28, 272, 23, 7),
(28, 272, 9, 8),
(28, 272, 25, 9),
(28, 272, 5, 10)");

// API array elements - HPSponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(15, 135, 1, 1),
(15, 135, 2, 2),
(15, 135, 4, 3),
(15, 135, 5, 4),
(15, 135, 6, 5),
(15, 135, 10, 6),
(15, 135, 9, 7),
(15, 135, 41, 8),
(15, 136, 1, 1),
(15, 136, 2, 2),
(15, 136, 4, 3),
(15, 136, 5, 4),
(15, 136, 6, 5),
(15, 136, 10, 6),
(15, 136, 9, 7),
(15, 136, 41, 8),
(15, 137, 1, 1),
(15, 137, 2, 2),
(15, 137, 4, 3),
(15, 137, 5, 4),
(15, 137, 6, 5),
(15, 137, 10, 6),
(15, 137, 9, 7),
(15, 137, 41, 8),
(15, 138, 1, 1),
(15, 138, 2, 2),
(15, 138, 4, 3),
(15, 138, 5, 4),
(15, 138, 6, 5),
(15, 138, 10, 6),
(15, 138, 9, 7),
(15, 138, 41, 8),
(15, 139, 1, 1),
(15, 139, 2, 2),
(15, 139, 4, 3),
(15, 139, 5, 4),
(15, 139, 6, 5),
(15, 139, 10, 6),
(15, 139, 9, 7),
(15, 139, 41, 8),
(15, 140, 1, 1),
(15, 140, 2, 2),
(15, 140, 4, 3),
(15, 140, 5, 4),
(15, 140, 6, 5),
(15, 140, 10, 6),
(15, 140, 9, 7),
(15, 140, 41, 8),
(15, 141, 1, 1),
(15, 141, 2, 2),
(15, 141, 4, 3),
(15, 141, 5, 4),
(15, 141, 6, 5),
(15, 141, 10, 6),
(15, 141, 9, 7),
(15, 141, 41, 8),
(15, 142, 1, 1),
(15, 142, 2, 2),
(15, 142, 4, 3),
(15, 142, 5, 4),
(15, 142, 6, 5),
(15, 142, 10, 6),
(15, 142, 9, 7),
(15, 142, 41, 8),
(15, 143, 1, 1),
(15, 143, 2, 2),
(15, 143, 4, 3),
(15, 143, 5, 4),
(15, 143, 6, 5),
(15, 143, 10, 6),
(15, 143, 9, 7),
(15, 143, 41, 8),
(15, 144, 1, 1),
(15, 144, 2, 2),
(15, 144, 4, 3),
(15, 144, 5, 4),
(15, 144, 6, 5),
(15, 144, 10, 6),
(15, 144, 9, 7),
(15, 144, 41, 8)");

// API array elements - Kueko-Net
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(65, 792, 1, 1),
(65, 792, 2, 2),
(65, 792, 4, 3),
(65, 792, 5, 4),
(65, 792, 6, 5),
(65, 792, 10, 6),
(65, 792, 9, 7),
(65, 792, 40, 8),
(65, 793, 1, 1),
(65, 793, 2, 2),
(65, 793, 4, 3),
(65, 793, 5, 4),
(65, 793, 6, 5),
(65, 793, 10, 6),
(65, 793, 9, 7),
(65, 793, 40, 8),
(65, 794, 1, 1),
(65, 794, 2, 2),
(65, 794, 4, 3),
(65, 794, 5, 4),
(65, 794, 6, 5),
(65, 794, 10, 6),
(65, 794, 9, 7),
(65, 794, 40, 8),
(65, 795, 1, 1),
(65, 795, 2, 2),
(65, 795, 4, 3),
(65, 795, 5, 4),
(65, 795, 6, 5),
(65, 795, 10, 6),
(65, 795, 9, 7),
(65, 795, 40, 8),
(65, 796, 1, 1),
(65, 796, 2, 2),
(65, 796, 4, 3),
(65, 796, 5, 4),
(65, 796, 6, 5),
(65, 796, 10, 6),
(65, 796, 9, 7),
(65, 796, 40, 8),
(65, 797, 1, 1),
(65, 797, 2, 2),
(65, 797, 4, 3),
(65, 797, 5, 4),
(65, 797, 6, 5),
(65, 797, 10, 6),
(65, 797, 9, 7),
(65, 797, 40, 8),
(65, 798, 1, 1),
(65, 798, 2, 2),
(65, 798, 4, 3),
(65, 798, 5, 4),
(65, 798, 6, 5),
(65, 798, 10, 6),
(65, 798, 9, 7),
(65, 798, 40, 8),
(65, 799, 1, 1),
(65, 799, 2, 2),
(65, 799, 4, 3),
(65, 799, 5, 4),
(65, 799, 6, 5),
(65, 799, 10, 6),
(65, 799, 9, 7),
(65, 799, 40, 8),
(65, 800, 1, 1),
(65, 800, 2, 2),
(65, 800, 4, 3),
(65, 800, 5, 4),
(65, 800, 6, 5),
(65, 800, 10, 6),
(65, 800, 9, 7),
(65, 800, 40, 8),
(65, 801, 1, 1),
(65, 801, 2, 2),
(65, 801, 4, 3),
(65, 801, 5, 4),
(65, 801, 6, 5),
(65, 801, 10, 6),
(65, 801, 9, 7),
(65, 801, 40, 8)");

// API array elements - LoseAds
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(64, 774, 7, 1),
(64, 774, 2, 2),
(64, 774, 5, 3),
(64, 774, 4, 4),
(64, 774, 6, 5),
(64, 775, 7, 1),
(64, 775, 2, 2),
(64, 775, 5, 3),
(64, 775, 4, 4),
(64, 775, 6, 5),
(64, 776, 7, 1),
(64, 776, 2, 2),
(64, 776, 5, 3),
(64, 776, 4, 4),
(64, 776, 6, 5),
(64, 777, 7, 1),
(64, 777, 2, 2),
(64, 777, 5, 3),
(64, 777, 4, 4),
(64, 777, 6, 5),
(64, 778, 7, 1),
(64, 778, 2, 2),
(64, 778, 5, 3),
(64, 778, 4, 4),
(64, 778, 6, 5),
(64, 778, 10, 6),
(64, 779, 1, 1),
(64, 779, 2, 2),
(64, 779, 5, 3),
(64, 779, 4, 4),
(64, 779, 6, 5),
(64, 779, 10, 6),
(64, 779, 9, 7),
(64, 780, 1, 1),
(64, 780, 2, 2),
(64, 780, 5, 3),
(64, 780, 4, 4),
(64, 780, 6, 5),
(64, 780, 10, 6),
(64, 780, 9, 7),
(64, 781, 1, 1),
(64, 781, 2, 2),
(64, 781, 5, 3),
(64, 781, 4, 4),
(64, 781, 6, 5),
(64, 781, 10, 6),
(64, 781, 38, 7),
(64, 781, 9, 8),
(64, 782, 7, 1),
(64, 782, 2, 2),
(64, 782, 5, 3),
(64, 782, 4, 4),
(64, 782, 6, 5),
(64, 783, 1, 1),
(64, 783, 2, 2),
(64, 783, 5, 3),
(64, 783, 4, 4),
(64, 783, 6, 5),
(64, 783, 10, 6),
(64, 783, 38, 7),
(64, 783, 9, 8),
(64, 784, 7, 1),
(64, 784, 2, 2),
(64, 784, 5, 3),
(64, 784, 4, 4),
(64, 784, 6, 5),
(64, 784, 10, 6),
(64, 785, 7, 1),
(64, 785, 2, 2),
(64, 785, 5, 3),
(64, 785, 4, 4),
(64, 785, 6, 5),
(64, 786, 7, 1),
(64, 786, 2, 2),
(64, 786, 5, 3),
(64, 786, 4, 4),
(64, 786, 6, 5),
(64, 787, 7, 1),
(64, 787, 2, 2),
(64, 787, 5, 3),
(64, 787, 4, 4),
(64, 787, 6, 5),
(64, 788, 7, 1),
(64, 788, 2, 2),
(64, 788, 5, 3),
(64, 788, 4, 4),
(64, 788, 6, 5),
(64, 789, 1, 1),
(64, 789, 2, 2),
(64, 789, 5, 3),
(64, 789, 4, 4),
(64, 789, 6, 5),
(64, 789, 9, 6),
(64, 790, 1, 1),
(64, 790, 2, 2),
(64, 790, 5, 3),
(64, 790, 4, 4),
(64, 790, 6, 5),
(64, 790, 9, 6),
(64, 791, 7, 1),
(64, 791, 2, 2),
(64, 791, 5, 3),
(64, 791, 4, 4),
(64, 791, 6, 5),
(64, 791, 10, 6)");

// API array elements - Make-Euros
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(16, 63, 7, 1),
(16, 63, 2, 2),
(16, 63, 3, 3),
(16, 63, 4, 4),
(16, 63, 5, 5),
(16, 63, 6, 6),
(16, 63, 8, 7),
(16, 63, 10, 8),
(16, 64, 7, 1),
(16, 64, 2, 2),
(16, 64, 3, 3),
(16, 64, 4, 4),
(16, 64, 5, 5),
(16, 64, 6, 6),
(16, 64, 8, 7),
(16, 64, 10, 8),
(16, 65, 11, 1),
(16, 65, 2, 2),
(16, 65, 9, 3),
(16, 65, 4, 4),
(16, 65, 5, 5),
(16, 65, 6, 6),
(16, 66, 11, 1),
(16, 66, 2, 2),
(16, 66, 9, 3),
(16, 66, 4, 4),
(16, 66, 5, 5),
(16, 66, 6, 6),
(16, 67, 12, 1),
(16, 67, 2, 2),
(16, 67, 3, 3),
(16, 67, 4, 4),
(16, 67, 5, 5),
(16, 67, 6, 6),
(16, 67, 8, 7),
(16, 68, 7, 1),
(16, 68, 2, 2),
(16, 68, 3, 3),
(16, 68, 4, 4),
(16, 68, 5, 5),
(16, 68, 6, 6),
(16, 68, 10, 7),
(16, 68, 8, 8),
(16, 69, 12, 1),
(16, 69, 2, 2),
(16, 69, 3, 3),
(16, 69, 4, 4),
(16, 69, 5, 5),
(16, 69, 6, 6),
(16, 69, 8, 7),
(16, 70, 13, 1),
(16, 70, 2, 2),
(16, 70, 4, 3),
(16, 70, 5, 4),
(16, 70, 6, 5),
(16, 70, 10, 6),
(16, 70, 9, 7),
(16, 71, 13, 1),
(16, 71, 2, 2),
(16, 71, 4, 3),
(16, 71, 5, 4),
(16, 71, 6, 5),
(16, 71, 10, 6),
(16, 71, 9, 7),
(16, 72, 14, 1),
(16, 72, 2, 2),
(16, 72, 4, 3),
(16, 72, 5, 4),
(16, 72, 6, 5),
(16, 73, 14, 1),
(16, 73, 2, 2),
(16, 73, 4, 3),
(16, 73, 5, 4),
(16, 73, 6, 5),
(16, 74, 15, 1),
(16, 74, 2, 2),
(16, 74, 4, 3),
(16, 74, 5, 4),
(16, 74, 6, 5),
(16, 74, 10, 6),
(16, 75, 16, 1),
(16, 75, 2, 2),
(16, 75, 4, 3),
(16, 75, 5, 4),
(16, 75, 6, 5),
(16, 75, 10, 6),
(16, 76, 17, 1),
(16, 76, 2, 2),
(16, 76, 6, 3),
(16, 76, 19, 4),
(16, 76, 20, 5),
(16, 76, 21, 6),
(16, 76, 22, 7),
(16, 76, 23, 8),
(16, 76, 9, 9),
(16, 77, 17, 1),
(16, 77, 2, 2),
(16, 77, 6, 3),
(16, 77, 19, 4),
(16, 77, 20, 5),
(16, 77, 21, 6),
(16, 77, 22, 7),
(16, 77, 23, 8),
(16, 77, 9, 9)");

// API array elements - MasterAd
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(47, 654, 7, 1),
(47, 654, 2, 2),
(47, 654, 3, 3),
(47, 654, 4, 4),
(47, 654, 5, 5),
(47, 654, 6, 6),
(47, 654, 8, 7),
(47, 654, 10, 8),
(47, 655, 7, 1),
(47, 655, 2, 2),
(47, 655, 3, 3),
(47, 655, 4, 4),
(47, 655, 5, 5),
(47, 655, 6, 6),
(47, 655, 8, 7),
(47, 655, 10, 8),
(47, 656, 11, 1),
(47, 656, 2, 2),
(47, 656, 9, 3),
(47, 656, 4, 4),
(47, 656, 5, 5),
(47, 656, 6, 6),
(47, 657, 11, 1),
(47, 657, 2, 2),
(47, 657, 9, 3),
(47, 657, 4, 4),
(47, 657, 5, 5),
(47, 657, 6, 6),
(47, 658, 12, 1),
(47, 658, 2, 2),
(47, 658, 3, 3),
(47, 658, 4, 4),
(47, 658, 5, 5),
(47, 658, 6, 6),
(47, 658, 8, 7),
(47, 659, 7, 1),
(47, 659, 2, 2),
(47, 659, 3, 3),
(47, 659, 4, 4),
(47, 659, 5, 5),
(47, 659, 6, 6),
(47, 659, 10, 7),
(47, 659, 8, 8),
(47, 660, 12, 1),
(47, 660, 2, 2),
(47, 660, 3, 3),
(47, 660, 4, 4),
(47, 660, 5, 5),
(47, 660, 6, 6),
(47, 660, 8, 7),
(47, 661, 13, 1),
(47, 661, 2, 2),
(47, 661, 4, 3),
(47, 661, 5, 4),
(47, 661, 6, 5),
(47, 661, 10, 6),
(47, 661, 9, 7),
(47, 662, 13, 1),
(47, 662, 2, 2),
(47, 662, 4, 3),
(47, 662, 5, 4),
(47, 662, 6, 5),
(47, 662, 10, 6),
(47, 662, 9, 7),
(47, 663, 14, 1),
(47, 663, 2, 2),
(47, 663, 4, 3),
(47, 663, 5, 4),
(47, 663, 6, 5),
(47, 664, 14, 1),
(47, 664, 2, 2),
(47, 664, 4, 3),
(47, 664, 5, 4),
(47, 664, 6, 5),
(47, 665, 15, 1),
(47, 665, 2, 2),
(47, 665, 4, 3),
(47, 665, 5, 4),
(47, 665, 6, 5),
(47, 665, 10, 6),
(47, 666, 16, 1),
(47, 666, 2, 2),
(47, 666, 4, 3),
(47, 666, 5, 4),
(47, 666, 6, 5),
(47, 666, 10, 6),
(47, 667, 17, 1),
(47, 667, 2, 2),
(47, 667, 6, 3),
(47, 667, 19, 4),
(47, 667, 20, 5),
(47, 667, 21, 6),
(47, 667, 22, 7),
(47, 667, 23, 8),
(47, 667, 9, 9),
(47, 668, 17, 1),
(47, 668, 2, 2),
(47, 668, 6, 3),
(47, 668, 19, 4),
(47, 668, 20, 5),
(47, 668, 21, 6),
(47, 668, 22, 7),
(47, 668, 23, 8),
(47, 668, 9, 9)");

// API array elements - Mega-Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(17, 109, 1, 1),
(17, 109, 2, 2),
(17, 109, 4, 3),
(17, 109, 5, 4),
(17, 109, 6, 5),
(17, 110, 1, 1),
(17, 110, 2, 2),
(17, 110, 4, 3),
(17, 110, 5, 4),
(17, 110, 6, 5),
(17, 111, 1, 1),
(17, 111, 2, 2),
(17, 111, 4, 3),
(17, 111, 5, 4),
(17, 111, 6, 5),
(17, 112, 1, 1),
(17, 112, 2, 2),
(17, 112, 4, 3),
(17, 112, 5, 4),
(17, 112, 6, 5),
(17, 113, 1, 1),
(17, 113, 2, 2),
(17, 113, 4, 3),
(17, 113, 5, 4),
(17, 113, 6, 5),
(17, 114, 1, 1),
(17, 114, 2, 2),
(17, 114, 4, 3),
(17, 114, 5, 4),
(17, 114, 6, 5),
(17, 115, 1, 1),
(17, 115, 2, 2),
(17, 115, 4, 3),
(17, 115, 5, 4),
(17, 115, 6, 5),
(17, 116, 1, 1),
(17, 116, 2, 2),
(17, 116, 4, 3),
(17, 116, 5, 4),
(17, 116, 6, 5),
(17, 116, 10, 6),
(17, 117, 1, 1),
(17, 117, 2, 2),
(17, 117, 4, 3),
(17, 117, 5, 4),
(17, 117, 6, 5),
(17, 117, 10, 6),
(17, 117, 9, 7),
(17, 123, 1, 1),
(17, 123, 2, 2),
(17, 123, 4, 3),
(17, 123, 5, 4),
(17, 123, 6, 5)");

// API array elements - Paid-4-Webmaster
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(50, 591, 7, 1),
(50, 591, 2, 2),
(50, 591, 5, 3),
(50, 591, 4, 4),
(50, 591, 6, 5),
(50, 592, 7, 1),
(50, 592, 2, 2),
(50, 592, 5, 3),
(50, 592, 4, 4),
(50, 592, 6, 5),
(50, 593, 7, 1),
(50, 593, 2, 2),
(50, 593, 5, 3),
(50, 593, 4, 4),
(50, 593, 6, 5),
(50, 593, 10, 6),
(50, 594, 1, 1),
(50, 594, 2, 2),
(50, 594, 5, 3),
(50, 594, 4, 4),
(50, 594, 6, 5),
(50, 594, 10, 6),
(50, 594, 9, 7),
(50, 595, 7, 1),
(50, 595, 2, 2),
(50, 595, 5, 3),
(50, 595, 4, 4),
(50, 595, 6, 5),
(50, 596, 1, 1),
(50, 596, 2, 2),
(50, 596, 5, 3),
(50, 596, 4, 4),
(50, 596, 6, 5),
(50, 596, 10, 6),
(50, 596, 38, 7),
(50, 596, 9, 8),
(50, 597, 1, 1),
(50, 597, 2, 2),
(50, 597, 5, 3),
(50, 597, 4, 4),
(50, 597, 6, 5),
(50, 597, 10, 6),
(50, 598, 7, 1),
(50, 598, 2, 2),
(50, 598, 5, 3),
(50, 598, 4, 4),
(50, 598, 6, 5),
(50, 599, 7, 1),
(50, 599, 2, 2),
(50, 599, 5, 3),
(50, 599, 4, 4),
(50, 599, 6, 5),
(50, 600, 1, 1),
(50, 600, 2, 2),
(50, 600, 5, 3),
(50, 600, 4, 4),
(50, 600, 6, 5),
(50, 600, 9, 6),
(50, 601, 1, 1),
(50, 601, 2, 2),
(50, 601, 5, 3),
(50, 601, 4, 4),
(50, 601, 6, 5),
(50, 601, 9, 6),
(50, 602, 1, 1),
(50, 602, 2, 2),
(50, 602, 5, 3),
(50, 602, 4, 4),
(50, 602, 6, 5),
(50, 602, 10, 6)");

// API array elements - Paid-City
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(58, 706, 1, 1),
(58, 706, 2, 2),
(58, 706, 6, 3),
(58, 706, 4, 4),
(58, 706, 5, 5),
(58, 706, 39, 6),
(58, 706, 9, 7),
(58, 706, 10, 8),
(58, 707, 1, 1),
(58, 707, 2, 2),
(58, 707, 6, 3),
(58, 707, 4, 4),
(58, 707, 5, 5),
(58, 707, 40, 6),
(58, 707, 39, 7),
(58, 707, 10, 8),
(58, 708, 1, 1),
(58, 708, 2, 2),
(58, 708, 6, 3),
(58, 708, 4, 4),
(58, 708, 5, 5),
(58, 708, 39, 6),
(58, 708, 9, 7),
(58, 708, 10, 8),
(58, 709, 1, 1),
(58, 709, 2, 2),
(58, 709, 6, 3),
(58, 709, 4, 4),
(58, 709, 5, 5),
(58, 709, 39, 6),
(58, 709, 10, 7),
(58, 710, 1, 1),
(58, 710, 2, 2),
(58, 710, 6, 3),
(58, 710, 4, 4),
(58, 710, 5, 5),
(58, 710, 39, 6),
(58, 710, 10, 7)");

// API array elements - Paid4Ad
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(59, 711, 7, 1),
(59, 711, 2, 2),
(59, 711, 5, 3),
(59, 711, 4, 4),
(59, 711, 6, 5),
(59, 712, 7, 1),
(59, 712, 2, 2),
(59, 712, 5, 3),
(59, 712, 4, 4),
(59, 712, 6, 5),
(59, 713, 7, 1),
(59, 713, 2, 2),
(59, 713, 5, 3),
(59, 713, 4, 4),
(59, 713, 6, 5),
(59, 714, 7, 1),
(59, 714, 2, 2),
(59, 714, 5, 3),
(59, 714, 4, 4),
(59, 714, 6, 5),
(59, 715, 7, 1),
(59, 715, 2, 2),
(59, 715, 5, 3),
(59, 715, 4, 4),
(59, 715, 6, 5),
(59, 715, 10, 6),
(59, 716, 1, 1),
(59, 716, 2, 2),
(59, 716, 5, 3),
(59, 716, 4, 4),
(59, 716, 6, 5),
(59, 716, 10, 6),
(59, 716, 9, 7),
(59, 717, 1, 1),
(59, 717, 2, 2),
(59, 717, 5, 3),
(59, 717, 4, 4),
(59, 717, 6, 5),
(59, 717, 10, 6),
(59, 717, 38, 7),
(59, 717, 9, 8),
(59, 718, 7, 1),
(59, 718, 2, 2),
(59, 718, 5, 3),
(59, 718, 4, 4),
(59, 718, 6, 5),
(59, 719, 1, 1),
(59, 719, 2, 2),
(59, 719, 5, 3),
(59, 719, 4, 4),
(59, 719, 6, 5),
(59, 719, 10, 6),
(59, 719, 38, 7),
(59, 719, 9, 8),
(59, 720, 7, 1),
(59, 720, 2, 2),
(59, 720, 5, 3),
(59, 720, 4, 4),
(59, 720, 6, 5),
(59, 720, 10, 6),
(59, 721, 7, 1),
(59, 721, 2, 2),
(59, 721, 5, 3),
(59, 721, 4, 4),
(59, 721, 6, 5),
(59, 722, 7, 1),
(59, 722, 2, 2),
(59, 722, 5, 3),
(59, 722, 4, 4),
(59, 722, 6, 5),
(59, 723, 7, 1),
(59, 723, 2, 2),
(59, 723, 5, 3),
(59, 723, 4, 4),
(59, 723, 6, 5),
(59, 724, 7, 1),
(59, 724, 2, 2),
(59, 724, 5, 3),
(59, 724, 4, 4),
(59, 724, 6, 5),
(59, 725, 1, 1),
(59, 725, 2, 2),
(59, 725, 5, 3),
(59, 725, 4, 4),
(59, 725, 6, 5),
(59, 725, 9, 6),
(59, 726, 1, 1),
(59, 726, 2, 2),
(59, 726, 5, 3),
(59, 726, 4, 4),
(59, 726, 6, 5),
(59, 726, 9, 6),
(59, 727, 7, 1),
(59, 727, 2, 2),
(59, 727, 5, 3),
(59, 727, 4, 4),
(59, 727, 6, 5),
(59, 727, 10, 6)");

// API array elements - Power-Promo
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(18, 78, 7, 1),
(18, 78, 2, 2),
(18, 78, 3, 3),
(18, 78, 4, 4),
(18, 78, 5, 5),
(18, 78, 6, 6),
(18, 78, 8, 7),
(18, 78, 10, 8),
(18, 79, 7, 1),
(18, 79, 2, 2),
(18, 79, 3, 3),
(18, 79, 4, 4),
(18, 79, 5, 5),
(18, 79, 6, 6),
(18, 79, 8, 7),
(18, 79, 10, 8),
(18, 80, 11, 1),
(18, 80, 2, 2),
(18, 80, 9, 3),
(18, 80, 4, 4),
(18, 80, 5, 5),
(18, 80, 6, 6),
(18, 81, 11, 1),
(18, 81, 2, 2),
(18, 81, 9, 3),
(18, 81, 4, 4),
(18, 81, 5, 5),
(18, 81, 6, 6),
(18, 82, 12, 1),
(18, 82, 2, 2),
(18, 82, 3, 3),
(18, 82, 4, 4),
(18, 82, 5, 5),
(18, 82, 6, 6),
(18, 82, 8, 7),
(18, 83, 12, 1),
(18, 83, 2, 2),
(18, 83, 3, 3),
(18, 83, 4, 4),
(18, 83, 5, 5),
(18, 83, 6, 6),
(18, 83, 8, 7),
(18, 84, 7, 1),
(18, 84, 2, 2),
(18, 84, 3, 3),
(18, 84, 4, 4),
(18, 84, 5, 5),
(18, 84, 6, 6),
(18, 84, 10, 7),
(18, 84, 8, 8),
(18, 85, 13, 1),
(18, 85, 2, 2),
(18, 85, 4, 3),
(18, 85, 5, 4),
(18, 85, 6, 5),
(18, 85, 10, 6),
(18, 85, 9, 7),
(18, 86, 13, 1),
(18, 86, 2, 2),
(18, 86, 4, 3),
(18, 86, 5, 4),
(18, 86, 6, 5),
(18, 86, 10, 6),
(18, 86, 9, 7),
(18, 87, 14, 1),
(18, 87, 2, 2),
(18, 87, 4, 3),
(18, 87, 5, 4),
(18, 87, 6, 5),
(18, 88, 14, 1),
(18, 88, 2, 2),
(18, 88, 4, 3),
(18, 88, 5, 4),
(18, 88, 6, 5),
(18, 89, 15, 1),
(18, 89, 2, 2),
(18, 89, 4, 3),
(18, 89, 5, 4),
(18, 89, 6, 5),
(18, 89, 10, 6),
(18, 90, 16, 1),
(18, 90, 2, 2),
(18, 90, 4, 3),
(18, 90, 5, 4),
(18, 90, 6, 5),
(18, 90, 10, 6),
(18, 91, 17, 1),
(18, 91, 2, 2),
(18, 91, 6, 3),
(18, 91, 19, 4),
(18, 91, 20, 5),
(18, 91, 21, 6),
(18, 91, 22, 7),
(18, 91, 23, 8),
(18, 91, 9, 9),
(18, 91, 25, 10),
(18, 91, 5, 11),
(18, 92, 18, 1),
(18, 92, 2, 2),
(18, 92, 6, 3),
(18, 92, 19, 4),
(18, 92, 20, 5),
(18, 92, 21, 6),
(18, 92, 22, 7),
(18, 92, 23, 8),
(18, 92, 9, 9),
(18, 92, 25, 10)");

// API array elements - ProAdvert
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(48, 565, 1, 1),
(48, 565, 2, 2),
(48, 565, 4, 3),
(48, 565, 5, 4),
(48, 565, 6, 5),
(48, 565, 10, 6),
(48, 565, 9, 7),
(48, 565, 41, 8),
(48, 566, 1, 1),
(48, 566, 2, 2),
(48, 566, 4, 3),
(48, 566, 5, 4),
(48, 566, 6, 5),
(48, 566, 10, 6),
(48, 566, 9, 7),
(48, 566, 41, 8),
(48, 567, 1, 1),
(48, 567, 2, 2),
(48, 567, 4, 3),
(48, 567, 5, 4),
(48, 567, 6, 5),
(48, 567, 10, 6),
(48, 567, 9, 7),
(48, 567, 41, 8),
(48, 569, 1, 1),
(48, 569, 2, 2),
(48, 569, 4, 3),
(48, 569, 5, 4),
(48, 569, 6, 5),
(48, 569, 10, 6),
(48, 569, 9, 7),
(48, 569, 41, 8),
(48, 570, 1, 1),
(48, 570, 2, 2),
(48, 570, 4, 3),
(48, 570, 5, 4),
(48, 570, 6, 5),
(48, 570, 10, 6),
(48, 570, 9, 7),
(48, 570, 41, 8),
(48, 571, 1, 1),
(48, 571, 2, 2),
(48, 571, 4, 3),
(48, 571, 5, 4),
(48, 571, 6, 5),
(48, 571, 10, 6),
(48, 571, 9, 7),
(48, 571, 41, 8),
(48, 572, 1, 1),
(48, 572, 2, 2),
(48, 572, 4, 3),
(48, 572, 5, 4),
(48, 572, 6, 5),
(48, 572, 10, 6),
(48, 572, 9, 7),
(48, 572, 41, 8),
(48, 573, 1, 1),
(48, 573, 2, 2),
(48, 573, 4, 3),
(48, 573, 5, 4),
(48, 573, 6, 5),
(48, 573, 10, 6),
(48, 573, 9, 7),
(48, 573, 41, 8),
(48, 574, 1, 1),
(48, 574, 2, 2),
(48, 574, 4, 3),
(48, 574, 5, 4),
(48, 574, 6, 5),
(48, 574, 10, 6),
(48, 574, 9, 7),
(48, 574, 41, 8),
(48, 575, 1, 1),
(48, 575, 2, 2),
(48, 575, 4, 3),
(48, 575, 5, 4),
(48, 575, 6, 5),
(48, 575, 10, 6),
(48, 575, 9, 7),
(48, 575, 41, 8)");

// API array elements - SeCash
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(19, 93, 1, 1),
(19, 93, 2, 2),
(19, 93, 4, 3),
(19, 93, 5, 4),
(19, 93, 6, 5),
(19, 93, 10, 6),
(19, 93, 9, 7),
(19, 93, 41, 8),
(19, 94, 1, 1),
(19, 94, 2, 2),
(19, 94, 4, 3),
(19, 94, 5, 4),
(19, 94, 6, 5),
(19, 94, 10, 6),
(19, 94, 9, 7),
(19, 94, 41, 8),
(19, 95, 1, 1),
(19, 95, 2, 2),
(19, 95, 4, 3),
(19, 95, 5, 4),
(19, 95, 6, 5),
(19, 95, 10, 6),
(19, 95, 9, 7),
(19, 95, 41, 8),
(19, 96, 1, 1),
(19, 96, 2, 2),
(19, 96, 4, 3),
(19, 96, 5, 4),
(19, 96, 6, 5),
(19, 96, 10, 6),
(19, 96, 9, 7),
(19, 96, 41, 8),
(19, 97, 1, 1),
(19, 97, 2, 2),
(19, 97, 4, 3),
(19, 97, 5, 4),
(19, 97, 6, 5),
(19, 97, 10, 6),
(19, 97, 9, 7),
(19, 97, 41, 8),
(19, 98, 1, 1),
(19, 98, 2, 2),
(19, 98, 4, 3),
(19, 98, 5, 4),
(19, 98, 6, 5),
(19, 98, 10, 6),
(19, 98, 9, 7),
(19, 98, 41, 8),
(19, 99, 1, 1),
(19, 99, 2, 2),
(19, 99, 4, 3),
(19, 99, 5, 4),
(19, 99, 6, 5),
(19, 99, 10, 6),
(19, 99, 9, 7),
(19, 99, 41, 8),
(19, 100, 1, 1),
(19, 100, 2, 2),
(19, 100, 4, 3),
(19, 100, 5, 4),
(19, 100, 6, 5),
(19, 100, 10, 6),
(19, 100, 9, 7),
(19, 100, 41, 8),
(19, 101, 1, 1),
(19, 101, 2, 2),
(19, 101, 4, 3),
(19, 101, 5, 4),
(19, 101, 6, 5),
(19, 101, 10, 6),
(19, 101, 9, 7),
(19, 101, 41, 8),
(19, 124, 1, 1),
(19, 124, 2, 2),
(19, 124, 4, 3),
(19, 124, 5, 4),
(19, 124, 6, 5),
(19, 124, 10, 6),
(19, 124, 9, 7),
(19, 124, 41, 8)");

// API array elements - SuperPromo24
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(41, 416, 1, 1),
(41, 416, 2, 2),
(41, 416, 5, 3),
(41, 416, 4, 4),
(41, 416, 6, 5),
(41, 417, 1, 1),
(41, 417, 2, 2),
(41, 417, 5, 3),
(41, 417, 4, 4),
(41, 417, 6, 5),
(41, 418, 1, 1),
(41, 418, 2, 2),
(41, 418, 5, 3),
(41, 418, 4, 4),
(41, 418, 6, 5),
(41, 419, 1, 1),
(41, 419, 2, 2),
(41, 419, 5, 3),
(41, 419, 4, 4),
(41, 419, 6, 5),
(41, 420, 1, 1),
(41, 420, 2, 2),
(41, 420, 5, 3),
(41, 420, 4, 4),
(41, 420, 6, 5),
(41, 420, 10, 6),
(41, 421, 1, 1),
(41, 421, 2, 2),
(41, 421, 5, 3),
(41, 421, 4, 4),
(41, 421, 6, 5),
(41, 421, 10, 6),
(41, 421, 9, 7),
(41, 422, 1, 1),
(41, 422, 2, 2),
(41, 422, 5, 3),
(41, 422, 4, 4),
(41, 422, 6, 5),
(41, 422, 10, 6),
(41, 422, 37, 7),
(41, 422, 9, 8),
(41, 423, 1, 1),
(41, 423, 2, 2),
(41, 423, 5, 3),
(41, 423, 4, 4),
(41, 423, 6, 5),
(41, 424, 1, 1),
(41, 424, 2, 2),
(41, 424, 5, 3),
(41, 424, 4, 4),
(41, 424, 6, 5),
(41, 425, 1, 1),
(41, 425, 2, 2),
(41, 425, 5, 3),
(41, 425, 4, 4),
(41, 425, 6, 5),
(41, 425, 10, 6),
(41, 425, 37, 7),
(41, 425, 9, 8),
(41, 426, 1, 1),
(41, 426, 2, 2),
(41, 426, 5, 3),
(41, 426, 4, 4),
(41, 426, 6, 5),
(41, 426, 10, 6),
(41, 427, 1, 1),
(41, 427, 2, 2),
(41, 427, 5, 3),
(41, 427, 4, 4),
(41, 427, 6, 5),
(41, 428, 1, 1),
(41, 428, 2, 2),
(41, 428, 5, 3),
(41, 428, 4, 4),
(41, 428, 6, 5),
(41, 429, 1, 1),
(41, 429, 2, 2),
(41, 429, 5, 3),
(41, 429, 4, 4),
(41, 429, 6, 5),
(41, 429, 9, 6),
(41, 430, 1, 1),
(41, 430, 2, 2),
(41, 430, 5, 3),
(41, 430, 4, 4),
(41, 430, 6, 5),
(41, 430, 10, 6)");

// API array elements - UltraPROMO
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(21, 125, 1, 1),
(21, 125, 2, 2),
(21, 125, 4, 3),
(21, 125, 5, 4),
(21, 125, 6, 5),
(21, 125, 10, 6),
(21, 125, 9, 7),
(21, 125, 41, 6),
(21, 126, 1, 1),
(21, 126, 2, 2),
(21, 126, 4, 3),
(21, 126, 5, 4),
(21, 126, 6, 5),
(21, 126, 10, 6),
(21, 126, 9, 7),
(21, 126, 41, 6),
(21, 127, 1, 1),
(21, 127, 2, 2),
(21, 127, 4, 3),
(21, 127, 5, 4),
(21, 127, 6, 5),
(21, 127, 10, 6),
(21, 127, 9, 7),
(21, 127, 41, 6),
(21, 128, 1, 1),
(21, 128, 2, 2),
(21, 128, 4, 3),
(21, 128, 5, 4),
(21, 128, 6, 5),
(21, 128, 10, 6),
(21, 128, 9, 7),
(21, 128, 41, 6),
(21, 129, 1, 1),
(21, 129, 2, 2),
(21, 129, 4, 3),
(21, 129, 5, 4),
(21, 129, 6, 5),
(21, 129, 10, 6),
(21, 129, 9, 7),
(21, 129, 41, 6),
(21, 130, 1, 1),
(21, 130, 2, 2),
(21, 130, 4, 3),
(21, 130, 5, 4),
(21, 130, 6, 5),
(21, 130, 10, 6),
(21, 130, 9, 7),
(21, 130, 41, 6),
(21, 131, 1, 1),
(21, 131, 2, 2),
(21, 131, 4, 3),
(21, 131, 5, 4),
(21, 131, 6, 5),
(21, 131, 10, 6),
(21, 131, 9, 7),
(21, 131, 41, 6),
(21, 132, 1, 1),
(21, 132, 2, 2),
(21, 132, 4, 3),
(21, 132, 5, 4),
(21, 132, 6, 5),
(21, 132, 10, 6),
(21, 132, 9, 7),
(21, 132, 41, 6),
(21, 133, 1, 1),
(21, 133, 2, 2),
(21, 133, 4, 3),
(21, 133, 5, 4),
(21, 133, 6, 5),
(21, 133, 10, 6),
(21, 133, 9, 7),
(21, 133, 41, 8),
(21, 134, 1, 1),
(21, 134, 2, 2),
(21, 134, 4, 3),
(21, 134, 5, 4),
(21, 134, 6, 5),
(21, 134, 10, 6),
(21, 134, 9, 7),
(21, 134, 41, 6)");

// API array elements - Vario-Ads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(51, 603, 7, 1),
(51, 603, 2, 2),
(51, 603, 5, 3),
(51, 603, 4, 4),
(51, 603, 6, 5),
(51, 604, 7, 1),
(51, 604, 2, 2),
(51, 604, 5, 3),
(51, 604, 4, 4),
(51, 604, 6, 5),
(51, 605, 7, 1),
(51, 605, 2, 2),
(51, 605, 5, 3),
(51, 605, 4, 4),
(51, 605, 6, 5),
(51, 606, 7, 1),
(51, 606, 2, 2),
(51, 606, 5, 3),
(51, 606, 4, 4),
(51, 606, 6, 5),
(51, 607, 7, 1),
(51, 607, 2, 2),
(51, 607, 5, 3),
(51, 607, 4, 4),
(51, 607, 6, 5),
(51, 607, 10, 6),
(51, 608, 1, 1),
(51, 608, 2, 2),
(51, 608, 5, 3),
(51, 608, 4, 4),
(51, 608, 6, 5),
(51, 608, 10, 6),
(51, 608, 9, 7),
(51, 609, 1, 1),
(51, 609, 2, 2),
(51, 609, 5, 3),
(51, 609, 4, 4),
(51, 609, 6, 5),
(51, 609, 10, 6),
(51, 609, 38, 7),
(51, 609, 9, 8),
(51, 610, 7, 1),
(51, 610, 2, 2),
(51, 610, 5, 3),
(51, 610, 4, 4),
(51, 610, 6, 5),
(51, 611, 1, 1),
(51, 611, 2, 2),
(51, 611, 5, 3),
(51, 611, 4, 4),
(51, 611, 6, 5),
(51, 611, 10, 6),
(51, 611, 38, 7),
(51, 611, 9, 8),
(51, 612, 7, 1),
(51, 612, 2, 2),
(51, 612, 5, 3),
(51, 612, 4, 4),
(51, 612, 6, 5),
(51, 612, 10, 6),
(51, 613, 7, 1),
(51, 613, 2, 2),
(51, 613, 5, 3),
(51, 613, 4, 4),
(51, 613, 6, 5),
(51, 614, 7, 1),
(51, 614, 2, 2),
(51, 614, 5, 3),
(51, 614, 4, 4),
(51, 614, 6, 5),
(51, 615, 7, 1),
(51, 615, 2, 2),
(51, 615, 5, 3),
(51, 615, 4, 4),
(51, 615, 6, 5),
(51, 616, 7, 1),
(51, 616, 2, 2),
(51, 616, 5, 3),
(51, 616, 4, 4),
(51, 616, 6, 5),
(51, 617, 1, 1),
(51, 617, 2, 2),
(51, 617, 5, 3),
(51, 617, 4, 4),
(51, 617, 6, 5),
(51, 617, 9, 6),
(51, 618, 1, 1),
(51, 618, 2, 2),
(51, 618, 5, 3),
(51, 618, 4, 4),
(51, 618, 6, 5),
(51, 618, 9, 6),
(51, 619, 7, 1),
(51, 619, 2, 2),
(51, 619, 5, 3),
(51, 619, 4, 4),
(51, 619, 6, 5),
(51, 619, 10, 6)");

// API array elements - VIPads
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(27, 247, 7, 1),
(27, 247, 2, 2),
(27, 247, 5, 3),
(27, 247, 4, 4),
(27, 247, 6, 5),
(27, 248, 7, 1),
(27, 248, 2, 2),
(27, 248, 5, 3),
(27, 248, 4, 4),
(27, 248, 6, 5),
(27, 249, 7, 1),
(27, 249, 2, 2),
(27, 249, 5, 3),
(27, 249, 4, 4),
(27, 249, 6, 5),
(27, 250, 7, 1),
(27, 250, 2, 2),
(27, 250, 5, 3),
(27, 250, 4, 4),
(27, 250, 6, 5),
(27, 251, 7, 1),
(27, 251, 2, 2),
(27, 251, 5, 3),
(27, 251, 4, 4),
(27, 251, 6, 5),
(27, 251, 10, 6),
(27, 252, 13, 1),
(27, 252, 2, 2),
(27, 252, 5, 3),
(27, 252, 4, 4),
(27, 252, 6, 5),
(27, 252, 10, 6),
(27, 252, 37, 7),
(27, 252, 9, 8),
(27, 253, 14, 1),
(27, 253, 2, 2),
(27, 253, 5, 3),
(27, 253, 4, 4),
(27, 253, 6, 5),
(27, 254, 13, 1),
(27, 254, 2, 2),
(27, 254, 5, 3),
(27, 254, 4, 4),
(27, 254, 6, 5),
(27, 254, 10, 6),
(27, 254, 37, 7),
(27, 254, 9, 8),
(27, 255, 15, 1),
(27, 255, 2, 2),
(27, 255, 5, 3),
(27, 255, 4, 4),
(27, 255, 6, 5),
(27, 255, 10, 6),
(27, 256, 7, 1),
(27, 256, 2, 2),
(27, 256, 5, 3),
(27, 256, 4, 4),
(27, 256, 6, 5),
(27, 257, 7, 1),
(27, 257, 2, 2),
(27, 257, 5, 3),
(27, 257, 4, 4),
(27, 257, 6, 5),
(27, 258, 11, 1),
(27, 258, 2, 2),
(27, 258, 5, 3),
(27, 258, 4, 4),
(27, 258, 6, 5),
(27, 258, 9, 6),
(27, 259, 26, 1),
(27, 259, 2, 2),
(27, 259, 5, 3),
(27, 259, 4, 4),
(27, 259, 6, 5),
(27, 259, 10, 6)");

// API array elements - WeltPromotion
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(20, 200, 6, 5),
(20, 202, 1, 1),
(20, 202, 2, 2),
(20, 202, 4, 3),
(20, 202, 5, 4),
(20, 202, 6, 5),
(20, 202, 10, 6),
(20, 202, 9, 7),
(20, 202, 41, 8),
(20, 203, 1, 1),
(20, 203, 2, 2),
(20, 203, 4, 3),
(20, 203, 5, 4),
(20, 203, 6, 5),
(20, 203, 10, 6),
(20, 203, 9, 7),
(20, 203, 41, 8),
(20, 204, 1, 1),
(20, 204, 2, 2),
(20, 204, 4, 3),
(20, 204, 5, 4),
(20, 204, 6, 5),
(20, 204, 10, 6),
(20, 204, 9, 7),
(20, 204, 41, 8),
(20, 205, 1, 1),
(20, 205, 2, 2),
(20, 205, 4, 3),
(20, 205, 5, 4),
(20, 205, 6, 5),
(20, 205, 10, 6),
(20, 205, 9, 7),
(20, 205, 41, 8),
(20, 206, 1, 1),
(20, 206, 2, 2),
(20, 206, 4, 3),
(20, 206, 5, 4),
(20, 206, 10, 6),
(20, 206, 9, 7),
(20, 206, 41, 8),
(20, 207, 1, 1),
(20, 207, 2, 2),
(20, 207, 4, 3),
(20, 207, 5, 4),
(20, 207, 6, 5),
(20, 207, 10, 6),
(20, 207, 9, 7),
(20, 207, 41, 8),
(20, 208, 1, 1),
(20, 208, 2, 2),
(20, 208, 4, 3),
(20, 208, 5, 4),
(20, 208, 6, 5),
(20, 208, 10, 6),
(20, 208, 9, 7),
(20, 208, 41, 8),
(20, 209, 1, 1),
(20, 209, 2, 2),
(20, 209, 4, 3),
(20, 209, 5, 4),
(20, 209, 6, 5),
(20, 209, 10, 6),
(20, 209, 9, 7),
(20, 209, 41, 8),
(20, 210, 1, 1),
(20, 210, 2, 2),
(20, 210, 4, 3),
(20, 210, 5, 4),
(20, 210, 6, 5),
(20, 210, 10, 6),
(20, 210, 9, 7),
(20, 210, 41, 8),
(20, 211, 1, 1),
(20, 211, 2, 2),
(20, 211, 4, 3),
(20, 211, 5, 4),
(20, 211, 6, 5),
(20, 211, 10, 6),
(20, 211, 9, 7),
(20, 211, 41, 8)");

// API array elements - Werbeflut
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(61, 730, 7, 1),
(61, 730, 2, 2),
(61, 730, 5, 3),
(61, 730, 4, 4),
(61, 730, 6, 5),
(61, 731, 7, 1),
(61, 731, 2, 2),
(61, 731, 5, 3),
(61, 731, 4, 4),
(61, 731, 6, 5),
(61, 732, 7, 1),
(61, 732, 2, 2),
(61, 732, 5, 3),
(61, 732, 4, 4),
(61, 732, 6, 5),
(61, 733, 7, 1),
(61, 733, 2, 2),
(61, 733, 5, 3),
(61, 733, 4, 4),
(61, 733, 6, 5),
(61, 734, 7, 1),
(61, 734, 2, 2),
(61, 734, 5, 3),
(61, 734, 4, 4),
(61, 734, 6, 5),
(61, 734, 10, 6),
(61, 735, 1, 1),
(61, 735, 2, 2),
(61, 735, 5, 3),
(61, 735, 4, 4),
(61, 735, 6, 5),
(61, 735, 10, 6),
(61, 735, 9, 7),
(61, 736, 1, 1),
(61, 736, 2, 2),
(61, 736, 5, 3),
(61, 736, 4, 4),
(61, 736, 6, 5),
(61, 736, 10, 6),
(61, 736, 38, 7),
(61, 736, 9, 8),
(61, 737, 7, 1),
(61, 737, 2, 2),
(61, 737, 5, 3),
(61, 737, 4, 4),
(61, 737, 6, 5),
(61, 738, 1, 1),
(61, 738, 2, 2),
(61, 738, 5, 3),
(61, 738, 4, 4),
(61, 738, 6, 5),
(61, 738, 10, 6),
(61, 738, 38, 7),
(61, 738, 9, 8),
(61, 739, 7, 1),
(61, 739, 2, 2),
(61, 739, 5, 3),
(61, 739, 4, 4),
(61, 739, 6, 5),
(61, 739, 10, 6),
(61, 740, 7, 1),
(61, 740, 2, 2),
(61, 740, 5, 3),
(61, 740, 4, 4),
(61, 740, 6, 5),
(61, 741, 7, 1),
(61, 741, 2, 2),
(61, 741, 5, 3),
(61, 741, 4, 4),
(61, 741, 6, 5),
(61, 742, 7, 1),
(61, 742, 2, 2),
(61, 742, 5, 3),
(61, 742, 4, 4),
(61, 742, 6, 5),
(61, 743, 7, 1),
(61, 743, 2, 2),
(61, 743, 5, 3),
(61, 743, 4, 4),
(61, 743, 6, 5),
(61, 744, 1, 1),
(61, 744, 2, 2),
(61, 744, 5, 3),
(61, 744, 4, 4),
(61, 744, 6, 5),
(61, 744, 9, 6),
(61, 745, 1, 1),
(61, 745, 2, 2),
(61, 745, 5, 3),
(61, 745, 4, 4),
(61, 745, 6, 5),
(61, 745, 9, 6),
(61, 746, 7, 1),
(61, 746, 2, 2),
(61, 746, 5, 3),
(61, 746, 4, 4),
(61, 746, 6, 5),
(61, 746, 10, 6)");

// API array elements - Werbe-Sponsor
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(53, 637, 7, 1),
(53, 637, 2, 2),
(53, 637, 5, 3),
(53, 637, 4, 4),
(53, 637, 6, 5),
(53, 638, 7, 1),
(53, 638, 2, 2),
(53, 638, 5, 3),
(53, 638, 4, 4),
(53, 638, 6, 5),
(53, 639, 7, 1),
(53, 639, 2, 2),
(53, 639, 5, 3),
(53, 639, 4, 4),
(53, 639, 6, 5),
(53, 640, 7, 1),
(53, 640, 2, 2),
(53, 640, 5, 3),
(53, 640, 4, 4),
(53, 640, 6, 5),
(53, 641, 7, 1),
(53, 641, 2, 2),
(53, 641, 5, 3),
(53, 641, 4, 4),
(53, 641, 6, 5),
(53, 641, 10, 6),
(53, 642, 1, 1),
(53, 642, 2, 2),
(53, 642, 5, 3),
(53, 642, 4, 4),
(53, 642, 6, 5),
(53, 642, 10, 6),
(53, 642, 9, 7),
(53, 643, 1, 1),
(53, 643, 2, 2),
(53, 643, 5, 3),
(53, 643, 4, 4),
(53, 643, 6, 5),
(53, 643, 10, 6),
(53, 643, 38, 7),
(53, 643, 9, 8),
(53, 644, 7, 1),
(53, 644, 2, 2),
(53, 644, 5, 3),
(53, 644, 4, 4),
(53, 644, 6, 5),
(53, 645, 1, 1),
(53, 645, 2, 2),
(53, 645, 5, 3),
(53, 645, 4, 4),
(53, 645, 6, 5),
(53, 645, 10, 6),
(53, 645, 38, 7),
(53, 645, 9, 8),
(53, 646, 7, 1),
(53, 646, 2, 2),
(53, 646, 5, 3),
(53, 646, 4, 4),
(53, 646, 6, 5),
(53, 646, 10, 6),
(53, 647, 7, 1),
(53, 647, 2, 2),
(53, 647, 5, 3),
(53, 647, 4, 4),
(53, 647, 6, 5),
(53, 648, 7, 1),
(53, 648, 2, 2),
(53, 648, 5, 3),
(53, 648, 4, 4),
(53, 648, 6, 5),
(53, 649, 7, 1),
(53, 649, 2, 2),
(53, 649, 5, 3),
(53, 649, 4, 4),
(53, 649, 6, 5),
(53, 650, 7, 1),
(53, 650, 2, 2),
(53, 650, 5, 3),
(53, 650, 4, 4),
(53, 650, 6, 5),
(53, 651, 1, 1),
(53, 651, 2, 2),
(53, 651, 5, 3),
(53, 651, 4, 4),
(53, 651, 6, 5),
(53, 651, 9, 6),
(53, 652, 1, 1),
(53, 652, 2, 2),
(53, 652, 5, 3),
(53, 652, 4, 4),
(53, 652, 6, 5),
(53, 652, 9, 6),
(53, 653, 7, 1),
(53, 653, 2, 2),
(53, 653, 5, 3),
(53, 653, 4, 4),
(53, 653, 6, 5),
(53, 653, 10, 6)");

// API array elements - Der Werbepartner.cc
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(22, 145, 1, 1),
(22, 145, 2, 2),
(22, 145, 6, 3),
(22, 145, 4, 4),
(22, 145, 5, 5),
(22, 145, 38, 6),
(22, 145, 9, 7),
(22, 145, 10, 8),
(22, 146, 1, 1),
(22, 146, 2, 2),
(22, 146, 6, 3),
(22, 146, 4, 4),
(22, 146, 5, 5),
(22, 146, 39, 6),
(22, 146, 38, 7),
(22, 146, 10, 8),
(22, 147, 1, 1),
(22, 147, 2, 2),
(22, 147, 6, 3),
(22, 147, 4, 4),
(22, 147, 5, 5),
(22, 147, 38, 6),
(22, 147, 9, 7),
(22, 147, 10, 8),
(22, 148, 1, 1),
(22, 148, 2, 2),
(22, 148, 6, 3),
(22, 148, 4, 4),
(22, 148, 5, 5),
(22, 148, 38, 6),
(22, 148, 10, 7),
(22, 149, 1, 1),
(22, 149, 2, 2),
(22, 149, 6, 3),
(22, 149, 4, 4),
(22, 149, 5, 5),
(22, 149, 38, 6),
(22, 150, 1, 1),
(22, 150, 2, 2),
(22, 150, 6, 3),
(22, 150, 4, 4),
(22, 150, 5, 5),
(22, 150, 38, 6),
(22, 150, 10, 7),
(22, 151, 1, 1),
(22, 151, 2, 2),
(22, 151, 6, 3),
(22, 151, 4, 4),
(22, 151, 5, 5),
(22, 151, 38, 6),
(22, 152, 1, 1),
(22, 152, 2, 2),
(22, 152, 6, 3),
(22, 152, 4, 4),
(22, 152, 5, 5),
(22, 152, 38, 6),
(22, 153, 1, 1),
(22, 153, 2, 2),
(22, 153, 6, 3),
(22, 153, 4, 4),
(22, 153, 5, 5),
(22, 153, 38, 6),
(22, 153, 10, 7),
(22, 154, 1, 1),
(22, 154, 2, 2),
(22, 154, 6, 3),
(22, 154, 4, 4),
(22, 154, 5, 5),
(22, 154, 38, 6),
(22, 154, 10, 7),
(22, 155, 1, 1),
(22, 155, 2, 2),
(22, 155, 6, 3),
(22, 155, 4, 4),
(22, 155, 5, 5),
(22, 155, 38, 6),
(22, 155, 10, 7)");

// API array elements - Yoo!Media
addExtensionSql("INSERT INTO `{?_MYSQL_PREFIX?}_network_array_translation` (`network_id`, `network_type_id`, `network_array_index`, `network_array_sort`) VALUES
(23, 156, 1, 1),
(23, 156, 2, 2),
(23, 156, 3, 3),
(23, 156, 4, 4),
(23, 156, 5, 5),
(23, 156, 6, 6),
(23, 156, 7, 7),
(23, 156, 8, 8),
(23, 157, 1, 1),
(23, 157, 2, 2),
(23, 157, 4, 3),
(23, 157, 5, 4),
(23, 157, 6, 5),
(23, 157, 9, 6),
(23, 158, 1, 1),
(23, 158, 2, 2),
(23, 158, 3, 3),
(23, 158, 4, 4),
(23, 158, 5, 5),
(23, 158, 6, 6),
(23, 158, 7, 7),
(23, 158, 8, 8),
(23, 159, 1, 1),
(23, 159, 2, 2),
(23, 159, 3, 3),
(23, 159, 4, 4),
(23, 159, 5, 5),
(23, 159, 6, 6),
(23, 159, 10, 7),
(23, 159, 7, 8),
(23, 159, 8, 9),
(23, 160, 1, 1),
(23, 160, 2, 2),
(23, 160, 4, 3),
(23, 160, 5, 4),
(23, 160, 6, 5),
(23, 161, 1, 1),
(23, 161, 2, 2),
(23, 161, 4, 3),
(23, 161, 10, 4),
(23, 161, 5, 5),
(23, 161, 6, 6),
(23, 161, 9, 7),
(23, 162, 1, 1),
(23, 162, 2, 2),
(23, 162, 4, 3),
(23, 162, 10, 4),
(23, 162, 5, 5),
(23, 162, 6, 6),
(23, 162, 9, 7),
(23, 163, 1, 1),
(23, 163, 2, 2),
(23, 163, 4, 3),
(23, 163, 5, 4),
(23, 163, 6, 5),
(23, 164, 1, 1),
(23, 164, 2, 2),
(23, 164, 4, 3),
(23, 164, 10, 4),
(23, 164, 5, 5),
(23, 164, 6, 6),
(23, 165, 1, 1),
(23, 165, 2, 2),
(23, 165, 4, 3),
(23, 165, 10, 4),
(23, 165, 5, 5),
(23, 165, 6, 6),
(23, 166, 1, 1),
(23, 166, 2, 2),
(23, 166, 5, 3),
(23, 166, 6, 4),
(23, 166, 9, 5),
(23, 525, 1, 1),
(23, 525, 2, 2),
(23, 525, 3, 3),
(23, 525, 4, 4),
(23, 525, 5, 5),
(23, 525, 6, 6),
(23, 525, 7, 7),
(23, 525, 8, 8),
(23, 526, 1, 1),
(23, 526, 2, 2),
(23, 526, 3, 3),
(23, 526, 4, 4),
(23, 526, 5, 5),
(23, 526, 6, 6),
(23, 526, 7, 7),
(23, 526, 8, 8),
(23, 527, 1, 1),
(23, 527, 2, 2),
(23, 527, 3, 3),
(23, 527, 4, 4),
(23, 527, 5, 5),
(23, 527, 6, 6),
(23, 527, 7, 7),
(23, 527, 8, 8),
(23, 528, 1, 1),
(23, 528, 2, 2),
(23, 528, 3, 3),
(23, 528, 4, 4),
(23, 528, 5, 5),
(23, 528, 6, 6),
(23, 528, 10, 7),
(23, 528, 7, 8),
(23, 528, 8, 9),
(23, 529, 1, 1),
(23, 529, 2, 2),
(23, 529, 3, 3),
(23, 529, 4, 4),
(23, 529, 5, 5),
(23, 529, 6, 6),
(23, 529, 10, 7),
(23, 529, 7, 8),
(23, 529, 8, 9),
(23, 530, 1, 1),
(23, 530, 2, 2),
(23, 530, 3, 3),
(23, 530, 4, 4),
(23, 530, 5, 5),
(23, 530, 6, 6),
(23, 530, 10, 7),
(23, 530, 7, 8),
(23, 530, 8, 9),
(23, 531, 1, 1),
(23, 531, 2, 2),
(23, 531, 3, 3),
(23, 531, 4, 4),
(23, 531, 5, 5),
(23, 531, 6, 6),
(23, 531, 7, 7),
(23, 531, 8, 8),
(23, 532, 1, 1),
(23, 532, 2, 2),
(23, 532, 3, 3),
(23, 532, 4, 4),
(23, 532, 5, 5),
(23, 532, 6, 6),
(23, 532, 7, 7),
(23, 532, 8, 8),
(23, 533, 1, 1),
(23, 533, 2, 2),
(23, 533, 3, 3),
(23, 533, 4, 4),
(23, 533, 5, 5),
(23, 533, 6, 6),
(23, 533, 7, 7),
(23, 533, 8, 8),
(23, 534, 1, 1),
(23, 534, 2, 2),
(23, 534, 3, 3),
(23, 534, 4, 4),
(23, 534, 5, 5),
(23, 534, 6, 6),
(23, 534, 7, 7),
(23, 534, 8, 8),
(23, 535, 1, 1),
(23, 535, 2, 2),
(23, 535, 3, 3),
(23, 535, 4, 4),
(23, 535, 5, 5),
(23, 535, 6, 6),
(23, 535, 7, 7),
(23, 535, 8, 8),
(23, 536, 1, 1),
(23, 536, 2, 2),
(23, 536, 4, 3),
(23, 536, 5, 4),
(23, 536, 6, 5),
(23, 536, 9, 6),
(23, 537, 1, 1),
(23, 537, 2, 2),
(23, 537, 4, 3),
(23, 537, 5, 4),
(23, 537, 6, 5)");

// Admin menu entries
addAdminMenuSql('network', NULL, 'Werbenetzwerke', 'Verwalten Sie hier Werbenetzwerke (API-Anbindung), versenden Sie deren Mails, oder &uuml;bernehmen Sie deren Textlinks und vieles mehr. <strong>VORSICHT:</strong> Das Einrichten von weiteren Werbenetzwerken ist nicht leicht, daf&uuml;r aber sehr flexibel! Sollte ein Netzwerk fehlen, so melden Sie dies bitte <a href="http://forum.mxchange.org/topic-462.html" target="_blank" title="Direktlink zum Forum">im Forum</a>!',4);
addAdminMenuSql('network', 'config_network_api', 'API-Zugangsdaten', 'Stellen Sie Ihre Affiliate- Webseiten-Id und API-Passwort ein. Diese erhalten Sie aus dem Affiliate-Bereich des jeweiligen Werbenetzwerkes. Sollten Sie bei einem Werbenetzwerk noch nicht angemeldet sein, verwenden Sie bitte meinen Referral-Link dazu.',1);
addAdminMenuSql('network', 'config_network_types', 'Werbearten', 'Stellen Sie hier Reload-Zeiten, Mindestauffenthalt und so weiter pro Werbeart und Werbenetzwerk ein. Sie m&uuml;ssen dies pro Werbeart-Handler f&uuml;r jedes Werbenetzwerk einstellen, das Sie abfragen m&ouml;chten.',2);
addAdminMenuSql('network', 'config_network_vcheck', 'Verg&uuml;tungscheck', 'Aktivieren Sie hier den Verg&uuml;tungscheck (V-Check) oder richten Sie einen neuen Zugangsschl&uuml;ssel (&quot;Passwort&quot;) f&uuml;r das Werbenetzwerk ein. Nicht jedes Werbenetzwerk unterst&uuml;tzt dies! Am besten schauen Sie in Ihrem Affiliate-Bereich des jeweiligen Werbenetzwerkes nach, ob dort der Verg&uuml;tungscheck angeboten wird. Wichtig hierf&uuml;r ist, dass die Ziel-URLs die Variablen V1 und V2 enthalten m&uuml;ssen, da hieran der VCheck-Support erkannt wird.',3);
addAdminMenuSql('network', 'config_network_delurl', 'Delete-URL', 'Aktivieren Sie das bereits von vielen Werbenetzwerken unterst&uuml;tzte Feature <strong>Delete-URL</strong>. Dies ist ein Verfahren, um automatisch abgelaufene Kampagnen aus Ihrem {?mt_word?} zu entfernen oder zu sperren.',4);
addAdminMenuSql('network', 'query_network_apis', 'APIs abfragen', 'Fragt alle eingestellten APIs ab. Die Ergebnisse werden dann f&uuml;r einen einstellbaren Zeitraum gecacht und nicht erneut angefordert.',5);
addAdminMenuSql('network', 'config_network', 'Einstellungen', 'Stellen Sie generelle Einstellungen ein, die f&uuml;r alle Werbenetzwerke gelten, wie z.B. Cache-Erneuerungsinterval. Generell sind aber die Einstellungen in Ordnung, da z.B. sonst Ihre freien Abfragen beim Werbenetzwerk sich zu schnell abbauen.',6);
addAdminMenuSql('network', 'list_network_reloads', 'Reload-Sperren', 'Listen oder l&ouml;schen Sie hier Reload-Sperren. <strong>Vorsicht:</strong> Die hier gespeicherten Reload-Sperren sind vom jeweiligen Werbenetzwerk &uuml;bernommen. Eventuell verdienen Sie nichts, wenn Sie z.B. eine Mail innerhalb der Reload-Sperre erneut versenden.',7);
addAdminMenuSql('network', 'list_network_http_header', 'HTTP-Header', 'Auflisten der geloggten HTTP-Header, dient prim&auml;r f&uuml;r die Fehleranalyse. Schauen Sie hier mal ab und an rein, ob Eintr&auml;ge dazu gekommen sind.', 8);
addAdminMenuSql('network', 'list_network_api', 'API-Cache', 'Auflisten des API-Caches. Dieser dient zur Entlastung der APIs der Werbenetzwerke, dass diese nicht zu h&auml;fig abgefragt werden.', 9);
addAdminMenuSql('network', 'list_network_data', 'Dev-Grunddaten', '<strong>Entwicklereinstellungen!</strong> Hier &auml;ndern Sie die Einstellungen an den Grunddaten (Stammdaten) des jeweiligen Werbenetzwerks ab. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 10);
addAdminMenuSql('network', 'list_network_types', 'Dev-Werbeart-Handler', '<strong>Entwicklereinstellungen!</strong> Hier &auml;ndern Sie die Einstellungen zu den Werbeart-Handler pro Werbenetzwerken. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 11);
addAdminMenuSql('network', 'list_network_request_params', 'Dev-Abfrageparameter', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Abfrageparameter (wie sie genannt werden m&uuml;ssen, um das API-Script korrekt aufrufen zu k&ouml;nnen) ein, pro Werbenetzwerk. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 12);
addAdminMenuSql('network', 'list_network_array_translation', 'Dev-Antwort-Array', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Zuweisungen der aus der analysierten API-Antwort Array-Elementen zu den Datenspalten ein. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 13);
addAdminMenuSql('network', 'list_network_error_codes', 'Dev-Fehlercodes', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Fehlercodes ein, die im Falle eines Fehlers pro API-Script kommen k&ouml;nnen. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 14);
addAdminMenuSql('network', 'list_network_vcheck_errors', 'Dev-VCheck-Fehler', '<strong>Entwicklereinstellungen!</strong> Hier stellen Sie die Fehlercodes ein, die im Falle eines Fehlers vom Werbenetzwerk an <strong>network-vcheck.php</strong> gemeldet werden. Auch ob alles in Ordnung gegangen ist, wird hier eingestellt. Sie sollten hier generell nichts einstellen und <a href="http://forum.mxchange.org/forum-43.html" target="_blank" title="Direktlink zum Forum">im Forum</a> um Hilfe fragen, wenn Sie selber ein Werbenetzwerk einrichten m&ouml;chten.', 15);

// Configuration entries
addConfigAddSql('network_cache_refresh', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT ' . (60 * 15));
addConfigAddSql('network_logging_debug', "ENUM ('Y','N') NOT NULL DEFAULT 'N'");
addConfigAddSql('network_logging_purge', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT ' . (getOneDay() * 3));

// Register modules
addModuleSql('network-delurl', '{OPEN_LANGUAGE}MODULE_NETWORK_DELURL_TITLE{CLOSE_LANGUAGE}', 'Y', 'Y', 'N', 'N');
addModuleSql('network-vcheck', '{OPEN_LANGUAGE}MODULE_NETWORK_VCHECK_TITLE{CLOSE_LANGUAGE}', 'Y', 'Y', 'N', 'N');

// [EOF]
?>
